/******************************************************************************/
/* OpenSI : Outils libre de gestion d'entreprise                              */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/

var serveur = get_pref_ipserveur() + ":" + get_pref_porttomcat();


function init() {
	try {

	} catch (e) {
    recup_erreur('erreur dans compta/user/autres/reception_compta.js#init : ' + e);
  }
}

/*function parcourir() {
	try {
		var nsIFilePicker = Components.interfaces.nsIFilePicker;
		var fp = Components.classes["@mozilla.org/filepicker;1"].createInstance(nsIFilePicker);
		fp.init(window, "Selectionnez un fichier Opensi", nsIFilePicker.modeOpen);
		fp.appendFilter("Fichiers Opensi","*.osi");
		var res = fp.show();
		if (res == nsIFilePicker.returnOK) {
  		document.getElementById('FichierOsi').value = fp.file.path;
			ufile = fp.file;
		}
	} catch (e) {
    recup_erreur('erreur dans compta/user/autres/reception_compta.js#parcourir : ' + e);
  }
}*/

function reception_compta() {
	try {
		document.getElementById('progression').collapsed = false;
		setTimeout('reception_compta_bis()',100);
	} catch (e) {
    recup_erreur('erreur dans compta/user/autres/reception_compta.js#reception_compta : ' + e);
  }
}

function reception_compta_bis() {
	try {
		if (isEmpty(document.getElementById('FichierOsi').value)) {
			alert('Vous devez selectionner un fichier osi !');
		}
		else {
			fichierOsi = getFileName(document.getElementById('FichierOsi').value);
			var url = "chrome://opensi/content/compta/util/upload.xul?" + cookie();
    	url += "&file=" + document.getElementById('FichierOsi').value;
			url += "&dir=import";
   		window.openDialog(url,'rechcompte','chrome,modal');
			var corps = cookie() + "&Page=Import/ProcessImportOpensi.tmpl&ContentType=xml&FichierOsi="+ fichierOsi;
      var httpRequest = new XMLHttpRequest();
      requeteHTTP(corps,httpRequest,reception_compta_ter);
    }
	} catch (e) {
    recup_erreur('erreur dans compta/user/autres/reception_compta.js#reception_compta_bis : ' + e);
  }
}

function reception_compta_ter(httpRequest) {
	try {

	  if (httpRequest.status != "200") {
      alert("Rception erreur " + httpRequest.status);
  		document.getElementById('progression').collapsed = true;
  	} else {
    	var contenu = httpRequest.responseXML;
			var osi_info = contenu.documentElement;
				
			var action_error = osi_info.getAttribute('action_error');				

			if (isEmpty(action_error)) {

				var raison_sociale = osi_info.getAttribute('raison_sociale');
				var debut_exercice = osi_info.getAttribute('debut_exercice');
				var fin_exercice = osi_info.getAttribute('fin_exercice');
				var ec_base = osi_info.getAttribute('ec_nom_base');
				var ec_fin_exercice = osi_info.getAttribute('ec_fin_exercice');
				var ec_debut_exercice = osi_info.getAttribute('ec_debut_exercice');
				//var fichier_sql = osi_info.getAttribute('fichier_sql');
				var dossier_origine = osi_info.getAttribute('dossier_origine');
				var num_siret = osi_info.getAttribute('num_siret');
				var date_creation = osi_info.getAttribute('date_creation');
				var siret_courant = osi_info.getAttribute('siret_courant');
				var raison_courante = osi_info.getAttribute('raison_courante');

				if (isEmpty(ec_base)) {
					alert("Impossible de rcuprer les donnes du fichier '"+ fichierOsi +"'\nAucun exercice compatible n\'a t trouv dans le dossier courant !");
      		document.getElementById('progression').collapsed = true;
				} else if (siret_courant!=num_siret) {
					showWarning("Impossible de rcuprer les donnes, numros de Siret incompatibles !");
      		document.getElementById('progression').collapsed = true;
				} else { 
          var msg = "Le fichier '"+fichierOsi ;
          msg += "' contient des donnes provenant de l\'exercice du " + debut_exercice + " au " + fin_exercice;
          msg += " de la socit '"+raison_sociale+"'";
          msg += "\nConfirmez-vous l'insertion de ces donnes dans l\'exercice du ";
          msg += ec_debut_exercice + " au " + ec_fin_exercice + " de la socit '"+raison_courante+"' ?";
          if (window.confirm(msg)) {
					  var corps = cookie() + "&Page=Import/ProcessImportOpensi2.tmpl&FichierOsi="+ fichierOsi +"&Base="+ ec_base;
            var httpRequest2 = new XMLHttpRequest();
            requeteHTTP(corps,httpRequest2,reception_compta_fin);
          } else {
        		document.getElementById('progression').collapsed = true;
          }
			  }
			} else {
				alert(action_error);
    		document.getElementById('progression').collapsed = true;
			}
		}

	} catch (e) {
    recup_erreur('erreur dans compta/user/autres/reception_compta.js#reception_compta_ter : ' + e);
  }
}

function reception_compta_fin(httpRequest) {
  try {
    if (httpRequest.status != "200") {
      alert("Rception erreur " + httpRequest.status);
    } else {
  	  alert("Les donnes ont t insres avec succs !");
	  }
		document.getElementById('progression').collapsed = true;
	} catch (e) {
    recup_erreur('erreur dans compta/user/autres/reception_compta.js#reception_compta_fin : ' + e);
  }
}
function retour_menu_autres() {
  try {
    var page = "chrome://opensi/content/compta/user/autres/menu_autres.xul?" + cookie() ;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/autres/change_user_password.js#retour_menu_autres : ' + e);
  }
}

function retour_menu_principal() {
  try {
    var page = "chrome://opensi/content/compta/user/menu_exercice.xul?" + cookie() ;
    page += "&Dates=" + parent.document.getElementById("date_exercice").value;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/autres/change_user_password.js#retour_menu_principal : ' + e);
  }
}

/*function retour_choixExercice() {
  try {
    var page = "chrome://opensi/content/compta/user/menu_dossier.xul?" + cookie();
    page += "&Libelle=" + parent.document.getElementById("nom_dossier").value;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/autres/change_user_password.js#retour_choixExercice : ' + e);
  }
}*/

/*function retour_choixDossier() {
  try {
    var page = "chrome://opensi/content/compta/user/menu.xul?" + cookie();
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/autres/change_user_password.js#retour_choixDossier : ' + e);
  }
}*/