/******************************************************************************/
/* OpenSI : Outils libre de gestion d'entreprise                              */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/

var ouv=0;

function init() {
	try {
	
		document.getElementById('FichierObk').focus();
		
		
	} catch (e) {
    recup_erreur('erreur dans compta/user/autres/restauration.js#init : ' + e);
  }
}

function ouvrir_fichier() {
	try {
		if (isEmpty(document.getElementById('FichierObk').value)) {
			alert('Vous devez selectionner un fichier obk !');
		}
		else {
			fichierObk = getFileName(document.getElementById('FichierObk').value);
			var url = "chrome://opensi/content/compta/util/upload.xul?" + cookie();
    	url += "&file=" + document.getElementById('FichierObk').value;
			url += "&dir=import";
   		window.openDialog(url,'rechcompte','chrome,modal');
			var corps = cookie() + "&Page=Import/ProcessImportDossier.tmpl&ContentType=xml&FichierObk="+ fichierObk;
      var httpRequest = new XMLHttpRequest();
      requeteHTTP(corps,httpRequest,ouvrir_fichier2);
    }
	} catch (e) {
    recup_erreur('erreur dans compta/user/autres/restauration.js#ouvrir_fichier : ' + e);
  }
}

function ouvrir_fichier2(httpRequest) {
	try {
	  if (httpRequest.status != "200") {
      alert("Rception erreur " + httpRequest.status);
  	}
		else {
    	var contenu = httpRequest.responseXML;
			var obk_info = contenu.documentElement;
			var action_error = obk_info.getAttribute('action_error');				
			if (isEmpty(action_error)) {
				var raison_sociale = obk_info.getAttribute('raison_sociale');
				var dossier_origine = obk_info.getAttribute('dossier_origine');
				var dossier_courant = get_cookie('Dossier_Id');
				var num_siret = obk_info.getAttribute('num_siret');
				var date_creation = obk_info.getAttribute('date_creation');
				var siret_courant = obk_info.getAttribute('siret_courant');
				var raison_courante = obk_info.getAttribute('raison_courante');
				rdf = obk_info.getAttribute('rdf');
				if (isEmpty(dossier_origine)) {
					showWarning("Impossible de rcuprer les donnes du fichier '"+ fichierObk);
				} 
				else if (siret_courant!=num_siret) {
					showWarning("Impossible de rcuprer les donnes, numros de Siret incompatibles !");
				} 
				else if (dossier_courant!=dossier_origine) {
					if (window.confirm("le dossier d'origine ne correspond pas au dossier courant \n tes vous sur de vouloir continuer ?")) {
						document.getElementById('Dossier_Id').value = dossier_origine;
						document.getElementById('Raison').value = raison_sociale;
						document.getElementById('NumSiret').value = num_siret;
						document.getElementById('titre').value='Contenu du fichier "'+fichierObk+'"';
						document.getElementById('corps').collapsed=false;
						delete_tree();
						init_tree();
					}
			  }
				else {
					document.getElementById('Dossier_Id').value = dossier_origine;
					document.getElementById('Raison').value = raison_sociale;
					document.getElementById('NumSiret').value = num_siret;
					document.getElementById('titre').value='Contenu du fichier "'+fichierObk+'"';
					document.getElementById('corps').collapsed=false;
					delete_tree();
					init_tree();
				}
			}
			else {
				alert(action_error);
			}
		}
	} catch (e) {
    recup_erreur('erreur dans compta/user/autres/restauration.js#ouvrir_fichier2 : ' + e);
  }
}

function delete_tree() {
  try {
    var database = document.getElementById("Exercice").database;
    var datasources = database.GetDataSources();
    while (datasources.hasMoreElements()) {
      var ds = datasources.getNext();
      database.RemoveDataSource(ds);
			
    }
		document.getElementById('Exercice').builder.rebuild();
  } catch (e) {
    recup_erreur('erreur dans compta/user/autres/restauration.js#delete_tree : ' + e);
  }
}

function init_tree() {
  try {

		load_rdf_async("Exercice",getDirBuffer()+rdf,toutSelectionner);

	
  } catch (e) {
    recup_erreur('erreur dans  compta/user/autres/restauration.js#init_tree : ' + e);
  }
}

function toutSelectionner() {
	try {	
		var liste = document.getElementById("Exercice");
		for (i=0;i<liste.getRowCount();i++) {
			var item = liste.getItemAtIndex(i);
			var cks = item.getElementsByTagName("listcell");
			cks.item(0).setAttribute("checked",true);
		}
	} catch (e) {
    recup_erreur('erreur dans superviseur/dossiers/sauvegarde.js#toutSelectionner : ' + e);
  }
}

function selectionnerNonCloture() {
	try {
		var liste = document.getElementById("Exercice");
		for (i=0;i<liste.getRowCount();i++) {
			var item = liste.getItemAtIndex(i);
			var cks = item.getElementsByTagName("listcell");
			if (liste.getItemAtIndex(i).getElementsByTagName("listcell").item(3).getAttribute("label")!="(Exercice cltur)") {
				cks.item(0).setAttribute("checked",true);
			}
			else {
				cks.item(0).setAttribute("checked",false);
			}
		}
	} catch (e) {
    recup_erreur('erreur dans compta/user/autres/restauration.js#selectionnerNonCloture : ' + e);
  }
}


function restaurer() {
	try {
	
		if (window.confirm("tes vous sur de vouloir restaurer ce dossier? (les exercices slctionnes seront remis  l'tat d'origine)")) {
			var liste = document.getElementById("Exercice");
			var base="";
			var dateDeb="";
			var dateFin="";
			var nombreElements = liste.getRowCount();
			for (var i = 0; i < nombreElements; i++) {
				if(liste.getItemAtIndex(i).getElementsByTagName("listcell").item(0).getAttribute("checked","true")=="true") {
					base+=liste.getItemAtIndex(i).value + ",";
					dateDeb+=liste.getItemAtIndex(i).getElementsByTagName("listcell").item(1).getAttribute("label") + ",";
					dateFin+=liste.getItemAtIndex(i).getElementsByTagName("listcell").item(2).getAttribute("label") + ",";
				}			
			}
			if (base=="") {
				showWarning("vous devez slectionner au moins un exercice");
			}
			else {
				document.getElementById('progression').collapsed = false;
				document.getElementById('pm').setAttribute('mode','undetermined');
				document.getElementById('bOk').disabled = true;
				var corps = cookie() + "&Page=Import/ProcessImportDossier2.tmpl&ContentType=xml&FichierObk="+ fichierObk;
    		corps += "&Base="+ base+"&DateDeb="+ dateDeb+"&DateFin="+ dateFin;
    		var httpRequest = new XMLHttpRequest();
    		requeteHTTP(corps,httpRequest,restaurer_2);
			}
		}
	} catch (e) {
    recup_erreur('erreur dans compta/user/autres/restauration.js#restaurer : ' + e);
  }
}


function restaurer_2(httpRequest) {
	try {
	
  	if (httpRequest.status != "200") {
		  alert("Rception erreur "+ httpRequest.status);
		}	
		else {
			var contenu = httpRequest.responseXML;
			var info_exp = contenu.documentElement;
			var action_error = info_exp.getAttribute('action_error');
			
			if (isEmpty(action_error)) {			
				showMessage("restauration effectue");
			}
			else {
				showWarning(action_error);
			}
		}
		document.getElementById('progression').collapsed = true;
		document.getElementById('pm').setAttribute('mode','none');
		document.getElementById('bOk').disabled = false;
		
	} catch (e) {
    recup_erreur('erreur dans compta/user/autres/sauvegarde.js#restaurer_2 : ' + e);
  }
}



function testcheck() {
	try {		
		var liste = document.getElementById("Exercice");
		if (liste.currentItem!=null) {
			var item = liste.getItemAtIndex(liste.selectedIndex);
			var cks = item.getElementsByTagName("listcell");
			cks.item(0).setAttribute("checked",(cks.item(0).getAttribute("checked")=="true"?"false":"true"));
		}
	} catch (e) {
    recup_erreur('erreur dans superviseur/dossiers/attrib_droits_dossier.js#creerDossier : ' + e);
  }
}

function retour_menu_autres() {
  try {
	
    var page = "chrome://opensi/content/compta/user/autres/menu_autres.xul?" + cookie() ;
    window.location = page;
		
  } catch (e) {
    recup_erreur('erreur dans compta/user/autres/restauration.js#retour_menu_autres : ' + e);
  }
}


function retour_menu_principal() {
  try {
	
    var page = "chrome://opensi/content/compta/user/menu_exercice.xul?" + cookie() ;
    page += "&Dates=" + parent.document.getElementById("date_exercice").value;
    window.location = page;
		
  } catch (e) {
    recup_erreur('erreur dans compta/user/autres/restauration.js#retour_menu_principal : ' + e);
  }
}
