/******************************************************************************/
/* OpenSI : Outils libre de gestion d'entreprise                              */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/


function init() {
	try {
	
		var paramlist = "&Page=Compta/GetRDF/Dossier.tmpl&ContentType=xml";
    load_rdf_async('Exercice', getUrlOpeneas(paramlist), selExercice);
		document.getElementById('Exercice').focus();
		
		
	} catch (e) {
    recup_erreur('erreur dans compta/user/autres/sauvegarde.js#init : ' + e);
  }
}


function selExercice() {
	try {
		document.getElementById('Exercice').selectedIndex = 0;
		selectionnerNonCloture();
	} catch (e) {
    recup_erreur('erreur dans compta/user/autres/sauvegarde.js#selExercice : ' + e);
  }
}

function sauvegarde() {
	try {
		var liste = document.getElementById("Exercice");
		var base="";
		var nombreElements = liste.getRowCount();
		for (var i = 0; i < nombreElements; i++) {
			if(liste.getItemAtIndex(i).getElementsByTagName("listcell").item(0).getAttribute("checked","true")=="true") {
				base+=liste.getItemAtIndex(i).value + ",";
			}			
		}
		
		if (base=="") {
			showWarning("vous devez slectionner au moins un exercice");
		}
		else {
			document.getElementById('progression').collapsed = false;
			document.getElementById('pm').setAttribute('mode','undetermined');
			document.getElementById('bOk').disabled = true;
			var corps = cookie() + "&Page=Export/SauvegardeDossier.tmpl&ContentType=xml";
    	corps += "&Base="+ base;
    	var httpRequest = new XMLHttpRequest();
    	requeteHTTP(corps,httpRequest,sauvegarde_2);
		}
	} catch (e) {
    recup_erreur('erreur dans compta/user/autres/sauvegarde.js#sauvegarde : ' + e);
  }
}


function sauvegarde_2(httpRequest) {
	try {
	
  	if (httpRequest.status != "200") {
		  alert("Rception erreur "+ httpRequest.status);
		}	
		else {
			var contenu = httpRequest.responseXML;
			var info_exp = contenu.documentElement;
			var action_error = info_exp.getAttribute('action_error');
			var maintenant = new Date();
			var jour;
			var mois;
			if ((maintenant.getDay())>=1 && (maintenant.getDay())<=9) {
				jour="0"+maintenant.getDay();
			}
			else {
				jour=maintenant.getDay();
			}
			if ((maintenant.getMonth())>=1 && (maintenant.getMonth())<=9) {
				mois="0"+maintenant.getMonth();
			}
			else {
				mois=maintenant.getMonth();
			}			
			
			if (isEmpty(action_error)) {			
				var file = fileChooser("save",get_cookie('Dossier_Id')+"_"+jour+mois+maintenant.getFullYear()+".obk");
				if (file!=null) {
					downloadFile(getDirBuffer()+ get_cookie('Dossier_Id') +".obk", file);
				}
			}
			else {
				showWarning(action_error);
			}
		}
		document.getElementById('progression').collapsed = true;
		document.getElementById('pm').setAttribute('mode','none');
		document.getElementById('bOk').disabled = false;
		
	} catch (e) {
    recup_erreur('erreur dans compta/user/autres/sauvegarde.js#sauvegarde_2 : ' + e);
  }
}


function toutSelectionner() {
	try {		
		var liste = document.getElementById("Exercice");
		for (i=0;i<liste.getRowCount();i++) {
			var item = liste.getItemAtIndex(i);
			var cks = item.getElementsByTagName("listcell");
			cks.item(0).setAttribute("checked",true);
		}
	} catch (e) {
    recup_erreur('erreur dans superviseur/dossiers/sauvegarde.js#cocher : ' + e);
  }
}


function selectionnerNonCloture() {
	try {
		var liste = document.getElementById("Exercice");
		for (i=0;i<liste.getRowCount();i++) {
			var item = liste.getItemAtIndex(i);
			var cks = item.getElementsByTagName("listcell");
			if (item.label!="(Exercice cltur)") {
				cks.item(0).setAttribute("checked",true);
			}
			else {
				cks.item(0).setAttribute("checked",false);
			}
		}
	} catch (e) {
    recup_erreur('erreur dans compta/user/autres/sauvegarde.js#init_click : ' + e);
  }
}




function retour_menu_autres() {
  try {
	
    var page = "chrome://opensi/content/compta/user/autres/menu_autres.xul?" + cookie() ;
    window.location = page;
		
  } catch (e) {
    recup_erreur('erreur dans compta/user/autres/sauvegarde.js#retour_menu_autres : ' + e);
  }
}


function retour_menu_principal() {
  try {
	
    var page = "chrome://opensi/content/compta/user/menu_exercice.xul?" + cookie() ;
    page += "&Dates=" + parent.document.getElementById("date_exercice").value;
    window.location = page;
		
  } catch (e) {
    recup_erreur('erreur dans compta/user/autres/sauvegarde.js#retour_menu_principal : ' + e);
  }
}
