/******************************************************************************/
/* OpenSI Comptabilit : Outils libre de comptabilit d'entreprise            */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/


function init() {
  try {
		
		page = "&Page=Compta/Etats/balance_vers_openoffice.tmpl&ContentType=xul" + ParamValeur("ListeOptions");
		
		document.getElementById("openoffice").setAttribute("src",getUrlOpeneas(page));
		
	} catch (e) {
    recup_erreur('erreur dans compta/user/edition/page_attente_openoffice.js#init : ' + e);
  }
}


function retour_menu_principal() {
  try {
    var page = "chrome://opensi/content/compta/user/menu_exercice.xul?" + cookie();
    page += "&Dates=" + parent.document.getElementById("date_exercice").value;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/edition/afficher_balance.js#retour_menu_principal : ' + e);
  }
}

function retour_menu_edition() {
  try {
    var page = "chrome://opensi/content/compta/user/edition/menu_edition.xul?" + cookie();
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/edition/afficher_balance.js#retour_menu_edition : ' + e);
  }
}

function retour_options_balance() {
  try {
    var page = "chrome://opensi/content/compta/user/edition/options_balance.xul?" + cookie();
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/edition/afficher_balance.js#retour_options_balance : ' + e);
  }
}
