/******************************************************************************/
/* OpenSI Comptabilit : Outils libre de comptabilit d'entreprise            */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/

/*
 * Gestion des vnements sur la fentre <compta/user/main.xul>
 * @include chrome://opensi/content/util.js
 *
 */

var valcookie;
 
function init() {
  try {
    var cookieWrapper = getWrapper();
    valcookie = cookieWrapper.getElementById('valcookie').value;
    var page = "chrome://opensi/content/compta/user/menu.xul?" + valcookie;
    document.getElementById("contenu").setAttribute("src",page);
    document.getElementById("login").value = cookieWrapper.getElementById('utilisateur').value;
	  var date = new Date();
	  var mois = date.getMonth()+1;
	  var jour = date.getDate();
	  document.getElementById("date_courante").value = (jour.toString().length==1?"0"+jour:jour)+ "/" +(mois.toString().length==1?"0"+mois:mois)+ "/" +date.getFullYear();
    opener.close();
  } catch (e) {
    recup_erreur('erreur dans user/compta/main.js#init : ' + e);
  }
}


function quit() {
  reset_session(valcookie);
  var page = "chrome://opensi/content/login.xul";
  window.open(page,'login','chrome');
  window.close();
}