/******************************************************************************/
/* OpenSi : Outils libres de gestion d'entreprise                             */
/* Copyright (C) 2003 Speedinfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/


function init() {
  try {
	
		var paramlist = "&Page=Compta/GetRDF/Dossier.tmpl&ContentType=xml";
    load_rdf_async('box1', getUrlOpeneas(paramlist),focus_tree);
    parent.document.getElementById("nom_dossier").value = ParamValeur('Libelle');
    parent.document.getElementById("date_exercice").value = "";
		
  } catch (e) {
    recup_erreur('erreur dans compta/user/menu_dossier.js#init : ' + e);
  }
}
 
 
function focus_tree() {
  try {
    
		var v = document.getElementById('box1');
    v.focus();
    v.view.selection.select(0);
		
  } catch (e) {
    recup_erreur('erreur dans compta/user/menu_dossier.js#focus_tree : ' + e);
  }
}


function nouvel_exercice() {
  try {
	
		if (nb_exos_ouverts()<2) {
  	  window.location = "chrome://opensi/content/compta/user/creer_exercice.xul?"+ cookie();
	  }
		else {
		  showWarning("Impossible d'ouvrir un nouvel exercice ! Vous devez clturer l'exercice prcdent");
    }
  
	} catch (e) {
    recup_erreur('erreur dans compta/user/menu_dossier.js#nouvel_exercice : ' + e);
  }
}


function nb_exos_ouverts() {
  try {

    var corps = cookie() +"&Page=Compta/GetNonBloque.tmpl&ContentType=text";
	  var p = requeteHTTP(corps);

		return parseIntBis(p.responseText);

  } catch (e) {
    recup_erreur('erreur dans compta/user/menu_dossier.js#nb_exos_ouverts : ' + e);
  }
}


function ok() {  
  try {
  
    var tree = document.getElementById('box1');
    var base = getCellText(tree,tree.view.selection.currentIndex,'base');
    var cloturable = getCellText(tree,tree.view.selection.currentIndex,'cloturable');
    var writeable = getCellText(tree,tree.view.selection.currentIndex,'writeable');
    var debut_exercice = getCellText(tree,tree.view.selection.currentIndex,'debut_exercice');
    var fin_exercice = getCellText(tree,tree.view.selection.currentIndex,'fin_exercice');
    var num_exercice = getCellText(tree,tree.view.selection.currentIndex,'num_exercice');
    var dates = getCellText(tree,tree.view.selection.currentIndex,'dates');
    set_cookie('Writeable',writeable);
    set_cookie('Base',base);
    set_cookie('Debut_Exercice',debut_exercice);
    set_cookie('Fin_Exercice',fin_exercice);
    set_cookie('Num_Exercice',num_exercice);
    set_cookie('Cloturable',cloturable);

		var page = "chrome://opensi/content/compta/user/control_coherence.xul?"+ cookie();
    page += "&Dates=Exercice+" + dates;
    window.location = page;

  } catch (e) {
    recup_erreur('erreur dans compta/user/menu_dossier.js#ok : ' + e);
  }
}


function keypress(e) {
  try {
	
    switch(e.keyCode){
      case 13:	ok();	break;
      case 78:	nouvel_exercice();	break;
    }
  
	} catch (e) {
    recup_erreur('erreur dans compta/user/menu_dossier.js#keypress : ' + e);
  }
}


function retourChoixDossier() {
  try {

    window.location = "chrome://opensi/content/compta/user/menu.xul?"+ cookie();

  } catch (e) {
    recup_erreur('erreur dans compta/user/menu_dossier.js#retourChoixDossier : ' + e);
  }
}

