/******************************************************************************/
/* OpenSi : Outils libres de gestion d'entreprise                             */
/* Copyright (C) 2003 Speedinfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/


function init() {
  try {

    var urlnews = "http://www.speedinfo.fr/speedinfo/expershop?Page=OpenSI/DisplayNewsOpensi.tmpl"+nocache()
		document.getElementById('news').setAttribute("src", urlnews);

		var urlinfos = "http://www.speedinfo.fr/speedinfo/expershop?Page=OpenSI/DisplayInfosCompta.tmpl"+nocache();
		document.getElementById('infos').setAttribute("src", urlinfos);

    parent.document.getElementById("date_exercice").value = ParamValeur('Dates');

		document.getElementById('bouton_saisie').focus();

    if (get_cookie('Writeable') == '0') {
      document.getElementById('bouton_saisie').collapsed = true;
			document.getElementById('bouton_ecritures').collapsed = false;
      document.getElementById('bouton_cloture').collapsed = true;
			document.getElementById('message').collapsed = false;
			document.getElementById('bouton_ecritures').focus();
    }
		else if (get_cookie('Cloturable') == '0') {
      document.getElementById('bouton_cloture').collapsed = true;
    }

		var corps = cookie() +"&Page=Compta/Etats/SuiviActivite.tmpl&ContentType=xml";
    var httpRequest = new XMLHttpRequest();
    requeteHTTP(corps,httpRequest,init_2);

  } catch (e) {
    recup_erreur('erreur dans compta/user/menu_exercice.js#init : ' + e);
  }
}


function init_2(httpRequest) {
  try {

		var contenu = httpRequest.responseXML.documentElement;

		document.getElementById('SoldeTresorerie').value = contenu.getAttribute('SoldeTresorerie') +" \u20AC";
		document.getElementById('TotalCAN').value = contenu.getAttribute('TotalCAN') +" \u20AC";

		document.getElementById('GraphCA').setAttribute("src", getDirServeur() +"graph/"+ contenu.getAttribute('GraphCA'));

	} catch (e) {
    recup_erreur('erreur dans compta/user/menu_exercice.js#init_2 : ' + e);
  }
}


function saisie() {
  try {

    window.location = "chrome://opensi/content/compta/user/saisie/menu_saisie.xul?"+ cookie();

  } catch (e) {
    recup_erreur('erreur dans compta/user/menu_exercice.js#saisie : ' + e);
  }
}

function edition() {
  try {

    window.location = "chrome://opensi/content/compta/user/edition/menu_edition.xul?"+ cookie();

  } catch (e) {
    recup_erreur('erreur dans compta/user/menu_exercice.js#edition : ' + e);
  }
}

function consultation() {
  try {

    window.location = "chrome://opensi/content/compta/user/consultation/menu_consultation.xul?"+ cookie();

  } catch (e) {
    recup_erreur('erreur dans compta/user/menu_exercice.js#consultation : ' + e);
  }
}

function cloture() {
  try {

    window.location = "chrome://opensi/content/compta/user/cloture/options_cloture.xul?"+ cookie();

  } catch (e) {
    recup_erreur('erreur dans compta/user/menu_exercice.js#cloture : ' + e);
  }
}

function tabbord() {
	try {

    window.location = "chrome://opensi/content/compta/user/tab_bord/menu_bord.xul?"+ cookie();

	} catch (e) {
    recup_erreur('erreur dans compta/user/menu_exercice.js#tabbord : ' + e);
  }
}

function suivi() {
	try {

    window.location = "chrome://opensi/content/compta/user/suivi_activite/menu_suivi.xul?"+ cookie();

	} catch (e) {
    recup_erreur('erreur dans compta/user/menu_exercice.js#suivi : ' + e);
  }
}

function autres() {
  try {

  	window.location = "chrome://opensi/content/compta/user/autres/menu_autres.xul?"+ cookie();

  } catch (e) {
    recup_erreur('erreur dans compta/user/menu_exercice.js#autres : ' + e);
  }
}

function rappbancaire() {
  try {

  	window.location = "chrome://opensi/content/compta/user/rapprochement/rapprochement.xul?"+ cookie();

  } catch (e) {
    recup_erreur('erreur dans compta/user/menu_exercice.js#rappbancaire : ' + e);
  }
}

function retour_exercice() {
  try {

    var page = "chrome://opensi/content/compta/user/menu_dossier.xul?"+ cookie() ;
    page += "&Libelle="+ parent.document.getElementById("nom_dossier").value;
    window.location = page;

  } catch (e) {
    recup_erreur('erreur dans compta/user/menu_exercice.js#retour_exercice : ' + e);
  }
}

function retourChoixDossier() {
  try {

    window.location = "chrome://opensi/content/compta/user/menu.xul?"+ cookie();

  } catch (e) {
    recup_erreur('erreur dans compta/user/menu_exercice.js#retourChoixDossier : ' + e);
  }
}
