/******************************************************************************/
/* OpenSi : Outils libres de gestion d'entreprise                             */
/* Copyright (C) 2003 Speedinfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/


function init() {
	try {

		document.getElementById("nvsoldebanque").focus();
		window.addEventListener("close",croix,false);

	}	catch(e) {
		recup_erreur('erreur dans compta/user/rapprochement/nvsoldebanque.js#init : ' + e);
	}
}


function croix() {
	try {

		window.arguments[0](0.00);
		window.close();

	}	catch(e) {
		recup_erreur('erreur dans compta/user/rapprochement/nvsoldebanque.js#croix : ' + e);
	}
}


function continuer() {
	try {

		var valeur = document.getElementById("nvsoldebanque").value;
		if (!(checkDecimal(valeur,2)) || isEmpty(valeur)){
			showWarning("Veuillez rentrez votre nouveau solde de banque(le solde doit tre un nombre)");
		}
		else {
			window.arguments[0](valeur);
			window.close();
		}

	}	catch(e) {
		recup_erreur('erreur dans compta/user/rapprochement/nvsoldebanque.js#continuer : ' + e);
	}
}


function keypress(e) {

	if (e.keyCode==13) {
		continuer();
	}
}
