/******************************************************************************/
/* OpenSI Comptabilit : Outils libre de comptabilit d'entreprise            */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/

/*
 * Gestion des vnements sur la fentre <compta/user/suivi_activite/budget/lesTableaux.xul>
 *
 */

var choixDuUser;

function init() {

		try {
		page = "&Page=Compta/SuiviActivite/bord/TableauxIntermediaires.tmpl&ContentType=xul&choix="+ParamValeur("choix")+"&edition="+ParamValeur("edition");
			
		page += "&URL="+getUrlOpeneas("");
		document.getElementById("lesTableaux").setAttribute("src",getUrlOpeneas(page));
		
		choixDuUser=ParamValeur("choix");
	
	} catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/bord/tableaux_intermediaires.js#init : ' + e);
  }

}


function retour_menu_principal() {
  try {
    var page = "chrome://opensi/content/compta/user/menu_exercice.xul?" + cookie() ;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/bord/tableaux_intermediaires.js#retour_menu_principal : ' + e);
  }
}

function retour_menu_suivi() {
  try {
    var page = "chrome://opensi/content/compta/user/suivi_activite/menu_suivi.xul?" + cookie() ;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/bord/tableaux_intermediaires.js#retour_menu_suivi : ' + e);
  }
}

function retour_dates() {
  try {
    var page = "chrome://opensi/content/compta/user/suivi_activite/pre_menu_bord.xul?" + cookie() ;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/bord/tableaux_intermediaires.js#retour_dates : ' + e);
  }
}

function retour_menu_saisie() {
  try {
    var page = "chrome://opensi/content/compta/user/suivi_activite/bord/menu_bord.xul?" + cookie() ;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/bord/tableaux_intermediaires.js#retour_menu_saisie : ' + e);
  }
}




		
	

function recupererNombreDansElement(element)
{
try{

	var iframe=document.getElementById("lesTableaux").contentDocument;
	var regexp=/ /gi;
	var texte=iframe.getElementById(element).value;
	var resultat=texte.replace(regexp,"");

	return resultat;


	} catch (e) {
recup_erreur('erreur dans compta/user/suivi_activite/bord/tableaux_intermediaires.js#recupererNombreDansElement : ' + e);
  }
}

		
			

function choixVersMnemo()
{
try{
	if (choixDuUser=="P")
	{
		return "CP";
	}
	else if (choixDuUser=="A")
	{
		return "AM";
	}
	else if (choixDuUser=="I")
	{
		return "IT";
	}
	else if (choixDuUser=="F")
	{
		return "CF";
	}
	else if (choixDuUser=="E")
	{
		return "CE";
	}
	else
	{
		return "EE";
	}

} catch (e) {
recup_erreur('erreur dans compta/user/suivi_activite/bord/tableaux_intermediaires.js#choixVersMnemo : ' + e);
  }

}






function revenir()
{
	try 
	{
		
		retour_menu_saisie();

	}catch (e) {
  	recup_erreur('erreur dans compta/user/suivi_activite/bord/tableaux_intermediaires.js#revenir : ' + e);
  }
}



function exporterVersOoo()
{

}
