/******************************************************************************/
/* OpenSI Comptabilit : Outils libre de comptabilit d'entreprise            */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/

/*
 * Gestion des vnements sur la fentre <compta/user/suivi_activite/budget.xul>
 *
 */

var id_budget;

function init()
{
		id_budget=ParamValeur("Id_Budget");

	//Pour savoir quels tableaux sont saisis ou non
	var page = "Page=Compta/SuiviActivite/budget/quelsTableauxSaisis.tmpl&ContentType=xml";
	page+="&dossier="+get_cookie("Dossier_Id");
	page+= "&Id_Budget="+id_budget;
	var httpRequest = new XMLHttpRequest();
	requeteHTTP(page, httpRequest, init_2);

}

function init_2(httpRequest) {
	

	var contenu = httpRequest.responseXML;

	var saisies = contenu.documentElement;

	var ch_perso= saisies.getAttribute('CP');
	var ch_ext= saisies.getAttribute('CE');
	var ch_fin= saisies.getAttribute('CF');
	var amort= saisies.getAttribute('AM');
	var impot= saisies.getAttribute('IT');
	var chiffreA= saisies.getAttribute('CA');





	if(ch_perso=="y"&&ch_fin=="y"&&ch_ext=="y"&&chiffreA=="y"&&amort=="y"&&impot=="y")
	{//Tout est saisi => On peut voir le rcap
		document.getElementById("bouton_recap").disabled=false;
		document.getElementById("information").value="Vous pouvez afficher le rcapitulatif si vous le souhaitez.";
	}
	else
	{
		document.getElementById("bouton_recap").disabled=true;
		document.getElementById("information").value="Vous devez saisir tous les budgets avant de pouvoir afficher le rcapitulatif.";
	}



	
}

function retour_menu_principal() {
  try {
    var page = "chrome://opensi/content/compta/user/menu_exercice.xul?" + cookie() ;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/budget/menu_budget.js#retour_menu_principal : ' + e);
  }
}

function retour_menu_suivi() {
  try {
    var page = "chrome://opensi/content/compta/user/suivi_activite/menu_suivi.xul?" + cookie() ;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/budget/menu_budget.js#retour_menu_suivi : ' + e);
  }
}

function retour_menu_dates() {
  try {
    var page = "chrome://opensi/content/compta/user/suivi_activite/pre_menu_budget.xul?" + cookie() ;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/budget/menu_budget.js#retour_menu_dates : ' + e);
  }
}

function prevoir()
{
 try {
    var page = "chrome://opensi/content/compta/user/suivi_activite/budget/menu_edition_budget.xul?" + cookie() ;
		page+="&Id_Budget="+id_budget;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/budget/menu_budget.js#prevoir : ' + e);
  }
}

function recap()
{
 try {
    var page = "chrome://opensi/content/compta/user/suivi_activite/budget/tab_de_bord.xul?" + cookie() ;
		page+="&Id_Budget="+id_budget;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/budget/menu_budget.js#recap : ' + e);
  }
}

