/******************************************************************************/
/* OpenSI Comptabilit : Outils libre de comptabilit d'entreprise            */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/

/*
 * Gestion des vnements sur la fentre <compta/user/suivi_activite/budget.xul>
 *
 */
var id_budget; 


function init()

{
try{




	document.getElementById('choix').selectedItem = document.getElementById('choixPerso');
	document.getElementById('edition').selectedItem = document.getElementById('auto');
	id_budget=ParamValeur("Id_Budget");


	//Pour savoir quels tableaux sont saisis ou non
	var page = "Page=Compta/SuiviActivite/budget/quelsTableauxSaisis.tmpl&ContentType=xml&test=toto";
	page+="&dossier="+get_cookie("Dossier_Id");
	page+= "&Id_Budget="+id_budget;
	var httpRequest = new XMLHttpRequest();
	requeteHTTP(page, httpRequest, init_2);
	} catch (e) {
    	recup_erreur('erreur dans compta/user/suivi_activite/budget/menu_edition_budget.js#init : ' + e);
  	}


}



function init_2(httpRequest) {
	

	var contenu = httpRequest.responseXML;

	var saisies = contenu.documentElement;

	var ch_perso= saisies.getAttribute('CP');
	var ch_ext= saisies.getAttribute('CE');
	var ch_fin= saisies.getAttribute('CF');
	var amort= saisies.getAttribute('AM');
	var impot= saisies.getAttribute('IT');
	var chiffreA= saisies.getAttribute('CA');



//Ce que y avait avant....

	if(ch_perso=="y")
	{
		document.getElementById("visuelCP").hidden=true;
	}

	if(ch_fin=="y")
	{
		document.getElementById("visuelCF").hidden=true;
	}

	if(ch_ext=="y")
	{
		document.getElementById("visuelCE").hidden=true;
	}

	if(amort=="y")
	{
		document.getElementById("visuelAM").hidden=true;
	}

	if(impot=="y")
	{
		document.getElementById("visuelIT").hidden=true;
	}

	if(chiffreA=="y")
	{
		document.getElementById("visuelCA").hidden=true;
	}


	
}





function sauvegarder_2()
{
	retour_menu_suivi();
}



function retour_menu_principal() {
  try {
    var page = "chrome://opensi/content/compta/user/menu_exercice.xul?" + cookie() ;
    page += "&Dates=" + parent.document.getElementById("date_exercice").value;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/budget.js#retour_menu_principal : ' + e);
  }
}

function retour_menu_suivi() {
  try {
    var page = "chrome://opensi/content/compta/user/suivi_activite/menu_suivi.xul?" + cookie() ;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/budget/menu_budget.js#retour_menu_suivi : ' + e);
  }
}

function retour_menu_dates() {
  try {
    var page = "chrome://opensi/content/compta/user/suivi_activite/pre_menu_budget.xul?" + cookie() ;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/budget/menu_budget.js#retour_menu_dates : ' + e);
  }
}

function retour_menu_budget() {
  try {
    var page = "chrome://opensi/content/compta/user/suivi_activite/budget/menu_budget.xul?" + cookie() ;
		page+= "&Id_Budget="+id_budget;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/budget/menu_budget.js#retour_menu_dates : ' + e);
  }
}



function editer()
{
try {
	
	var choix=document.getElementById('choix').value;
	var edition=document.getElementById('edition').value;
	
	
		if (choix=="C")
		{
			var page = "chrome://opensi/content/compta/user/suivi_activite/budget/saisie_CA.xul?" + cookie()+"&edition="+edition;
			page+="&Id_Budget="+id_budget;
			window.location = page;
		}
		else
		{
			var page = "chrome://opensi/content/compta/user/suivi_activite/budget/lesTableaux.xul?" + cookie() + "&choix="+choix+"&edition="+edition;
			page+="&Id_Budget="+id_budget;
			window.location = page;
		}

	} catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/budget.js#editer : ' + e);
  }
}

