/******************************************************************************/
/* OpenSI Comptabilit : Outils libre de comptabilit d'entreprise            */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/

/*
 * Gestion des vnements sur la fentre <compta/user/suivi_activite/budget/tab_de_bord.xul>
 *
 */
var id_budget;
function init() {

try{
		id_budget=ParamValeur("Id_Budget");
		
		var url_tab = "&Page=Compta/SuiviActivite/budget/tab_de_bord.tmpl&ContentType=xul";
		url_tab+="&Id_Budget="+id_budget;
		document.getElementById('lesTableaux').setAttribute("src", getUrlOpeneas(url_tab));
	 } catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/budget/tab_de_bord.js#retour_menu_principal : ' + e);
  }	

}



function retour_menu_principal() {
  try {
    var page = "chrome://opensi/content/compta/user/menu_exercice.xul?" + cookie() ;
    page += "&Dates=" + parent.document.getElementById("date_exercice").value;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/budget/tab_de_bord.js#retour_menu_principal : ' + e);
  }
}

function retour_menu_suivi() {
  try {
    var page = "chrome://opensi/content/compta/user/suivi_activite/menu_suivi.xul?" + cookie() ;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/budget/tab_de_bord..js#retour_menu_suivi : ' + e);
  }
}

function retour_menu_dates() {
  try {
    var page = "chrome://opensi/content/compta/user/suivi_activite/pre_menu_budget.xul?" + cookie() ;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/budget/tab_de_bord.t.js#retour_menu_dates : ' + e);
  }
}

function retour_menu_budget() {
  try {
    var page = "chrome://opensi/content/compta/user/suivi_activite/budget/menu_budget.xul?" + cookie() ;
		page+= "&Id_Budget="+id_budget;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/budget/tab_de_bord.js#retour_menu_dates : ' + e);
  }
}

function revenir(){
  try {
				retour_menu_budget();
  } catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/budget/tab_de_bord.js#retour_menu_dates : ' + e);
  }
}

// ****************************************************************************************

function exporterVersOoo()
	{
	try {
	
		var iframe=document.getElementById("lesTableaux").contentDocument;
		var nbMois=iframe.getElementById("nbMois").value;
		var base=iframe.getElementById("base").value;
		var anneeDebut=iframe.getElementById("anneeDebut").value;
		var moisDebut=iframe.getElementById("moisDebut").value;
		var date_cloture=iframe.getElementById("clos").value;

		var page = "Page=Compta/SuiviActivite/budget/TabDeBordVersOoo.tmpl&ContentType=xml&nbMois="+nbMois;
		page+="&baseBD="+base+"&moisDebut="+moisDebut+"&anneeDebut="+anneeDebut+"&clos="+date_cloture;
		page+= "&Id_Budget="+id_budget;
		var httpRequest = new XMLHttpRequest();
		
		requeteHTTP(page, httpRequest, exporterVersOoo_2);
		
		} catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/budget/tab_de_bord.js#exporterVersOoo : ' + e);
  }
		
	}
	
	
	function exporterVersOoo_2(httpRequest) {
	
	try{
			var contenu = httpRequest.responseXML;
			var nomFichier = contenu.documentElement;
			var nomFichier = nomFichier.getAttribute('nom');
			
			var file = fileChooser("save", nomFichier +".sxc");

			if (file!=null)
			{
				downloadFile(getDirServeur()+"/openoffice/"+ nomFichier +".sxc", file);
			}
			
			} catch (e) {
   	 recup_erreur('erreur dans compta/user/suivi_activite/budget/tab_de_bord.js#exporterVersOoo_2 : ' + e);
  	}
			
	
	}



