/******************************************************************************/
/* OpenSI Comptabilit : Outils libre de comptabilit d'entreprise            */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/

/*
 * Gestion des vnements sur la fentre <compta/user/suivi_activite/budget/tab_de_bord.xul>
 *
 */
var id_budget; 

function init() {
 try {
 
	 id_budget=ParamValeur("Id_Budget");
	 
		var url_tab = "&Page=Compta/SuiviActivite/comparatif/comparatif.tmpl&ContentType=xul";
		url_tab+= "&Id_Budget="+id_budget;
		document.getElementById('lesTableaux').setAttribute("src", getUrlOpeneas(url_tab));
	
		
		} catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/comparatif/comparatif.js#init : ' + e);
  }

}




function retour_menu_principal() {
  try {
    var page = "chrome://opensi/content/compta/user/menu_exercice.xul?" + cookie() ;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/comparatif/comparatif.js#retour_menu_principal : ' + e);
  }
}

function retour_menu_suivi() {
  try {
    var page = "chrome://opensi/content/compta/user/suivi_activite/menu_suivi.xul?" + cookie() ;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/comparatif/comparatif.js#retour_menu_suivi : ' + e);
  }
}

function retour_dates() {
  try {
    var page = "chrome://opensi/content/compta/user/suivi_activite/pre_menu_comparatif.xul?" + cookie() ;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/comparatif/comparatif.js#retour_dates : ' + e);
  }
}

function retour_menu_saisie() {
  try {
    var page = "chrome://opensi/content/compta/user/suivi_activite/comparatif/menu_comparatif.xul?" + cookie() ;
		page+= "&Id_Budget="+id_budget;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/comparatif/comparatif.js#retour_menu_saisie : ' + e);
  }
}



function revenir()
{
	try 
	{
		
		retour_menu_saisie();

	}catch (e) {
  	recup_erreur('erreur dans compta/user/suivi_activite/comparatif/comparatif.js#revenir : ' + e);
  }
}




/* ************************************************************************************* */

function exporterVersOoo()
	{
	try {

		var iframe=document.getElementById("lesTableaux").contentDocument;
		var nbMois=iframe.getElementById("nbMois").value;
		var decal=iframe.getElementById("moisDebut").value;

		var listeDeTout=creeListeExport();
		listeDeTout=listeDeTout.replace("&","et");
		listeDeTout=listeDeTout.replace("%","pourcent");
		listeDeTout=listeDeTout.replace("","ion");
		listeDeTout=listeDeTout.replace("'"," ");

		var page = "Page=Compta/SuiviActivite/comparatif/exportRecapVersOoo.tmpl&ContentType=xml&liste="+listeDeTout+"&nbMois="+nbMois+"&decal="+decal;
		var httpRequest = new XMLHttpRequest();
		
		requeteHTTP(page, httpRequest, exporterVersOoo_2);
		
		} catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/comparatif/tableauCA.js#exporterVersOoo : ' + e);
  }
		
	}
	
	
	function exporterVersOoo_2(httpRequest) {
	
	try{
			var contenu = httpRequest.responseXML;
			var nomFichier = contenu.documentElement;
			var nomFichier = nomFichier.getAttribute('nom');

			
			
			var file = fileChooser("save", nomFichier +".sxc");

			if (file!=null)
			{
				downloadFile(getDirServeur()+"/openoffice/"+ nomFichier +".sxc", file);
			}
			
			} catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/comparatif/tableauCA.js#exporterVersOoo_2 : ' + e);
  }
			
	
	}
	
/* Cre la liste  partir des valeurs des champs prevu, actu et retenu*/
/* Ne pas recalculer ces champs garantie la cohrence entre le tableau  l'cran et sur Ooo */
	function creeListeExport()
	{
	try{
		var iframe=document.getElementById("lesTableaux").contentDocument;

		var resultat="";

			resultat+=";Chiffre d'affaires";
			resultat+=listeExport("CA");
			
				resultat+=";Achats directs";
				resultat+=listeExport("AD");
				
				resultat+=";Marge brute";
				resultat+=listeExport("MB");
				
				resultat+=";Charges de personnel";
				resultat+=listeExport("CP");

				resultat+=";Charges externes";
				resultat+=listeExport("CE");
				
				resultat+=";Impts et autres taxes";
				resultat+=listeExport("IT");
				
				resultat+=";Amortissements";
				resultat+=listeExport("AM");
				
				resultat+=";Charges financieres";
				resultat+=listeExport("CF");
				
				resultat+=";Resultat courant";
				resultat+=listeExport("RC");

	

		return resultat;
		} catch (e) {
  			  recup_erreur('erreur dans compta/user/suivi_activite/comparatif/tableauCA.js#creeListeExport: ' + e);
  		}
	}	

	function listeExport(lib)
	{
		try{
		var iframe=document.getElementById("lesTableaux").contentDocument;
		var nbMois=iframe.getElementById("nbMois").value;

		var resultat="";

			var lesPrevus="";
			var lesReal="";

			for(mois=1; mois<=nbMois;mois++)
			{
				var elementReal="real_"+lib+"_M"+mois; 
				var valeurReal=recupererNombreDansElement(elementReal);

				lesReal+=","+valeurReal;


				var elementPrev="prevu_"+lib+"_M"+mois; 
				var valeurPrev=recupererNombreDansElement(elementPrev);

				lesPrevus+=","+valeurPrev;

			}	
			resultat="_"+lesPrevus+"_"+lesReal;
			return resultat;
		
		
		} catch (e) {
  			  recup_erreur('erreur dans compta/user/suivi_activite/comparatif/tableauCA.js#creeListeExport: ' + e);
  		}
	
	}


function recupererNombreDansElement(element)
{
try{
	var iframe=document.getElementById("lesTableaux").contentDocument;
	var regexp=/ /gi;
	var texte=iframe.getElementById(element).value;
	var resultat=texte.replace(regexp,"");
	}catch (e) {
  	recup_erreur('erreur dans compta/user/suivi_activite/comparatif/tableauCA.js#recupererNombreDansElement : ' + e);
  }

	return resultat;
}
