/******************************************************************************/
/* OpenSI Comptabilit : Outils libre de comptabilit d'entreprise            */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/

 
function init() {
  try {
	
		page = "&Page=Compta/SuiviActivite/liste_dates_suivi.tmpl&ContentType=xul";
		page += "&URL="+getUrlOpeneas("");
		document.getElementById("liste_des_dates").setAttribute("src",getUrlOpeneas(page));

		

  } catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/menu_suivi.js#init : ' + e);
  }
}


function retour_menu_principal() {
  try {
    var page = "chrome://opensi/content/compta/user/menu_exercice.xul?" + cookie() ;
    page += "&Dates=" + parent.document.getElementById("date_exercice").value;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/menu_suivi.js#retour_menu_principal : ' + e);
  }
}



function retour_menu_suivi() {
  try {
    var page = "chrome://opensi/content/compta/user/suivi_activite/menu_suivi.xul?" + cookie() ;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/budget.js#retour_menu_tabbord : ' + e);
  }
}



			function budgetNouveau()
			{
			
			try{
			
			
			var moisD=document.getElementById('mois_debut_budget').selectedItem.id;
			var anneeD=document.getElementById('annee_debut_budget').selectedItem.label;
			var moisF=document.getElementById('mois_fin_budget').selectedItem.id;
			var anneeF=document.getElementById('annee_fin_budget').selectedItem.label;

			var moisDRef=document.getElementById('mois_debut_budgetRef').selectedItem.id;
			var anneeDRef=document.getElementById('annee_debut_budgetRef').selectedItem.label;
			var moisFRef=document.getElementById('mois_fin_budgetRef').selectedItem.id;
			var anneeFRef=document.getElementById('annee_fin_budgetRef').selectedItem.label;


			var verif=verifDates(moisD, anneeD, moisF, anneeF);
			if (verif!="")
			{
				alert("Date du budget:"+verif);
			}
			else
			{
				var verif2=verifPeriodesBudget();
				if(verif2!="")
				{
					alert(verif2);
				}
				else
				{

					//Les cookies, date sous forme "mois,annee" 
					var dateDebut=moisD+","+anneeD;
					var dateFin=moisF+","+anneeF;
					var dateDebutR=moisDRef+","+anneeDRef;
					var dateFinR=moisFRef+","+anneeFRef;

					set_cookie("Debut_Suivi",dateDebut);
					set_cookie("Fin_Suivi",dateFin);
					set_cookie("Debut_Suivi_Ref",dateDebutR);
					set_cookie("Fin_Suivi_Ref",dateFinR);


					//On enregistre le nouveau budget
					var page = "Page=Compta/SuiviActivite/nouveau_budget.tmpl&ContentType=xml";
					page+="&MD="+moisD;
					page+="&AD="+anneeD;
					page+="&MF="+moisF;
					page+="&AF="+anneeF;
					page+="&dossier="+get_cookie("Dossier_Id");
					page+="&MDref="+moisDRef;
					page+="&ADref="+anneeDRef;
					page+="&MFref="+moisFRef;
					page+="&AFref="+anneeFRef;
					var httpRequest = new XMLHttpRequest();

					requeteHTTP(page, httpRequest, budgetNouveau_2);
				}
			}

				
				
		} catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/pre_menu_budget.js#sauvegarde : ' + e);
  }
				
				
			}
			
			
			function budgetNouveau_2(httpRequest)
			{
				try {
				
				
				var contenu = httpRequest.responseXML;
				var identifiant = contenu.documentElement;
				var identifiant = identifiant.getAttribute('id');
				
					//On passe  la suite
    			var page = "chrome://opensi/content/compta/user/suivi_activite/budget/menu_budget.xul?" + cookie()+"&Id_Budget="+identifiant;
					window.location = page;
				} catch (e) {
    			recup_erreur('erreur dans compta/user/suivi_activite/pre_menu_budget.js#budgetNouveau_2 : ' + e);
  				}	
			}







function budgetExistant()
{
	
	var iframe=document.getElementById("liste_des_dates").contentDocument;
	var identifiant=iframe.getElementById("listeDate").selectedItem.id;
	
	var tabDate=identifiant.split('.');
	
	
	//Les cookies, date sous forme "mois,annee" 
	var dateDebut=tabDate[0]+","+tabDate[1];
	var dateFin=tabDate[2]+","+tabDate[3];
	var dateDebutR=tabDate[4]+","+tabDate[5];
	var dateFinR=tabDate[6]+","+tabDate[7];
	
	var id_budget=tabDate[8];
	
	set_cookie("Debut_Suivi",dateDebut);
	set_cookie("Fin_Suivi",dateFin);
	set_cookie("Debut_Suivi_Ref",dateDebutR);
	set_cookie("Fin_Suivi_Ref",dateFinR);
	
	
	//On passe  la suite
   var page = "chrome://opensi/content/compta/user/suivi_activite/budget/menu_budget.xul?" + cookie()+"&Id_Budget="+id_budget;

	
	 window.location = page;
	
}


function verifDates(moisDebut, anneeDebut, moisFin, anneeFin)
{
try {
	if((parseInt(moisDebut)>parseInt(moisFin) && parseInt(anneeDebut)==parseInt(anneeFin) )|| parseInt(anneeDebut)>parseInt(anneeFin))
	{
		return "La date de dbut est postrieure  la date de fin "+moisDebut+" "+anneeDebut+" >> "+moisFin+" "+anneeFin;
	}
	else
	{
		return "";
	}
	} catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/menu_suivi.js#verifDates : ' + e);
  }
}


/*
* Verifie que la priode de rfrence est antrieure  la priode du budget
*/
function verifPeriodesBudget()
{
	var resultat="";
	
	var moisF=document.getElementById("mois_fin_budgetRef").value;
	var anneeF=document.getElementById("annee_fin_budgetRef").value;
	
	var moisD=document.getElementById("mois_debut_budget").value;
	var anneeD=document.getElementById("annee_debut_budget").value;
	
	if (moisD>moisF || anneeD>anneeF)
	{
		resultat="La priode de rfrence du budget doit tre antrieure strictement  la priode du budget";
	}

	return resultat;
	
}
