/******************************************************************************/
/* OpenSI Comptabilit : Outils libre de comptabilit d'entreprise            */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/

/*
 * Gestion des vnements sur la fentre <compta/user/suivi_activite/choix_periodes>
 *
 */
 
function init() {
  try {
  } catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/questionnaire.js#init : ' + e);
  }
}



function retour_menu_principal() {
  try {
    var page = "chrome://opensi/content/compta/user/menu_exercice.xul?" + cookie() ;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/questionnaire.js#retour_menu_principal : ' + e);
  }
}

function retour_menu_suivi() {
  try {
    var page = "chrome://opensi/content/compta/user/suivi_activite/menu_suivi.xul?" + cookie() ;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/questionnaire.js#retour_menu_suivi : ' + e);
  }
}



function coef_saison_editable(true_false)
{
	if (true_false)
	{
		document.getElementById("tableau_coef").hidden=false;
	}
	else
	{
		document.getElementById("tableau_coef").hidden=true;
	}
}

function clicListeActivite()
{
	var choix=document.getElementById("liste_activite").selectedItem.id;
	
	if(choix=="P")
	{
		document.getElementById("boite_MC").hidden=true;
		document.getElementById("boite_MBP").hidden=false;
	}
	else if(choix=="M")
	{
		document.getElementById("boite_MBP").hidden=true;
		document.getElementById("boite_MC").hidden=false;
	}
	else
	{
		document.getElementById("boite_MC").hidden=false;
		document.getElementById("boite_MBP").hidden=false;
	}
	
	
}

function valider()
{
	var inv_perm=document.getElementById("inventaire").selectedItem.value;
	var coef_saison=document.getElementById("saison").selectedItem.value;
	var domaine=document.getElementById("liste_activite").selectedItem.id;
	var MC=document.getElementById("MC").value;
	var MBP=document.getElementById("MBP").value;
	
	var listeSaison="vide";
	if(coef_saison=="y")
	{
		var probleme="";
		listeSaison=document.getElementById("mois1").value;
		var courant=document.getElementById("mois1").value;
		if(isNaN(parseInt(courant))||isNaN(courant)){ probleme="Le coefficient du 1er mois n'est pas un nombre"}

		for(t=2; t<=12;t++)
		{
			courant=document.getElementById("mois"+t).value;
			if(isNaN(parseInt(courant))||isNaN(courant)){ probleme+="Le coefficient du "+t+"me mois n'est pas un nombre"}

			listeSaison+=","+document.getElementById("mois"+t).value;

		}
	
		if(probleme!="")
		{
			alert("Erreur de saisie:"+probleme);
		}

	}
	
	if ((domaine=="P" || domaine=="D")&&(isNaN(parseInt(MBP))||isNaN(MBP)))
	{
		alert("La marge brute de production n'est pas correcte");
	}
	
	if ((domaine=="M" || domaine=="D")&&(isNaN(parseInt(MC))||isNaN(MC)))
	{
		alert("La marge commerciale n'est pas correcte");
	}
	

	if(domaine=='P')MC=0;
	if(domaine=='M')MBP=0;

		sauvegarder(inv_perm,domaine,coef_saison,listeSaison,MC,MBP);

}

function sauvegarder(inventaire, domaine, coef, liste_coef, mc, mbp)

{
try{
	var page = "Page=Compta/SuiviActivite/enregistrer_questionnaire.tmpl&ContentType=none";
	page+="&I="+inventaire;
	page+="&D="+domaine;
	page+="&C="+coef;
	page+="&L="+liste_coef;
	page+="&mc="+mc;
	page+="&mbp="+mbp;
	page+="&dossier="+get_cookie("Dossier_Id");
	
	var httpRequest = new XMLHttpRequest();

	requeteHTTP(page, httpRequest, sauvegarder_2);

	} catch (e) {
    			recup_erreur('erreur dans compta/user/suivi_activite/questionnaire.js#sauvegarder : ' + e);
  			}


}


function sauvegarder_2()
{
	retour_menu_suivi();
}
