/******************************************************************************/
/* OpenSI Comptabilit : Outils libre de comptabilit d'entreprise            */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/

/*
 * Gestion des vnements sur la fentre <compta/user/tab_bord/gestion.xul>
 *
 */



function init() {

		try {
		
		document.getElementById("debug").value="le choixx:"+ParamValeur("choix");
	
		page = "&Page=Compta/TableauDeBord/Gestion/TableauSaisieCA.tmpl&ContentType=xul&choix=" + ParamValeur("choix");//+"&edition=" + ParamValeur("edition");
		page += "&URL="+getUrlOpeneas("");
		document.getElementById("lesTableaux").setAttribute("src",getUrlOpeneas(page));

		
	} catch (e) {
    recup_erreur('erreur dans compta/user/tab_bord/gestion/saisie_CA.js#init : ' + e);
  }

}




function retour_menu_principal() {
  try {
    var page = "chrome://opensi/content/compta/user/menu_exercice.xul?" + cookie() ;
    page += "&Dates=" + parent.document.getElementById("date_exercice").value;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/tab_bord/gestion/saisie_CA.js#retour_menu_principal : ' + e);
  }
}

function retour_menu_tabbord() {
  try {
    var page = "chrome://opensi/content/compta/user/tab_bord/menu_bord.xul?" + cookie() ;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/tab_bord/gestion/saisie_CA.js#retour_menu_tabbord : ' + e);
  }
}


	
		/* Sauvegarde du tout */
			function sauvegarde()
			{
			
			try{
			
				//debug="";
				var iframe=document.getElementById("lesTableaux").contentDocument;
				
				var base=iframe.getElementById("baseDeDonnee").value;

					
				var liste=creerListe();
				
				var page = "Page=Compta/TableauDeBord/Gestion/Sauvegarde.tmpl&ContentType=none&BaseBD="+base+"&Liste="+liste+"&Choix=C";
				var httpRequest = new XMLHttpRequest();
				requeteHTTP(page, httpRequest, sauvegarde_2);
			
				
				} catch (e) {
    	recup_erreur('erreur dans compta/user/tab_bord/gestion/saisie_impots.js#sauvegarde : ' + e);
  			}
				
				
			}
			
	
	
	
			function sauvegarde_2()
			{
					document.getElementById("debug").value="Sauvegarde Termine";
			}
	
	
	
	
		/* Cree la liste pour la sauvegarde et/ou pour Ooo */
			function creerListe()
			{
			
			try{
			
			
				var iframe=document.getElementById("lesTableaux").contentDocument;
				var nbMois=iframe.getElementById("nbMois").value;
				var decal=iframe.getElementById("decalage").value;
			
				var liste="";
				
				//Pour tous les tableaux on regarde actu
				for (mois=1; mois<=nbMois;mois++)
				{
				
				 var leMoisenMilli=iframe.getElementById("moisMilli_M"+mois).value;
					var vraiMois=parseInt(mois)+parseInt(decal);
				
				var VM=recupererNombreDansElement("actu_VM_M"+mois);
				var CMV=recupererNombreDansElement("actu_CMV_M"+mois);
				
				var PV=recupererNombreDansElement("actu_PV_M"+mois);
				var PS=recupererNombreDansElement("actu_PS_M"+mois);
				var PIM=recupererNombreDansElement("actu_PIM_M"+mois);
				
				var MA=recupererNombreDansElement("actu_MA_M"+mois);

				if(!isNaN(parseInt(VM)))
				{//Y a une valeur, on la sauve
					
					var numDeCompte="70700000"; //premier compte de VM
					liste+=","+numDeCompte+","+leMoisenMilli+","+VM;
				}
				
				if(!isNaN(parseInt(CMV)))
				{//Y a une valeur, on la sauve
					var numDeCompte="60700000"; //premier compte de CMV
					liste+=","+numDeCompte+","+leMoisenMilli+","+CMV;
				}

				if(!isNaN(parseInt(PV)))
				{//Y a une valeur, on la sauve
					var numDeCompte="73000000"; //premier compte de PV
					liste+=","+numDeCompte+","+leMoisenMilli+","+PV;
				}
				
				if(!isNaN(parseInt(PS)))
				{//Y a une valeur, on la sauve
					var numDeCompte="71000000"; //premier compte de PS
					liste+=","+numDeCompte+","+leMoisenMilli+","+PS;
				}
				
				if(!isNaN(parseInt(PIM)))
				{//Y a une valeur, on la sauve
					var numDeCompte="72000000"; //premier compte de PIM
					liste+=","+numDeCompte+","+leMoisenMilli+","+PIM;
				}
				
				if(!isNaN(parseInt(MA)))
				{//Y a une valeur, on la sauve
					var numDeCompte="60000000"; //premier compte de MA
					liste+=","+numDeCompte+","+leMoisenMilli+","+MA;
				}
				

					
				}
				
				
				return liste;
				
				
				
				} catch (e) {
    	recup_erreur('erreur dans compta/user/tab_bord/gestion/saisie_CA.js#creerListe : ' + e);
  			}
				
			}
			
			
			
			
			
			
			
			
			
			
			
			
			
			
			
			
function suivant()
{
	try 
	{
		sauvegarde_totaux();

		
  } catch (e) {
    recup_erreur('erreur dans compta/user/tab_bord/gestion/saisie_CA.js#suivant : ' + e);
  }
}

function listeCA()
{
	var iframe=document.getElementById("lesTableaux").contentDocument;
	var result="";
	var nbMois=iframe.getElementById("nbMois").value;
	
	if (nbMois >0)
	{
		result+=recupererNombreDansElement("retenu_CA_M1");
		for (t=2; t<=nbMois; t++)
		{
			result+=","+recupererNombreDansElement("retenu_CA_M"+t);
		}
	}
	
	debug="CA:"+result;
	
	return result;
	
}

function listeAD()
{
try{
	var iframe=document.getElementById("lesTableaux").contentDocument;
	var result="";
	var nbMois=iframe.getElementById("nbMois").value;
	
	if (nbMois >0)
	{
		result+=recupererNombreDansElement("retenu_MA_M1");
		for (t=2; t<=nbMois; t++)
		{
			result+=","+recupererNombreDansElement("retenu_MA_M"+t);
		}
	}
	
	} catch (e) {
    recup_erreur('erreur dans compta/user/tab_bord/gestion/saisie_CA.js#listeAD : ' + e);
  }
	
	return result;
	
}






/* Sauvegarde du tout */
			function sauvegarde_totaux()
			{
			
			try{
			
				var iframe=document.getElementById("lesTableaux").contentDocument;
				var base=iframe.getElementById("baseDeDonnee").value;
				var moisDebut=iframe.getElementById("decalage").value;
				var anneeDebut=iframe.getElementById("anneeDeDebut").value;
				
				var page = "Page=Compta/TableauDeBord/Gestion/sauve_tabBord.tmpl&ContentType=none&BaseBD="+base+"&liste="+listeCA()+"&lib=CA&anneeDebut="+anneeDebut+"&moisDebut="+moisDebut;
				var httpRequest = new XMLHttpRequest();
				requeteHTTP(page, httpRequest, sauvegarde_totaux_2);

				} catch (e) {
    			recup_erreur('erreur dans compta/user/tab_bord/gestion/saisie_CA.js#sauvegarde_totaux : ' + e);
  			}
				
				
			}
			
			function sauvegarde_totaux_2()
			{
			
			try{
			
				var iframe=document.getElementById("lesTableaux").contentDocument;
				var base=iframe.getElementById("baseDeDonnee").value;
				var moisDebut=iframe.getElementById("decalage").value;
				var anneeDebut=iframe.getElementById("anneeDeDebut").value;
				
				var page = "Page=Compta/TableauDeBord/Gestion/sauve_tabBord.tmpl&ContentType=none&BaseBD="+base+"&liste="+listeAD()+"&lib=AD&anneeDebut="+anneeDebut+"&moisDebut="+moisDebut;
				var httpRequest = new XMLHttpRequest();
				requeteHTTP(page, httpRequest, sauvegarde_totaux_3);

				} catch (e) {
    			recup_erreur('erreur dans compta/user/tab_bord/gestion/saisie_CA.js#sauvegarde_totaux_2 : ' + e);
  			}
			
			
			}

function sauvegarde_totaux_3()
{
try 
	{
	
    var page = "chrome://opensi/content/compta/user/tab_bord/gestion/saisie_chPerso.xul?" + cookie();
    window.location = page;
		
  } catch (e) {
    recup_erreur('erreur dans compta/user/tab_bord/gestion/saisie_CA.js#sauvegarde_totaux_3 : ' + e);
  }
}




function recupererNombreDansElement(element)
{

	var iframe=document.getElementById("lesTableaux").contentDocument;
	var regexp=/ /gi;
	var texte=iframe.getElementById(element).value;
	var resultat=texte.replace(regexp,"");

	return resultat;
}















function exporterVersOoo()
	{
	try {
	
		var iframe=document.getElementById("lesTableaux").contentDocument;
		var base=iframe.getElementById("baseDeDonnee").value;
		document.getElementById("debug").value="Export...tation !";

		
		var moisDebut=iframe.getElementById("decalage").value;
		var nbMois=iframe.getElementById("nbMois").value;
		var anneeDebut=iframe.getElementById("anneeDeDebut").value;
		var dureeExo=iframe.getElementById("dureeExo").value;
		
		var page = "Page=Compta/TableauDeBord/Gestion/ExportTabCAVersOoo.tmpl&ContentType=xml&baseBD="+base+"&choix=" + ParamValeur("choix");
		page+="&listeVM="+liste("VM")+"&listeCMV="+liste("CMV")+"&listePV="+liste("PV")+"&listePS="+liste("PS")+"&listePIM="+liste("PIM")+"&listeMA="+liste("MA");
		page+="&nbMois="+nbMois+"&dureeExo="+dureeExo+"&anneeDebut="+anneeDebut+"&moisDebut="+moisDebut;
		
		var httpRequest = new XMLHttpRequest();
		
		requeteHTTP(page, httpRequest, exporterVersOoo_2);
		
		} catch (e) {
    recup_erreur('erreur dans compta/user/tab_bord/gestion/saisie_CA.js#exporterVersOoo : ' + e);
  }
		
	}
	
	
	function exporterVersOoo_2(httpRequest) {
	
	try{
			var contenu = httpRequest.responseXML;
			var nomFichier = contenu.documentElement;
			var nomFichier = nomFichier.getAttribute('nom');
			
			document.getElementById("debug").value="Fichier: "+nomFichier;
			
			var file = fileChooser("save", nomFichier +".sxc");

			if (file!=null)
			{
				downloadFile(getDirServeur()+"/openoffice/"+ nomFichier +".sxc", file);
			}
			
			} catch (e) {
    recup_erreur('erreur dans compta/user/tab_bord/gestion/saisie_CA.js#exporterVersOoo_2 : ' + e);
  }
			
	
	}



function liste(lib)
{
try {
	var iframe=document.getElementById("lesTableaux").contentDocument;

		var nbMois=iframe.getElementById("nbMois").value;
	var liste="";
		

//Pour toutes les lignes on regarde actu
		for (mois=1; mois<=nbMois;mois++)
		{
		 
				var element="actu_"+lib+"_M"+mois; 
				var valeur=recupererNombreDansElement(element);
				
				if(!isNaN(parseInt(valeur)))
				{//Y a une valeur, on la sauve
					liste+=","+mois+","+valeur;
				}

		}
		
		
		} catch (e) {
    recup_erreur('erreur dans compta/user/tab_bord/gestion/saisie_CA.js#liste : ' + e+"lib:"+lib);
  }
		
		
		return liste;
	
}

