/******************************************************************************/
/* OpenSi : Outils libres de gestion d'entreprise                             */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/

var base;
var ouvert = 0;
var Classe = -1;
var dossier;
var numero_compte;
var Code_Plan;
var id = 0;
var nomClasse = new Array(10);
var Numero_Compte_Clients;
var Numero_Compte_Fournisseurs;
var Numero_Compte_Achat;
var Numero_Compte_Vente;


function init() {
	try {

		dossier = get_cookie('Dossier_Id');

		var corps = cookie() +"&Page=Config/getBase.tmpl&ContentType=xml&Dossier_Id="+ urlEncode(dossier);
  	var httpRequest = new XMLHttpRequest();
		requeteHTTP(corps, httpRequest, init_2);

	} catch (e) {
    recup_erreur('erreur dans config/comptabilite/plan_comptable/gestion_plan.js#init : ' + e);
  }
}


function init_2(httpRequest) {
	try {

		base = httpRequest.responseXML.documentElement.getAttribute('nom');
		var paramlist = "&Page=Config/GetRDF/listeTauxTva.tmpl&ContentType=xml";
  	load_rdf_async('Taux_Tva', getUrlOpeneas(paramlist), initTva);
		var paramlist2 = "&Page=Config/GetRDF/listePlan.tmpl&ContentType=xml";
  	load_rdf_async('Plan', getUrlOpeneas(paramlist2), initPlan);
		document.getElementById("Niveau").value = "2";
		Classe = -1;
		tab(Classe);
		choisirPlan();

	} catch (e) {
    recup_erreur('erreur dans config/comptabilite/plan_comptable/gestion_plan.js#init_2 : ' + e);
  }
}


function choisirPlan() {
	try {

		var corps = cookie() +"&Page=Config/dossiers/getDossier.tmpl&ContentType=xml";
  	var httpRequest = new XMLHttpRequest();
		requeteHTTP(corps, httpRequest, choisirPlan_2);

	} catch (e) {
    recup_erreur('erreur dans config/comptabilite/plan_comptable/gestion_plan.js#choisirPlan : ' + e);
  }
}


function choisirPlan_2(httpRequest) {
	try {

    var contenu = httpRequest.responseXML;
		Code_Plan = contenu.documentElement.getAttribute('Code_Plan');
		Numero_Compte_Clients = contenu.documentElement.getAttribute('Numero_Compte_Clients');
		Numero_Compte_Fournisseurs = contenu.documentElement.getAttribute('Numero_Compte_Fournisseurs');
		Numero_Compte_Achat = contenu.documentElement.getAttribute('Numero_Compte_Achat');
		Numero_Compte_Vente = contenu.documentElement.getAttribute('Numero_Compte_Vente');

		var corps = cookie() +"&Page=Config/comptabilite/plan_comptable/getPlan.tmpl&ContentType=xml";
  	var httpRequest = new XMLHttpRequest();
		requeteHTTP(corps, httpRequest, choisirPlan_3);

	} catch (e) {
    recup_erreur('erreur dans config/comptabilite/plan_comptable/gestion_plan.js#choisirPlan_2 : ' + e);
  }
}


function choisirPlan_3(httpRequest) {
	try {

    var contenu = httpRequest.responseXML;
		Libelle = contenu.documentElement.getAttribute('Libelle');
		Code = contenu.documentElement.getAttribute('Code');
		document.getElementById("nomPlan").value = "Plan comptable actuel : "+ Libelle;
		enregistrerTitre();

	} catch (e) {
    recup_erreur('erreur dans config/comptabilite/plan_comptable/gestion_plan.js#choisirPlan_3 : ' + e);
  }
}


function initTva() {
	try {

		document.getElementById('Taux_Tva').selectedIndex = 0;

	} catch (e) {
    recup_erreur('erreur dans config/comptabilite/plan_comptable/gestion_plan.js#initTva : ' + e);
  }
}


function initPlan() {
	try {

		document.getElementById('Plan').selectedIndex = 0;

	} catch (e) {
    recup_erreur('erreur dans config/comptabilite/plan_comptable/gestion_plan.js#initPlan : ' + e);
  }
}


function niv() {
	tab(Classe);
}


function tab(Cl) {
	try {

		Classe = Cl;
		afficherTitre();

		var Niveau = document.getElementById("Niveau").value;
    var database = document.getElementById("Compte").database;
    var datasources = database.GetDataSources();
    while (datasources.hasMoreElements()) {
      var ds = datasources.getNext();
      database.RemoveDataSource(ds);
    }
		document.getElementById("Compte").builder.rebuild();

		if (Classe>0) {
			document.getElementById("num").flex = Niveau;
			document.getElementById("Niveau").disabled = false;
		}
		else {
			document.getElementById("num").flex = 1;
			document.getElementById("Niveau").disabled = true;
		}

		var paramlist ="&Page=Config/GetRDF/listeClassesComptes.tmpl&ContentType=xml&Niveau="+ Niveau +"&Classe="+ Classe +"&Base="+ base +"&Code="+ Code_Plan;
 		load_rdf("Compte", getUrlOpeneas(paramlist));

	} catch (e) {
    recup_erreur('erreur dans config/comptabilite/plan/gestion_plan.js#tab : ' + e);
  }
}


function enregistrerTitre() {
	try {

		var corps = cookie() +"&Page=Config/comptabilite/plan_comptable/getTitrePlan.tmpl&ContentType=xml&Code_Plan="+ Code_Plan;
		var httpRequest = new XMLHttpRequest();
		requeteHTTP(corps, httpRequest, enregistrerTitre_2);

	} catch (e) {
    recup_erreur('erreur dans config/comptabilite/plan/gestion_plan.js#enregistrerTitre : ' + e);
  }
}


function enregistrerTitre_2(httpRequest) {
	try {

		for (var i=0;i<nomClasse.length;i++) {
			nomClasse[i]="";
		}

		nomClasse[0]="Clients";
		nomClasse[1]="Fournisseurs";
		var ent = httpRequest.responseXML.documentElement.getElementsByTagName('Entete');

		for (var i=0;i<ent.length;i++) {
			var nom = ent.item(i).getAttribute('libelle');
			var numero = ent.item(i).getAttribute('num');
			var num = parseInt(numero);
			nomClasse[num+1] = "Classe "+ (num) +" - "+ nom;
		}

		afficherTitre();
		setTimeout("document.getElementById('Plan').value=Code", 200);

	} catch (e) {
    recup_erreur('erreur dans config/comptabilite/plan/gestion_plan.js#enregistrerTitre_2 : ' + e);
  }
}


function afficherTitre() {
	try {

		document.getElementById("nomClasse").value = nomClasse[Classe+1];

	} catch (e) {
    recup_erreur('erreur dans config/comptabilite/plan/gestion_plan.js#afficherTitre : ' + e);
  }
}


function ouvrir() {
	try {

		clearTimeout(id);
		var t = document.getElementById('Compte');
		if (t.view!=null && t.currentIndex!=-1) {
  		numero_compte = getCellText(t,t.currentIndex,'num');
			id = setTimeout("ouvrirVerif();",200);
		}

	} catch (e) {
    recup_erreur('erreur dans config/comptabilite/plan/gestion_plan.js#ouvrir : ' + e);
  }
}


function ouvrirVerif() {
	try {

		var t = document.getElementById('Compte');
		if(t.view!=null && t.currentIndex!=-1){
  		var numero_compte2 = getCellText(t,t.currentIndex,'num');

			if (numero_compte==numero_compte2) {
				ouvrirCompte();
			}
		}

	} catch (e) {
    recup_erreur('erreur dans config/comptabilite/plan/gestion_plan.js#ouvrirVerif : ' + e);
  }
}


function ouvrirCompte() {
	try {

		var t = document.getElementById('Compte');

		if (t.view!=null && t.currentIndex!=-1) {

  		var numero_compte = getCellText(t,t.currentIndex,'num');

			if (numero_compte!='' && numero_compte.length==8) {
				document.getElementById('clc').collapsed = true;
				document.getElementById('msn').collapsed = false;
				document.getElementById('Numero_Compte').disabled = true;

				var corps = cookie() +"&Page=Config/comptabilite/plan_comptable/champsCompte.tmpl&ContentType=xml&Base="+ base +"&Numero_Compte="+ numero_compte;
    		var httpRequest = new XMLHttpRequest();
				requeteHTTP(corps, httpRequest, ouvrirCompte_2);
			}
		}

	} catch (e) {
    recup_erreur('erreur dans config/comptabilite/plan_comptable/gestion_plan.js#ouvrirCompte : ' + e);
  }
}


function ouvrirCompte_2(httpRequest) {
	try {

		compte = httpRequest.responseXML.documentElement;

		document.getElementById('Numero_Compte').value = compte.getAttribute('numero_compte');
		document.getElementById('Libelle').value = compte.getAttribute('libelle');

		if (numero_compte.substring(0,1)=='0') {
			document.getElementById('boxCompte_Gen').collapsed = false;
			document.getElementById('libCompte_Gen').collapsed = false;
			document.getElementById('Compte_Gen').value = compte.getAttribute('compte_gen');
			if (numero_compte==Numero_Compte_Clients || numero_compte==Numero_Compte_Fournisseurs){
				document.getElementById("Compte_Gen").disabled=true;
			}
			else {
				document.getElementById("Compte_Gen").disabled=false;
			}
		}
		else {
			document.getElementById('boxCompte_Gen').collapsed = true;
			document.getElementById('libCompte_Gen').collapsed = true;
		}

		if (numero_compte.substring(0,1)=='1' || numero_compte.substring(0,1)=='3') {
			document.getElementById('boxTaux_Tva').collapsed = true;
			document.getElementById('libTaux_Tva').collapsed = true;
		}
		else {
			document.getElementById('boxTaux_Tva').collapsed = false;
			document.getElementById('libTaux_Tva').collapsed = false;
			document.getElementById('Taux_Tva').value = compte.getAttribute('taux_tva');
		}

		document.getElementById('Lettrage').value = compte.getAttribute('lettrage');
		document.getElementById('Centraliser').value = compte.getAttribute('centraliser');
		document.getElementById('Cumul_Journal').value = compte.getAttribute('cumul_journal');
		document.getElementById('Detail_Cloture').value = compte.getAttribute('detail_cloture');

		if (document.getElementById("Lettrage").value == "y") {
			document.getElementById("Lettrage").selectedItem = document.getElementById("Lettrage_Oui");
		}
		else {
			document.getElementById("Lettrage").selectedItem = document.getElementById("Lettrage_Non");
		}

		if (document.getElementById("Centraliser").value == "y") {
			document.getElementById("Centraliser").selectedItem = document.getElementById("Centraliser_Oui");
		}
		else {
			document.getElementById("Centraliser").selectedItem = document.getElementById("Centraliser_Non");
		}

		if (document.getElementById("Cumul_Journal").value == "y") {
			document.getElementById("Cumul_Journal").selectedItem = document.getElementById("Cumul_Oui");
		}
		else {
			document.getElementById("Cumul_Journal").selectedItem = document.getElementById("Cumul_Non");
		}

		if (document.getElementById("Detail_Cloture").value == "y") {
			document.getElementById("Detail_Cloture").selectedItem = document.getElementById("Detail_Oui");
		}
		else {
			document.getElementById("Detail_Cloture").selectedItem = document.getElementById("Detail_Non");
		}

	} catch (e) {
    recup_erreur('erreur dans config/comptabilite/plan_comptable/gestion_plan.js#ouvrirCompte_2 : ' + e);
  }
}


function modifierCompte() {
	try {

		var numero_compte = document.getElementById('Numero_Compte').value;
		var libelle = document.getElementById('Libelle').value;
		var compte_gen;
		var taux_tva;

		if (numero_compte.substring(0,1)=='0') {
			compte_gen = document.getElementById('Compte_Gen').value;
		}
		else {
			compte_gen = 'G';
		}

		if (numero_compte.substring(0,1)=='1' || numero_compte.substring(0,1)=='3') {
			taux_tva = 1;
		}
		else {
			taux_tva = document.getElementById('Taux_Tva').value;
		}

		var lettrage = document.getElementById('Lettrage').value;
		var centraliser = document.getElementById('Centraliser').value;
		var cumul_journal = document.getElementById('Cumul_Journal').value;
		var detail_cloture = document.getElementById('Detail_Cloture').value;

		if (isEmpty(libelle)) {
			showWarning('Le champ "Libell" est obligatoire !');
		}
		else if (window.confirm('Confirmez-vous la modification du compte "'+ numero_compte +'" ?')) {

			var corps = cookie() +"&Page=Config/comptabilite/plan_comptable/modifierCompte.tmpl&ContentType=xml&Dossier_Id="+ dossier;
			corps += "&Numero_Compte="+ numero_compte +"&Libelle="+ urlEncode(libelle) +"&Compte_Gen="+ compte_gen +"&Taux_Tva="+ taux_tva;
			corps += "&Lettrage="+ urlEncode(lettrage) +"&Centraliser="+ urlEncode(centraliser) +"&Cumul_Journal="+ urlEncode(cumul_journal)+"&Detail_Cloture="+ urlEncode(detail_cloture);

			var httpRequest = new XMLHttpRequest();
			requeteHTTP(corps, httpRequest, modifierCompte_2);
		}

	} catch (e) {
    recup_erreur('erreur dans config/comptabilite/plan_comptable/gestion_plan.js#modifierCompte : ' + e);
  }
}


function modifierCompte_2(httpRequest) {
	try {

		var message = httpRequest.responseXML.documentElement.getAttribute("message");

		if (message=="modif") {
			showMessage("Le compte "+ numero_compte +" a t modifi avec succs !");
		}
		else {
			showWarning("Erreur du serveur !");
		}

		nouveauCompte();
		tab(Classe);

	} catch (e) {
    recup_erreur('erreur dans config/comptabilite/plan_comptable/gestion_plan.js#modifierCompte_2 : ' + e);
  }
}


function nouveauCompte() {
	try {

		document.getElementById('clc').collapsed = false;
		document.getElementById('msn').collapsed = true;
		document.getElementById('Numero_Compte').disabled = false;
		document.getElementById('Numero_Compte').value = '';
		document.getElementById('Libelle').value = '';
		document.getElementById("Lettrage").selectedItem = document.getElementById("Lettrage_Non");
		document.getElementById("Cumul_Journal").selectedItem = document.getElementById("Cumul_Non");
		document.getElementById("Centraliser").selectedItem = document.getElementById("Centraliser_Non");
		document.getElementById("Detail_Cloture").selectedItem = document.getElementById("Detail_Non");
		document.getElementById('boxCompte_Gen').collapsed = true;
		document.getElementById('libCompte_Gen').collapsed = true;
		document.getElementById('boxTaux_Tva').collapsed = false;
		document.getElementById('libTaux_Tva').collapsed = false;
		document.getElementById('Taux_Tva').selectedIndex = 0;
		document.getElementById("Compte_Gen").disabled = false;

	} catch (e) {
    recup_erreur('erreur dans config/comptabilite/plan_comptable/gestion_plan.js#nouveauCompte : ' + e);
  }
}


function leaveNumero_Compte() {
	try {

		var numero_compte = document.getElementById('Numero_Compte').value;

		if (numero_compte.substring(0,1)=='0') {
			document.getElementById('boxCompte_Gen').collapsed = false;
			document.getElementById('libCompte_Gen').collapsed = false;
		}
		else {
			document.getElementById('boxCompte_Gen').collapsed = true;
			document.getElementById('libCompte_Gen').collapsed = true;
		}

		if (numero_compte.substring(0,1)=='1' || numero_compte.substring(0,1)=='3') {
			document.getElementById('boxTaux_Tva').collapsed = true;
			document.getElementById('libTaux_Tva').collapsed = true;
		}
		else {
			document.getElementById('boxTaux_Tva').collapsed = false;
			document.getElementById('libTaux_Tva').collapsed = false;
		}

	} catch (e) {
    recup_erreur('erreur dans config/comptabilite/plan_comptable/gestion_plan.js#leaveNumero_Compte : ' + e);
  }
}


function supprimerCompte() {
	try {

		var numero_compte = document.getElementById('Numero_Compte').value;

		if (numero_compte=='40100000' || numero_compte=='41100000' || numero_compte=='12000000' || numero_compte=='47210100') {
			showWarning("Le compte '"+ numero_compte +"' ne peut pas tre supprim !");
		}
		else if (numero_compte==Numero_Compte_Clients || numero_compte==Numero_Compte_Fournisseurs || numero_compte==Numero_Compte_Achat || numero_compte==Numero_Compte_Vente) {
			showWarning("Le compte '"+ numero_compte +"' ne peut pas tre supprim car c'est un compte par dfaut !");
		}
		else if (window.confirm('Confirmez-vous la suppression du compte "'+ numero_compte +'" ?')) {

			var corps = cookie() +"&Page=Config/comptabilite/plan_comptable/supprimerCompte.tmpl&ContentType=xml&Dossier_Id="+ dossier +"&Numero_Compte="+ numero_compte;
			var httpRequest = new XMLHttpRequest();
			requeteHTTP(corps, httpRequest, supprimerCompte_2);
		}

	} catch (e) {
    recup_erreur('erreur dans config/comptabilite/plan_comptable/gestion_plan.js#supprimerCompte : ' + e);
  }
}


function supprimerCompte_2(httpRequest) {
	try {

		var message = httpRequest.responseXML.documentElement.getAttribute("message");

		if (message=="suppr") {
			showMessage("Le compte "+ numero_compte+" a t supprim avec succs");
		}
		else if (message=="impossible") {
			showWarning("Impossible de supprimer le compte "+ numero_compte+". Ce compte est utilis dans le dossier.");
		}
		else {
			showWarning("Erreur du serveur !");
		}

		nouveauCompte();
		tab(Classe);

	} catch (e) {
    recup_erreur('erreur dans config/comptabilite/plan_comptable/gestion_plan.js#supprimerCompte_2 : ' + e);
  }
}


function creerCompte() {
	try {

		var numero_compte = document.getElementById('Numero_Compte').value;
		var libelle = document.getElementById('Libelle').value;
		var compte_gen;
		var taux_tva;

		if (numero_compte.substring(0,1)=='0') {
			compte_gen = document.getElementById('Compte_Gen').value;
		}
		else {
			compte_gen = 'G';
		}

		if (numero_compte.substring(0,1)=='1' || numero_compte.substring(0,1)=='3') {
			taux_tva = 1;
		}
		else {
			taux_tva = document.getElementById('Taux_Tva').value;
		}

		var lettrage = document.getElementById('Lettrage').value;
		var centraliser = document.getElementById('Centraliser').value;
		var cumul_journal = document.getElementById('Cumul_Journal').value;
		var detail_cloture = document.getElementById('Detail_Cloture').value;

		if (isEmpty(numero_compte) || isEmpty(libelle)) {
			showWarning('Les champs "Numro de compte" et "Libell" sont obligatoires !');
		}
		else if (!isCompteCorrect(numero_compte)) {
			showWarning('Numro de compte incorrect !');
		}
		else if (window.confirm('Confirmez-vous la cration du compte "'+ numero_compte +'" ?')) {

			var corps = cookie() + "&Page=Config/comptabilite/plan_comptable/creerCompte.tmpl&ContentType=xml&Dossier_Id="+ dossier;
			corps += "&Numero_Compte="+ numero_compte +"&Libelle="+ urlEncode(libelle) +"&Compte_Gen="+ compte_gen +"&Taux_Tva="+ taux_tva;
			corps += "&Lettrage="+ urlEncode(lettrage) +"&Centraliser="+ urlEncode(centraliser) +"&Cumul_Journal="+ urlEncode(cumul_journal) +"&Detail_Cloture="+urlEncode(detail_cloture);

			var httpRequest = new XMLHttpRequest();
			requeteHTTP(corps, httpRequest, creerCompte_2, numero_compte);
		}

	} catch (e) {
    recup_erreur('erreur dans config/comptabilite/plan_comptable/gestion_plan.js#creerCompte : ' + e);
  }
}


function creerCompte_2(httpRequest, numero_compte) {
	try {

		var message = httpRequest.responseXML.documentElement.getAttribute("message");
		if (message=="existe") {
			showWarning("Le compte "+ numero_compte +" existe dj !");
		}
		else if (message=="cree") {
			showMessage("Le compte "+ numero_compte +" a t cr !");
		}
		else {
			showWarning("Erreur du serveur !");
		}

		document.getElementById('clc').collapsed = true;
		document.getElementById('msn').collapsed = false;
		document.getElementById('Numero_Compte').disabled = true;

		tab(Classe);

	} catch (e) {
    recup_erreur('erreur dans config/comptabilite/plan_comptable/gestion_plan.js#creerCompte_2 : ' + e);
  }
}


function enregistrerPlan() {
	try {

		var nouvCode = document.getElementById('Plan').value;
		var corps = cookie() +"&Page=Config/comptabilite/plan_comptable/modifierPlan.tmpl&ContentType=xml&NouvCode="+ nouvCode;
		var httpRequest = new XMLHttpRequest();
		requeteHTTP(corps, httpRequest, enregistrerPlan_2);

	} catch (e) {
    recup_erreur('erreur dans config/comptabilite/plan_comptable/gestion_plan.js#enregistrerPlan : ' + e);
  }
}


function enregistrerPlan_2(httpRequest) {
	try {

		var message = httpRequest.responseXML.documentElement.getAttribute("message");

		if (message!="fini") {
			showWarning("Erreur dans le changement de plan comptable !");
		}

		choisirPlan();
		tab(-1);

	} catch (e) {
    recup_erreur('erreur dans config/comptabilite/plan_comptable/gestion_plan.js#enregistrerPlan_2 : ' + e);
  }
}


function keypress(e) {
	try {

		if (e.keyCode==13) {
      ouvrirCompte();
    }

	} catch (e) {
    recup_erreur('erreur dans config/comptabilite/plan_comptable/gestion_plan.js#keypress : ' + e);
  }
}
