/******************************************************************************/
/* OpenSi : Outils libres de gestion d'entreprise                             */
/* Copyright (C) 2003 Speedinfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/

var base;
var dossier;
var ancnom;
var type;


function init() {
	try {

		dossier = get_cookie('Dossier_Id');
		document.getElementById("titre").value = 'FAMILLES DU DOSSIER "'+ dossier +'"';
		var corps = cookie() +"&Page=Config/getBase.tmpl&ContentType=xml&Dossier_Id="+ dossier;
    var httpRequest = new XMLHttpRequest();
		requeteHTTP(corps, httpRequest, init_2);

	} catch (e) {
    recup_erreur('erreur dans config/gestion_commerciale/famille/gestion_famille.js#init : ' + e);
  }
}


function init_2(httpRequest) {
	try {

		base = httpRequest.responseXML.documentElement.getAttribute('nom');
		document.getElementById('Type_Famille').value = "Famille";
		init_tree();

	} catch (e) {
    recup_erreur('erreur dans config/gestion_commerciale/famille/gestion_famille.js#init_2 : ' + e);
  }
}


function enregistrerCompte(act) {
	try {

		var nom = document.getElementById('Nom').value;

		if (isEmpty(nom)) {
			showWarning('Le champ nom est obligatoire !');
      document.getElementById('Nom').focus();
			return false;
		}

		compte = document.getElementById("Compte_Achat");

		if (isEmpty(compte.value)) {
    	compteval = compte.value;
			var vide = true;
    	var httpRequest = new XMLHttpRequest();
    	var httpParams = new Array(compte,compteval,vide,act);
      suiteOk(httpRequest, httpParams);
    }
		else if (!isDigitList(compte.value)) {
			showWarning("Compte incorrect !");
			return false;
    }
		else {
		 	force = false;
    	compteval = compte.value;
    	while (compteval.length < 8) compteval += '0';
    	var paramlist = cookie() +"&Page=Config/GetRDF/listeComptes.tmpl&ContentType=xml&Compte_Gen=G&Numero_Compte="+ compteval;
			var vide = false;
    	var httpRequest = new XMLHttpRequest();
    	var httpParams = new Array(compte,compteval,vide,act);
    	requeteHTTP(paramlist,httpRequest,suiteOk,httpParams);
		}

	} catch (e) {
    recup_erreur('erreur dans config/gestion_commerciale/famille/gestion_famille.js#enregistrerCompte : ' + e);
  }
}


function suiteOk(httpRequest,httpParams) {
  try {

		if (!httpParams[2]) {

    	var compte = httpParams[0];
    	var compteval = httpParams[1];
      var session = httpRequest.responseXML.documentElement;

			if (session.getElementsByTagName('numero').length  == 0) {
   		  var compteval = compte.value;
   		  var id = compte.id;
   		  var url = "chrome://opensi/content/config/util/rechcompte.xul?"+ cookie() +"&Force_Deb=6&Compte_Gen=G&nom=ACHAT";
    		window.openDialog(url,'rechcompte','chrome,modal',compteval,id,false);
        compte.focus();
				return false;
      }
			else {
        compte.value = compteval;
			}
		}

		compte = document.getElementById("Compte_Vente");

		if (isEmpty(compte.value)) {
			var vide = true;
    	var httpRequest = new XMLHttpRequest();
    	var httpParams = new Array(compte,compteval,vide,httpParams[3]);
      finOk(httpRequest, httpParams);
    }
		else if (!isDigitList(compte.value)) {
			showWarning("Compte incorrect !");
			return false;
    }
		else {
    	force = false;
    	compteval = compte.value;
    	while (compteval.length < 8) compteval += '0';
    	var paramlist = cookie() +"&Page=Config/GetRDF/listeComptes.tmpl&ContentType=xml&Compte_Gen=G&Numero_Compte="+ compteval;

    	var httpRequest = new XMLHttpRequest();
			var vide = false;
    	var httpParams = new Array(compte,compteval,vide,httpParams[3]);
    	requeteHTTP(paramlist,httpRequest,finOk,httpParams);
    }

  } catch(e) {
    recup_erreur('erreur dans config/gestion_commerciale/famille/gestion_famille.js#suiteOk : ' + e);
  }
}


function finOk(httpRequest,httpParams) {
  try {

		if (!httpParams[2]) {

    	var compte = httpParams[0];
    	var compteval = httpParams[1];
      var session = httpRequest.responseXML.documentElement;

			if (session.getElementsByTagName('numero').length  == 0) {
   		  var compteval = compte.value;
   		  var id = compte.id;
   		  var url = "chrome://opensi/content/config/util/rechcompte.xul?"+ cookie() +"&Force_Deb=7&Compte_Gen=G&nom=VENTE";
    		window.openDialog(url,'rechcompte','chrome,modal',compteval,id,false);
        compte.focus();
				return false;
      }
			else {
      	compte.value = compteval;
			}
		}
		switch (httpParams[3]) {
			case "creerFamille" : creerFamille();break;
			case "modifierFamille" : modifierFamille();break;
			case "creerSousFamille" : creerSousFamille();break;
		}

  } catch(e) {
    recup_erreur('erreur dans config/gestion_commerciale/famille/gestion_famille.js#finOk : ' + e);
  }
}


function Changer(Co) {
	try {

		var CompteText = document.getElementById(Co);
		var debCompte = "";
		var Compte_Gen = "G";
		var nom = "";
		if (Co=="Compte_Achat") {
			debCompte = "6";
			nom = "ACHAT";
		}
		else if (Co=="Compte_Vente") {
			debCompte = "7";
			nom = "VENTE";
		}
    var url = "chrome://opensi/content/config/util/rechcompte.xul?"+ cookie();
    url += "&Force_Deb="+ debCompte;
    url += "&Compte_Gen="+ Compte_Gen;
    url += "&nom="+ urlEncode(nom);
    window.openDialog(url,'rechcompte','chrome,modal',debCompte,Co,false);

	} catch (e) {
    recup_erreur('erreur dans config/gestion_commerciale/famille/gestion_famille.js#changer : ' + e);
  }
}


function modifierFamille() {
	try {

		var nom = document.getElementById('Nom').value;
		var compte_Achat = document.getElementById('Compte_Achat').value;
		var compte_Vente = document.getElementById('Compte_Vente').value;

		if (isEmpty(nom)) {
			showWarning('Le champ nom est obligatoire !');
		}
		else if ((!isEmpty(compte_Achat) && !isCompteCorrect(compte_Achat)) || (!isEmpty(compte_Vente) && !isCompteCorrect(compte_Vente))) {
			showWarning('Comptes incorrects !');
		}
		else {
			if (type==1) {
				var corps = cookie() +"&Page=Config/gestion_commerciale/famille/modifierFamille.tmpl&ContentType=xml&Base=FACT_"+ dossier;
			}
			else {
				var corps = cookie() +"&Page=Config/gestion_commerciale/famille/modifierSousFamille.tmpl&ContentType=xml&Base=FACT_"+ dossier;
			}
			corps += "&Anc_Nom="+urlEncode(ancnom)+"&Nom="+ urlEncode(nom) +"&Compte_Achat="+ compte_Achat +"&Compte_Vente="+ compte_Vente;
			var httpRequest = new XMLHttpRequest();
			requeteHTTP(corps, httpRequest, modifierFamille_2);
		}

	} catch (e) {
    recup_erreur('erreur dans config/gestion_commerciale/famille/gestion_famille.js#modifierFamille : ' + e);
  }
}


function modifierFamille_2(httpRequest) {
	try {

		var message = httpRequest.responseXML.documentElement.getAttribute("message");

		if (message!="mod") {
			showWarning("Erreur du serveur !");
		}

		document.getElementById('clj').collapsed = true;
		document.getElementById('msn').collapsed = false;
		delete_tree();
		init_tree();
		nouvelleFamille();

	} catch (e) {
    recup_erreur('erreur dans config/gestion_commerciale/famille/gestion_famille.js#modifierFamille_2 : ' + e);
  }
}


function nouvelleFamille() {
	try {

		document.getElementById('clj').collapsed = false;
		document.getElementById('csf').collapsed = true;
		document.getElementById('msn').collapsed = true;
		document.getElementById('Nom').value = "";
		document.getElementById('Compte_Achat').value = "";
		document.getElementById('Compte_Vente').value = "";
		document.getElementById('Sous').collapsed = true;
		document.getElementById('Type_Famille').value = "Famille";
		document.getElementById('Row_Type').collapsed = false;
		document.getElementById('Row_Nom_Famille').collapsed = true;

	} catch (e) {
    recup_erreur('erreur dans config/gestion_commerciale/famille/gestion_famille.js#nouvelleFamille : ' + e);
  }
}


function supprimerFamille() {
	try {

		var type_lib = "";

		if (window.confirm('Confirmez-vous la suppression de la famille "'+ ancnom +'" ?')) {

			if (type==1) {
				var corps = cookie() +"&Page=Config/gestion_commerciale/famille/supprimerFamille.tmpl&ContentType=xml&Base=FACT_"+ dossier;
			}
			else {
				type_lib = "sous-";
				var corps = cookie() +"&Page=Config/gestion_commerciale/famille/supprimerSousFamille.tmpl&ContentType=xml&Base=FACT_"+ dossier;
			}
			corps += "&Nom="+ urlEncode(ancnom);
			var httpRequest = new XMLHttpRequest();
			requeteHTTP(corps, httpRequest, supprimerFamille_2, type_lib);
		}

	} catch (e) {
    recup_erreur('erreur dans config/gestion_commerciale/famille/gestion_famille.js#supprimerFamille : ' + e);
  }
}


function supprimerFamille_2(httpRequest, type_lib) {
	try {

		var message = httpRequest.responseXML.documentElement.getAttribute("message");

		if (message=="impossible") {
			showMessage("La "+type_lib+" famille "+ancnom+" ne peut pas tre supprime, un article l'utilise !");
		}
		else if (message=="sous") {
			showMessage("La "+type_lib+" famille "+ancnom+" ne peut pas tre supprime, il reste des sous-familles  supprimer !");
		}
		else if (message!="sup") {
			showWarning("Erreur du serveur !");
		}

		document.getElementById('clj').collapsed = true;
		document.getElementById('msn').collapsed = false;
		delete_tree();
		init_tree();
		nouvelleFamille();

	} catch (e) {
    recup_erreur('erreur dans config/gestion_commerciale/famille/gestion_famille.js#supprimerFamille_2 : ' + e);
  }
}


function creerFamille() {
	try {

		var nom = document.getElementById('Nom').value;
		var compte_Achat = document.getElementById('Compte_Achat').value;
		var compte_Vente = document.getElementById('Compte_Vente').value;

		if (isEmpty(nom)) {
			showWarning('Le champ nom est obligatoire !');
		}
		else if ((!isEmpty(compte_Achat) && !isCompteCorrect(compte_Achat)) || (!isEmpty(compte_Vente) && !isCompteCorrect(compte_Vente))) {
			showWarning('Comptes incorrects !');
		}
		else {
			var corps = cookie() +"&Page=Config/gestion_commerciale/famille/creerFamille.tmpl&ContentType=xml&Base=FACT_"+ dossier;
			corps += "&Nom="+ urlEncode(nom) +"&Compte_Achat="+ compte_Achat +"&Compte_Vente="+ compte_Vente;
			var httpRequest = new XMLHttpRequest();
			requeteHTTP(corps, httpRequest, creerFamille_2, nom);
		}

	} catch (e) {
    recup_erreur('erreur dans config/gestion_commerciale/famille/gestion_famille.js#creerFamille : ' + e);
  }
}


function creerFamille_2(httpRequest, nom) {
	try {

		var message = httpRequest.responseXML.documentElement.getAttribute("message");

		if (message=="existe") {
			showWarning("La famille "+nom+" existe dj !");
		}
		else if (message!="cree") {
			showWarning("erreur du serveur");
		}

		document.getElementById('clj').collapsed = true;
		document.getElementById('msn').collapsed = false;
		delete_tree();
		init_tree();
		nouvelleFamille();

	} catch (e) {
    recup_erreur('erreur dans config/gestion_commerciale/famille/gestion_famille.js#creerFamille_2 : ' + e);
  }
}


function nouvelleSousFamille() {
	try {

		var ind = document.getElementById('liste_familles').currentIndex;
		if (!document.getElementById('liste_familles').view.isContainerOpen(ind)) {
			document.getElementById('liste_familles').view.toggleOpenState(ind);
		}
		document.getElementById('csf').collapsed = false;
		document.getElementById('msn').collapsed = true;
		document.getElementById('Nom').value = "";
		document.getElementById('Compte_Achat').value = "";
		document.getElementById('Compte_Vente').value = "";
		document.getElementById('Sous').collapsed = true;
		document.getElementById('Type_Famille').value = "Sous-famille";
		document.getElementById('Row_Type').collapsed = true;
		document.getElementById('Row_Nom_Famille').collapsed = false;
		document.getElementById('Nom_Famille').value = ancnom;

	} catch (e) {
    recup_erreur('erreur dans config/gestion_commerciale/famille/gestion_famille.js#nouvelleSousFamille : ' + e);
  }
}


function creerSousFamille() {
	try {

		var nom = document.getElementById('Nom').value;
		var compte_Achat = document.getElementById('Compte_Achat').value;
		var compte_Vente = document.getElementById('Compte_Vente').value;

		if (isEmpty(nom)) {
			showWarning('Le champ nom est obligatoire !');
		}
		else if ((!isEmpty(compte_Achat) && !isCompteCorrect(compte_Achat)) || (!isEmpty(compte_Vente) && !isCompteCorrect(compte_Vente))) {
			showWarning('Comptes incorrects !');
		}
		else {
			var corps = cookie() +"&Page=Config/gestion_commerciale/famille/creerSousFamille.tmpl&ContentType=xml&Base=FACT_"+ dossier;
			corps += "&Nom_Famille="+urlEncode(ancnom)+"&Nom="+ urlEncode(nom) +"&Compte_Achat="+ compte_Achat +"&Compte_Vente="+ compte_Vente;
			var httpRequest = new XMLHttpRequest();
			requeteHTTP(corps, httpRequest, creerSousFamille_2, nom);
		}

	} catch (e) {
    recup_erreur('erreur dans config/gestion_commerciale/famille/gestion_famille.js#creerSousFamille : ' + e);
  }
}


function creerSousFamille_2(httpRequest, nom) {
	try {

		var message = httpRequest.responseXML.documentElement.getAttribute("message");

		if (message=="existe") {
			showWarning("La sous-famille "+nom+" existe dj !");
		}
		else if (message!="cree") {
			showWarning("Erreur du serveur !");
		}

		document.getElementById('clj').collapsed = true;
		document.getElementById('msn').collapsed = false;
		delete_tree();
		init_tree();
		nouvelleFamille();

	} catch (e) {
    recup_erreur('erreur dans config/gestion_commerciale/famille/gestion_famille.js#creerSousFamille_2 : ' + e);
  }
}


function ouvrirFamille() {
	try {

		document.getElementById('Row_Type').collapsed = false;
		document.getElementById('Row_Nom_Famille').collapsed = true;
		document.getElementById('csf').collapsed = true;
		var tree = document.getElementById('liste_familles');

		if (tree.view!=null && tree.currentIndex!=-1) {
			document.getElementById('clj').collapsed = true;
			document.getElementById('msn').collapsed = false;
			type = getCellText(tree,tree.view.selection.currentIndex, 'Type');
  		ancnom = getCellText(tree,tree.view.selection.currentIndex, 'Famille');
			if (type==1) {
				document.getElementById('Type_Famille').value = "Famille";
				document.getElementById('Sous').collapsed=false;
			}
			else {
				document.getElementById('Type_Famille').value = "Sous-Famille";
				document.getElementById('Sous').collapsed=true;
			}
			document.getElementById('Nom').value = getCellText(tree,tree.view.selection.currentIndex, 'Famille');
			document.getElementById('Compte_Achat').value = getCellText(tree,tree.view.selection.currentIndex, 'compte_Achat');
			document.getElementById('Compte_Vente').value = getCellText(tree,tree.view.selection.currentIndex, 'compte_Vente');
		}

	} catch (e) {
    recup_erreur('erreur dans config/gestion_commerciale/famille/gestion_famille.js#ouvrirFamille : ' + e);
  }
}


function init_tree() {
  try {

		var paramlist = "&Page=Config/GetRDF/listeFamilles.tmpl&ContentType=xml&Base=FACT_"+ dossier;
	  load_rdf_async('liste_familles', getUrlOpeneas(paramlist), ouvrir);

  } catch (e) {
    recup_erreur('erreur dans config/gestion_commerciale/famille/gestion_famille.js#init_tree : ' + e);
  }
}


function ouvrir() {
  try {

		var tree = document.getElementById('liste_familles');
		if (tree.view!=null) {
			var nombreElements = tree.view.rowCount;
			for (var i=0; i<nombreElements; i++) {
				if (tree.view.getItemAtIndex(i).getAttribute("value")==ancnom) {
					document.getElementById('liste_familles').view.toggleOpenState(i);
				}
			}
			ancnom="";
		}

  } catch (e) {
    recup_erreur('erreur dans config/gestion_commerciale/famille/gestion_famille.js#ouvrir : ' + e);
  }
}


function delete_tree() {
  try {

    var database = document.getElementById("liste_familles").database;
    var datasources = database.GetDataSources();
    while (datasources.hasMoreElements()) {
      var ds = datasources.getNext();
      database.RemoveDataSource(ds);
    }
		document.getElementById("liste_familles").builder.rebuild();

  } catch (e) {
    recup_erreur('erreur dans config/gestion_commerciale/famille/gestion_famille.js#delete_tree : ' + e);
  }
}


function keypress(e,action) {
	try {

		if (e.keyCode==13) {
			if (action=="co") {
				enregistrerCompte("rien");
			}
			else {
				ouvrirFamille();
			}
		}

	} catch (e) {
    recup_erreur('erreur dans config/gestion_commerciale/famille/gestion_famille.js#keypress : ' + e);
  }
}
