/******************************************************************************/
/* OpenSi : Outils libres de gestion d'entreprise                             */
/* Copyright (C) 2003 Speedinfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/


var doss;
var login;


function init() {
	try {

  	login = get_cookie('User');
  	document.getElementById('Dossier_Id').focus();
		init_tree();
  	parent.document.getElementById("nom_dossier").value = "";

	} catch (e) {
    recup_erreur('erreur dans config/menu.js#init : ' + e);
  }
}


function init_tree() {
  try {

		doss = document.getElementById('Dossier_Id').value;

		if (login!="root") {
  		var paramlist = cookie() +"&Page=Config/GetRDF/listeDossiers.tmpl&ContentType=xml&Dossier_Id="+ urlEncode(doss);
  	}
		else {
  		var paramlist = cookie() +"&Page=Config/GetRDF/listeDossiersRoot.tmpl&ContentType=xml&Dossier_Id="+ urlEncode(doss);
		}
		load_rdf('liste_dossiers', getUrlOpeneas(paramlist));

  } catch (e) {
    recup_erreur('erreur dans config/menu.js#init_tree : ' + e);
  }
}


function ok() {
	try {

		doss = document.getElementById('Dossier_Id').value;
  	var corps = cookie() +"&Page=Config/dossiers/existeDossier.tmpl&ContentType=xml&Dossier_Id="+ urlEncode(doss);
		requeteHTTP(corps, new XMLHttpRequest(), ok_2);

	} catch (e) {
    recup_erreur('erreur dans config/menu.js#ok : ' + e);
  }
}


function ok_2(httpRequest) {
	try {

		var message = httpRequest.responseXML.documentElement.getAttribute("message");

		if (message=="existe") {
			var raison = httpRequest.responseXML.documentElement.getAttribute("raison");
			var corps = cookie() +"&Page=Config/getBase.tmpl&ContentType=xml&Dossier_Id="+ urlEncode(doss);
			requeteHTTP(corps, new XMLHttpRequest(), ok_3, raison);
		}
		else {
			delete_tree();
			init_tree();
		}

	} catch (e) {
    recup_erreur('erreur dans config/menu.js#ok_2 : ' + e);
  }
}


function ok_3(httpRequest, raison) {
	try {

		var base = httpRequest.responseXML.documentElement.getAttribute("nom");
    set_cookie('Dossier_Id', doss);
    set_cookie('Writeable', 1);
    set_cookie('Base', base);
		var page = "chrome://opensi/content/config/menu_manager.xul?"+ cookie();
    page += "&Libelle="+ doss +"+-+"+ raison;
    window.location = page;

	} catch (e) {
    recup_erreur('erreur dans config/menu.js#ok_3 : ' + e);
  }
}


function delete_tree() {
  try {

    var database = document.getElementById('liste_dossiers').database;
    var datasources = database.GetDataSources();
    while (datasources.hasMoreElements()) {
      var ds = datasources.getNext();
      database.RemoveDataSource(ds);
    }
    document.getElementById('liste_dossiers').builder.rebuild();

  } catch (e) {
    recup_erreur('erreur dans config/menu.js#delete_tree : ' + e);
  }
}


function reporter(tree) {
	try {

		if (tree.view!=null && tree.currentIndex!=-1) {
  		document.getElementById("Dossier_Id").value = getCellText(tree,tree.currentIndex, 'num');
		}

	} catch (e) {
    recup_erreur('erreur dans config/menu.js#reporter : ' + e);
  }
}


function keypress(e,id) {
	try {

		if (id=="dossier") {
      switch(e.keyCode) {
        case 13:
          ok();		 	break;
        case 123:
          document.getElementById('liste_dossiers').focus(); 	break;
      }
  	}

	} catch (e) {
    recup_erreur('erreur dans config/menu.js#keypress : ' + e);
  }
}
