/******************************************************************************/
/* OpenSI Comptabilit : Outils libre de comptabilit d'entreprise            */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/

var cookieWrapper;

function init() {
  try {

    cookieWrapper = getWrapper();
		window.sizeToContent();

		var x = (screen.width / 2) - (window.outerWidth / 2);
    var y = (screen.height / 2) - (window.outerHeight / 2);

		window.moveTo(x,y);

		document.getElementById('Raison_Sociale').value = cookieWrapper.getElementById('Raison_Sociale').value;
		document.getElementById('Adresse').value = cookieWrapper.getElementById('Adresse_Fact').value;
		document.getElementById('Comp_Adresse').value = cookieWrapper.getElementById('Comp_Adresse_Fact').value;
		document.getElementById('Adresse_3').value = cookieWrapper.getElementById('Adresse_3_Fact').value;
		document.getElementById('Code_Postal').value = cookieWrapper.getElementById('CP_Fact').value;
		document.getElementById('Ville').value = cookieWrapper.getElementById('Ville_Fact').value;
		document.getElementById('Pays').value = cookieWrapper.getElementById('Pays_Fact').value;

		document.getElementById('Raison_Sociale').focus();

  } catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/modifier_facturation.js#init : ' + e);
  }
}


function reporterAdresse() {
  try {

		cookieWrapper.getElementById('Raison_Sociale').value = document.getElementById('Raison_Sociale').value;
		cookieWrapper.getElementById('Adresse_Fact').value = document.getElementById('Adresse').value;
		cookieWrapper.getElementById('Comp_Adresse_Fact').value = document.getElementById('Comp_Adresse').value;
		cookieWrapper.getElementById('Adresse_3_Fact').value = document.getElementById('Adresse_3').value;
		cookieWrapper.getElementById('CP_Fact').value = document.getElementById('Code_Postal').value;
		cookieWrapper.getElementById('Ville_Fact').value = document.getElementById('Ville').value;
		cookieWrapper.getElementById('Pays_Fact').value = document.getElementById('Pays').value;

		window.opener.setModifie(true);
		window.close();

	} catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/modifier_facturation.js#reporterAdresse : ' + e);
  }
}
