/******************************************************************************/
/* OpenSi : Outils libres de gestion d'entreprise                             */
/* Copyright (C) 2003 Speedinfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/


function init() {
  try {

    var x = (screen.width / 2) - 450;
    var y = (screen.height / 2) - 250;
    window.resizeTo(900,500);
    window.moveTo(x,y);
    document.getElementById('Numero').focus();

  } catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/rech_affaire.js#init : ' + e);
  }
}


function pressOnId(ev) {
  try {

    if (ev.keyCode==13) {

			var numero = document.getElementById('Numero').value;

			var affaire_id = existeAffaire(numero);

			if (affaire_id!="") {
       	ouvrirAffaire(affaire_id);
			}
			else {
				document.getElementById('Nom_Affaire').value = "";
        document.getElementById('Client_Id').value = "";
        document.getElementById('Article_Id').value = "";
        document.getElementById('Raison_Sociale').value = "";
				document.getElementById('Ref_Com').value = "";
				document.getElementById('Num_Facture').value = "";
				delete_tree();
				init_tree("&Numero="+ urlEncode(document.getElementById('Numero').value));
				unloadApercu();
			}
    }

  } catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/rech_affaire.js#pressOnId : ' + e);
  }
}


function pressOnIntitule(ev) {
  try {

    if (ev.keyCode==13) {
      document.getElementById('Numero').value = "";
      document.getElementById('Client_Id').value = "";
      document.getElementById('Article_Id').value = "";
      document.getElementById('Raison_Sociale').value = "";
			document.getElementById('Ref_Com').value = "";
			document.getElementById('Num_Facture').value = "";
			delete_tree();
			init_tree("&Nom_Affaire="+ urlEncode(document.getElementById('Nom_Affaire').value));
			unloadApercu();
    }

  } catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/rech_affaire.js#pressOnIntitule : ' + e);
  }
}


function pressOnClientId(ev) {
  try {

    if (ev.keyCode==13) {
      document.getElementById('Numero').value = "";
      document.getElementById('Raison_Sociale').value = "";
      document.getElementById('Article_Id').value = "";
      document.getElementById('Nom_Affaire').value = "";
			document.getElementById('Ref_Com').value = "";
			document.getElementById('Num_Facture').value = "";
			delete_tree();
			init_tree("&Client_Id="+ urlEncode(document.getElementById('Client_Id').value));
			unloadApercu();
    }

  } catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/rech_affaire.js#pressOnClientId : ' + e);
  }
}

function pressOnRaisonSociale(ev) {
  try {

    if (ev.keyCode==13) {
			document.getElementById('Numero').value = "";
      document.getElementById('Client_Id').value = "";
      document.getElementById('Article_Id').value = "";
      document.getElementById('Nom_Affaire').value = "";
			document.getElementById('Ref_Com').value = "";
			document.getElementById('Num_Facture').value = "";
			delete_tree();
			init_tree("&Raison_Sociale="+ urlEncode(document.getElementById('Raison_Sociale').value));
			unloadApercu();
    }

  } catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/rech_affaire.js#pressOnRaisonSociale : ' + e);
  }
}


function pressOnNumFacture(ev) {
  try {

    if (ev.keyCode==13) {
      document.getElementById('Numero').value = "";
			document.getElementById('Client_Id').value = "";
			document.getElementById('Raison_Sociale').value = "";
      document.getElementById('Article_Id').value = "";
      document.getElementById('Nom_Affaire').value = "";
			document.getElementById('Ref_Com').value = "";
			delete_tree();
			init_tree("&Num_Facture="+ urlEncode(document.getElementById('Num_Facture').value));
			unloadApercu();
    }

  } catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/rech_affaire.js#pressOnNumFacture : ' + e);
  }
}

function pressOnRefCom(ev) {
  try {

    if (ev.keyCode==13) {
			document.getElementById('Numero').value = "";
      document.getElementById('Client_Id').value = "";
			document.getElementById('Raison_Sociale').value = "";
      document.getElementById('Article_Id').value = "";
      document.getElementById('Nom_Affaire').value = "";
			document.getElementById('Num_Facture').value = "";
			delete_tree();
			init_tree("&Ref_Com="+ urlEncode(document.getElementById('Ref_Com').value));
			unloadApercu();
    }

  } catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/rech_affaire.js#pressOnRefCom : ' + e);
  }
}


function pressOnArticle(ev) {
  try {

    if (ev.keyCode==13) {
      document.getElementById('Numero').value = "";
      document.getElementById('Client_Id').value = "";
      document.getElementById('Raison_Sociale').value = "";
      document.getElementById('Nom_Affaire').value = "";
			document.getElementById('Ref_Com').value = "";
			document.getElementById('Num_Facture').value = "";
			delete_tree();
      init_tree("&Article_Id="+ urlEncode(document.getElementById('Article_Id').value));
			unloadApercu();
    }

  } catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/rech_affaire.js#pressOnArticle : ' + e);
  }
}


function pressOnTree(ev) {
  try {

    if (ev.keyCode==13) {

    	choixAffaire();
    }

  } catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/rech_affaire.js#pressOnTree : ' + e);
  }
}


function existeAffaire(numero) {
  try {

		var corps = cookie() +"&Page=Facturation/Affaires/existeAffaire.tmpl&ContentType=xml&Numero="+ numero;
		var p = requeteHTTP(corps);

 		return p.responseXML.documentElement.getAttribute('Affaire_Id');

  } catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/rech_affaire.js#existeAffaire : ' + e);
  }
}


function ouvrirAffaire(affaire_id) {
  try {

		window.opener.ouvrir_affaire_win(affaire_id);
    window.close();

  } catch (e) {
    recup_erreur('erreur dans facturation/user/stocks/rech_stocks.js#ouvrirAffaire : ' + e);
  }
}


function choixAffaire() {
	try {

		var tree = document.getElementById('affaires');

		if (tree.view!=null && tree.currentIndex!=-1) {

			var affaire_id = getCellText(tree,tree.currentIndex,'ColAffaire_Id');

			ouvrirAffaire(affaire_id);
		}

	} catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/rech_affaire.js#choixAffaire : ' + e);
  }
}


function init_tree(param) {
  try {

    var paramlist = "&Page=Facturation/GetRDF/liste_affaires.tmpl&ContentType=xml"+ param;

    load_rdf('affaires', getUrlOpeneas(paramlist));

  } catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/rech_affaire.js#init_tree : ' + e);
  }
}


function delete_tree() {
  try {

		var database = document.getElementById("affaires").database;
    var datasources = database.GetDataSources();
    while (datasources.hasMoreElements()) {
      var ds = datasources.getNext();
      database.RemoveDataSource(ds);
    }
		document.getElementById('affaires').builder.rebuild();

  } catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/rech_affaire.js#delete_tree : ' + e);
  }
}


function loadApercu() {
	try {

		delete_tree_apercu();

		var tree = document.getElementById('affaires');

		if (tree.view!=null && tree.currentIndex!=-1) {
			var affaire_id = getCellText(tree,tree.currentIndex,'ColAffaire_Id');
			var numero = getCellText(tree,tree.currentIndex,'ColNumero');
			document.getElementById('Num_Affaire').value = numero;
			init_tree_apercu(affaire_id);
		}

	} catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/rech_affaire.js#loadApercu : ' + e);
  }
}


function unloadApercu() {
	try {

		document.getElementById('Num_Affaire').value = "";
		delete_tree_apercu();

	} catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/rech_affaire.js#unloadApercu : ' + e);
  }
}


function init_tree_apercu(affaire_id) {
  try {

    var paramlist = "&Page=Facturation/GetRDF/apercu_commande.tmpl&ContentType=xml&Affaire_Id="+ affaire_id;

    load_rdf('apercu', getUrlOpeneas(paramlist));

  } catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/rech_affaire.js#init_tree_apercu : ' + e);
  }
}


function delete_tree_apercu() {
  try {

		var database = document.getElementById("apercu").database;
    var datasources = database.GetDataSources();
    while (datasources.hasMoreElements()) {
      var ds = datasources.getNext();
      database.RemoveDataSource(ds);
    }
		document.getElementById('apercu').builder.rebuild();

  } catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/rech_affaire.js#delete_tree_apercu : ' + e);
  }
}
