/******************************************************************************/
/* OpenSi : Outils libres de gestion d'entreprise                             */
/* Copyright (C) 2003 Speedinfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/


var sansTotaux = false;

function init() {
	try {

		editerDevis();

	} catch (e) {
    recup_erreur('erreur dans facturation/user/devis/devis.js#init : ' + e);
  }
}


function editerDevis() {
	try {

		var page = getUrlOpeneas("&Page=Facturation/Devis/devis_pdf.tmpl&Devis_Id="+ ParamValeur("Devis_Id"));
		if (sansTotaux) {
			page += "&SansTotaux=1";
			document.getElementById('bEdition').setAttribute("label","Devis avec totaux");
			sansTotaux = false;
		}
		else {
			document.getElementById('bEdition').setAttribute("label","Devis sans totaux");
			sansTotaux = true;
		}
		document.getElementById('devis').setAttribute("src",page);

	} catch (e) {
    recup_erreur('erreur dans facturation/user/devis/devis.js#editerDevis : ' + e);
  }
}


function retour_devis() {
  try {

		var page = "chrome://opensi/content/facturation/user/devis/edition_devis.xul?"+ cookie() +"&Devis_Id="+ ParamValeur("Devis_Id") +"&Mode=M";
    window.location = page;

	} catch (e) {
    recup_erreur('erreur dans facturation/user/devis/devis.js#retour_devis : ' + e);
  }
}


function retour_menu_principal() {
  try {

    var page = "chrome://opensi/content/facturation/user/menu_principal.xul?" + cookie();
		page += "&Libelle="+ parent.document.getElementById("nom_dossier").value;
    window.location = page;

  } catch (e) {
    recup_erreur('erreur dans facturation/user/devis/devis.js#retour_menu_principal : ' + e);
  }
}
