/******************************************************************************/
/* OpenSi : Outils libres de gestion d'entreprise                             */
/* Copyright (C) 2003 Speedinfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/



function init() {
  try {

    var x = (screen.width / 2) - 450;
    var y = (screen.height / 2) - 250;
    window.resizeTo(900,500);
    window.moveTo(x,y);
    document.getElementById('Numero').focus();

  } catch (e) {
    recup_erreur('erreur dans facturation/user/devis/rech_devis.js#init : ' + e);
  }
}


function pressOnId(ev) {
  try {

    if (ev.keyCode==13) {

			var numero = document.getElementById('Numero').value;

			var devis_id = existeDevis(numero);

			if (devis_id!="") {
       	ouvrirDevis(devis_id);
			}
			else {
        document.getElementById('Client_Id').value = "";
        document.getElementById('Article_Id').value = "";
        document.getElementById('Raison_Sociale').value = "";
				delete_tree();
				init_tree("&Numero="+ urlEncode(document.getElementById('Numero').value));
				unloadApercu();
			}
    }

  } catch (e) {
    recup_erreur('erreur dans facturation/user/devis/rech_devis.js#pressOnId : ' + e);
  }
}


function pressOnClientId(ev) {
  try {

    if (ev.keyCode==13) {

      document.getElementById('Numero').value = "";
      document.getElementById('Raison_Sociale').value = "";
      document.getElementById('Article_Id').value = "";
			delete_tree();
			init_tree("&Client_Id="+ urlEncode(document.getElementById('Client_Id').value));
			unloadApercu();
    }

  } catch (e) {
    recup_erreur('erreur dans facturation/user/devis/rech_devis.js#pressOnClientId : ' + e);
  }
}


function pressOnRaisonSociale(ev) {
  try {

    if (ev.keyCode==13) {

			document.getElementById('Numero').value = "";
      document.getElementById('Client_Id').value = "";
      document.getElementById('Article_Id').value = "";
			delete_tree();
			init_tree("&Raison_Sociale="+ urlEncode(document.getElementById('Raison_Sociale').value));
			unloadApercu();
    }

  } catch (e) {
    recup_erreur('erreur dans facturation/user/devis/rech_devis.js#pressOnRaisonSociale : ' + e);
  }
}


function pressOnArticle(ev) {
  try {

    if (ev.keyCode==13) {

      document.getElementById('Numero').value = "";
      document.getElementById('Client_Id').value = "";
      document.getElementById('Raison_Sociale').value = "";
			delete_tree();
      init_tree("&Article_Id="+ urlEncode(document.getElementById('Article_Id').value));
			unloadApercu();
    }

  } catch (e) {
    recup_erreur('erreur dans facturation/user/devis/rech_devis.js#pressOnArticle : ' + e);
  }
}


function pressOnTree(ev) {
  try {

    if (ev.keyCode==13) {
    	choixDevis();
    }

  } catch (e) {
    recup_erreur('erreur dans facturation/user/devis/rech_devis.js#pressOnTree : ' + e);
  }
}


function existeDevis(numero) {
  try {

		var corps = cookie() +"&Page=Facturation/Devis/existeDevis.tmpl&ContentType=xml&Numero="+ numero;
		var p = requeteHTTP(corps);

  	return p.responseXML.documentElement.getAttribute('Devis_Id');

  } catch (e) {
    recup_erreur('erreur dans facturation/user/devis/rech_devis.js#existeDevis : ' + e);
  }
}


function ouvrirDevis(devis_id) {
  try {

		window.opener.ouvrir_devis_win(devis_id);
    window.close();

  } catch (e) {
    recup_erreur('erreur dans facturation/user/stocks/rech_stocks.js#ouvrirDevis : ' + e);
  }
}


function choixDevis() {
	try {

		var tree = document.getElementById('devis');

		if (tree.view!=null && tree.currentIndex!=-1) {

			var devis_id = getCellText(tree,tree.currentIndex,'ColDevis_Id');

			ouvrirDevis(devis_id);
		}

	} catch (e) {
    recup_erreur('erreur dans facturation/user/devis/rech_devis.js#choixDevis : ' + e);
  }
}


function init_tree(param) {
  try {

    var paramlist = "&Page=Facturation/GetRDF/liste_devis.tmpl&ContentType=xml"+ param;

    load_rdf('devis', getUrlOpeneas(paramlist));
    document.getElementById('devis').builder.rebuild();

  } catch (e) {
    recup_erreur('erreur dans facturation/user/devis/rech_devis.js#init_tree : ' + e);
  }
}


function delete_tree() {
  try {

		var database = document.getElementById("devis").database;
    var datasources = database.GetDataSources();
    while (datasources.hasMoreElements()) {
      var ds = datasources.getNext();
      database.RemoveDataSource(ds);
    }

  } catch (e) {
    recup_erreur('erreur dans facturation/user/devis/rech_devis.js#delete_tree : ' + e);
  }
}


function loadApercu() {
	try {

		delete_tree_apercu();

		var tree = document.getElementById('devis');

		if (tree.view!=null && tree.currentIndex!=-1) {
			var devis_id = getCellText(tree,tree.currentIndex,'ColDevis_Id');
			var numero = getCellText(tree,tree.currentIndex,'ColNum_Entier');
			document.getElementById('Num_Devis').value = numero;
			init_tree_apercu(devis_id);
		}

	} catch (e) {
    recup_erreur('erreur dans facturation/user/recherches/rech_devis.js#loadApercu : ' + e);
  }
}


function unloadApercu() {
	try {

		document.getElementById('Num_Devis').value = "";
		delete_tree_apercu();

	} catch (e) {
    recup_erreur('erreur dans facturation/user/recherches/rech_devis.js#unloadApercu : ' + e);
  }
}


function init_tree_apercu(devis_id) {
  try {

    var paramlist = "&Page=Facturation/GetRDF/apercu_devis.tmpl&ContentType=xml&Devis_Id="+ devis_id;
    load_rdf('apercu', getUrlOpeneas(paramlist));

  } catch (e) {
    recup_erreur('erreur dans facturation/user/recherches/rech_devis.js#init_tree_apercu : ' + e);
  }
}


function delete_tree_apercu() {
  try {

		var database = document.getElementById("apercu").database;
    var datasources = database.GetDataSources();
    while (datasources.hasMoreElements()) {
      var ds = datasources.getNext();
      database.RemoveDataSource(ds);
    }
		document.getElementById('apercu').builder.rebuild();

  } catch (e) {
    recup_erreur('erreur dans facturation/user/recherches/rech_devis.js#delete_tree_apercu : ' + e);
  }
}
