/******************************************************************************/
/* OpenSi : Outils libres de gestion d'entreprise                             */
/* Copyright (C) 2003 Speedinfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/


var aFacts = new Arbre('fact', 'liste_factures_fournisseur.tmpl', 'factures');
var aHisto = new Arbre('fact', 'liste_factures_fournisseur.tmpl', 'historique');


function init() {
  try {

		aFacts.setParam('Directe', 1);
  	aFacts.setParam('Terminees', 'n');
  	aFacts.initTree();

		aHisto.setParam('Directe', 1);
		aHisto.setParam('Terminees', 'y');
		aHisto.initTree();

  } catch (e) {
  	recup_erreur('erreur dans erreur dans facturation/user/factu_fournisseur/menu_factures.js#init : ' + e);
  }
}


function nouvelle_facture() {
  try {

		var page = "chrome://opensi/content/facturation/user/factu_fournisseur/edition_facture.xul?"+ cookie() +"&Mode=C";
    window.location = page;

  } catch (e) {
  	recup_erreur('erreur dans erreur dans facturation/user/factu_fournisseur/menu_factures.js#nouvelle_factures : ' + e);
  }
}


function rechercher_facture() {
  try {

		var url = "chrome://opensi/content/facturation/user/recherches/rech_facture_fournisseur.xul?"+ cookie();
		window.openDialog(url,'','chrome,modal', ouvrirFacture);

	} catch (e) {
  	recup_erreur('erreur dans erreur dans facturation/user/factu_fournisseur/menu_factures.js#rechercher_facture : ' + e);
  }
}


function pressOnFactures(ev) {
  try {

		if (ev.keyCode==13) {
    	ouvrirFromTree('factures');
    }

	} catch (e) {
  	recup_erreur('erreur dans erreur dans facturation/user/factu_fournisseur/menu_factures.js#pressOnfactures : ' + e);
  }
}


function pressOnHistorique(ev) {
  try {

		if (ev.keyCode==13) {
    	ouvrirFromTree('historique');
    }

	} catch (e) {
  	recup_erreur('erreur dans erreur dans facturation/user/factu_fournisseur/menu_factures.js#pressOnHistorique : ' + e);
  }
}


function ouvrirFacture(facture_id) {
  try {

    var page = "chrome://opensi/content/facturation/user/factu_fournisseur/edition_facture.xul?"+ cookie() +"&Mode=M&Facture_Id="+ facture_id;
    window.location = page;

	} catch (e) {
  	recup_erreur('erreur dans erreur dans facturation/user/factu_fournisseur/menu_factures.js#ouvrirFacture : ' + e);
  }
}


function ouvrirFromTree(tree_id) {
  try {

		var tree = document.getElementById(tree_id);

		if (tree.view!=null && tree.currentIndex!=-1) {

			var facture_id = getCellText(tree,tree.currentIndex,(tree_id=='factures'?'ColFacture_Id':'ColFacture_IdH'));

			ouvrirFacture(facture_id);
		}

	} catch (e) {
  	recup_erreur('erreur dans erreur dans facturation/user/factu_fournisseur/menu_factures.js#ouvrirFromTree : ' + e);
  }
}


function retour_menu_principal() {
  try {

    var page = "chrome://opensi/content/facturation/user/menu_principal.xul?"+ cookie();
		page += "&Libelle="+ urlEncode(parent.document.getElementById("nom_dossier").value);
    window.location = page;

	} catch (e) {
    recup_erreur('erreur dans facturation/user/factu_fournisseur/menu_factures.js#retour_menu_principal : ' + e);
  }
}
