/******************************************************************************/
/* OpenSI Comptabilit : Outils libre de comptabilit d'entreprise            */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/


function init() {
	try {

		var paramlist = "&Page=Facturation/GetRDF/liste_reglements.tmpl&ContentType=xml";
    load_rdf_async('Mode_Reg', getUrlOpeneas(paramlist),initMode);

		window.parent.document.getElementById('Loaded').setAttribute('label',nocache());

	} catch (e) {
		recup_erreur('erreur dans facturation/user/fournisseurs/elems_finance.js#init : ' + e);
	}
}


function initMode() {
	try {
    var lblMode_Reg = document.getElementById('lblMode_Reg').value;
    if (isEmpty(lblMode_Reg)) {
      document.getElementById('Mode_Reg').selectedIndex = 0;
    } else {
      document.getElementById('Mode_Reg').value = lblMode_Reg;
    }
		window.parent.document.getElementById('Modifie').value = "n";

	} catch (e) {
    recup_erreur('erreur dans facturation/user/fournisseurs/elems_finance.js#initMode : ' + e);
  }
}


function setModifie() {
	try {

		window.parent.document.getElementById('Modifie').value = "y";

	} catch (e) {
		recup_erreur('erreur dans facturation/user/fournisseurs/elems_finance.js#setModifie : ' + e);
	}
}


function report_tranche() {
	try {

		var tranche_1 = parseFloat(document.getElementById('Tranche_CA1').value);
		var tranche_2 = parseFloat(document.getElementById('Tranche_CA2').value);
		var tranche_3 = parseFloat(document.getElementById('Tranche_CA3').value);
		var tranche_4 = parseFloat(document.getElementById('Tranche_CA4').value);

		if (isPositiveOrNull(tranche_1) && isPositiveOrNull(tranche_2) && isPositiveOrNull(tranche_3) && isPositiveOrNull(tranche_4)) {
			document.getElementById('De1').value = formatNombre(tranche_1,"0.00");
			document.getElementById('De2').value = formatNombre(tranche_2,"0.00");
			document.getElementById('De3').value = formatNombre(tranche_3,"0.00");
			document.getElementById('De4').value = formatNombre(tranche_4,"0.00");
		}

	} catch (e) {
		recup_erreur('erreur dans facturation/user/fournisseurs/elems_finance.js#report_tranche : ' + e);
	}
}
