/******************************************************************************/
/* OpenSi : Outils libres de gestion d'entreprise                             */
/* Copyright (C) 2003 Speedinfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/


function init() {
	try {

		var paramlist = "&Page=Facturation/GetRDF/familles_fournisseur.tmpl&ContentType=xml";
  	load_rdf('Famille', getUrlOpeneas(paramlist));

		window.parent.document.getElementById('Loaded').setAttribute('label',nocache());

		setTimeout("initType();",200);

	} catch (e) {
		recup_erreur('erreur dans facturation/user/fournisseurs/fiche_fournisseur.js#init : ' + e);
	}
}


function initType() {
  try {

		document.getElementById('Type_Societe').value = "SARL";

  } catch (e) {
    recup_erreur('erreur dans facturation/user/fournisseurs/fiche_fournisseur.js#initType : ' + e);
  }
}


function setModifie() {
	try {

		window.parent.document.getElementById('Modifie').value = "y";

	} catch (e) {
		recup_erreur('erreur dans facturation/user/fournisseurs/fiche_fournisseur.js#setModifie : ' + e);
	}
}


function changerCodeFournisseur() {
	try {

		var fournisseur_id = document.getElementById('Fournisseur_Id').value;

		var url = "chrome://opensi/content/facturation/user/fournisseurs/changer_code_fournisseur.xul?"+ cookie();
		window.openDialog(url,'','chrome,modal',fournisseur_id,remplaceCodeFournisseur);

	} catch (e) {
		recup_erreur('erreur dans facturation/user/fournisseurs/fiche_fournisseur.js#changerCodeFournisseur : ' + e);
	}
}


function remplaceCodeFournisseur(nouveau_code) {
	try {

		document.getElementById('Fournisseur_Id').value = nouveau_code;
		window.parent.document.getElementById('Fournisseur').value = nouveau_code;

	} catch (e) {
		recup_erreur('erreur dans facturation/user/fournisseurs/fiche_fournisseur.js#remplaceCodeFournisseur : ' + e);
	}
}
