/******************************************************************************/
/* OpenSi : Outils libres de gestion d'entreprise                             */
/* Copyright (C) 2003 Speedinfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/

var arbre_art = new Arbre ("fact","liste_articles_bon_reception.tmpl","articles");

function init() {
  try {

    var x = (screen.width / 2) - 350;
    var y = (screen.height / 2) - 200;
    window.resizeTo(700,400);
    window.moveTo(x,y);
    document.getElementById('Num_Entier').focus();

  } catch (e) {
    recup_erreur('erreur dans facturation/user/recherches/rech_articles_bon_reception.js#init : ' + e);
  }
}

function pressOnId(ev) {
  try {

		if (ev.keyCode==13) {

			var Num_Entier = document.getElementById('Num_Entier').value;
			if (!isEmpty(Num_Entier)) {
				if (existeBR(Num_Entier)) {
  				arbre_art.setParam("Num_Entier",Num_Entier);
					arbre_art.initTree();
				}
				else {
					rechercherBR();
				}
			}
			else {
				rechercherBR();
			}
		}

  } catch (e) {
    recup_erreur('erreur dans facturation/user/recherches/rech_bon_reception.js#pressOnId : ' + e);
  }

}
function existeBR(Num_Entier) {
  try {

		var corps = cookie() +"&Page=Facturation/Factu_Fournisseur/existeBR.tmpl&ContentType=xml";
		corps +="&Num_Entier="+ urlEncode(Num_Entier);
		var p = requeteHTTP(corps);

		var contenu = p.responseXML.documentElement;
  	return contenu.getAttribute('existe')=="true";

  } catch (e) {
    recup_erreur('erreur dans facturation/user/recherches/rech_bon_reception.js#existeBR : ' + e);
  }
}


function rechercherBR() {
	try {

		var url = "chrome://opensi/content/facturation/user/recherches/rech_bon_reception.xul?"+ cookie();
  	if (!isEmpty(ParamValeur("Fournisseur_Id"))) {
			url+="&Fournisseur_Id="+ParamValeur("Fournisseur_Id");
		}
   	window.openDialog(url,'','chrome,modal',validerBR);

	} catch (e) {
    recup_erreur('erreur dans facturation/user/recherches/rech_articles_bon_reception.js#rechercherBR : ' + e);
  }
}

function validerBR(Num_Entier) {
	try {

		document.getElementById('Num_Entier').value=Num_Entier;
		arbre_art.setParam("Num_Entier",Num_Entier);
		arbre_art.initTree();

	} catch (e) {
    recup_erreur('erreur dans facturation/user/recherches/rech_articles_bon_reception.js#validerBR : ' + e);
  }
}

function testcheck() {
	try {

		var liste = document.getElementById("articles");
		if (liste.currentItem!=null) {
			var item = liste.getItemAtIndex(liste.selectedIndex);
			var cks = item.getElementsByTagName("listcell");
			cks.item(0).setAttribute("checked",(cks.item(0).getAttribute("checked")=="true"?"false":"true"));
		}
	} catch (e) {
    recup_erreur('erreur dans facturation/user/recherches/rech_articles_bon_reception.js#testcheck : ' + e);
	}
}


function choixArticle() {
	try {

		var liste = document.getElementById("articles");
		var nombreElements = liste.getRowCount();
		var liste_br_id="";
		var liste_rank="";
		for (var i=0; i<nombreElements; i++) {
			if(liste.getItemAtIndex(i).getElementsByTagName("listcell").item(0).getAttribute("checked","true")=="true") {
				liste_br_id += liste.getItemAtIndex(i).value+",";
				liste_rank += liste.getItemAtIndex(i).getElementsByTagName("listcell").item(3).getAttribute("label")+",";
			}
		}
		var corps = cookie() +"&Page=Facturation/Factu_Fournisseur/ajouterArticleBonReception.tmpl&ContentType=xml";
		corps+="&Facture_Id="+ParamValeur("Facture_Id");
		corps+="&Fournisseur_Id="+ParamValeur("Fournisseur_Id");
		corps+="&Liste_BR_Id="+liste_br_id;
		corps+="&Liste_Rank="+liste_rank;
		var p = requeteHTTP(corps);
		window.arguments[0]();
		window.close();

	} catch (e) {
    recup_erreur('erreur dans facturation/user/recherches/rech_articles_bon_reception.js#choixArticle : ' + e);
	}
}
