/******************************************************************************/
/* OpenSi : Outils libres de gestion d'entreprise                             */
/* Copyright (C) 2003 Speedinfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under talhe terms of the GNU General Public License              */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/
/*
 * Gestion de la cration ou l'affectation d'un rglement
 * Gestion des vnements sur la fentre <facturation/user/reglements/affectation_automatique.xul>
 */

var arbre=new Arbre("fact","liste_affectation_echeance.tmpl","liste_affectation_echeance");
var arbre_avoir=new Arbre("fact","liste_affectation_avoir.tmpl","liste_affectation_avoir");

var index=-1;
var type="";
var Montant_Max=0;

var Date_reg ="";
var Client_Id="";
var Client ="";
var NumP="";
var Mode_Reg ="";
var Type_Reg ="";
var Montant_Global ="";
var Montant_Save=0.00;
var Montant_Restant;
var Regl=false;
var Reglement_Id="";
var Avo=false;
var Avoir_Id="";
var valeur;
var liste_avoir;

function init() {
	try {
		var x = (screen.width / 2) - 400;
		var y = (screen.height / 2) - 300;
		window.resizeTo(800,600);
		window.moveTo(x,y);
		//si c'est un nouveau rglement
		if (isDate(ParamValeur("Date")))
		{
			document.getElementById("sort").collapsed=true;
			Date_reg = ParamValeur("Date");
			Client_Id = ParamValeur("Client_Id");
			Client = ParamValeur("Client");
			Mode_Reg = ParamValeur("Mode_Reg");
			Montant_Global = ParamValeur("Montant");
			Montant_Save = ParamValeur("Montant");
			NumP=ParamValeur("Num_Piece");

			if (testAvoir()) {
				document.getElementById("hbox_avoir").collapsed=false;
				arbre_avoir.addParam("Client_Id",Client_Id);
				arbre_avoir.addParam("Client",Client);
				arbre_avoir.initTree(changer_Montant_Global_init);
			}
			else {
				document.getElementById("Montant").value=Montant_Global;
				init_Suite();
			}
		}
		// sinon si c'est une affectation d'un rglement
		else if (isPositive(ParamValeur("Reglement_Id")))
		{
			Reglement_Id=ParamValeur("Reglement_Id");
			Regl=true;
			var corps = cookie()+"&Page=Facturation/Reglements/getReglement.tmpl&ContentType=xml&Reglement_Id="+Reglement_Id;

			var p = requeteHTTP(corps);

			Date_reg = p.responseXML.documentElement.getAttribute("Date");
			Client_Id = p.responseXML.documentElement.getAttribute("Client_Id");
			Client = p.responseXML.documentElement.getAttribute("Client");
			Mode_Reg = p.responseXML.documentElement.getAttribute("Mode_Reg");
			Montant_Global = p.responseXML.documentElement.getAttribute("Montant");
			Montant_Save = p.responseXML.documentElement.getAttribute("Montant");
			NumP = p.responseXML.documentElement.getAttribute("Num_Piece");
			document.getElementById("Montant").value=Montant_Global;
			init_Suite();
		}
		// sinon c'est une affectation d'un avoir
		else {
			Avoir_Id=ParamValeur("Avoir_Id");
			Avo=true;
			var corps = cookie()+"&Page=Facturation/Reglements/getAvoir.tmpl&ContentType=xml&Avoir_Id="+Avoir_Id;

			var p = requeteHTTP(corps);

			Date_reg = p.responseXML.documentElement.getAttribute("Date");
			Client_Id = p.responseXML.documentElement.getAttribute("Client_Id");
			Client = p.responseXML.documentElement.getAttribute("Client");
			Mode_Reg = p.responseXML.documentElement.getAttribute("Mode_Reg");
			Montant_Global = p.responseXML.documentElement.getAttribute("Montant");
			Montant_Save = p.responseXML.documentElement.getAttribute("Montant");

			NumP = p.responseXML.documentElement.getAttribute("Num_Entier");
			document.getElementById("labelNum").value="Numro de l'avoir";
			document.getElementById("labelDate").value="Date de l'avoir";

			document.getElementById("Montant").value=Montant_Global;
			document.getElementById("mod").collapsed=true;
			document.getElementById("titre").value="SELECTION DES ECHEANCES IMPUTE PAR CET AVOIR";
			init_Suite();
		}

	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements/affectation_automatique.js#init : ' + e);
	}
}

//initialisation de l'arbre des chances
function init_Suite() {
	try {

		var corps = cookie() +"&Page=Facturation/Reglements/getTypeReglement.tmpl&ContentType=xml&Mode_R="+urlEncode(Mode_Reg);
		var p = requeteHTTP(corps);

		Type_Reg = p.responseXML.documentElement.getAttribute("type");

		arbre.addParam("Date",Date_reg);
		arbre.addParam("Client_Id",Client_Id);
		arbre.addParam("Client",Client);
		arbre.addParam("Mode_Reg",Mode_Reg);
		arbre.addParam("Type_Reg",Type_Reg);
		arbre.addParam("Montant",Montant_Global);
		arbre.addParam("Montant_Regl",Montant_Save);

		arbre.initTree(check_init);

		document.getElementById("Client_Id").value=Client_Id;
		document.getElementById("Client").value=Client;
		document.getElementById("Mode_Reg").value=Mode_Reg;

		document.getElementById("Date").value=Date_reg;
		document.getElementById("Num").value=NumP;

	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements/affectation_automatique.js#init_Suite : ' + e);
	}
}
function changer_Montant_Global_init() {
	try {
		var liste = document.getElementById("liste_affectation_avoir");
		var nombreElements = liste.getRowCount();
		for (var i=0; i<nombreElements; i++) {
			elem=liste.getItemAtIndex(i).getElementsByTagName("listcell");
			if(liste.getItemAtIndex(i).getElementsByTagName("listcell").item(0).getAttribute("checked","true")=="true"){
				mont=elem.item(3).getAttribute("label");
				Montant_Global=parseFloat(Montant_Global);
				Montant_Global+=parseFloat(mont);
				Montant_Global=formatNombre(Montant_Global,"0.00");
			}
		}
		document.getElementById("Montant").value=Montant_Global;
		init_Suite();
	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements/affectation_automatique.js#changer_Montant_Global_init : ' + e);
	}
}

function calcul_total() {
	total=0.00;
	try {
		var liste = document.getElementById("liste_affectation_echeance");
		var valeur = "";
		var nombreElements = liste.getRowCount();
		var Mode_Reg_Egal=true;
		for (var i=0; i<nombreElements; i++) {
			total+=parseFloat(liste.getItemAtIndex(i).getElementsByTagName("listcell").item(4).getAttribute("label"));
		}
		total=formatNombre(total,"0.00");
	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements/affectation_automatique.js#calcul_total : ' + e);
	}
	return total;
}


function changer_Montant_Global() {
	try {
		Montant_Global=Montant_Save;
		var liste = document.getElementById("liste_affectation_avoir");
		var nombreElements = liste.getRowCount();
		for (var i=0; i<nombreElements; i++) {
			elem=liste.getItemAtIndex(i).getElementsByTagName("listcell");
			if(liste.getItemAtIndex(i).getElementsByTagName("listcell").item(0).getAttribute("checked","true")=="true"){
				mont=elem.item(3).getAttribute("label");
				Montant_Global=parseFloat(Montant_Global);
				Montant_Global+=parseFloat(mont);
				Montant_Global=formatNombre(Montant_Global,"0.00");
			}
		}
		document.getElementById("Montant").value=Montant_Global;
		calcul();
	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements/affectation_automatique.js#changer_Montant_Global : ' + e);
	}
}

function testAvoir() {
	try {
		var corps = cookie() +"&Page=Facturation/Reglements/getAffectationAvoir.tmpl&ContentType=xml";
		corps += "&Client_Id="+urlEncode(Client_Id);
		corps += "&Client="+urlEncode(Client);
		var p = requeteHTTP(corps);

		var Avoir = p.responseXML.documentElement.getAttribute("Avoir");
		if (Avoir.length>0)
		{
			return true;
		}
		else {
			return false;
		}

	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements/affectation_automatique.js#testAvoir : ' + e);
	}

}

function check_init() {
	try {
		var liste = document.getElementById("liste_affectation_echeance");
		var nombreElements = liste.getRowCount();
		for (var i=0; i<nombreElements; i++) {
			elem=liste.getItemAtIndex(i).getElementsByTagName("listcell");
			mont=elem.item(5).getAttribute("label");
			if(mont=="0" || mont=="0.0"||mont=="0.00" )
				elem.item(0).setAttribute("checked","false");
			else
				elem.item(0).setAttribute("checked","true");
		}
		if (isDate(ParamValeur("Date")))
		{
			if (Type_Reg=="ESPECES") {
				var total=calcul_total();
				if (parseFloat(total)<parseFloat(Montant_Save)) {
					showWarning("tout le montant du rglement en espces doit pouvoir etre attribu");
					window.close();
				}
			}

		}
		calcul();
	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements/affectation_automatique.js#check_init : ' + e);
	}
}


function rapport_Montant(Montant) {
	try {
		document.getElementById("affectation_Montant").value=Montant;
	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements/affectation_automatique.js#rapport_Montant : ' + e);
	}
}

function changer_Montant() {
	try {
		Montant=document.getElementById("affectation_Montant").value;
		if (index==-1 || type=="") { showWarning("Veuillez slctionner une chance ou un avoir"); return false; }
		else if (isEmpty(Montant)) { showWarning("le champs 'Montant' n'est pas renseign !"); return false; }
		else if (isNaN(Montant)) { showWarning("Mauvais formatage de la valeur du rglement"); return false; }
		else if (parseFloat(Montant)<0) { showWarning("Le montant doit tre positif"); return false; }
		else if (parseFloat(Montant)>parseFloat(Montant_Max)) {
			showWarning("Le montant ne peut pas tre suprieur au montant restant"); return false;
		}
		Montant=formatNombre(Montant,"0.00");
		if (type=="reg")
			var liste = document.getElementById("liste_affectation_echeance");
		else
			var liste = document.getElementById("liste_affectation_avoir");

		var item = liste.getItemAtIndex(index);
		var cks = item.getElementsByTagName("listcell");
		if (type=="reg")
			if (cks.item(1).getAttribute("label")=="Echeance") {
				cks.item(5).setAttribute("label",Montant);
			}
			else {
				if (cks.item(4).getAttribute("label")==Montant || Montant=="0.00") {
					cks.item(5).setAttribute("label",Montant);
				}
				else {
					alert("Le montant de l'acompte doit tre imput en totalit");
					Montant="0.00";
				}
			}
		else
			cks.item(3).setAttribute("label",Montant);
		if(Montant=="0.00")
			cks.item(0).setAttribute("checked","false");
		else
			cks.item(0).setAttribute("checked","true");


		index=-1;
		type="";
		Montant_Max=0;
		document.getElementById("affectation_Montant").value="";
		calcul();
	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements/affectation_automatique.js#changer_Montant : ' + e);
	}
}

function calcul() {
	try {
		var liste = document.getElementById("liste_affectation_echeance");
		var valeur = "";
		var nombreElements = liste.getRowCount();
		var total_Impute=0.00;
		var Mode_Reg_Egal=true;
		for (var i=0; i<nombreElements; i++) {
			if(liste.getItemAtIndex(i).getElementsByTagName("listcell").item(0).getAttribute("checked","true")=="true"){
				total_Impute+=parseFloat(liste.getItemAtIndex(i).getElementsByTagName("listcell").item(5).getAttribute("label"));
				if (Mode_Reg!=liste.getItemAtIndex(i).getElementsByTagName("listcell").item(3).getAttribute("label"))
				{
					Mode_Reg_Egal=false;
				}
			}
		}
		total_Impute=formatNombre(total_Impute,"0.00")

		document.getElementById("Montant_Imp").value=total_Impute;
		var Montant_rest=document.getElementById("Montant").value-total_Impute;
		Montant_rest=formatNombre(Montant_rest,"0.00")

		document.getElementById("Montant_Rest").value=Montant_rest;

		if (Mode_Reg_Egal){
			document.getElementById("Mode_Reg_Egal").value="";
		}
		else {
			if (!Avo)
				document.getElementById("Mode_Reg_Egal").value="Attention les modes de rglements sont diffrents";
		}


		if (document.getElementById("Montant_Rest").value=="0.00")
		{
			document.getElementById("Montantrest_label").style.color="green";
			document.getElementById("Montant_Rest").style.color="green";
		}
		else
		{
			document.getElementById("Montantrest_label").style.color="red";
			document.getElementById("Montant_Rest").style.color="red";
		}


	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements/affectation_automatique.js#calcul : ' + e);
	}
}

/****************************************************
 *	check de la ligne sur click
 ****************************************************/
function testcheck_avo() {
	try {

		var liste = document.getElementById("liste_affectation_avoir");
		if (liste.currentItem!=null) {
			var item = liste.getItemAtIndex(liste.selectedIndex);
			var cks = item.getElementsByTagName("listcell");
			cks.item(0).setAttribute("checked",(cks.item(0).getAttribute("checked")=="true"?"false":"true"));
			index=liste.selectedIndex;
			type="avo";
			var Montant=cks.item(3).getAttribute("label");
			Montant_Max=cks.item(2).getAttribute("label");
			changer_Montant_Global();
			rapport_Montant(Montant);
		}
		calcul();
	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements/affectation_automatique.js#testcheck_avo : ' + e);
	}
}

function testcheck_reg() {
	try {

		var liste = document.getElementById("liste_affectation_echeance");
		if (liste.currentItem!=null) {
			var item = liste.getItemAtIndex(liste.selectedIndex);
			var cks = item.getElementsByTagName("listcell");
			var Montant=cks.item(5).getAttribute("label");
			if (Montant!="0.00") {
				cks.item(0).setAttribute("checked",(cks.item(0).getAttribute("checked")=="true"?"false":"true"));
			}
			index=liste.selectedIndex;
			type="reg";
			var Montant=cks.item(5).getAttribute("label");
			Montant_Max=cks.item(4).getAttribute("label");
			rapport_Montant(Montant);
		}
		calcul();
	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements/affectation_automatique.js#testcheck_reg : ' + e);
	}
}

/****************************************************
 *	validation du formulaire
 ****************************************************/
function valider() {
	try{

		Montant_Restant=document.getElementById("Montant_Rest").value;
		var ok=false;
		if (parseFloat(Montant_Restant)>0) {
			if (verifmax()) {
				ok=window.confirm("un surplus sera cr tes vous sr de vouloir continuer?");
			}
			else {
				showWarning("Tout le montant du rglement doit tre affect");
				return false;
			}
		}
		else if (parseFloat(Montant_Restant)<0)
		{
			showWarning("Vous ne pouvez pas affecter plus que le montant du rglement");
			return false;
		}
		else {
			ok=true;
		}
		if (!ok) {return false;}

		var liste = document.getElementById("liste_affectation_echeance");
		valeur = "";
		var nombreElements = liste.getRowCount();
		for (var i=0; i<nombreElements; i++) {
			if(liste.getItemAtIndex(i).getElementsByTagName("listcell").item(0).getAttribute("checked","true")=="true") {
				valeur += liste.getItemAtIndex(i).value;
				valeur += ";"+liste.getItemAtIndex(i).getElementsByTagName("listcell").item(5).getAttribute("label");
				valeur += ",";
			}
		}


		var liste = document.getElementById("liste_affectation_avoir");
		liste_avoir = "";
		var nombreElements = liste.getRowCount();
		for (var i=0; i<nombreElements; i++) {
			if(liste.getItemAtIndex(i).getElementsByTagName("listcell").item(0).getAttribute("checked","true")=="true") {
				liste_avoir += liste.getItemAtIndex(i).value;
				liste_avoir += ";"+liste.getItemAtIndex(i).getElementsByTagName("listcell").item(3).getAttribute("label");
				liste_avoir += ",";
			}
		}

		//affectation d'un rglement
		if (Regl) {
			var corps = cookie() +"&Page=Facturation/Reglements/affecterReglementAutomatique.tmpl&ContentType=xml";
			corps+="&Reglement_Id="+ParamValeur("Reglement_Id");
			corps+="&Echeance_Id="+valeur;
			corps+="&Montant="+Montant_Global;
			corps+="&Montant_Restant="+Montant_Restant;
			var p = requeteHTTP(corps);

			window.arguments[1](true,true,true,true,true);
			window.close();
			window.arguments[0]("Reglement",","+Reglement_Id);
		}
		//affectation d'un avoir
		else if (Avo) {

			var corps = cookie() +"&Page=Facturation/Reglements/affecterAvoirAutomatique.tmpl&ContentType=xml";
			corps+="&Avoir_Id="+ParamValeur("Avoir_Id");
			corps+="&Echeance_Id="+valeur;
			corps+="&Montant="+Montant_Global;
			corps+="&Montant_Restant="+Montant_Restant;
			var p = requeteHTTP(corps);

			window.arguments[1](true,true,true,true,true);
			window.close();
			window.arguments[0]("Avoir",","+Avoir_Id);
		}
		//cration d'un rglement
		else {
			if (Type_Reg=="ESPECES") {
				var corps = cookie() +"&Page=Facturation/Reglements/getTransfert_Reglements.tmpl&ContentType=xml";
				var p = requeteHTTP(corps);

				var Transfert_Reglements = p.responseXML.documentElement.getAttribute("Transfert_Reglements");
				if (Transfert_Reglements=="1")	{
					var corps = cookie() +"&Page=Facturation/Reglements/getContrePartie.tmpl&ContentType=xml";
					corps+="&Code_Journal="+urlEncode(ParamValeur("Journal_Banque"));
					var p = requeteHTTP(corps);

					var ContrePartie = p.responseXML.documentElement.getAttribute("Contre_Partie");
					if (ContrePartie!="") {
						creerRegl();
					}
					else {
						var page ="chrome://opensi/content/facturation/user/reglements/changer_ContrePartie.xul?"+ cookie();
						page +="&Journal_Banque="+urlEncode(ParamValeur("Journal_Banque"));
						window.openDialog(page,'Indiquez le compte de contre partie du journal','chrome,modal',creerRegl);
					}
				}
				else {
					creerRegl();
				}
			}
			else {
				creerRegl();
			}
		}
	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements/affectation_automatique.js#valider' + e);
	}
}



function creerRegl() {
	try{
		var corps = cookie() +"&Page=Facturation/Reglements/creerReglementAutomatique.tmpl&ContentType=xml";
		corps+="&Type_Reg="+urlEncode(Type_Reg);
		corps+="&Avoir_Id="+liste_avoir;
		corps+="&Echeance_Id="+valeur;
		corps+="&Date="+prepareDateJava(Date_reg);
		corps+="&Client_Id="+urlEncode(Client_Id);
		corps+="&Client="+urlEncode(Client);
		corps+="&Mode_R="+urlEncode(Mode_Reg);
		corps+="&Montant="+Montant_Save;
		corps+="&Montant_Global="+Montant_Global;
		corps+="&Montant_Restant="+Montant_Restant;
		corps+="&num_Compte="+urlEncode(ParamValeur("num_Compte"));
		corps+="&Journal_Banque="+urlEncode(ParamValeur("Journal_Banque"));
		corps+="&Num_Piece="+urlEncode(ParamValeur("Num_Piece"));
		corps+="&Banque_Client="+urlEncode(ParamValeur("Banque_Client"));
		corps+="&Commentaire="+urlEncode(ParamValeur("Commentaire"));
		var p = requeteHTTP(corps);

		window.arguments[2]();
		window.arguments[1](true,true,true,true,true);
		window.close();

	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements/affectation_automatique.js#creerRegl' + e);
	}

}


function verifmax() {
	try{

		var liste = document.getElementById("liste_affectation_echeance");
		var nombreElements = liste.getRowCount();
		var trop=true;
		var i=0;
		while (i<nombreElements && trop) {
			if(liste.getItemAtIndex(i).getElementsByTagName("listcell").item(0).getAttribute("checked","true")=="true")
			{
				var Montant_imp = liste.getItemAtIndex(i).getElementsByTagName("listcell").item(5).getAttribute("label");
				var Montant_rest= liste.getItemAtIndex(i).getElementsByTagName("listcell").item(4).getAttribute("label");

				if (parseFloat(Montant_imp)!=parseFloat(Montant_rest))
				{
					trop=false;
				}
			}
			else {
				trop=false;
			}
			i++;
		}
		return trop;

	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements/affectation_automatique.js#verifmax' + e);
	}

}

function keypress(e) {
	try {
		switch(e.keyCode) {
			case 13:
			 	changer_Montant();
			break;
		}
	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements/affectation_automatique.js#keypress : ' + e);
	}
}

function annuler() {
	try{
		window.close();

		if (Regl) {
			window.arguments[0]("Reglement",","+Reglement_Id);
		}
		else if (Avo) {
			window.arguments[0]("Avoir",","+Avoir_Id);
		}

	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements/affectation_automatique.js#annuler' + e);
	}
}
