/******************************************************************************/
/* OpenSi : Outils libres de gestion d'entreprise                             */
/* Copyright (C) 2003 Speedinfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/
/*
 * Gestion de la fenetre permettant de changer la contre partie d'un journal
 * Gestion des vnements sur la fentre <facturation/user/reglements/changer_contrePartie.xul>
 */

function init() {
  try {
		var x = (screen.width / 2) - 250;
		var y = (screen.height / 2) - 150;
		window.resizeTo(500,300);
		window.moveTo(x,y);

		document.getElementById('Journal').value+=ParamValeur('Journal_Banque');

	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements/changer_ContrePartie.js#init : ' + e);
	}
}

function rechcompte(id) {
	try {

		var debCompte="5";
		var url ="chrome://opensi/content/config/util/rechcompte.xul?"+ cookie();
		url += "&Compte_Gen=G&Force_Deb="+ debCompte;
		window.openDialog(url,'rechcompte','chrome,modal',debCompte,id,false);

	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements/changer_ContrePartie.js#rechcompte : ' + e);
	}
}

function changer() {
	try {
		if (document.getElementById('compte').value!="") {
			var corps = cookie() +"&Page=Facturation/Reglements/changerContrePartie.tmpl&ContentType=xml";
			corps +="&Journal="+urlEncode(ParamValeur('Journal_Banque'));
			corps +="&Contre_Partie="+document.getElementById('compte').value;

			var p = requeteHTTP(corps);

			window.close();
			if (window.arguments[1]!=null && window.arguments[2]!=null) {
				window.arguments[1](window.arguments[2]);
			}
			else {
				window.arguments[0]();
			}
		}
	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements/changer_ContrePartie.js#changer : ' + e);
	}
}
