/******************************************************************************/
/* OpenSi : Outils libres de gestion d'entreprise                             */
/* Copyright (C) 2003 Speedinfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/
/*
 * Fenetre de rgularisation pour choisir le journal d'OD
 * Gestion des vnements sur la fentre <facturation/user/reglements/regulariser.xul>
 */

var echeance=false;
var annuler=false;


function init() {
	try {

		if (!isEmpty(ParamValeur("Echeance_Id"))) {
			echeance=true;
		}
		if (!isEmpty(ParamValeur("Annuler"))) {
			annuler=true;
		}
		var x = (screen.width / 2) - 200;
		var y = (screen.height / 2) - 100;
		window.resizeTo(400,200);
		window.moveTo(x,y);

		var arbre=new Arbre("cpta","liste_journaux.tmpl","journal");
		arbre.addParam("Type_Journal","OD");
		arbre.addParam("Factu","1");
		arbre.initTree(initJournaux);

		if (annuler && echeance) {
			document.getElementById('type').value="Annulation de la rgularisation de l'chance slctionne";
		}
		else if (annuler) {
			document.getElementById('type').value="Annulation de la rgularisation du rglement slctionn";
		}
		else if (echeance) {
			document.getElementById('type').value="Rgularisation de l'chance slctionne";
		}
		else {
			document.getElementById('type').value="Rgularisation du rglement slctionn";
		}

		document.getElementById('journal').focus();

	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements/regulariser.js#init : ' + e);
	}
}

function initJournaux() {
	try {
		document.getElementById('journal').selectedIndex=0;
	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements/regulariser.js#initJournaux : ' + e);
	}
}

function changer() {
	try {
		var corps="";

		if (annuler && echeance) {
			corps = cookie() +"&Page=Facturation/Reglements/annulerRegulariserEcheance.tmpl&ContentType=xml&Echeance_Id="+ParamValeur("Echeance_Id");
		}
		else if (annuler) {
			corps = cookie() +"&Page=Facturation/Reglements/annulerRegulariserReglement.tmpl&ContentType=xml&Reglement_Id="+ParamValeur("Reglement_Id");
		}
		else if (echeance) {
			corps = cookie() +"&Page=Facturation/Reglements/regulariserEcheance.tmpl&ContentType=xml&Echeance_Id="+ParamValeur("Echeance_Id");
		}
		else {
			corps = cookie() +"&Page=Facturation/Reglements/regulariserReglement.tmpl&ContentType=xml&Reglement_Id="+ParamValeur("Reglement_Id");
		}
		corps +="&Journal="+urlEncode(document.getElementById('journal').value);
		var p = requeteHTTP(corps);

		if (echeance) {
			window.arguments[0](true,true,false,true,false);
		}
		else {
			window.arguments[0](false,false,true,false,true);
		}
		window.close();

	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements/regulariser.js#changer : ' + e);
	}
}
