/******************************************************************************/
/* OpenSi : Outils libres de gestion d'entreprise                             */
/* Copyright (C) 2003 Speedinfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/
/*
 * Affichage et gnration du pdf des relances
 * Gestion des vnements sur la fentre <facturation/user/reglements/relances.xul>
 */

var Cours=ParamValeur("Cours")=="true";

function init() {
	try {
		document.getElementById('group').value="Non";
		var page = getUrlOpeneas("&Page=Facturation/Reglements/relances_pdf.tmpl");
		if (ParamValeur("Premier")=="true")
			page +="&Premier=true";
		page +="&Group=false";
		page +="&Cours="+Cours;
		document.getElementById('relances').setAttribute("src",page);
	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements/relances_pdf.js#init : ' + e);
	}
}

function relance_changer() {
	try {
		if (document.getElementById('group').value!="List") {
			var page = getUrlOpeneas("&Page=Facturation/Reglements/relances_pdf.tmpl");
			if (document.getElementById('group').value=="Non")
				page+= "&Group=false";
			else if (document.getElementById('group').value=="Group")
				page+= "&Group=true";
			page +="&Cours="+Cours;
			document.getElementById('relances').setAttribute("src",page);
		}
		else {
			var page = getUrlOpeneas("&Page=Facturation/Reglements/relances_liste_pdf.tmpl");
			page +="&Cours="+Cours;
			document.getElementById('relances').setAttribute("src",page);
		}
	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements/relances_pdf.js#relance_changer : ' + e);
	}
}


function retour_reglements() {
	try {

		var page = "chrome://opensi/content/facturation/user/reglements/menu_reglement.xul?" + cookie();
		page += "&Retour="+true;
		window.location = page;

	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements/relances_pdf.js#retour_reglements : ' + e);
	}
}


function retour_relances() {
	try {

		window.location = "chrome://opensi/content/facturation/user/reglements/relances.xul?" + cookie();

	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements/relances_pdf.js#retour_relances : ' + e);
	}
}


function retour_menu_principal() {
	try {

		var page = "chrome://opensi/content/facturation/user/menu_principal.xul?"+ cookie();
		page += "&Libelle="+ parent.document.getElementById("nom_dossier").value;
		window.location = page;

	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements/relances_pdf.js#retour_menu_principal : ' + e);
	}
}
