/******************************************************************************/
/* OpenSi : Outils libres de gestion d'entreprise                             */
/* Copyright (C) 2003 Speedinfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/
/*
 * Affichage et initialisation des overlays de bordereau en banque
 * Gestion des vnements sur la fentre <facturation/user/reglements_fournisseur/menu_bordereau.xul>
 */

var rech_bordereaux=new Arbre("fact","liste_bordereaux_fournisseur.tmpl","rech_bordereaux");
var bordereaux=new Arbre("fact","liste_bordereaux_fournisseur.tmpl","bordereaux");

/****************************************************
 *	Initialisation des critures.
 ****************************************************/
function init() {
	try {
		var arbre_jour=new Arbre("cpta","liste_journaux.tmpl","input_Journal_Banque");
		arbre_jour.addParam("Type_Journal","TR");
		arbre_jour.addParam("Factu","1");
		arbre_jour.initTree(init2);
		var arbre_jour=new Arbre("cpta","liste_journaux.tmpl","rech_input_Journal_Banque");
		arbre_jour.addParam("Type_Journal","TR");
		arbre_jour.addParam("Factu","1");
		arbre_jour.initTree(init3);
		setTimeout("document.getElementById('input_Type_R').selectedIndex=0;afficher();",300);
		setTimeout("document.getElementById('rech_input_Type_R').selectedIndex=0;",300);
	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements_fournisseur/menu_bordereau.js#init : ' + e);
	}
}
function init2() {
	try {
		document.getElementById('input_Journal_Banque').selectedIndex = 0;
	} catch (e) {
		recup_erreur('erreur dans erreur dans facturation/user/reglements_fournisseur/menu_bordereau.js#init2 : ' + e);
	}
}

function init3() {
	try {
		document.getElementById('rech_input_Journal_Banque').selectedIndex = 0;
	} catch (e) {
		recup_erreur('erreur dans erreur dans facturation/user/reglements_fournisseur/menu_bordereau.js#init3 : ' + e);
	}
}

function retour_reglements() {
	try {

		var page = "chrome://opensi/content/facturation/user/reglements_fournisseur/menu_reglement.xul?" + cookie();
		page += "&Retour="+true;
		window.location = page;

	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements_fournisseur/menu_bordereau.js#retour_reglements : ' + e);
	}
}


function retour_menu_principal() {
	try {

		var page = "chrome://opensi/content/facturation/user/menu_principal.xul?"+ cookie();
		page += "&Libelle="+ parent.document.getElementById("nom_dossier").value;
		window.location = page;

	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements_fournisseur/menu_bordereau.js#retour_menu_principal : ' + e);
	}
}
