/******************************************************************************/
/* OpenSI : Outils libre de gestion d'entreprise                              */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/


function init() {
	try {
	
		document.getElementById('titre').value = 'CHANGER LE MOT DE PASSE DE L\'UTILISATEUR "'+ parent.document.getElementById('login').value +'"';
		document.getElementById('OldPassword').focus();
		
	} catch (e) {
    recup_erreur('erreur dans compta/user/autres/change_user_password.js#init : ' + e);
  }
}


function changeUserPassword() {
	try {

		var old_password = document.getElementById('OldPassword').value;
  	var password = document.getElementById('Password').value;
		var password2 = document.getElementById('Password2').value;	

		if (isEmpty(old_password) || isEmpty(password) || isEmpty(password2)) {
			showWarning('Vous devez remplir tous les champs !');
		}
		else if (password2 != password) {
			showWarning('Les mots de passe saisis sont diffrents !\nVeuillez reconfirmer le mot de passe');
			document.getElementById('Password2').value = '';
		}
		else if (window.confirm('Confirmez-vous le changement de votre mot de passe ?')) {

  		var corps = cookie() + "&Page=Compta/UpdateDatabase/ChangeUserPassword.tmpl&ContentType=text&OldPassword=" + urlEncode(old_password);
			corps += "&Password="+ urlEncode(password) +"&Login="+ urlEncode(parent.document.getElementById('login').value);

      var httpRequest = new XMLHttpRequest();
      requeteHTTP(corps,httpRequest,suiteChangeUserPassword);
		}

	} catch (e) {
    recup_erreur('erreur dans compta/user/autres/change_user_password.js#changeUserPassword : ' + e);
  }
}


function suiteChangeUserPassword(httpRequest) {
	try {
	
  	if (httpRequest.status != "200") {
    	showWarning("Rception erreur "+ httpRequest.status);
  	} 
		else {
			showWarning(trim(httpRequest.responseText));
		}
		var page  = "chrome://opensi/content/compta/user/menu_exercice.xul?" + cookie();
  	window.location = page;
		
	} catch (e) {
    recup_erreur('erreur dans compta/user/autres/change_user_password.js#suiteChangeUserPassword : ' + e);
  }
}

function retour_menu_autres() {
  try {
    
		var page = "chrome://opensi/content/compta/user/autres/menu_autres.xul?" + cookie() ;
    window.location = page;
  
	} catch (e) {
    recup_erreur('erreur dans compta/user/autres/change_user_password.js#retour_menu_autres : ' + e);
  }
}

function retour_menu_principal() {
  try {
    
		var page = "chrome://opensi/content/compta/user/menu_exercice.xul?" + cookie() ;
    page += "&Dates=" + parent.document.getElementById("date_exercice").value;
    window.location = page;
		
  } catch (e) {
    recup_erreur('erreur dans compta/user/autres/change_user_password.js#retour_menu_principal : ' + e);
  }
}
