/******************************************************************************/
/* OpenSi : Outils libres de gestion d'entreprise                             */
/* Copyright (C) 2003 Speedinfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/

var nouveausolde;
var journal;
var periode;
var rb_clos = false;


function init() {
	try {

		var anciensolde = window.arguments[0];
		var depense = window.arguments[1];
		var recette = window.arguments[2];
		nouveausolde = window.arguments[3];
		journal = window.arguments[4];
		periode = window.arguments[5];

		window.addEventListener("close",croix,false);

		document.getElementById("lblAncienSolde").value = anciensolde;
		document.getElementById("tmp_depense").value = depense;
		document.getElementById("tmp_recette").value = recette;
		document.getElementById("lblNvSolde").value = nouveausolde;

	}	catch(e) {
		recup_erreur('erreur dans compta/user/rapprochement/validation.js#init : ' +e);
	}
}

function croix() {
	try {

		if (rb_clos) {
			fermer();
		}
		else{
			window.close();
		}

	}	catch(e) {
		recup_erreur('erreur dans compta/user/rapprochement/validation.js#croix : ' +e);
	}
}


function annuler() {
	try {

		window.close();

	}	catch(e) {
		recup_erreur('erreur dans compta/user/rapprochement/validation.js#fermer : ' +e);
	}
}


function fermer() {
	try {

		window.arguments[6]();
		window.close();

	}	catch(e) {
		recup_erreur('erreur dans compta/user/rapprochement/validation.js#fermer : ' +e);
	}
}

function confirme() {
	try {

		var conf = document.getElementById("confirm").value;
		if ( conf == "OUI") {
			alert("Attention, lorsque vous cliquerez sur le bouton OK, le rapprochement bancaire du mois en cour sera clotur et aucune modification ne pourra tre apport")
			document.getElementById("bouton_ok").disabled = false;
		}

	}	catch(e) {
		recup_erreur('erreur dans compta/user/rapprochement/validation.js#confirme : ' +e);
	}
}


function affiche() {
	try {

		document.getElementById("bouton_ok").disabled = true;
		document.getElementById("bouton_annuler").disabled = true;
		document.getElementById("confirm").disabled = true;
		document.getElementById("bouton_fermer").collapsed = false;
		rb_clos = true;
		window.arguments[7]();

		var corps = cookie() +"&Page=Compta/Rapprochement/majnouveausolde.tmpl&ContentType=xml&Code_Journal=" + journal + "&Periode=" + periode + "&Solde=" + nouveausolde + "&Clos='y'";
		var p = requeteHTTP(corps);

	}	catch(e) {
		recup_erreur('erreur dans compta/user/rapprochement/validation.js#affiche : ' +e);
	}
}
