/******************************************************************************/
/* OpenSI Comptabilit : Outils libre de comptabilit d'entreprise            */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/

/*
 * Gestion des vnements sur la fentre <compta/user/suivi_activite/budget/lesTableaux.xul>
 *
 */

var choixDuUser;
var id_budget;

function init() {

		try {
		page = "&Page=Compta/SuiviActivite/budget/AfficherTableau.tmpl&ContentType=xul&choix="+ParamValeur("choix")+"&edition="+ParamValeur("edition");
		page+= "&Id_Budget="+ParamValeur("Id_Budget");
		page += "&URL="+getUrlOpeneas("");
		document.getElementById("lesTableaux").setAttribute("src",getUrlOpeneas(page));
		
		choixDuUser=ParamValeur("choix");
		id_budget=ParamValeur("Id_Budget");
	
	} catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/budget/lesTableaux.js#init : ' + e);
  }

}


function retour_menu_principal() {
  try {
    var page = "chrome://opensi/content/compta/user/menu_exercice.xul?" + cookie() ;
    page += "&Dates=" + parent.document.getElementById("date_exercice").value;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/budget.js#retour_menu_principal : ' + e);
  }
}

function retour_menu_suivi() {
  try {
    var page = "chrome://opensi/content/compta/user/suivi_activite/menu_suivi.xul?" + cookie() ;
		
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/budget/menu_budget.js#retour_menu_suivi : ' + e);
  }
}

function retour_menu_dates() {
  try {
    var page = "chrome://opensi/content/compta/user/suivi_activite/pre_menu_budget.xul?" + cookie() ;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/budget/menu_budget.js#retour_menu_dates : ' + e);
  }
}

function retour_menu_budget() {
  try {
    var page = "chrome://opensi/content/compta/user/suivi_activite/budget/menu_budget.xul?" + cookie() ;
		page+= "&Id_Budget="+id_budget;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/budget/menu_budget.js#retour_menu_dates : ' + e);
  }
}

function retour_menu_budget_edition() {
  try {
    var page = "chrome://opensi/content/compta/user/suivi_activite/budget/menu_edition_budget.xul?" + cookie() ;
		page+= "&Id_Budget="+id_budget;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/budget/menu_budget.js#retour_menu_dates : ' + e);
  }
}
nb

/* ************************************************************************************* */

function exporterVersOoo()
	{
	try {

		var iframe=document.getElementById("lesTableaux").contentDocument;
		var nbMois=iframe.getElementById("nombreDeMois").value;
		var decal=iframe.getElementById("decalage").value;

		var listeDeTout=creeListeExport();
		listeDeTout=listeDeTout.replace("&","et");
		listeDeTout=listeDeTout.replace("%","pourcent");
		listeDeTout=listeDeTout.replace("","ion");
		

		var page = "Page=Compta/SuiviActivite/budget/ExportLesTabsVersOoo.tmpl&ContentType=xml&liste="+listeDeTout+"&nbMois="+nbMois+"&decal="+decal;
		var httpRequest = new XMLHttpRequest();
		
		requeteHTTP(page, httpRequest, exporterVersOoo_2);
		
		} catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/budget/lesTableaux.js#exporterVersOoo : ' + e);
  }
		
	}
	
	
	function exporterVersOoo_2(httpRequest) {
	
	try{
			var contenu = httpRequest.responseXML;
			var nomFichier = contenu.documentElement;
			var nomFichier = nomFichier.getAttribute('nom');

			
			
			var file = fileChooser("save", nomFichier +".sxc");

			if (file!=null)
			{
				downloadFile(getDirServeur()+"/openoffice/"+ nomFichier +".sxc", file);
			}
			
			} catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/budget/lesTableaux.js#exporterVersOoo_2 : ' + e);
  }
			
	
	}
	
/* Cre la liste  partir des valeurs des champs prevu, actu et retenu*/
/* Ne pas recalculer ces champs garantie la cohrence entre le tableau  l'cran et sur Ooo */
	function creeListeExport()
	{
	try{
		var iframe=document.getElementById("lesTableaux").contentDocument;
		var nbLib=iframe.getElementById("nombreDeLibelle").value;
		var nbMois=iframe.getElementById("nombreDeMois").value;
		var decal=iframe.getElementById("decalage").value;
		var annee=iframe.getElementById("anneeDebut").value;

		var resultat="";

		for(lib=1;lib<=nbLib;lib++)
		{
			var libelle=iframe.getElementById("lib"+lib).value;
			resultat+=";"+libelle;
			
			var lesActus="";
			var lesPrevus="";
			var lesRetenus="";

			for(mois=1; mois<=nbMois;mois++)
			{
				var elementRetenu="retenu_M"+mois+"L"+lib; 
				var valeurRetenu=recupererNombreDansElement(elementRetenu);

				lesRetenus+=","+valeurRetenu;


				var elementActu="actu_M"+mois+"L"+lib; 
				var valeurActu=recupererNombreDansElement(elementActu);
				
				if(!isNaN(parseInt(valeurActu)))
				{//Y a une valeur, on la sauve
					lesActus+=","+valeurActu;
				}
				else
				{
					lesActus+=",rien";
				}

				var elementPrev="prev_M"+mois+"L"+lib; 
				var valeurPrev=recupererNombreDansElement(elementPrev);

				lesPrevus+=","+valeurPrev;

			}	
			resultat+="_"+lesPrevus+"_"+lesActus+"_"+lesRetenus;
		}	

		return resultat;
		} catch (e) {
  			  recup_erreur('erreur dans compta/user/suivi_activite/budget/lesTableaux.js#creeListeExport: ' + e);
  		}
	}	

	

	
	/* ****************************************************************************************************** */
		/* Sauvegarde du tout */
			function sauvegarde()
			{
			
			try{


				var iframe=document.getElementById("lesTableaux").contentDocument;
				var DID=iframe.getElementById("dossierId").value;
				var choix=iframe.getElementById("choix").value;
				var moisDebut=iframe.getElementById("moisDebut").value;
				var anneeDebut=iframe.getElementById("anneeDebut").value;
				var moisFin=iframe.getElementById("moisFin").value;
				var anneeFin=iframe.getElementById("anneeFin").value;
				var Budget_Id=iframe.getElementById("Id_Budget").value;

				var liste=creerListe("retenu");
				
				
				var page = "Page=Compta/SuiviActivite/budget/Sauvegarde.tmpl&ContentType=none&Liste="+liste+"&Choix="+choix+"&DossierId="+DID;
				page+="&MDeb="+moisDebut+"&ADeb="+anneeDebut+"&MFin="+moisFin+"&AFin="+anneeFin+"&Id_Budget="+Budget_Id;
				var httpRequest = new XMLHttpRequest();
				
				requeteHTTP(page, httpRequest, sauvegarde_2);

				
				
				} catch (e) {
    			recup_erreur('erreur dans compta/user/suivi_activite/budget/lesTableaux.js#sauvegarde : ' + e);
  			}
				
				
			}
			
			function sauvegarde_2()
			{
					sauvegarde_totaux();
					
			}
	
	
		/* Cree la liste pour la sauvegarde */
			function creerListe()
			{
			
			try{
			
			
				var iframe=document.getElementById("lesTableaux").contentDocument;
				var nbLib=iframe.getElementById("nombreDeLibelle").value;
				var nbMois=iframe.getElementById("nombreDeMois").value;
				var decal=iframe.getElementById("decalage").value;
				var annee=iframe.getElementById("anneeDebut").value;
			
				var liste="";
				
				//Pour tous les tableaux on regarde actu
				for (mois=1; mois<=nbMois;mois++)
				{
					var vraiMois=parseInt(mois)+parseInt(decal);
					var vraiAnnee=annee;
					while (vraiMois>12)
					{
						vraiMois-=12;
						vraiAnnee=annee-1;
					}
				
					for(lib=1; lib<=nbLib;lib++)
					{
					
						var element="retenu_M"+mois+"L"+lib; 
						var valeur=recupererNombreDansElement(element);
				
						if(!isNaN(parseInt(valeur)))
						{//Y a une valeur, on la sauve
							
							var numDeCompte=iframe.getElementById("compte"+lib).value;
				
							
							liste+=","+numDeCompte+","+vraiMois+","+vraiAnnee+","+valeur;
						}
					
					
					}
					
				}
				return liste;
				
				
				} catch (e) {
    	recup_erreur('erreur dans compta/user/suivi_activite/budget/lesTableaux.js#creerListe : ' + e);
  			}
				
			}



function recupererNombreDansElement(element)
{
try{

	var iframe=document.getElementById("lesTableaux").contentDocument;
	var regexp=/ /gi;
	var texte=iframe.getElementById(element).value;
	var resultat=texte.replace(regexp,"");

	return resultat;


	} catch (e) {
recup_erreur('erreur dans compta/user/suivi_activite/budget/lesTableaux.js#recupererNombreDansElement : ' + e);
  }
}

		
			
			
function liste_totaux()
{
	var iframe=document.getElementById("lesTableaux").contentDocument;
	var result="";
	
	var nbMois=iframe.getElementById("nombreDeMois").value;
	
	if (nbMois >0)
	{
		result+=recupererNombreDansElement("total_retenu_M1");
		for (t=2; t<=nbMois; t++)
		{
			result+=","+recupererNombreDansElement("total_retenu_M"+t);
		}
	}
	
		return result;
	
}
			
			
			
/* Sauvegarde du tout */
function sauvegarde_totaux()
{

try{

	var iframe=document.getElementById("lesTableaux").contentDocument;
	var base=iframe.getElementById("dossierId").value;
	var moisDebut=iframe.getElementById("moisDebut").value;
	var anneeDebut=iframe.getElementById("anneeDebut").value;


	var page = "Page=Compta/SuiviActivite/budget/sauve_tabBord.tmpl&ContentType=none&BaseBD="+base+"&liste="+liste_totaux()+"&lib="+choixVersMnemo()+"&anneeDebut="+anneeDebut+"&moisDebut="+moisDebut;
	page+= "&Id_Budget="+id_budget;
	var httpRequest = new XMLHttpRequest();
	requeteHTTP(page, httpRequest, sauvegarde_totaux_2);

	} catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/budget/lesTableaux.js#sauvegarde_totaux : ' + e);
  }


}


function sauvegarde_totaux_2()
{

try 
{

  retour_menu_budget_edition();

  }		 catch (e) {
  recup_erreur('erreur dans compta/user/suivi_activite/budget/lesTableaux.js#sauvegarde_totaux_2 : ' + e);
  	}	

}


function choixVersMnemo()
{
	if (choixDuUser=="P")
	{
		return "CP";
	}
	else if (choixDuUser=="A")
	{
		return "AM";
	}
	else if (choixDuUser=="I")
	{
		return "IT";
	}
	else if (choixDuUser=="F")
	{
		return "CF";
	}
	else if (choixDuUser=="E")
	{
		return "CE";
	}
	else
	{
		return "EE";
	}

}






function valider()
{
	try 
	{
		//Sauvegarde des saisies puis sauvegarde des totaux
		sauvegarde();

	}catch (e) {
  	recup_erreur('erreur dans compta/user/suivi_activite/budget/lesTableaux.js#valider : ' + e);
  }
}
