/******************************************************************************/
/* OpenSI Comptabilit : Outils libre de comptabilit d'entreprise            */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/

/*
 * Gestion des vnements sur la fentre <compta/user/suivi_activite/budget.xul>
 *
 */

var id_budget;

function init() {

		try {
		
		id_budget=ParamValeur("Id_Budget");
		
	
		page = "&Page=Compta/SuiviActivite/budget/TableauSaisieCA.tmpl&ContentType=xul&edition=" + ParamValeur("edition");
		page+= "&Id_Budget="+id_budget;
		page += "&URL="+getUrlOpeneas("");
		document.getElementById("lesTableaux").setAttribute("src",getUrlOpeneas(page));

		
	} catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/saisie_CA.js#init : ' + e);
  }

}


function retour_menu_principal() {
  try {
    var page = "chrome://opensi/content/compta/user/menu_exercice.xul?" + cookie() ;
    page += "&Dates=" + parent.document.getElementById("date_exercice").value;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/budget.js#retour_menu_principal : ' + e);
  }
}

function retour_menu_suivi() {
  try {
    var page = "chrome://opensi/content/compta/user/suivi_activite/menu_suivi.xul?" + cookie() ;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/budget/menu_budget.js#retour_menu_suivi : ' + e);
  }
}

function retour_menu_dates() {
  try {
    var page = "chrome://opensi/content/compta/user/suivi_activite/pre_menu_budget.xul?" + cookie() ;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/budget/menu_budget.js#retour_menu_dates : ' + e);
  }
}

function retour_menu_budget() {
  try {
    var page = "chrome://opensi/content/compta/user/suivi_activite/budget/menu_budget.xul?" + cookie() ;
		page+= "&Id_Budget="+id_budget;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/budget/menu_budget.js#retour_menu_dates : ' + e);
  }
}

function retour_menu_budget_edition() {
  try {
    var page = "chrome://opensi/content/compta/user/suivi_activite/budget/menu_edition_budget.xul?" + cookie() ;
		page+= "&Id_Budget="+id_budget;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/budget/menu_budget.js#retour_menu_dates : ' + e);
  }
}



	
		/* Sauvegarde du tout */
			function sauvegarde()
			{
			
			try{
			
				var iframe=document.getElementById("lesTableaux").contentDocument;
				var DID=iframe.getElementById("dossierId").value;
				var liste=creerListe();
		
				
				var page = "Page=Compta/SuiviActivite/budget/Sauvegarde.tmpl&ContentType=none&Liste="+liste+"&Choix=C&DossierId="+DID;
				page+= "&Id_Budget="+id_budget;
				var httpRequest = new XMLHttpRequest();
				
				requeteHTTP(page, httpRequest, sauvegarde_2);
			
			
				
				} catch (e) {
    	recup_erreur('erreur dans compta/user/suivi_activite/saisie_CA.js#sauvegarde : ' + e);
  			}
				
				
			}
			
	
	
	
			function sauvegarde_2()
			{
					sauvegarde_totaux();
			}
	
	
	
	
		/* Cree la liste pour la sauvegarde et/ou pour Ooo */
			function creerListe()
			{
			
			try{
				var iframe=document.getElementById("lesTableaux").contentDocument;
				var nbMois=iframe.getElementById("nbMois").value;
				var decal=iframe.getElementById("decalage").value;
				var annee=iframe.getElementById("anneeDeDebut").value;
				var domaine=iframe.getElementById("domaine").value;
				var liste="";
				//Pour tous les tableaux on regarde actu
				for (mois=1; mois<=nbMois;mois++)
				{
				 var vraiMois=parseInt(mois)+parseInt(decal);
				 
				 var vraiAnnee=annee;
				 
					while (vraiMois>12)
					{
						vraiMois-=12;
						vraiAnnee=annee-1;
					}
				
				
				if(domaine=="D" || domaine=="M")
				{
					
					var VM=recupererNombreDansElement("retenu_VM_M"+mois);
					if(!isNaN(parseInt(VM)))
					{//Y a une valeur, on la sauve

						var numDeCompte="70700000"; //premier compte de VM
						liste+=","+numDeCompte+","+vraiMois+","+vraiAnnee+","+VM;
					}

					var CMV=recupererNombreDansElement("retenu_CMV_M"+mois);
					if(!isNaN(parseInt(CMV)))
					{//Y a une valeur, on la sauve
						var numDeCompte="60700000"; //premier compte de CMV
						liste+=","+numDeCompte+","+vraiMois+","+vraiAnnee+","+CMV;
					}
				}
				
				if(domaine=="D" || domaine=="P")
				{
				
				var PV=recupererNombreDansElement("retenu_PV_M"+mois);
				if(!isNaN(parseInt(PV)))
				{//Y a une valeur, on la sauve
						var numDeCompte="73000000"; //premier compte de PV
						liste+=","+numDeCompte+","+vraiMois+","+vraiAnnee+","+PV;
					}

					var PS=recupererNombreDansElement("retenu_PS_M"+mois);
					if(!isNaN(parseInt(PS)))
					{//Y a une valeur, on la sauve
						var numDeCompte="71000000"; //premier compte de PS
						liste+=","+numDeCompte+","+vraiMois+","+vraiAnnee+","+PS;
					}

					var PIM=recupererNombreDansElement("retenu_PIM_M"+mois);
					if(!isNaN(parseInt(PIM)))
					{//Y a une valeur, on la sauve
						var numDeCompte="72000000"; //premier compte de PIM
						liste+=","+numDeCompte+","+vraiMois+","+vraiAnnee+","+PIM;
					}

					var MA=recupererNombreDansElement("retenu_MA_M"+mois);
					if(!isNaN(parseInt(MA)))
					{//Y a une valeur, on la sauve
						var numDeCompte="60000000"; //premier compte de MA
						liste+=","+numDeCompte+","+vraiMois+","+vraiAnnee+","+MA;
					}
				}

					
				}
				
				return liste;
				
				
				
				} catch (e) {
    	recup_erreur('erreur dans compta/user/suivi_activite/saisie_CA.js#creerListe : ' + e);
  			}
				
			}
			
			

			
function suivant()
{
	try 
	{
		sauvegarde();


		
  } catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/saisie_CA.js#suivant : ' + e);
  }
}

function listeCA()
{
	var iframe=document.getElementById("lesTableaux").contentDocument;
	var result="";
	var nbMois=iframe.getElementById("nbMois").value;
	
	if (nbMois >0)
	{
		result+=recupererNombreDansElement("retenu_CA_M1");
		for (t=2; t<=nbMois; t++)
		{
			result+=","+recupererNombreDansElement("retenu_CA_M"+t);
		}
	}
	
	
	return result;
	
}


function listeMBG()
{
	var iframe=document.getElementById("lesTableaux").contentDocument;
	var result="";
	var nbMois=iframe.getElementById("nbMois").value;
	
	if (nbMois >0)
	{
		result+=recupererNombreDansElement("retenu_MBG_M1");
		for (t=2; t<=nbMois; t++)
		{
			result+=","+recupererNombreDansElement("retenu_MBG_M"+t);
		}
	}
	
	
	return result;
	
}


function listeAD()
{
try{
	var iframe=document.getElementById("lesTableaux").contentDocument;
	var result="";
	var nbMois=iframe.getElementById("nbMois").value;
	var domaine=iframe.getElementById("domaine").value;
	
	if (nbMois >0)
	{
		if (domaine=="P" || domaine=="D")
		{
			result+=recupererNombreDansElement("retenu_MA_M1");
		}
		else
		{
			result+="-1";
		}
		for (t=2; t<=nbMois; t++)
		{
			if (domaine=="P" || domaine=="D")
			{
				result+=","+recupererNombreDansElement("retenu_MA_M"+t);
			}
			else
			{
				result+=",-1";
			}
		}
	}
	
	} catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/saisie_CA.js#listeAD : ' + e);
  }
	
	return result;
	
}






/* Sauvegarde du tout */
			function sauvegarde_totaux()
			{
			
			try{
			
			
			var iframe=document.getElementById("lesTableaux").contentDocument;
			var base=iframe.getElementById("dossierId").value;
			var moisDebut=iframe.getElementById("moisDebut").value;
			var anneeDebut=iframe.getElementById("anneeDeDebut").value;

			var page = "Page=Compta/SuiviActivite/budget/sauve_tabBord.tmpl&ContentType=none&BaseBD="+base+"&liste="+listeCA()+"&lib=CA&anneeDebut="+anneeDebut+"&moisDebut="+moisDebut;
			page+= "&Id_Budget="+id_budget;
			var httpRequest = new XMLHttpRequest();
			requeteHTTP(page, httpRequest, sauvegarde_totaux_2);
			

				} catch (e) {
    			recup_erreur('erreur dans compta/user/suivi_activite/budget/saisie_CA.js#sauvegarde_totaux : ' + e);
  			}
				
				
			}
			
			function sauvegarde_totaux_2()
			{
			
			try{
			
				var iframe=document.getElementById("lesTableaux").contentDocument;
			var base=iframe.getElementById("dossierId").value;
			var moisDebut=iframe.getElementById("moisDebut").value;
			var anneeDebut=iframe.getElementById("anneeDeDebut").value;

			var page = "Page=Compta/SuiviActivite/budget/sauve_tabBord.tmpl&ContentType=none&BaseBD="+base+"&liste="+listeAD()+"&lib=AD&anneeDebut="+anneeDebut+"&moisDebut="+moisDebut;
			page+= "&Id_Budget="+id_budget;
			var httpRequest = new XMLHttpRequest();
			requeteHTTP(page, httpRequest, sauvegarde_totaux_3);

				} catch (e) {
    			recup_erreur('erreur dans compta/user/suivi_activite/saisie_CA.js#sauvegarde_totaux_2 : ' + e);
  			}
			
			
			}
			
			
			function sauvegarde_totaux_3()
			{
			
			try{
			
				var iframe=document.getElementById("lesTableaux").contentDocument;
			var base=iframe.getElementById("dossierId").value;
			var moisDebut=iframe.getElementById("moisDebut").value;
			var anneeDebut=iframe.getElementById("anneeDeDebut").value;

			var page = "Page=Compta/SuiviActivite/budget/sauve_tabBord.tmpl&ContentType=none&BaseBD="+base+"&liste="+listeMBG()+"&lib=MBG&anneeDebut="+anneeDebut+"&moisDebut="+moisDebut;
			page+= "&Id_Budget="+id_budget;
			var httpRequest = new XMLHttpRequest();
			requeteHTTP(page, httpRequest, sauvegarde_totaux_4);

				} catch (e) {
    			recup_erreur('erreur dans compta/user/suivi_activite/saisie_CA.js#sauvegarde_totaux_3 : ' + e);
  			}
			
			
			}

function sauvegarde_totaux_4()
{
try 
	{
	retour_menu_budget_edition();
		
  } catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/saisie_CA.js#sauvegarde_totaux_3 : ' + e);
  }
}




function recupererNombreDansElement(element)
{
	try{

		var iframe=document.getElementById("lesTableaux").contentDocument;
		var regexp=/ /gi;
		var texte=iframe.getElementById(element).value;
		var resultat=texte.replace(regexp,"");

		return resultat;
	} catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/saisie_CA.js#recupererNombreDansElement : ' + e+" elem:"+element);
  }
}



//retourne la liste des pourcentages de MC par mois
function listePourcentMC()
{
	
	var resultat="";
try {
	
		var iframe=document.getElementById("lesTableaux").contentDocument;
		var nbMois=iframe.getElementById("nbMois").value;
		var MCDepart=iframe.getElementById('MC_annuelle').value;


		for (mois=1; mois<=nbMois;mois++)
		{
			var MCMois=iframe.getElementById('MC_corrigee_M'+mois).value;

			if(isNaN(parseInt(MCMois)) || isNaN(MCMois))
			{//y a pas de corrige
				MCMois=MCDepart;
			}

			resultat+=","+mois+","+MCMois;
	}
	
	} catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/saisie_CA.js#listePourcentMC : ' + e);
  }
	return resultat;

}





//retourne la liste des pourcentages de MBP par mois
function listePourcentMBP()
{
	
	var resultat="";
try {
	
		var iframe=document.getElementById("lesTableaux").contentDocument;
		var nbMois=iframe.getElementById("nbMois").value;
		var MBPDepart=iframe.getElementById('MBP_annuelle').value;


		for (mois=1; mois<=nbMois;mois++)
		{
			var MBPMois=iframe.getElementById('MBP_corrigee_M'+mois).value;

			if(isNaN(parseInt(MBPMois)) || isNaN(MBPMois))
			{//y a pas de corrige
				MBPMois=MBPDepart;
			}

			resultat+=","+mois+","+MBPMois;
	}
	
	} catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/saisie_CA.js#listePourcentMBP : ' + e);
  }
	return resultat;

}

/* ************************************************************************************* */

function exporterVersOoo()
	{
	try {

		var iframe=document.getElementById("lesTableaux").contentDocument;
		var nbMois=iframe.getElementById("nbMois").value;
		var decal=iframe.getElementById("moisDebut").value;
		var domaine=iframe.getElementById("domaine").value;

		var listeDeTout=creeListeExport();
		listeDeTout=listeDeTout.replace("&","et");
		listeDeTout=listeDeTout.replace("%","pourcent");
		listeDeTout=listeDeTout.replace("","ion");
		listeDeTout=listeDeTout.replace("'"," ");

		var page = "Page=Compta/SuiviActivite/budget/ExportTabCAVersOoo.tmpl&ContentType=xml&liste="+listeDeTout+"&nbMois="+nbMois+"&decal="+decal+"&domaine="+domaine;
		var httpRequest = new XMLHttpRequest();
		
		requeteHTTP(page, httpRequest, exporterVersOoo_2);
		
		} catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/budget/saisie_CA.js#exporterVersOoo : ' + e);
  }
		
	}
	
	
	function exporterVersOoo_2(httpRequest) {
	
	try{
			var contenu = httpRequest.responseXML;
			var nomFichier = contenu.documentElement;
			var nomFichier = nomFichier.getAttribute('nom');

			
			
			var file = fileChooser("save", nomFichier +".sxc");

			if (file!=null)
			{
				downloadFile(getDirServeur()+"/openoffice/"+ nomFichier +".sxc", file);
			}
			
			} catch (e) {
    recup_erreur('erreur dans compta/user/suivi_activite/budget/saisie_CA.js#exporterVersOoo_2 : ' + e);
  }
			
	
	}
	
/* Cre la liste  partir des valeurs des champs prevu, actu et retenu*/
/* Ne pas recalculer ces champs garantie la cohrence entre le tableau  l'cran et sur Ooo */
	function creeListeExport()
	{
	try{
		var iframe=document.getElementById("lesTableaux").contentDocument;
		var domaine=iframe.getElementById("domaine").value;

		var resultat="";

			resultat+=";Chiffre d'affaires";
			resultat+=listeExport("CA");
			
			if(domaine=="M" || domaine=="D")
			{
				resultat+=";Vente de marchandises";
				resultat+=listeExport("VM");
				
				resultat+=";Cot des marchandises vendues";
				resultat+=listeExport("CMV");
				
				resultat+=";Marge commerciale";
				resultat+=listeExport("MC");
			}
			
			if(domaine=="P" || domaine=="D")
			{
				resultat+=";Production vendue";
				resultat+=listeExport("PV");
				
				resultat+=";Production stocke ou destockage";
				resultat+=listeExport("PS");
				
				resultat+=";Production immobilise";
				resultat+=listeExport("PIM");
				
				resultat+=";Production de l'exercice";
				resultat+=listeExport("PE");
				
				resultat+=";Mat 1re, appro consomms + sous traitance directe";
				resultat+=listeExport("MA");
				
				resultat+=";Marge brute de production";
				resultat+=listeExport("MBP");
			}
			
			
			resultat+=";Marge brute globale";
			resultat+=listeExport("MBG");
			
	

		return resultat;
		} catch (e) {
  			  recup_erreur('erreur dans compta/user/suivi_activite/budget/saisie_CA.js#creeListeExport: ' + e);
  		}
	}	

	function listeExport(lib)
	{
		try{
			var iframe=document.getElementById("lesTableaux").contentDocument;
			var nbMois=iframe.getElementById("nbMois").value;
			var resultat="" ;
			var lesActus="";
			var lesPrevus="";
			var lesRetenus="";
			
			for(mois=1; mois<=nbMois;mois++)
			{
				var elementRetenu="retenu_"+lib+"_M"+mois; 
				var valeurRetenu=recupererNombreDansElement(elementRetenu);

				lesRetenus+=","+valeurRetenu;


				var elementActu="actu_"+lib+"_M"+mois; 
				var valeurActu=recupererNombreDansElement(elementActu);
				
				if(!isNaN(parseInt(valeurActu)))
				{//Y a une valeur, on la sauve
					lesActus+=","+valeurActu;
				}
				else
				{
					lesActus+=",rien";
				}

				var elementPrev="prev_"+lib+"_M"+mois; 
				var valeurPrev=recupererNombreDansElement(elementPrev);

				lesPrevus+=","+valeurPrev;

			}	
			resultat="_"+lesPrevus+"_"+lesActus+"_"+lesRetenus;
			return resultat;
			} catch (e) {
  			  recup_erreur('erreur dans compta/user/suivi_activite/budget/saisie_CA.js#listeExport: ' + e);
  		}
	
	}



