/******************************************************************************/
/* OpenSI Comptabilit : Outils libre de comptabilit d'entreprise            */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/

/*
 * Gestion des vnements sur la fentre <compta/user/tab_bord/gestion/saisie_chExt.xul>
 *
 */

function init() {

		try {
	
		page = "&Page=Compta/TableauDeBord/Gestion/AfficherTableau.tmpl&ContentType=xul&choix=A&edition=S";
		page += "&URL="+getUrlOpeneas("");
		document.getElementById("lesTableaux").setAttribute("src",getUrlOpeneas(page));
		
		
	} catch (e) {
    recup_erreur('erreur dans compta/user/tab_bord/gestion/saisie_chExt.js#init : ' + e);
  }

}




function retour_menu_principal() {
  try {
    var page = "chrome://opensi/content/compta/user/menu_exercice.xul?" + cookie() ;
    page += "&Dates=" + parent.document.getElementById("date_exercice").value;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/tab_bord/gestion/saisie_chExt.js#retour_menu_principal : ' + e);
  }
}

function retour_menu_tabbord() {
  try {
    var page = "chrome://opensi/content/compta/user/tab_bord/menu_bord.xul?" + cookie() ;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/tab_bord/gestion/saisie_chExt.js#retour_menu_tabbord : ' + e);
  }
}


function exporterVersOoo()
	{
	try {
	
		var iframe=document.getElementById("lesTableaux").contentDocument;

		var nbLib=iframe.getElementById("nombreDeLibelle").value;
		var nbMois=iframe.getElementById("nombreDeMois").value;
		var decal=iframe.getElementById("decalage").value;
		var anneeDeDebut=iframe.getElementById("anneeDeDebut").value;
		var dureeExo=iframe.getElementById("dureeExo").value;
		var liste="";

		//Pour tous les tableaux on regarde actu
		for (mois=1; mois<=nbMois;mois++)
		{
		 var leMoisenMilli=iframe.getElementById("moisMilli_M"+mois).value;
		 
			for(lib=1; lib<=nbLib;lib++)
			{

				var element="actu_M"+mois+"L"+lib; 
				var valeur=recupererNombreDansElement(element);
				
				if(!isNaN(parseInt(valeur)))
				{//Y a une valeur, on la sauve
				
					var vraiMois=parseInt(mois)+parseInt(decal);
					var numDeCompte=iframe.getElementById("compte"+lib).value;
					liste+=","+numDeCompte+","+leMoisenMilli+","+valeur;
				}


			}

		}
		
		var base=iframe.getElementById("baseDeDonnee").value;
		document.getElementById("debug").value="Export...tation !";
		
		var page = "Page=Compta/TableauDeBord/Gestion/ExportLesTabsVersOoo.tmpl&ContentType=xml&BaseBD="+base+"&Liste="+liste+"&Choix=A";
		page+="&AnneeDebut="+anneeDeDebut+"&dureeExo="+dureeExo+"&nbMois="+nbMois+"&decalage="+decal;
		var httpRequest = new XMLHttpRequest();
		
		requeteHTTP(page, httpRequest, exporterVersOoo_2);
		
		} catch (e) {
    recup_erreur('erreur dans compta/user/tab_bord/gestion/saisie_chExt.js#exporterVersOoo : ' + e);
  }
		
	}
	
	
	function exporterVersOoo_2(httpRequest) {
	
	try{
			var contenu = httpRequest.responseXML;
			var nomFichier = contenu.documentElement;
			var nomFichier = nomFichier.getAttribute('nom');
			
			document.getElementById("debug").value="Fichier: "+nomFichier;
			
			var file = fileChooser("save", nomFichier +".sxc");

			if (file!=null)
			{
				downloadFile(getDirServeur()+"/openoffice/"+ nomFichier +".sxc", file);
			}
			
			} catch (e) {
    recup_erreur('erreur dans compta/user/tab_bord/gestion/saisie_chExt.js#exporterVersOoo_2 : ' + e);
  }
			
	
	}
	
	
	
	
		/* Sauvegarde du tout */
			function sauvegarde()
			{
			
			try{
			
				//debug="";
				var iframe=document.getElementById("lesTableaux").contentDocument;
				
				var absenceBase=iframe.getElementById("absenceBase").value;
				var base=iframe.getElementById("baseDeDonnee").value;
				
				//document.getElementById("debug").value="Argh -4-"+absenceBase;
			//	if (absenceBase!="oui")
				//{
					
				var liste=creerListe();
				
				var page = "Page=Compta/TableauDeBord/Gestion/Sauvegarde.tmpl&ContentType=none&BaseBD="+base+"&Liste="+liste+"&Choix=A";
				var httpRequest = new XMLHttpRequest();
				requeteHTTP(page, httpRequest, sauvegarde_2);
				//}
				//else
				//{
				//document.getElementById("debug").value="Le else -1-";
				//}
				
				
				
				} catch (e) {
    	recup_erreur('erreur dans compta/user/tab_bord/gestion/saisie_chExt.js#sauvegarde : ' + e);
  			}
				
				
			}
			
			function sauvegarde_2()
			{
					document.getElementById("debug").value="Sauvegarde Termine";
			}
	
	
		/* Cree la liste pour la sauvegarde et/ou pour Ooo */
			function creerListe()
			{
			
			try{
			
			
				var iframe=document.getElementById("lesTableaux").contentDocument;
				var nbLib=iframe.getElementById("nombreDeLibelle").value;
				var nbMois=iframe.getElementById("nombreDeMois").value;
				var decal=iframe.getElementById("decalage").value;
			
				var liste="";
				
				//Pour tous les tableaux on regarde actu
				for (mois=1; mois<=nbMois;mois++)
				{
				
				 var leMoisenMilli=iframe.getElementById("moisMilli_M"+mois).value;
				
					for(lib=1; lib<=nbLib;lib++)
					{
					
						var element="actu_M"+mois+"L"+lib; 
						var valeur=recupererNombreDansElement(element);
				
						if(!isNaN(parseInt(valeur)))
						{//Y a une valeur, on la sauve
							var vraiMois=parseInt(mois)+parseInt(decal);
							var numDeCompte=iframe.getElementById("compte"+lib).value;
				
							
							liste+=","+numDeCompte+","+leMoisenMilli+","+valeur;
						}
					
					
					}
					
				}
				
				
				return liste;
				
				
				
				} catch (e) {
    	recup_erreur('erreur dans compta/user/tab_bord/gestion/saisie_chExt.js#creerListe : ' + e);
  			}
				
			}



function recupererNombreDansElement(element)
			{
			try{
			
				var iframe=document.getElementById("lesTableaux").contentDocument;
				var regexp=/ /gi;
				var texte=iframe.getElementById(element).value;
				var resultat=texte.replace(regexp,"");
				
				return resultat;
				
				
				} catch (e) {
    	recup_erreur('erreur dans compta/user/tab_bord/gestion/saisie_chExt.js#recupererNombreDansElement : ' + e);
  			}
			}
			
function suivant()
{
	try 
	{
	
		sauvegarde_totaux();
		
  } catch (e) {
    recup_erreur('erreur dans compta/user/tab_bord/gestion/saisie_chExt.js#suivant : ' + e);
  }
}
			
			
function liste_totaux()
{
	var iframe=document.getElementById("lesTableaux").contentDocument;
	var result="";
	var nbMois=iframe.getElementById("nombreDeMois").value;
	
	if (nbMois >0)
	{
		result+=recupererNombreDansElement("total_retenu_M1");
		for (t=2; t<=nbMois; t++)
		{
			result+=","+recupererNombreDansElement("total_retenu_M"+t);
		}
	}
	
		return result;
	
}
			
			
	/* Sauvegarde du tout */
	function sauvegarde_totaux()
{

try{

	var iframe=document.getElementById("lesTableaux").contentDocument;
	var base=iframe.getElementById("baseDeDonnee").value;
	var moisDebut=iframe.getElementById("decalage").value;
	var anneeDebut=iframe.getElementById("anneeDeDebut").value;


	var page = "Page=Compta/TableauDeBord/Gestion/sauve_tabBord.tmpl&ContentType=none&BaseBD="+base+"&liste="+liste_totaux()+"&lib=AM&anneeDebut="+anneeDebut+"&moisDebut="+moisDebut;
	var httpRequest = new XMLHttpRequest();
	requeteHTTP(page, httpRequest, sauvegarde_totaux_2);

	} catch (e) {
    recup_erreur('erreur dans compta/user/tab_bord/gestion/saisie_chPerso.js#sauvegarde_totaux : ' + e);
  }


}

function sauvegarde_totaux_2()
{

try 
{

  var page = "chrome://opensi/content/compta/user/tab_bord/gestion/saisie_chFin.xul?" + cookie();

  window.location = page;

  }		 catch (e) {
  recup_erreur('erreur dans compta/user/tab_bord/gestion/saisie_chExt.js#sauvegarde_totaux_2 : ' + e);
  	}	

}


			
function precedent()
{
	try 
	{
    var page = "chrome://opensi/content/compta/user/tab_bord/gestion/saisie_impots.xul?" + cookie();
		page+="&dureeExo="+ParamValeur("dureeExo")+"&CA="+ParamValeur("CA")+"&AD="+ParamValeur("AD");
		page+="&CP="+ParamValeur("CP")+"&CE="+ParamValeur("CE");
		
    window.location = page;
		
  } catch (e) {
    recup_erreur('erreur dans compta/user/tab_bord/gestion/saisie_chExt.js#precedent : ' + e);
  }
}
