/******************************************************************************/
/* OpenSi : Outils libres de gestion d'entreprise                             */
/* Copyright (C) 2003 Speedinfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/

var base;
var code_journal_achat_init = "";
var code_journal_vente_init = "";


function init() {
	try {

		var corps = cookie() +"&Page=Config/getBase.tmpl&ContentType=xml&Dossier_Id="+ urlEncode(get_cookie('Dossier_Id'));
    var httpRequest = new XMLHttpRequest();
		requeteHTTP(corps, httpRequest, init_2);

	} catch (e) {
    recup_erreur('erreur dans config/comptabilite/defaut/gestion_defaut.js#init : ' + e);
  }
}


function init_2(httpRequest) {
	try {

		base = httpRequest.responseXML.documentElement.getAttribute('nom');

		var corps = cookie() +"&Page=Config/comptabilite/defaut/getComptaDefaults.tmpl&ContentType=xml";
    var httpRequest = new XMLHttpRequest();
		requeteHTTP(corps, httpRequest, init_3);

	} catch (e) {
    recup_erreur('erreur dans config/comptabilite/defaut/gestion_defaut.js#init_2 : ' + e);
  }
}


function init_3(httpRequest) {
	try {

    var contenu = httpRequest.responseXML.documentElement;
		code_journal_achat_init = contenu.getAttribute('Code_Journal_Achat');
		code_journal_vente_init = contenu.getAttribute('Code_Journal_Vente');

		var paramlist1 = "&Page=Config/GetRDF/listeJournauxAchat.tmpl&ContentType=xml&Base="+ base;
	  load_rdf_async('Journaux_Achat', getUrlOpeneas(paramlist1),initJournauxAchat);

		var paramlist2 = "&Page=Config/GetRDF/listeJournauxVente.tmpl&ContentType=xml&Base="+ base;
	  load_rdf_async('Journaux_Vente', getUrlOpeneas(paramlist2),initJournauxVente);

		document.getElementById('Numero_Compte_Clients').value = contenu.getAttribute('Numero_Compte_Clients');
		document.getElementById('Numero_Compte_Fournisseurs').value = contenu.getAttribute('Numero_Compte_Fournisseurs');
		document.getElementById('Numero_Compte_Achat').value = contenu.getAttribute('Numero_Compte_Achat');
		document.getElementById('Numero_Compte_Vente').value = contenu.getAttribute('Numero_Compte_Vente');
		document.getElementById('Numero_Compte_Escompte_VE').value = contenu.getAttribute('Numero_Compte_Escompte_VE');
		document.getElementById('Numero_Compte_Escompte_AC').value = contenu.getAttribute('Numero_Compte_Escompte_AC');
		document.getElementById('Numero_Compte_Regul_VE').value = contenu.getAttribute('Numero_Compte_Regul_VE');
		document.getElementById('Numero_Compte_Regul_AC').value = contenu.getAttribute('Numero_Compte_Regul_AC');
		document.getElementById('Numero_Compte_Port_VE').value = contenu.getAttribute('Numero_Compte_Port_VE');
		document.getElementById('Numero_Compte_Port_AC').value = contenu.getAttribute('Numero_Compte_Port_AC');

	} catch (e) {
    recup_erreur('erreur dans config/comptabilite/defaut/gestion_defaut.js#init_3 : ' + e);
  }
}


function initJournauxAchat() {
	try {

		document.getElementById('Journaux_Achat').value = code_journal_achat_init;

	} catch (e) {
    recup_erreur('erreur dans config/comptabilite/defaut/gestion_defaut.js#initJournauxAchat : ' + e);
  }
}


function initJournauxVente() {
	try {

		document.getElementById('Journaux_Vente').value = code_journal_vente_init;

	} catch (e) {
    recup_erreur('erreur dans config/comptabilite/defaut/gestion_defaut.js#initJournauxVente : ' + e);
  }
}


function Changer(id) {
	try {

		var compte = "";
		var debCompte = "";
		var Compte_Gen = "G";
		var nom = "";

		if (id=="Numero_Compte_Clients") {
			Compte_Gen = "C";
			nom = "CLIENTS";
		}
		else if (id=="Numero_Compte_Fournisseurs") {
			Compte_Gen = "F";
			nom = "FOURNISSEURS";
		}
		else if (id=="Numero_Compte_Achat") {
			debCompte = "6";
			nom = "ACHAT";
		}
		else if (id=="Numero_Compte_Vente") {
			debCompte = "7";
			nom = "VENTE";
		}
		else if (id=="Numero_Compte_Port_AC") {
			debCompte = "6241";
			nom = "PORT SUR ACHAT";
		}
		else if (id=="Numero_Compte_Port_VE") {
			debCompte = "7";
			nom = "PORT SUR VENTE";
		}
		else if (id=="Numero_Compte_Escompte_VE") {
			debCompte = "665";
			nom = "ESCOMPTE SUR VENTE";
		}
		else if (id=="Numero_Compte_Escompte_AC") {
			debCompte = "765";
			nom = "ESCOMPTE SUR ACHAT";
		}
		else if (id=="Numero_Compte_Regul_VE") {
			debCompte = "658";
			nom = "CHARGES EXCEPTIONNELLES";
		}
		else if (id=="Numero_Compte_Regul_AC") {
			debCompte = "758";
			nom = "PRODUITS EXCEPTIONNELS";
		}

    var url ="chrome://opensi/content/config/util/rechcompte.xul?"+ cookie() +"&Force_Deb="+ debCompte +"&Compte_Gen="+ Compte_Gen +"&nom="+ nom;
    window.openDialog(url,'rechcompte','chrome,modal',compte,id,false);

	} catch (e) {
    recup_erreur('erreur dans config/comptabilite/defaut/gestion_defaut.js#changer : ' + e);
  }
}


function modifierParametres() {
	try {

		code_journal_achat = document.getElementById('Journaux_Achat').value;
		code_journal_vente = document.getElementById('Journaux_Vente').value;
		numero_compte_clients = document.getElementById('Numero_Compte_Clients').value;
		numero_compte_fournisseurs = document.getElementById('Numero_Compte_Fournisseurs').value;
		numero_compte_achat = document.getElementById('Numero_Compte_Achat').value;
		numero_compte_vente = document.getElementById('Numero_Compte_Vente').value;
		numero_compte_port_ve = document.getElementById('Numero_Compte_Port_VE').value;
		numero_compte_port_ac = document.getElementById('Numero_Compte_Port_AC').value;
		numero_compte_escompte_ve = document.getElementById('Numero_Compte_Escompte_VE').value;
		numero_compte_escompte_ac = document.getElementById('Numero_Compte_Escompte_AC').value;
		numero_compte_regul_ve = document.getElementById('Numero_Compte_Regul_VE').value;
		numero_compte_regul_ac = document.getElementById('Numero_Compte_Regul_AC').value;

		if (code_journal_achat=="" || code_journal_vente=="" || numero_compte_clients=="" || numero_compte_fournisseurs=="" || numero_compte_achat=="" || numero_compte_vente==""
				|| numero_compte_escompte_ve=="" || numero_compte_escompte_ac=="" || numero_compte_regul_ve=="" || numero_compte_regul_ac=="" || numero_compte_port_ve=="" || numero_compte_port_ac=="") {
			showWarning("Tous les champs sont obligatoires !");
		}
		else {

			var corps = cookie() +"&Page=Config/comptabilite/defaut/modifierDossierDefaut.tmpl&ContentType=xml";
			corps += "&Code_Journal_Achat="+ code_journal_achat;
			corps += "&Code_Journal_Vente="+ code_journal_vente;
			corps += "&Numero_Compte_Clients="+ numero_compte_clients;
			corps += "&Numero_Compte_Fournisseurs="+ numero_compte_fournisseurs;
			corps += "&Numero_Compte_Achat="+ numero_compte_achat;
			corps += "&Numero_Compte_Vente="+ numero_compte_vente;
			corps += "&Numero_Compte_Port_VE="+ numero_compte_port_ve;
			corps += "&Numero_Compte_Port_AC="+ numero_compte_port_ac;
			corps += "&Numero_Compte_Escompte_VE="+ numero_compte_escompte_ve;
			corps += "&Numero_Compte_Escompte_AC="+ numero_compte_escompte_ac;
			corps += "&Numero_Compte_Regul_VE="+ numero_compte_regul_ve;
			corps += "&Numero_Compte_Regul_AC="+ numero_compte_regul_ac;

			var httpRequest = new XMLHttpRequest();
			requeteHTTP(corps, httpRequest, modifierParametres_2);
		}

	} catch (e) {
    recup_erreur('erreur dans config/comptabilite/defaut/gestion_defaut.js#modifierParametres : ' + e);
  }
}


function modifierParametres_2(httpRequest) {
	try {
	
		showMessage("Les comptes et journaux par dfaut ont t enregistrs avec succs");
		parent.ouvert_plan = 0;
		parent.ouvert_journaux = 0;

	} catch (e) {
    recup_erreur('erreur dans config/comptabilite/defaut/gestion_defaut.js#modifierParametres_2 : ' + e);
  }
}

