/******************************************************************************/
/* OpenSi : Outils libres de gestion d'entreprise                             */
/* Copyright (C) 2003 Speedinfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/

var base;
var dossier;
var Code_Journal_Achat;
var Code_Journal_Vente;


function init() {
	try {

    nouveauJournal();
		dossier = get_cookie('Dossier_Id');
		var corps = cookie() +"&Page=Config/getBase.tmpl&ContentType=xml&Dossier_Id="+ dossier;
    var httpRequest = new XMLHttpRequest();
		requeteHTTP(corps, httpRequest, init_2);

	} catch (e) {
    recup_erreur('erreur dans config/comptabilite/journaux/gestion_journaux.js#init : ' + e);
  }
}


function init_2(httpRequest) {
	try {

		base = httpRequest.responseXML.documentElement.getAttribute('nom');

		var corps = cookie() +"&Page=Config/dossiers/getDossier.tmpl&ContentType=xml";
    var httpRequest = new XMLHttpRequest();
		requeteHTTP(corps, httpRequest, init_3);

	} catch (e) {
    recup_erreur('erreur dans config/comptabilite/journaux/gestion_journaux.js#init_2 : ' + e);
  }
}


function init_3(httpRequest) {
	try {

    var contenu = httpRequest.responseXML;
		Code_Journal_Achat = contenu.documentElement.getAttribute('Code_Journal_Achat');
		Code_Journal_Vente = contenu.documentElement.getAttribute('Code_Journal_Vente');

		var paramlist = "&Page=Config/GetRDF/listeJournaux.tmpl&ContentType=xml&Base="+ base;
	  load_rdf('liste_journaux_manager', getUrlOpeneas(paramlist));

  	document.getElementById('Code_Journal').focus();

	} catch (e) {
    recup_erreur('erreur dans config/comptabilite/journaux/gestion_journaux.js#init_3 : ' + e);
  }
}

function rechcompte(id) {
	try {
		var debCompte="5";
		var Compte_Gen="G";
    var url ="chrome://opensi/content/config/util/rechcompte.xul?"+cookie();
    url += "&Force_Deb="+debCompte;
    url += "&Compte_Gen="+Compte_Gen;
    url += "&nom="+urlEncode("DE BANQUE");
    window.openDialog(url,'rechcompte','chrome,modal',debCompte,id,false);
	} catch (e) {
		recup_erreur('erreur dans facturation/user/clients/elems_fact.js#rechcompte : ' + e);
	}
}

function enregistrerCompte(act) {
	try {

		var type_journal = document.getElementById('Type_Journal').value;

		if (type_journal=='TR') {
			compte = document.getElementById('Contre_PartieVal');
			if (isEmpty(compte.value)) {
    		compteval = compte.value;
				var vide = true;
    		var httpRequest = new XMLHttpRequest();
    		var httpParams = new Array(compte,compteval,vide,act);
      	suiteOk(httpRequest, httpParams);
    	}
			else if (!isDigitList(compte.value)) {
				showWarning("Compte incorrect !");
				return false;
    	}
			else {
    		force = false;
    		compteval = compte.value;
    		while (compteval.length < 8) compteval += '0';
    		var paramlist = cookie() +"&Page=Config/GetRDF/listeComptes.tmpl&ContentType=xml&Compte_Gen=G";
    		paramlist += "&Numero_Compte="+ compteval;
				var vide = false;
    		var httpRequest = new XMLHttpRequest();
    		var httpParams = new Array(compte,compteval,vide,act);
    		requeteHTTP(paramlist,httpRequest,suiteOk,httpParams);
			}
		}
		else {
			switch (act) {
				case "modifier" : modifierJournal();break;
				case "creer" : creerJournal();break;
				case "supprimer" : supprimerJournal();break;
			}
		}

	} catch (e) {
    recup_erreur('erreur dans config/comptabilite/journaux/gestion_journaux.js#enregistrerCompte : ' + e);
  }
}


function suiteOk(httpRequest,httpParams) {
  try {

		if (!httpParams[2]) {

    	var compte = httpParams[0];
    	var compteval = httpParams[1];
      var session = httpRequest.responseXML.documentElement;

			if (session.getElementsByTagName('numero').length  == 0) {
   		  var compteval = compte.value;
   		  var id = compte.id;
   		  var url = "chrome://opensi/content/config/util/rechcompte.xul?"+ cookie() +"&Compte_Gen=G&nom=";
    		window.openDialog(url,'rechcompte','chrome,modal',compteval,id,false);
        compte.focus();
				return false;
      }
			else {
        compte.value = compteval;
			}
		}

		switch (httpParams[3]) {
			case "modifier" : modifierJournal(); break;
			case "creer" : creerJournal(); break;
			case "supprimer" : supprimerJournal(); break;
		}

  } catch(e) {
    recup_erreur('erreur dans config/comptabilite/journaux/gestion_journaux.js#suiteOk : ' + e);
  }
}


function enableContrepartie() {
	try {

		var type_journal = document.getElementById("Type_Journal").value;

		if (type_journal=='TR') {
			document.getElementById("libContre_Partie").collapsed = false;
			document.getElementById("Contre_Partie").collapsed = false;
      document.getElementById("infosbanque").collapsed = false;
		}
		else {
			document.getElementById("libContre_Partie").collapsed = true;
			document.getElementById("Contre_Partie").collapsed = true;
      document.getElementById("infosbanque").collapsed = true;
		}

	} catch (e) {
    recup_erreur('erreur dans config/comptabilite/journaux/gestion_journaux.js#enableContrepartie : ' + e);
  }
}


function modifierJournal() {
	try {
		var code_journal = document.getElementById('Code_Journal').value;
		var libelle = document.getElementById('Libelle').value;
		var type_journal = document.getElementById('Type_Journal').value;
		var contre_partie = '';
		var nom = '';
		var adresse = '';
		var code_agence = '';
		var code_guichet = '';
		var num_compte = '';
		var cle_rib = '';
		var iban = '';
		var bic = '';
		var bban = '';

		if (type_journal=='TR') {
			contre_partie = document.getElementById('Contre_PartieVal').value;
      nom = document.getElementById('Nom').value;
      adresse = document.getElementById('Adresse').value;
      code_agence = document.getElementById('Code_Agence').value;
      code_guichet = document.getElementById('Code_Guichet').value;
      num_compte = document.getElementById('Num_Compte').value;
      cle_rib = document.getElementById('Cle_RIB').value;
      iban = document.getElementById('IBAN').value;
      bic = document.getElementById('BIC').value;
			bban = makeBBAN(code_agence, code_guichet, num_compte, cle_rib);
		}
		if (isEmpty(libelle)) {
			showWarning('Le champ Libell est obligatoire !');
      return false;
		}
    if (type_journal=='TR') {
      if (isEmpty(contre_partie) || !isCompteCorrect(contre_partie)) {
        showWarning('Numro de compte de contrepartie incorrect !');
        return false;
      }
			else if (isEmpty(nom)) { showWarning("Veuillez spcifier le nom de la banque !"); return false; }
			else if (isEmpty(adresse)) { showWarning("Veuillez spcifier la domiciliation"); return false; }
			else if (isEmpty(code_agence)) { showWarning("Veuillez spcifier le code agence !"); return false; }
			else if (isEmpty(code_guichet)) { showWarning("Veuillez spcifier le code guichet !"); return false; }
			else if (isEmpty(num_compte)) { showWarning("Veuillez spcifier le numro de compte !"); return false; }
			else if (isEmpty(cle_rib)) { showWarning("Veuillez spcifier la cl de RIB !"); return false; }

			else if (!isCodeAgence(code_agence)) { showWarning("Code agence incorrect !"); return false; }
			else if (!isCodeGuichet(code_guichet)) { showWarning("Code guichet incorrect !"); return false; }
			else if (!isNumCompte(num_compte)) { showWarning("Numro de compte incorrect !"); return false; }
			else if (!isCleRIB(cle_rib)) { showWarning("Cl de RIB incorrect !"); return false; }
			else if (!isEmpty(iban) && !isPrefIBAN(iban)) { showWarning("IBAN incorrect !"); return false; }
			else if (!isEmpty(bic) && !isBIC(bic)) { showWarning("BIC incorrect !"); return false; }
			else if (!verifCleRIB(cle_rib, bban)) { showWarning("Echec du contrle de la cl de RIB ! Erreur probable sur Numro de compte, Code agence ou Code guichet"); return false; }
			else if (!isEmpty(iban) && !verifCleIBAN(iban.substring(2,4), iban, bban)) { showWarning("Echec du contrle de la cl IBAN ! Erreur probable sur Numro IBAN, Numro de compte, Code agence ou Code guichet"); return false; }
		}
    if (window.confirm('Confirmez-vous la modification du journal "'+ code_journal +'" ?')) {
			var corps = cookie() +"&Page=Config/comptabilite/journaux/modifierJournal.tmpl&ContentType=xml";
			corps += "&Code_Journal="+ code_journal;
      corps += "&Contre_Partie="+ urlEncode(contre_partie);
      corps += "&Libelle="+ urlEncode(libelle);
      corps += "&Type_Journal="+urlEncode(type_journal);
      corps += "&Nom="+ urlEncode(nom);
      corps += "&Adresse="+ urlEncode(adresse);
      corps += "&Code_Agence="+ urlEncode(code_agence);
      corps += "&Code_Guichet="+ urlEncode(code_guichet);
      corps += "&Num_Compte="+ urlEncode(num_compte);
      corps += "&Cle_RIB="+ urlEncode(cle_rib);
      corps += "&IBAN="+ urlEncode(iban);
      corps += "&BIC="+ urlEncode(bic);
      var httpRequest = new XMLHttpRequest();
			requeteHTTP(corps, httpRequest, modifierJournal_2, code_journal);
		}
	} catch (e) {
    recup_erreur('erreur dans config/comptabilite/journaux/gestion_journaux.js#modifierJournal : ' + e);
  }
}


function modifierJournal_2(httpRequest, code_journal) {
	try {
		var message = httpRequest.responseXML.documentElement.getAttribute("message");
		if (message=="modif") {
			showMessage("Le journal "+code_journal+" a t modifi avec succs");
			parent.ouvert_param = 0;
		}	else {
			showWarning("Erreur du serveur !");
		}
    delete_tree();
		init_tree();
	} catch (e) {
    recup_erreur('erreur dans config/comptabilite/journaux/gestion_journaux.js#modifierJournal_2 : ' + e);
  }
}


function nouveauJournal() {
	try {

		document.getElementById('clj').collapsed = false;
		document.getElementById('msn').collapsed = true;
		document.getElementById('Code_Journal').disabled = false;
		document.getElementById('Code_Journal').value = '';
		document.getElementById('Type_Journal').value = 'TR';
		document.getElementById('Libelle').value = '';
		document.getElementById('Contre_PartieVal').value = '51200000';
		document.getElementById("libContre_Partie").collapsed = false;
		document.getElementById("Contre_Partie").collapsed = false;
		document.getElementById('Type_Journal').disabled = false;
		document.getElementById("infosbanque").collapsed = false;
		document.getElementById('Nom').value = "";
		document.getElementById('Adresse').value = "";
		document.getElementById('Code_Agence').value = "";
		document.getElementById('Code_Guichet').value = "";
		document.getElementById('Num_Compte').value = "";
		document.getElementById('Cle_RIB').value = "";
		document.getElementById('IBAN').value = "";
		document.getElementById('BIC').value = "";
		document.getElementById('IBAN_Suite').value = "";

	} catch (e) {
    recup_erreur('erreur dans config/comptabilite/journaux/gestion_journaux.js#nouveauJournal : ' + e);
  }
}


function supprimerJournal() {
	try {

		var code_journal = document.getElementById('Code_Journal').value;
		var type_journal = document.getElementById('Type_Journal').value;

		if (type_journal=="AN") {
			showWarning("Impossible de supprimer le journal "+code_journal);
		}
		else if (type_journal=="VE" && Code_Journal_Vente==code_journal) {
			showWarning("Impossible de supprimer le journal "+code_journal+" ce journal est un journal par dfaut");
		}
		else if (type_journal=="AC" && Code_Journal_Achat==code_journal) {
			showWarning("Impossible de supprimer le journal "+code_journal+" ce journal est un journal par dfaut");
		}
		else if (window.confirm('Confirmez-vous la suppression du journal "'+ code_journal +'" ?')) {

			var corps = cookie() + "&Page=Config/comptabilite/journaux/supprimerJournal.tmpl&ContentType=xml&Dossier_Id="+ dossier +"&Code_Journal="+ code_journal;
			var httpRequest = new XMLHttpRequest();
			requeteHTTP(corps, httpRequest, supprimerJournal_2, code_journal);
		}

	} catch (e) {
    recup_erreur('erreur dans config/comptabilite/journaux/gestion_journaux.js#supprimerJournal : ' + e);
  }
}


function supprimerJournal_2(httpRequest, code_journal) {
	try {

		var message = httpRequest.responseXML.documentElement.getAttribute("message");

		if (message=="suppr") {
			showMessage("Le journal "+ code_journal +" a t supprim avec succs");
			parent.ouvert_param = 0;
		}
		else if (message=="impossible") {
			showWarning("Impossible de supprimer le journal "+code_journal+". Ce journal est utilis dans le dossier.");
		}
		else {
			showWarning("Erreur du serveur !");
		}

		nouveauJournal();
		delete_tree();
		init_tree();
		document.getElementById('Type_Journal').disabled = false;

	} catch (e) {
    recup_erreur('erreur dans config/comptabilite/journaux/gestion_journaux.js#supprimerJournal_2 : ' + e);
  }
}


function creerJournal() {
	try {

		var code_journal = document.getElementById('Code_Journal').value;
		var contre_partie = '';
		var libelle = document.getElementById('Libelle').value;
		var type_journal = document.getElementById('Type_Journal').value;
		var nom = '';
		var adresse = '';
		var code_agence = '';
		var code_guichet = '';
		var num_compte = '';
		var cle_rib = '';
		var iban = '';
		var bic = '';
		if (type_journal=='TR') {
			contre_partie = document.getElementById('Contre_PartieVal').value;
      nom = document.getElementById('Nom').value;
      adresse = document.getElementById('Adresse').value;
      code_agence = document.getElementById('Code_Agence').value;
      code_guichet = document.getElementById('Code_Guichet').value;
      num_compte = document.getElementById('Num_Compte').value;
      cle_rib = document.getElementById('Cle_RIB').value;
      iban = document.getElementById('IBAN').value;
      bic = document.getElementById('BIC').value;
		}
		if (isEmpty(libelle)) {
			showWarning('Le champ Libell est obligatoire !');
      return false;
		}
    if (type_journal=='TR') {
      if (isEmpty(contre_partie) || !isCompteCorrect(contre_partie)) {
        showWarning('Numro de compte de contrepartie incorrect !');
        return false;
      } else if (isEmpty(nom)) {
        showWarning("Veuillez spcifier le nom de la banque !");
        return false;
      }	else if (isEmpty(adresse)) {
        showWarning("Veuillez spcifier l'adresse de la banque");
        return false;
      }	else if (isEmpty(code_agence)) {
        showWarning("Veuillez spcifier le code agence !");
        return false;
      }	else if (isEmpty(code_guichet)) {
        showWarning("Veuillez spcifier le code guichet !");
        return false;
      } else if (isEmpty(num_compte)) {
        showWarning("Veuillez spcifier le numro de compte !");
        return false;
      }	else if (isEmpty(cle_rib)) {
        showWarning("Veuillez spcifier la cl de RIB !");
        return false;
      }	else if (code_agence.length!=5 || !isDigitList(code_agence)) {
        showWarning("Code agence incorrect !");
        return false;
      }	else if (code_guichet.length!=5 || !isDigitList(code_guichet)) {
        showWarning("Code guichet incorrect !");
        return false;
      }	else if (num_compte.length!=11) {
        showWarning("Numro de compte incorrect !");
        return false;
      }	else if (cle_rib.length!=2 || !isDigitList(cle_rib)) {
        showWarning("Cl de RIB incorrect !");
        return false;
      } else if (!isEmpty(iban) && (iban.length!=4 || !isAlpha(iban.substring(0,2)) || !isDigitList(iban.substring(2,4)))) {
        showWarning("IBAN incorrect !");
        return false;
      }	else if (!isEmpty(bic) && bic.length!=8) {
        showWarning("BIC incorrect !");
        return false;
      }
		}
		if (isEmpty(code_journal) || isEmpty(libelle)) {
			showWarning('Les champs Code journal et Libell sont obligatoires !');
		}	else if (!isAlpha(code_journal)) {
			showWarning('Code journal incorrect !');
		}	else if (window.confirm('Confirmez-vous la cration du journal "'+ code_journal +'" ?')) {
			var corps = cookie() +"&Page=Config/comptabilite/journaux/creerJournal.tmpl&ContentType=xml";
			corps += "&Code_Journal="+ code_journal;
      corps += "&Contre_Partie="+ contre_partie;
      corps += "&Libelle="+ urlEncode(libelle);
      corps += "&Type_Journal="+ urlEncode(type_journal);
      corps += "&Nom=" + urlEncode(nom);
      corps += "&Adresse=" + urlEncode(adresse);
      corps += "&Code_Agence=" + urlEncode(code_agence);
      corps += "&Code_Guichet=" + urlEncode(code_guichet);
      corps += "&Num_Compte=" + urlEncode(num_compte);
      corps += "&Cle_RIB=" + urlEncode(cle_rib);
      corps += "&IBAN=" + urlEncode(iban);
      corps += "&BIC=" + urlEncode(bic);
			var httpRequest = new XMLHttpRequest();
			requeteHTTP(corps, httpRequest, creerJournal_2, code_journal);
		}

	} catch (e) {
    recup_erreur('erreur dans config/comptabilite/journaux/gestion_journaux.js#creerJournal : ' + e);
  }
}


function creerJournal_2(httpRequest, code_journal) {
	try {

		var message = httpRequest.responseXML.documentElement.getAttribute("message");

		if (message=="existe") {
			showWarning("Le journal "+code_journal+" existe dj !");
		}	else if (message=="cree") {
			showMessage("Le journal "+code_journal+" a t cr avec succs");
			parent.ouvert_param = 0;
		}	else {
			showWarning("Erreur du serveur !");
		}

		document.getElementById('clj').collapsed = true;
		document.getElementById('msn').collapsed = false;
		document.getElementById('Code_Journal').disabled = true;
		document.getElementById('Type_Journal').disabled = false;
		delete_tree();
		init_tree();

	} catch (e) {
    recup_erreur('erreur dans config/comptabilite/journaux/gestion_journaux.js#creerJournal_2 : ' + e);
  }
}


function ouvrirJournal() {
	try {
		var tree = document.getElementById('liste_journaux_manager');
		if (tree.view!=null && tree.currentIndex!=-1) {
			document.getElementById('clj').collapsed = true;
			document.getElementById('msn').collapsed = false;
			document.getElementById('Code_Journal').disabled = true;
  		var code_journal = getCellText(tree,tree.view.selection.currentIndex, 'code');
			document.getElementById('Code_Journal').value = getCellText(tree,tree.view.selection.currentIndex, 'code');
			document.getElementById('Type_Journal').value = getCellText(tree,tree.view.selection.currentIndex, 'type');
			document.getElementById('Libelle').value = getCellText(tree,tree.view.selection.currentIndex, 'libelle');
      enableContrepartie();
			var type_journal = document.getElementById('Type_Journal').value;
			if (type_journal=='TR') {
				document.getElementById('Contre_PartieVal').value = getCellText(tree,tree.view.selection.currentIndex, 'contreP');
        chargerBanque(document.getElementById('Code_Journal').value);
			}
      if (type_journal=="AN") {
				document.getElementById('Type_Journal').disabled = true;
      } else if (type_journal=="VE" && Code_Journal_Vente==code_journal) {
				document.getElementById('Type_Journal').disabled = true;
      } else if (type_journal=="AC" && Code_Journal_Achat==code_journal) {
				document.getElementById('Type_Journal').disabled = true;
			}	else {
				document.getElementById('Type_Journal').disabled = false;
			}
		}
	} catch (e) {
    recup_erreur('erreur dans config/comptabilite/journaux/gestion_journaux.js#ouvrirJournal : ' + e);
  }
}


function init_tree() {
  try {
    var paramlist = "&Page=Config/GetRDF/listeJournaux.tmpl&ContentType=xml&Base="+ base;
    load_rdf("liste_journaux_manager", getUrlOpeneas(paramlist));
  } catch (e) {
    recup_erreur('erreur dans config/comptabilite/journaux/gestion_journaux.js#init_tree : ' + e);
  }
}


function delete_tree() {
  try {
    var database = document.getElementById("liste_journaux_manager").database;
    var datasources = database.GetDataSources();
    while (datasources.hasMoreElements()) {
      var ds = datasources.getNext();
      database.RemoveDataSource(ds);
    }
		document.getElementById("liste_journaux_manager").builder.rebuild();
  } catch (e) {
    recup_erreur('erreur dans config/comptabilite/journaux/gestion_journaux.js#delete_tree : ' + e);
  }
}

function keypress(e) {
	try {
		if (e.keyCode==13) {
      ouvrirJournal();
    }
	} catch (e) {
    recup_erreur('erreur dans config/comptabilite/journaux/gestion_journaux.js#keypress : ' + e);
  }
}

function makeIBAN() {
	try {
		var suite_iban = document.getElementById('Code_Agence').value;
		suite_iban += document.getElementById('Code_Guichet').value;
		suite_iban += document.getElementById('Num_Compte').value;
		suite_iban += document.getElementById('Cle_RIB').value;
		document.getElementById('IBAN_Suite').value = suite_iban;
	} catch (e) {
    recup_erreur('erreur dans config/comptabilite/journaux/gestion_journaux.js#makeIBAN : ' + e);
  }
}

function chargerBanque(code_journal) {
	try {
    var corps = cookie() + "&Page=Config/comptabilite/journaux/getBanque.tmpl&ContentType=xml";
    corps += "&Code_Journal=" + code_journal;
    var httpRequest = new XMLHttpRequest();
    requeteHTTP(corps,httpRequest,chargerBanque2);
 	} catch (e) {
    recup_erreur('erreur dans config/comptabilite/journaux/gestion_journaux.js#chargerBanque : ' + e);
  }
}

function chargerBanque2(httpRequest) {
	try {
    if (httpRequest.status != "200") {
      alert("Rception erreur " + httpRequest.status);
    } else {
      var contenu = httpRequest.responseXML.documentElement;
      document.getElementById('Nom').value = contenu.getAttribute('Nom');
      document.getElementById('Adresse').value = contenu.getAttribute('Adresse');
      document.getElementById('Code_Agence').value = contenu.getAttribute('Code_Agence');
      document.getElementById('Code_Guichet').value = contenu.getAttribute('Code_Guichet');
      document.getElementById('Num_Compte').value = contenu.getAttribute('Num_Compte');
      document.getElementById('Cle_RIB').value = contenu.getAttribute('Cle_RIB');
      document.getElementById('IBAN').value = contenu.getAttribute('IBAN');
      document.getElementById('BIC').value = contenu.getAttribute('BIC');
      makeIBAN();
    }
 	} catch (e) {
    recup_erreur('erreur dans config/comptabilite/journaux/gestion_journaux.js#chargerBanque : ' + e);
  }
}

