/******************************************************************************/
/* OpenSi : Outils libres de gestion d'entreprise                             */
/* Copyright (C) 2003 Speedinfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/

var arbre_dossiers;
var widget_dossiers;
var arbre_journaux;
var widget_journaux;
var widget_modes;
var widget_dates;
var widget_datedeb;
var widget_datefin;


function init() {
    try {
	login = get_cookie('User');
	if (get_cookie('User')=='root')
	    arbre_dossiers = new Arbre('mcnf','listeDossiersRoot.tmpl','liste_dossiers');
	else
	    arbre_dossiers = new Arbre('mcnf','listeDossiers.tmpl','liste_dossiers');
	arbre_dossiers.initTree();
	widget_dossiers = document.getElementById('liste_dossiers');
	arbre_journaux = new Arbre('mcnf','listeJournaux.tmpl','liste_journaux');
	widget_journaux = document.getElementById('liste_journaux');
	widget_dates = document.getElementById('dates');
	widget_datedeb = document.getElementById('date_debut');
	widget_datefin = document.getElementById('date_fin');
	//set_dates();
	widget_datedeb.disabled=true;
	widget_datefin.disabled=true;
    } catch (e) {
	recup_erreur('erreur dans config/copie/menu_copie.js#init : ' + e);
    }
}

function set_dates(dossier) {
  try {
     var corps = cookie() +"&Page=Config/copie/dates_exercices.tmpl&ContentType=xml&dossier="+dossier;
     var httpRequest = new XMLHttpRequest();
     requeteHTTP(corps, httpRequest, setdates_callback);
  } catch (e) {
     recup_erreur('erreur dans config/menu_copie.js#set_dates : ' + e);
  }
}

function setdates_callback(o) {
  exo=o.responseXML.getElementsByTagName('exercice').item(0);
  widget_datedeb.value=exo.getAttribute('deb');
  widget_datefin.value=exo.getAttribute('fin');
}

function select_dossier(tree) {
    dossier=getCellText(tree,tree.view.selection.currentIndex, 'num');
    arbre_journaux.setParam('Dossier_Id',dossier);
    arbre_journaux.initTree();
    set_dates(dossier);
}


function tous_journaux() {
    t=document.getElementById('liste_journaux');
    t.view.selection.rangedSelect(0,t.view.rowCount-1,false);
    t.focus();
}


function copie_dates_all() {
    widget_datedeb.disabled=true;
    widget_datefin.disabled=true;
}

function copie_dates_sel() {
    widget_datedeb.disabled=false;
    widget_datefin.disabled=false;
}


function doCopy() {
  try {
      var qs;
      //recupere les dates de copie
      if (document.getElementById('date_sel').selected) {
	  if (!isDate(widget_datedeb.value)||!isDate(widget_datefin.value)||!isDateInterval(widget_datedeb.value, widget_datefin.value)) {
              alert('Les dates sont incorrectes');
              return;
	  }
	  qs="d=sel&deb="+widget_datedeb.value+"&fin="+widget_datefin.value;
      } else {
	  qs="d=all";
      }

      //recupere le dossier à importer
      var start = new Object();
      var end = new Object();
      var numRanges = widget_dossiers.view.selection.getRangeCount();
      if (numRanges==0) {
	  alert('selectionnez un dossier');
	  return;
      }
      for (var t=0; t<numRanges; t++){
	  widget_dossiers.view.selection.getRangeAt(t,start,end);
	  for (var v=start.value; v<=end.value; v++){
              qs=qs+"&do="+getCellText(widget_dossiers,v,'num');
	  }
      }

      //recupere la liste des journaux
      numRanges = widget_journaux.view.selection.getRangeCount();
      if (numRanges==0) {
	  alert('selectionnez au moins un journal');
	  return;
      }
      for (var t=0; t<numRanges; t++){
	  widget_journaux.view.selection.getRangeAt(t,start,end);
	  for (var v=start.value; v<=end.value; v++){
              qs=qs+"&jo="+getCellText(widget_journaux,v,'num');
	  }
      }

      //recupere le mode de copie
      if (document.getElementById('copy_rep').selected) {
	  qs=qs+"&mode=replace";
      } else {
	  qs=qs+"&mode=add";
      }


      // requete http
      var corps = cookie() +"&Page=Config/copie/do_copie.tmpl&ContentType=xml&"+qs;
      var httpRequest = new XMLHttpRequest();
      requeteHTTP(corps, httpRequest, doCopy_callback);
  }
  catch (e) {
      recup_erreur('erreur dans config/menu_copie.js#doCopy : ' + e);
  }
}

function doCopy_callback() {
  var res=p.responseXML.documentElement.getAttribute('status');
  if (res=='ok') {
    alert ('le dossier a t import');
  } else {
      alert ("Une erreur s'est produite durant l'importation");
    recup_erreur('erreur dans config/copie/menu_copie.js le serveur a renvoye une erreur');
  }
  window.location="chrome://opensi/content/config/menu_manager.xul?"+ cookie();
}

function retour_menuManager() {
    try {
  	window.location = "chrome://opensi/content/config/menu_manager.xul?"+ cookie();
    } catch (e) {
	recup_erreur('erreur dans config/raz/menu_copie.js#retour_choixDossier : ' + e);
    }
}

function keypress(e,id) {

}

