/******************************************************************************/
/* OpenSi : Outils libres de gestion d'entreprise                             */
/* Copyright (C) 2003 Speedinfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/

var dossier;

function init() {
	try {
	
		dossier = get_cookie('Dossier_Id');
		
		var paramlist = "&Page=Config/GetRDF/listeModelesEtiquettes.tmpl&ContentType=xml";
    load_rdf_async('Modele_Etiquette', getUrlOpeneas(paramlist), chargerParametrage);
		
		loadPhoto();
		
	} catch (e) {
    recup_erreur('erreur dans config/gestion_commerciale/preferences/param.js#init : ' + e);
  }
}


function chargerParametrage() {
	try {
  
		var corps = cookie() +"&Page=Config/gestion_commerciale/preferences/getParam.tmpl&ContentType=xml";
		requeteHTTP(corps, new XMLHttpRequest(), chargerParametrage_2);	
	
	} catch (e) {
    recup_erreur('erreur dans config/gestion_commerciale/preferences/param.js#chargerParametrage : ' + e);
  }
}


function chargerParametrage_2(httpRequest) {
	try {
					
    var contenu = httpRequest.responseXML.documentElement;
		
		if (contenu.getAttribute('Mode_Tarif') == 'G') {
			document.getElementById('Mode_Tarif').selectedItem = document.getElementById('mtG');
		}
		else {
			document.getElementById('Mode_Tarif').selectedItem = document.getElementById('mtQ');
		}
		
		document.getElementById('Com_Fact').value = contenu.getAttribute('Com_Fact');
		document.getElementById('Com_BL').value = contenu.getAttribute('Com_BL');

		document.getElementById('Imp_Nom_Fiche').checked = (contenu.getAttribute('Imp_Nom_Fiche')==1);
		document.getElementById('Imp_Nom_OF').checked = (contenu.getAttribute('Imp_Nom_OF')==1);
		document.getElementById('Imp_Nom_Facture').checked = (contenu.getAttribute('Imp_Nom_Facture')==1);
		document.getElementById('Imp_Nom_Bon').checked = (contenu.getAttribute('Imp_Nom_Bon')==1);
		document.getElementById('Imp_Nom_Devis').checked = (contenu.getAttribute('Imp_Nom_Devis')==1);

		document.getElementById('Imp_Desc1_Fiche').checked = (contenu.getAttribute('Imp_Desc1_Fiche')==1);
		document.getElementById('Imp_Desc1_OF').checked = (contenu.getAttribute('Imp_Desc1_OF')==1);
		document.getElementById('Imp_Desc1_Facture').checked = (contenu.getAttribute('Imp_Desc1_Facture')==1);
		document.getElementById('Imp_Desc1_Bon').checked = (contenu.getAttribute('Imp_Desc1_Bon')==1);
		document.getElementById('Imp_Desc1_Devis').checked = (contenu.getAttribute('Imp_Desc1_Devis')==1);

		document.getElementById('Imp_Desc2_Fiche').checked = (contenu.getAttribute('Imp_Desc2_Fiche')==1);
		document.getElementById('Imp_Desc2_OF').checked = (contenu.getAttribute('Imp_Desc2_OF')==1);
		document.getElementById('Imp_Desc2_Facture').checked = (contenu.getAttribute('Imp_Desc2_Facture')==1);
		document.getElementById('Imp_Desc2_Bon').checked = (contenu.getAttribute('Imp_Desc2_Bon')==1);
		document.getElementById('Imp_Desc2_Devis').checked = (contenu.getAttribute('Imp_Desc2_Devis')==1);

		document.getElementById('Logo_Adr').checked = (contenu.getAttribute('Logo_Adr')==1);
		
		document.getElementById('Transfert_Reglements').checked = (contenu.getAttribute('Transfert_Reglements')==1);

		document.getElementById('Coeff_1').value = contenu.getAttribute('Coeff_1');
		document.getElementById('Coeff_2').value = contenu.getAttribute('Coeff_2');
		document.getElementById('Coeff_3').value = contenu.getAttribute('Coeff_3');
		document.getElementById('Coeff_4').value = contenu.getAttribute('Coeff_4');
		document.getElementById('Coeff_5').value = contenu.getAttribute('Coeff_5');
		
		document.getElementById('Modele_Etiquette').value = contenu.getAttribute('Modele_Etiquette');		
	
	} catch (e) {
    recup_erreur('erreur dans config/gestion_commerciale/preferences/param.js#chargerParametrage_2 : ' + e);
  }
}


function enregistrerParametrage() {
	try {
	
		var corps = cookie() +"&Page=Config/gestion_commerciale/preferences/modifierParam.tmpl&ContentType=xml&Dossier_Id="+ dossier;
		corps += "&Mode_Tarif="+ document.getElementById('Mode_Tarif').value;
		corps += "&Com_Fact="+ urlEncode(document.getElementById('Com_Fact').value);
		corps += "&Com_BL="+ urlEncode(document.getElementById('Com_BL').value);
		corps += "&Modele_Etiquette="+ urlEncode(document.getElementById('Modele_Etiquette').value);	
		
		corps += "&Imp_Nom_Fiche="+ (document.getElementById('Imp_Nom_Fiche').checked?"1":"0");
		corps += "&Imp_Nom_OF="+ (document.getElementById('Imp_Nom_OF').checked?"1":"0");
		corps += "&Imp_Nom_Facture="+ (document.getElementById('Imp_Nom_Facture').checked?"1":"0");
		corps += "&Imp_Nom_Bon="+ (document.getElementById('Imp_Nom_Bon').checked?"1":"0");
		corps += "&Imp_Nom_Devis="+ (document.getElementById('Imp_Nom_Devis').checked?"1":"0");
		
		corps += "&Imp_Desc1_Fiche="+ (document.getElementById('Imp_Desc1_Fiche').checked?"1":"0");
		corps += "&Imp_Desc1_OF="+ (document.getElementById('Imp_Desc1_OF').checked?"1":"0");
		corps += "&Imp_Desc1_Facture="+ (document.getElementById('Imp_Desc1_Facture').checked?"1":"0");
		corps += "&Imp_Desc1_Bon="+ (document.getElementById('Imp_Desc1_Bon').checked?"1":"0");
		corps += "&Imp_Desc1_Devis="+ (document.getElementById('Imp_Desc1_Devis').checked?"1":"0");
		
		corps += "&Imp_Desc2_Fiche="+ (document.getElementById('Imp_Desc2_Fiche').checked?"1":"0");
		corps += "&Imp_Desc2_OF="+ (document.getElementById('Imp_Desc2_OF').checked?"1":"0");
		corps += "&Imp_Desc2_Facture="+ (document.getElementById('Imp_Desc2_Facture').checked?"1":"0");
		corps += "&Imp_Desc2_Bon="+ (document.getElementById('Imp_Desc2_Bon').checked?"1":"0");
		corps += "&Imp_Desc2_Devis="+ (document.getElementById('Imp_Desc2_Devis').checked?"1":"0");
		
		corps += "&Logo_Adr="+ (document.getElementById('Logo_Adr').checked?"1":"0");
		corps += "&Transfert_Reglements="+ (document.getElementById('Transfert_Reglements').checked?"1":"0");
		
		var coeff_1 = document.getElementById('Coeff_1').value;
		var coeff_2 = document.getElementById('Coeff_2').value;
		var coeff_3 = document.getElementById('Coeff_3').value;
		var coeff_4 = document.getElementById('Coeff_4').value;
		var coeff_5 = document.getElementById('Coeff_5').value;
		
		corps += "&Coeff_1="+ coeff_1 +"&Coeff_2="+ coeff_2 +"&Coeff_3="+ coeff_3 +"&Coeff_4="+ coeff_4 +"&Coeff_5="+ coeff_5;
		
		if (isEmpty(coeff_1) || !isPositive(coeff_1)) {
			showWarning("Coefficient tarifaire 1 incorrect !");
		}
		else if (isEmpty(coeff_2) || !isPositive(coeff_2)) {
			showWarning("Coefficient tarifaire 2 incorrect !");
		}
		else if (isEmpty(coeff_3) || !isPositive(coeff_3)) {
			showWarning("Coefficient tarifaire 3 incorrect !");
		}
		else if (isEmpty(coeff_4) || !isPositive(coeff_4)) {
			showWarning("Coefficient tarifaire 4 incorrect !");
		}
		else if (isEmpty(coeff_5) || !isPositive(coeff_5)) {
			showWarning("Coefficient tarifaire 5 incorrect !");
		}
		else {
			requeteHTTP(corps, new XMLHttpRequest(), enregistrerParametrage_2);
		}
	
	} catch (e) {
    recup_erreur('erreur dans config/gestion_commerciale/preferences/param.js#chargerParametrage : ' + e);
  }
}


function enregistrerParametrage_2(httpRequest) {
	try {
	
		showMessage("Paramtres sauvegards !");
	
	} catch (e) {
    recup_erreur('erreur dans config/gestion_commerciale/preferences/param.js#chargerParametrage_2 : ' + e);
  }
}


function loadPhoto() {
  try {
		
		var dossier = get_cookie("Dossier_Id");
		document.getElementById('Vignette').setAttribute("src", "");
		document.getElementById('Vignette').setAttribute("src", getDirServeur() +"logos/"+ dossier +"_small.jpg");
	
	} catch (e) {
    recup_erreur('erreur dans config/gestion_commerciale/preferences/param.js#loadPhoto : ' + e);
  }
}


function voirPhoto() {
  try {
		
		var url = "chrome://opensi/content/config/gestion_commerciale/preferences/voir_photo.xul?"+ cookie();
		window.openDialog(url,'','chrome,modal');

	} catch (e) {
    recup_erreur('erreur dans config/gestion_commerciale/preferences/param.js#voirPhoto : ' + e);
  }
}


function changerPhoto() {
  try {

		var url = "chrome://opensi/content/config/gestion_commerciale/preferences/change_photo.xul?"+ cookie();
		window.openDialog(url,'','chrome,modal');
		
		loadPhoto();

	} catch (e) {
    recup_erreur('erreur dans config/gestion_commerciale/preferences/param.js#changerPhoto : ' + e);
  }
}
