/******************************************************************************/
/* OpenSi : Outils libres de gestion d'entreprise                             */
/* Copyright (C) 2003 Speedinfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/

var arbre_journaux;
var widget_journaux;
var widget_dates;
var widget_datedeb;
var widget_datefin;

function init() {
    try {
	arbre_journaux = new Arbre('mcnf','listeJournaux.tmpl','liste_journaux');
	widget_journaux = document.getElementById('liste_journaux');
	widget_dates = document.getElementById('dates');
	widget_datedeb = document.getElementById('date_debut');
	widget_datefin = document.getElementById('date_fin');
	set_dates();
	arbre_journaux.initTree();
	widget_journaux.disabled=true;
	widget_datedeb.disabled=true;
	widget_datefin.disabled=true;
    } catch (e) {
	recup_erreur('erreur dans config/menu_raz.js#init : ' + e);
    }
}

function set_dates() {
  try {
     var corps = cookie() +"&Page=Config/raz/dates_exercices.tmpl&ContentType=xml";
     var httpRequest = new XMLHttpRequest();
     requeteHTTP(corps, httpRequest, setdates_callback);
  } catch (e) {
     recup_erreur('erreur dans config/menu_raz.js#set_dates : ' + e);
  }
}

function setdates_callback(o) {
  exo=o.responseXML.getElementsByTagName('exercice').item(0);
  widget_datedeb.value=exo.getAttribute('deb');
  widget_datefin.value=exo.getAttribute('fin');

}

function raz_mode_tous() {
    widget_journaux.disabled=true;
}

function raz_mode_sel() {
    widget_journaux.disabled=false;
    widget_journaux.focus();
}


function raz_dates_tous() {
    widget_datedeb.disabled=true;
    widget_datefin.disabled=true;
}

function raz_dates_sel() {
    widget_datedeb.disabled=false;
    widget_datefin.disabled=false;
}

function retour_menuManager() {
	try {

  	window.location = "chrome://opensi/content/config/menu_manager.xul?"+ cookie();

	} catch (e) {
    recup_erreur('erreur dans config/raz/menu_raz.js#retour_choixDossier : ' + e);
  }
}


function goToMenu(numMenu) {

  switch (numMenu) {

    case 999: window.location = "chrome://opensi/content/config/menu_manager.xul?"+ cookie();
            break;
	}
}



function doRAZ() {
  try {
	var qs;
	if (document.getElementById('raz_date_sel').selected) {
	   if (!isDate(widget_datedeb.value)||!isDate(widget_datefin.value)||!isDateInterval(widget_datedeb.value, widget_datefin.value)) {
              alert('Les dates sont incorrectes');
              return;
           }
           qs="d=sel&deb="+widget_datedeb.value+"&fin="+widget_datefin.value;
	}else {
	   qs="d=all";
	}

	if (document.getElementById('raz_sel').selected) {
	  // recuprer la valeur des journaux
	  qs=qs+"&j=sel";
          var start = new Object();
          var end = new Object();
          var numRanges = widget_journaux.view.selection.getRangeCount();

          for (var t=0; t<numRanges; t++){
            widget_journaux.view.selection.getRangeAt(t,start,end);
            for (var v=start.value; v<=end.value; v++){
              qs=qs+"&jo="+getCellText(widget_journaux,v,'num');
            }
          }
	} else {
	   qs=qs+"&j=all";
	}

  	var corps = cookie() +"&Page=Config/raz/do_raz.tmpl&ContentType=xml&"+qs;
	var httpRequest = new XMLHttpRequest();
	requeteHTTP(corps, httpRequest, raz_callback);
  } catch (e) {
	recup_erreur('erreur dans config/menu_raz.js#doRAZ : ' + e);
  }
}

function raz_callback(p) {
  var res=p.responseXML.documentElement.getAttribute('status');
  if (res=='ok') {
    alert ('le dossier a t remis  zro');
  } else {
    alert ('Une erreur s\'est produite durant la remise  zro');
    recup_erreur('erreur dans config/raz/menu_raz.js le serveur a renvoye une erreur');
  }
  window.location="chrome://opensi/content/config/menu_manager.xul?"+ cookie();
}
