/******************************************************************************/
/* OpenSi : Outils libre de gestion d'entreprise                              */
/* Copyright (C) 2003 Speedinfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/

var cookieWrapper;

function init() {
  try {

    cookieWrapper = getWrapper();

    window.sizeToContent();

		var x = (screen.width / 2) - (window.outerWidth / 2);
    var y = (screen.height / 2) - (window.outerHeight / 2);

		window.moveTo(x,y);

		document.getElementById('Defaut').checked = false;
		document.getElementById('Raison_Sociale').focus();

  } catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/ajouter_livraison.js#init : ' + e);
  }
}


function creerAdresse() {
  try {

		var client_id = ParamValeur("Client_Id");
    var raison_sociale = document.getElementById('Raison_Sociale').value;
		var nom = document.getElementById('Nom').value;
		var adresse = document.getElementById('Adresse').value;
		var comp_adresse = document.getElementById('Comp_Adresse').value;
		var adresse_3 = document.getElementById('Adresse_3').value;
		var code_postal = document.getElementById('Code_Postal').value;
		var ville = document.getElementById('Ville').value;
		var pays = document.getElementById('Pays').value;
		var defaut = (document.getElementById('Defaut').checked?"1":"0");

				 if (isEmpty(raison_sociale)) { showWarning("Veuillez spcifier la raison sociale de l'entreprise  livrer !"); }
		else if (isEmpty(adresse)) { showWarning("Veuillez spcifier l'adresse de livraison !"); }
		else if (isEmpty(code_postal)) { showWarning("Veuillez spcifier le code postal de livraison !"); }
		else if (isEmpty(ville)) { showWarning("Veuillez spcifier la ville de livraison !"); }
		else {

			var corps = cookie() +"&Page=Facturation/Clients/creerAdresse.tmpl&ContentType=xml";

			corps += "&Client_Id="+ urlEncode(client_id) +"&Nom="+ urlEncode(nom) +"&Raison_Sociale="+ urlEncode(raison_sociale) +"&Comp_Adresse="+ urlEncode(comp_adresse);
			corps += "&Adresse="+ urlEncode(adresse) +"&Code_Postal="+ urlEncode(code_postal) +"&Ville="+ urlEncode(ville) +"&Pays="+ urlEncode(pays) +"&Defaut="+ defaut;
			corps += "&Adresse_3="+ urlEncode(adresse_3);

			var params = new Array(raison_sociale,adresse,comp_adresse,adresse_3,code_postal,ville,pays,nom);

			var httpRequest = new XMLHttpRequest();
			requeteHTTP(corps, httpRequest, creerAdresse_2, params);
		}

	} catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/ajouter_livraison.js#creerAdresse : ' + e);
  }
}


function creerAdresse_2(httpRequest, params) {
  try {

		var contenu = httpRequest.responseXML.documentElement;

		cookieWrapper.getElementById('Nom_Liv').value = params[0];
   	cookieWrapper.getElementById('Adresse_Liv').value = params[1];
		cookieWrapper.getElementById('Comp_Adresse_Liv').value = params[2];
		cookieWrapper.getElementById('Adresse_3_Liv').value = params[3];
		cookieWrapper.getElementById('CP_Liv').value = params[4];
		cookieWrapper.getElementById('Ville_Liv').value = params[5];
		cookieWrapper.getElementById('Pays_Liv').value = params[6];
		cookieWrapper.getElementById('Receptionnaire').value = params[7];

		opener.setModifie(true);

		setTimeout("window.close()", 0); // sinon se ferme pas

	} catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/ajouter_livraison.js#creerAdresse_2 : ' + e);
  }
}
