/******************************************************************************/
/* OpenSi : Outils libres de gestion d'entreprise                             */
/* Copyright (C) 2003 Speedinfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/


var bon_id;
var colis_id = 0;
var autEtiq = false;

function init() {
  try {

		/*com_id = ParamValeur("ComValide");
		affaire_id = ParamValeur("Affaire_Id");

		document.getElementById("Raison_Sociale").value = ParamValeur("Raison_Sociale");
		document.getElementById("Adresse_Fact").value = ParamValeur("Adresse_Fact");
		document.getElementById("CP_Fact").value = ParamValeur("CP_Fact");
		document.getElementById("Ville_Fact").value = ParamValeur("Ville_Fact");
		client_id = ParamValeur("Client_Id");
		document.getElementById("Client").setAttribute("label","Client N "+ client_id);
		document.getElementById("Affaire").setAttribute("label","Affaire N "+ ParamValeur("Num_Affaire"));
		document.getElementById("Nom_Affaire").value = ParamValeur("Nom_Affaire");
		document.getElementById("Responsable").value = ParamValeur("Responsable");
		*/

		disableRetirer(true);
		disableAjouter(true);

		bon_id = ParamValeur("Bon_Id");

		init_tree_colis();
		init_tree_hors_colis();

		var paramlist = "&Page=Facturation/GetRDF/liste_orgliv.tmpl&ContentType=xml";
    load_rdf_async('Num_Org', getUrlOpeneas(paramlist), initOrg);

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/affaires/colisage.js#init : ' + e);
	}
}


function initOrg() {
	try {

    document.getElementById('Num_Org').selectedIndex = 0;

	} catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/colisage.js#initOrg : ' + e);
  }
}


function nouveauColis() {
	try {

		delete_tree_contenu();
		colis_id = 0;
		document.getElementById('lblContenu').value = "Nouveau colis :";

	} catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/colisage.js#nouveauColis: ' + e);
  }
}


function reporterQteEntree() {
	try {

		var tree = document.getElementById('hors_colis');

		if (tree.view!=null && tree.currentIndex!=-1) {
			document.getElementById("QteEntree").value = getCellText(tree,tree.view.selection.currentIndex,'ColQuantiteHC');
			var poidsUnit = getCellText(tree,tree.view.selection.currentIndex,'ColPoidsHC');
			document.getElementById("PoidsEntree").value = poidsUnit;
			disableRetirer(true);
			disableAjouter(false);
			document.getElementById('PoidsEntree').disabled = !isEmpty(poidsUnit);
		}

	} catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/colisage.js#reporterQteEntree : ' + e);
  }
}


function reporterQteSortie() {
	try {

		var tree = document.getElementById('contenu_colis');

		if (tree.view!=null && tree.currentIndex!=-1) {
			document.getElementById("QteSortie").value = getCellText(tree,tree.view.selection.currentIndex,'ColQuantite');
			disableRetirer(false);
			disableAjouter(true);
		}

	} catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/colisage.js#reporterQteEntree : ' + e);
  }
}


function disableAjouter(b) {
	try {

		//var tree = document.getElementById('');

		//if (tree.view!=null && tree.currentIndex!=-1) {
			document.getElementById('bAjouter').disabled = b;
			document.getElementById('QteEntree').disabled = b;
			document.getElementById('PoidsEntree').disabled = b;

		//}

	} catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/colisage.js#disableAjouter : ' + e);
  }
}


function disableRetirer(b) {
	try {

		//var tree = document.getElementById('bon_livraison');

		//if (tree.view!=null && tree.currentIndex!=-1) {
			document.getElementById('bRetirer').disabled = b;
			document.getElementById('QteSortie').disabled = b;
		//}

	} catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/colisage.js#disableRetirer : ' + e);
  }
}


function ajouterAuColis() {
	try {

		var tree = document.getElementById('hors_colis');

		if (tree.view!=null && tree.currentIndex!=-1) {

			var ref_ligne = tree.view.getCellValue(tree.currentIndex,'ColReferenceHC');
			var qteinit = getCellText(tree,tree.view.selection.currentIndex,'ColQuantiteHC');
			var poids = document.getElementById("PoidsEntree").value;
			var quantite = document.getElementById("QteEntree").value;

			if (isEmpty(quantite)) {
				showWarning("Veuillez entrer une quantit  transfrer");
			}
			else if (!isPositive(quantite) || !checkDecimal(quantite,2)) {
				showWarning("Quantit incorrecte !");
			}
			else if (parseFloat(qteinit)-parseFloat(quantite)<0) {
				showWarning("La quantit  transfrer dpasse la quantit restant  livrer !");
			}
			else if (isEmpty(poids)) {
				showWarning("Veuillez entrer un poids unitaire pour cet article !");
			}
			else if (!isPositiveOrNull(poids) || !checkDecimal(poids,2)) {
				showWarning("Poids unitaire incorrect !");
			}
			else {

				disableAjouter(true);

				var corps = cookie() +"&Page=Facturation/Affaires/ajouterArticleColis.tmpl&ContentType=xml&Colis_Id="+ colis_id;
						corps += "&Ref_Ligne="+ ref_ligne +"&Quantite="+ quantite +"&Poids="+ poids +"&Bon_Id="+ bon_id;
				var httpRequest = new XMLHttpRequest();
				requeteHTTP(corps, httpRequest, ajouterAuColis_2);
			}
		}

	} catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/colisage.js#ajouterAuColis : ' + e);
  }
}


function ajouterAuColis_2(httpRequest) {
	try {

		if (colis_id==0) {
			colis_id = httpRequest.responseXML.documentElement.getAttribute("Colis_Id");
			document.getElementById('lblContenu').value = "Contenu du colis n "+ colis_id;
		}

		delete_tree_contenu();
		init_tree_contenu();
		delete_tree_hors_colis();
		init_tree_hors_colis();
		delete_tree_colis();
		init_tree_colis();

	} catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/colisage.js#ajouterAuColis_2 : ' + e);
  }
}


function retirerAuColis() {
  try {

		var tree = document.getElementById("contenu_colis");

		if (tree.view!=null && tree.currentIndex!=-1) {

			var ref_ligne = tree.view.getCellValue(tree.currentIndex,'ColReference');
			var qteinit = getCellText(tree,tree.view.selection.currentIndex,'ColQuantite');
			var quantite = document.getElementById("QteSortie").value;

			if (isEmpty(quantite)) {
				showWarning("Veuillez entrer une quantit  enlever");
			}
			else if (!isPositive(quantite) || !checkDecimal(quantite,2)) {
				showWarning("Quantit incorrecte !");
			}
			else if (parseFloat(qteinit)-parseFloat(quantite)<0) {
				showWarning("La quantit  enlever ne peut dpasser la quantit prsente dans le colis !");
			}
			else {

				disableRetirer(true);

				var corps = cookie() +"&Page=Facturation/Affaires/enleverArticleColis.tmpl&ContentType=xml&Colis_Id="+ colis_id;
						corps += "&Ref_Ligne="+ ref_ligne +"&QteInit="+ qteinit +"&Quantite="+ quantite;
				var httpRequest = new XMLHttpRequest();
				requeteHTTP(corps, httpRequest, retirerAuColis_2);
			}
		}

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/affaires/colisage.js#retirerAuColis : ' + e);
	}
}


function retirerAuColis_2(httpRequest) {
  try {

		if (httpRequest.responseXML.documentElement.getAttribute("vide")=="y") {
			nouveauColis();
		}
		else {
			delete_tree_contenu();
			init_tree_contenu();
		}
		delete_tree_hors_colis();
		init_tree_hors_colis();
		delete_tree_colis();
		init_tree_colis();

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/affaires/colisage.js#retirerAuColis_2 : ' + e);
	}
}


function afficherContenu() {
	try {

		var tree = document.getElementById('liste_colis');

		if (tree.view!=null && tree.currentIndex!=-1) {
			colis_id = tree.view.getCellValue(tree.currentIndex,'ColNumColis');
			document.getElementById('lblContenu').value = "Contenu du colis n "+ getCellText(tree,tree.view.selection.currentIndex,'ColNumColis') +" :";
			delete_tree_contenu();
			init_tree_contenu();
		}

	} catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/colisage.js#afficherContenu : ' + e);
  }
}


function calcColis() {
	try {

		var tree = document.getElementById('liste_colis');

		if (tree.view!=null) {

			document.getElementById('Nb_Colis').value = tree.view.rowCount;

			var pt = 0;

			for (var i=0;i<tree.view.rowCount;i++) {
				pt += parseFloat(getCellText(tree,i, 'ColPoidsColis'));
			}
			document.getElementById('Poids_Total').value = formatNombre(pt, "0.##");
		}

		autEtiq = (parseIntBis(document.getElementById('Nb_Colis').value)>0);

	} catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/colisage.js#calcColis : ' + e);
  }
}


function init_tree_hors_colis() {
  try {

    var paramlist = "&Page=Facturation/GetRDF/hors_colis.tmpl&ContentType=xml&Bon_Id="+ bon_id;
    load_rdf('hors_colis', getUrlOpeneas(paramlist));

  } catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/colisage.js#init_tree_hors_colis : ' + e);
  }
}


function delete_tree_hors_colis() {
  try {

    var database = document.getElementById("hors_colis").database;
    var datasources = database.GetDataSources();
    while (datasources.hasMoreElements()) {
      var ds = datasources.getNext();
      database.RemoveDataSource(ds);
    }
		document.getElementById('hors_colis').builder.rebuild();

  } catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/colisage.js#delete_tree_hors_colis : ' + e);
  }
}


function init_tree_colis() {
  try {

    var paramlist = "&Page=Facturation/GetRDF/liste_colis.tmpl&ContentType=xml&Bon_Id="+ bon_id;
    load_rdf_async('liste_colis', getUrlOpeneas(paramlist), calcColis);

  } catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/colisage.js#init_tree_colis : ' + e);
  }
}


function delete_tree_colis() {
  try {

    var database = document.getElementById("liste_colis").database;
    var datasources = database.GetDataSources();
    while (datasources.hasMoreElements()) {
      var ds = datasources.getNext();
      database.RemoveDataSource(ds);
    }
		document.getElementById('liste_colis').builder.rebuild();

  } catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/colisage.js#delete_tree_colis : ' + e);
  }
}


function init_tree_contenu() {
  try {

    var paramlist = "&Page=Facturation/GetRDF/contenu_colis.tmpl&ContentType=xml&Colis_Id="+ colis_id;
    load_rdf('contenu_colis', getUrlOpeneas(paramlist));

  } catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/colisage.js#init_tree_contenu : ' + e);
  }
}


function delete_tree_contenu() {
  try {

    var database = document.getElementById("contenu_colis").database;
    var datasources = database.GetDataSources();
    while (datasources.hasMoreElements()) {
      var ds = datasources.getNext();
      database.RemoveDataSource(ds);
    }
		document.getElementById('contenu_colis').builder.rebuild();

  } catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/colisage.js#delete_tree_contenu : ' + e);
  }
}


function editerEtiquettes() {
	try {

		if (autEtiq) {
			var page = "chrome://opensi/content/facturation/user/affaires/etiquettes.xul?"+ cookie() +"&Bon_Id="+ bon_id +"&ParamRetour="+ urlEncode(ParamValeur("ParamRetour"));
    	window.location = page;
		}
		else {
			showWarning("Vous devez avoir au moins un colis pour pouvoir gnrer des etiquettes");
		}

	} catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/colisage.js#editerEtiquettes : ' + e);
  }
}


function retour_bon() {
  try {

    window.location = "chrome://opensi/content/facturation/user/affaires/edition_livraison.xul?"+ cookie() +"&Mode=M&Bon_Id="+ bon_id + ParamValeur("ParamRetour");

  } catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/colisage.js#retour_bon : ' + e);
  }
}


function retour_menu_principal() {
  try {

    var page = "chrome://opensi/content/facturation/user/menu_principal.xul?" + cookie();
		page += "&Libelle="+ parent.document.getElementById("nom_dossier").value;
    window.location = page;

  } catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/colisage.js#retour_menu_principal : ' + e);
  }
}
