/******************************************************************************/
/* OpenSI Comptabilit? : Outils libre de comptabilit? d'entreprise            */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/


function init() {
  try {

    var x = (screen.width / 2) - 250;
    var y = (screen.height / 2) - 200;
    window.resizeTo(500,400);
    window.moveTo(x,y);

		var com_id = ParamValeur("Com_Id");
		var rank = ParamValeur("Rank");

		var corps = cookie() + "&Page=Facturation/Affaires/getCommentaire.tmpl&ContentType=xml&Com_Id="+ com_id +"&Rank="+ rank;
		var p = requeteHTTP(corps);

		if (p.status != "200") {
  		alert("Rception erreur " + p.status);
		}
		else {
			var contenu = p.responseXML.documentElement;
			document.getElementById('Commentaire').value = contenu.getAttribute('Commentaire');
		}

    document.getElementById('Commentaire').focus();

  } catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/commentaire.js#init : ' + e);
  }
}


function modifierCommentaire() {
  try {

		var com_id = ParamValeur("Com_Id");
		var rank = ParamValeur("Rank");

		var commentaire = document.getElementById('Commentaire').value;


		var corps = cookie() + "&Page=Facturation/Affaires/modifierCommentaire.tmpl&ContentType=xml&Com_Id="+ com_id +"&Rank="+ rank;
				corps += "&Commentaire="+ urlEncode(commentaire);

		var p = requeteHTTP(corps);

		if (p.status != "200") {
  		alert("Rception erreur " + p.status);
		}
		else {
			window.close();
		}


	} catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/commentaire.js#modifierCommentaire : ' + e);
  }
}
