/******************************************************************************/
/* OpenSi : Outils libres de gestion d'entreprise                             */
/* Copyright (C) 2003 Speedinfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/

jsLoader.loadSubScript("chrome://opensi/content/libs/query.js");
jsLoader.loadSubScript("chrome://opensi/content/libs/verif.js");


function init() {
	try {

		//var page = getUrlOpeneas("&Page=Facturation/Affaires/bon_preparation_pdf.tmpl&Bon_Id="+ ParamValeur("Bon_Id") +"&Affaire_Id="+ ParamValeur("Affaire_Id") +"&Com_Id="+ ParamValeur("Com_Id"));
		//document.getElementById('bon').setAttribute("src",page);

	} catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/options_edition.js#init : ' + e);
  }
}


function editer() {
	try {

		var debut_delai = document.getElementById('Debut_Delai').value;
		var fin_delai = document.getElementById('Fin_Delai').value;

		if (!isEmpty(debut_delai) && !isDate(debut_delai)) {
			showWarning("Date de dbut dlai incorrecte");
		}
		else if (!isEmpty(fin_delai) && !isDate(fin_delai)) {
			showWarning("Date de fin dlai incorrecte");
		}
		else if (!isEmpty(debut_delai) && !isEmpty(fin_delai) && !isDateInterval(debut_delai, fin_delai)) {
			showWarning("Plage de dates de dlai incorrecte");
		}
		else {

			var queryEdit = new QueryHttp("Facturation/Affaires/listingAffaires.tmpl");
			queryEdit.setFullParamById('Tri1');
			queryEdit.setFullParamById('Tri2');
			queryEdit.setFullParamById('Tri3');
			queryEdit.setFullParamById('Etat');
			queryEdit.setParam('Debut_Delai', prepareDateJava(debut_delai));
			queryEdit.setParam('Fin_Delai', prepareDateJava(fin_delai));
			queryEdit.execute(editer_2);
		}

	} catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/options_edition.js#editer : ' + e);
  }
}


function editer_2(httpRequest) {
	try {

	var contenu = httpRequest.responseXML.documentElement;

	//var action_error = contenu.getAttribute('action_error');
	var fichier = contenu.getAttribute('Fichier');

	//if (isEmpty(action_error)) {

		var file = fileChooser("save", "listeaffaires.csv");

		if (file!=null) {
			downloadFile(getDirBuffer()+ fichier, file);
		}

	/*}
	else {
		showWarning(action_error);
	}*/
	} catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/options_edition.js#editer_2 : ' + e);
  }
}


function retour_affaires() {
  try {

    window.location = "chrome://opensi/content/facturation/user/affaires/menu_affaires.xul?"+ cookie();

	} catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/options_edition.js#retour_bon : ' + e);
  }
}


function retour_menu_principal() {
  try {

    var page = "chrome://opensi/content/facturation/user/menu_principal.xul?"+ cookie();
		page += "&Libelle="+ parent.document.getElementById("nom_dossier").value;
    window.location = page;

  } catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/options_edition.js#retour_menu_principal : ' + e);
  }
}
