/******************************************************************************/
/* OpenSi : Outils libres de gestion d'entreprise                             */
/* Copyright (C) 2003 Speedinfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/


jsLoader.loadSubScript("chrome://opensi/content/libs/formatter.js");

var mode_tarif = "G";


function init() {
	try {

		window.parent.addEventListener("close",demandeEnregistrement,false);

		var corps = cookie() +"&Page=Config/gestion_commerciale/preferences/getParam.tmpl&ContentType=xml";
		var p = requeteHTTP(corps);
		mode_tarif = p.responseXML.documentElement.getAttribute('Mode_Tarif');

		if (mode_tarif=="Q") {
			document.getElementById('TabTarifs').collapsed = true;
		}

  	var page = "chrome://opensi/content/facturation/user/clients/fiche_client.xul?"+ cookie();
  	document.getElementById("contenu_fiche").setAttribute("src",page);
		page = "chrome://opensi/content/facturation/user/clients/livraison.xul?"+ cookie();
  	document.getElementById("contenu_livraison").setAttribute("src",page);
		page = "chrome://opensi/content/facturation/user/clients/intervenant.xul?"+ cookie();
  	document.getElementById("contenu_contact").setAttribute("src",page);
		page = "chrome://opensi/content/facturation/user/clients/banques_client.xul?"+ cookie();
  	document.getElementById("contenu_banque").setAttribute("src",page);
		page = "chrome://opensi/content/facturation/user/clients/historique.xul?"+ cookie();
  	document.getElementById("contenu_histo").setAttribute("src",page);
		page = "chrome://opensi/content/facturation/user/clients/elems_fact.xul?"+ cookie() +"&Mode_Tarif="+ mode_tarif;
  	document.getElementById("contenu_fact").setAttribute("src",page);

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/clients/menu_clients.js#init : '+ e);
  }
}


function desinit() {
	try {

		window.parent.removeEventListener("close",demandeEnregistrement,false);

	} catch (e) {
  	recup_erreur('erreur dans erreur dans facturation/user/stocks/menu_stocks.js#desinit : ' + e);
  }
}


var NB_ONGLET = 6;
var countLoaded = 0;

function processLoading() {
  try {

		countLoaded++;

		if (countLoaded == NB_ONGLET) {
			document.getElementById('Modifie').value = 'n';
			rechercherClient();
		}

	} catch (e) {
  	recup_erreur('erreur dans erreur dans facturation/user/clients/menu_clients.js#updateLoading : ' + e);
  }
}


function hideButtons(b) {
	try {

		document.getElementById('bEnregistrer').collapsed = b;

		if (document.getElementById('Action').value == "M") {
    	document.getElementById('bSupprimer').collapsed = b;
		}
		else {
			document.getElementById('bSupprimer').collapsed = true;
		}

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/clients/menu_clients.js#hideButtons : ' + e);
  }
}


function enregistrerTout() {
	try {

		var Action = document.getElementById('Action').value;

		var corps;

		if (Action=="M") {
			corps = cookie() +"&Page=Facturation/Clients/modifierClient.tmpl&ContentType=text";
		}
		else {
			corps = cookie() +"&Page=Facturation/Clients/creerClient.tmpl&ContentType=text";
		}


		// Champs onglet fiche signaltique

		var doc = document.getElementById('contenu_fiche').contentDocument;

		var client_id = doc.getElementById('Client_Id').value;
		var raison_sociale = doc.getElementById('Raison_Sociale').value;
		var civilite = doc.getElementById('Civilite').value;
		var nom = doc.getElementById('Nom').value;
		var prenom = doc.getElementById('Prenom').value;
		var adresse = doc.getElementById('Adresse').value;
		var comp_adresse = doc.getElementById('Comp_Adresse').value;
		var adresse_3 = doc.getElementById('Adresse_3').value;
		var code_postal = doc.getElementById('Code_Postal').value;
		var ville = doc.getElementById('Ville').value;
		var pays = doc.getElementById('Pays').value;
		var tel_1 = doc.getElementById('Tel_1').value;
		var tel_2 = doc.getElementById('Tel_2').value;
		var tel_3 = doc.getElementById('Tel_3').value;
		var fax_1 = doc.getElementById('Fax_1').value;
		var fax_2 = doc.getElementById('Fax_2').value;
		var email_1 = doc.getElementById('Email_1').value;
		var email_2 = doc.getElementById('Email_2').value;
		var site_web = doc.getElementById('Site_Web').value;
		var com_libre = doc.getElementById('Com_Libre').value;
		var code_couleur = doc.getElementById('Code_Couleur').value;
		var type_societe = doc.getElementById('Type_Societe').value;
		var num_tva_intra = doc.getElementById('Num_TVA_Intra').value;
		var num_siret = doc.getElementById('Num_SIRET').value;
		var code_naf = doc.getElementById('Code_NAF').value;
		var famille = doc.getElementById('Famille').value;
		var recurrent = doc.getElementById('Recurrent').value;
		var exigences = doc.getElementById('Exigences').value;
		var actif = doc.getElementById('Actif').value;
		var com_recurrent = doc.getElementById('Com_Recurrent').value;
		var com_exigences = doc.getElementById('Com_Exigences').value;
		var com_sante = doc.getElementById('Com_Sante').value;
		var bloque = doc.getElementById('Bloque').value;
		var revendeur = doc.getElementById('Revendeur').value;
		var login_resp = doc.getElementById('Login_Resp').value;
		var code_fournisseur = doc.getElementById('Code_Fournisseur').value;
		var indications = doc.getElementById('Indications').value;

		corps += "&Client_Id="+ urlEncode(client_id) +"&Raison_Sociale="+ urlEncode(raison_sociale) +"&Adresse="+ urlEncode(adresse) +"&Comp_Adresse="+ urlEncode(comp_adresse);
		corps += "&Code_Postal="+ code_postal +"&Ville="+ urlEncode(ville) +"&Pays="+ urlEncode(pays) +"&Tel_1="+ urlEncode(tel_1) +"&Tel_2="+ urlEncode(tel_2) +"&Tel_3="+ urlEncode(tel_3);
		corps += "&Fax_1="+ urlEncode(fax_1) +"&Fax_2="+ urlEncode(fax_2) +"&Email_1="+ urlEncode(email_1) +"&Email_2="+ urlEncode(email_2) +"&Site_Web="+ urlEncode(site_web) +"&Com_Libre="+ urlEncode(com_libre);
		corps += "&Code_Couleur="+ code_couleur +"&Type_Societe="+ type_societe +"&Num_TVA_Intra="+ urlEncode(num_tva_intra);
		corps += "&Num_SIRET="+ urlEncode(num_siret) +"&Code_NAF="+ urlEncode(code_naf) +"&Adresse_3="+ urlEncode(adresse_3);
		corps += "&Civilite="+ civilite +"&Nom="+ urlEncode(nom) +"&Prenom="+ urlEncode(prenom);
		corps += "&Famille="+ urlEncode(famille) +"&Recurrent="+ recurrent +"&Exigences="+ exigences +"&Indications="+ urlEncode(indications);
		corps += "&Actif="+ actif +"&Com_Recurrent="+ urlEncode(com_recurrent) +"&Com_Exigences="+ urlEncode(com_exigences);
		corps += "&Com_Sante="+ com_sante +"&Login_Resp="+ urlEncode(login_resp) +"&Bloque="+ bloque +"&Revendeur="+ revendeur +"&Code_Fournisseur="+ urlEncode(code_fournisseur);


		// Champs onglet Compte client

		doc = document.getElementById('contenu_fact').contentDocument;

		var numero_compte = doc.getElementById('Numero_Compte').value;
		var collectif = doc.getElementById('Collectif').value;
		var mode_reg = doc.getElementById('Mode_Reg').value;
		var delai_reg = doc.getElementById('Delai_Reg').value;
		var taux_penalite = doc.getElementById('Taux_Penalite').value;
		var taux_remise = doc.getElementById('Taux_Remise').value;
		var code_tarif = doc.getElementById('Code_Tarif').value;
		var plan_fac = doc.getElementById('Plan_Fac').value;
		var nom_fac = doc.getElementById('Nom').value;
		var adresse_fac = doc.getElementById('Adresse').value;
		var comp_adresse_fac = doc.getElementById('Comp_Adresse').value;
		var adresse_3_fac = doc.getElementById('Adresse_3').value;
		var code_postal_fac = doc.getElementById('Code_Postal').value;
		var ville_fac = doc.getElementById('Ville').value;
		var pays_fac = doc.getElementById('Pays').value;
		var nb_ex = doc.getElementById('Nb_Ex').value;
		var num_org = doc.getElementById('Num_Org').value;
		var fact_port = doc.getElementById('Fact_Port').value;
		var fact_gest = (doc.getElementById('Fact_Gest').checked?"1":"0");
		var franco = doc.getElementById('Franco').value;
		var fact_emballage = (doc.getElementById('Fact_Emballage').checked?"1":"0");
		var type_reg = doc.getElementById('Type_Reg').value;
		var type_vente = doc.getElementById('Type_Vente').value;
		var jour_fact = doc.getElementById('Jour_Fact').value;
		var nb_bon = doc.getElementById('Nb_Bon').value;
		var bon_chiffre = doc.getElementById('Bon_Chiffre').value;
		var com_fact = doc.getElementById('Com_Fact').value;
		var type_fact = doc.getElementById('Type_Fact').value;
		var encours_auto = doc.getElementById('Encours_Auto').value;

		corps += "&Numero_Compte="+ numero_compte +"&Collectif="+ collectif +"&Mode_Reg="+ urlEncode(mode_reg) +"&Delai_Reg="+ delai_reg + "&Taux_Penalite="+ taux_penalite;
		corps += "&Taux_Remise="+ taux_remise +"&Code_Tarif="+ code_tarif +"&Plan_Fac="+ plan_fac +"&Adresse_3_Fac="+ urlEncode(adresse_3_fac);
		corps += "&Nom_Fac="+ urlEncode(nom_fac) +"&Adresse_Fac="+ urlEncode(adresse_fac) +"&Comp_Adresse_Fac="+ urlEncode(comp_adresse_fac);
		corps += "&Code_Postal_Fac="+ urlEncode(code_postal_fac) +"&Ville_Fac="+ urlEncode(ville_fac) +"&Pays_Fac="+ urlEncode(pays_fac);
		corps += "&Nb_Ex="+ nb_ex +"&Num_Org="+ num_org +"&Type_Vente="+ type_vente +"&Jour_Fact="+ jour_fact +"&Bon_Chiffre="+ bon_chiffre +"&Nb_Bon="+ nb_bon;
		corps += "&Fact_Port="+ fact_port +"&Fact_Gest="+ fact_gest +"&Franco="+ franco +"&Fact_Emballage="+ fact_emballage +"&Type_Reg="+ type_reg;
		corps += "&Com_Fact="+ urlEncode(com_fact) +"&Type_Fact="+ type_fact +"&Encours_Auto="+ encours_auto;


		var saveOK = false;


		if (Action=="C" && isEmpty(client_id)) {
			showWarning("Veuillez spcifier un code client ! (Onglet fiche signaltique)");
		}
		else if (Action=="C" && existeClient(client_id)) {
			showWarning("Le code client '"+ client_id +"' est dj utilis ! (Onglet fiche signaltique)");
		}
		else if (Action=="C" && !isCleAlpha(client_id)) {
			showWarning("Code client invalide ! (Onglet fiche signaltique)");
		}
		else if (isEmpty(raison_sociale)) { showWarning("Veuillez spcifier la raison sociale de l'entreprise ! (Onglet fiche signaltique)"); }
		else if (isEmpty(adresse)) { showWarning("Veuillez spcifier l'adresse de l'entreprise ! (Onglet fiche signaltique)"); }
		else if (isEmpty(ville)) { showWarning("Veuillez spcifier la ville de l'entreprise ! (Onglet fiche signaltique)"); }
		else if (isEmpty(numero_compte)) { showWarning("Veuillez spcifier le numro de compte client ! (Onglet lments de facturation)"); }
		else if (isEmpty(nom_fac)) { showWarning("Veuillez spcifier la raison sociale de facturation !"); }
		else if (isEmpty(adresse_fac)) { showWarning("Veuillez spcifier l'adresse de facturation !"); }
		else if (isEmpty(ville_fac)) { showWarning("Veuillez spcifier la ville de facturation !"); }

		else if (isEmpty(famille)) { showWarning("Veuillez spcifier une famille de client ! (Onglet fiche signaltique)"); }

		else if (!isEmpty(tel_1) && !isPhone(tel_1)) { showWarning("Numro de tlphone 1 incorrect ! (Onglet fiche signaltique)"); }
		else if (!isEmpty(tel_2) && !isPhone(tel_2)) { showWarning("Numro de tlphone 2 incorrect ! (Onglet fiche signaltique)"); }
		else if (!isEmpty(tel_3) && !isPhone(tel_3)) { showWarning("Numro de tlphone 3 incorrect ! (Onglet fiche signaltique)"); }
		else if (!isEmpty(fax_1) && !isPhone(fax_1)) { showWarning("Numro de fax 1 incorrect ! (Onglet fiche signaltique)"); }
		else if (!isEmpty(fax_2) && !isPhone(fax_2)) { showWarning("Numro de fax 2 incorrect ! (Onglet fiche signaltique)"); }
		else if (!isEmpty(email_1) && !isEmail(email_1)) { showWarning("Adresse e-mail 1 incorrecte ! (Onglet fiche signaltique)"); }
		else if (!isEmpty(email_2) && !isEmail(email_2)) { showWarning("Adresse e-mail 2 incorrecte ! (Onglet fiche signaltique)"); }
		else if (!isEmpty(site_web) && !isWeb(site_web)) { showWarning("Site Web incorrect ! (Onglet fiche signaltique)"); }

		else if (!isEmpty(num_siret) && (num_siret.length != 14 || !isDigitList(num_siret))) { showWarning("Numro SIRET incorrect ! (Onglet fiche signaltique)"); }
		else if (!isEmpty(code_naf) && (code_naf.length != 4 || !isDigitList(code_naf.substring(0,3)) || !isAlpha(code_naf.charAt(3)))) { showWarning("Code NAF incorrect ! (Onglet fiche signaltique)"); }
		else if (type_vente=="U" && isEmpty(num_tva_intra)) { showWarning("Votre client fait partie de l'union europenne, vous devez saisir son numro de TVA intracommunautaire !"); }
		else if (!isEmpty(num_tva_intra) && (num_tva_intra.length != 13 || !isDigitList(num_tva_intra.substring(2,14)) || !isAlpha(num_tva_intra.substring(0,2)))) { showWarning("Numro de TVA intracommunautaire incorrect ! (Onglet fiche signaltique)"); }

		else if (isEmpty(delai_reg) || !isPositiveOrNullInteger(delai_reg)) { showWarning("Dlai de rglement incorrect ! (Onglet lments de facturation)"); }
		else if (isEmpty(taux_penalite) || !isPositiveOrNull(taux_penalite)) { showWarning("Taux de pnalit incorrect ! (Onglet lments de facturation)"); }
		else if (isEmpty(taux_remise) || !isPositiveOrNull(taux_remise)) { showWarning("Taux de remise incorrect ! (Onglet lments de facturation)"); }
		else if (isEmpty(encours_auto) || !isPositiveOrNull(encours_auto)) { showWarning("Encours autoris incorrect ! (Onglet lments de facturation)"); }
		else if (isEmpty(franco) || !isPositiveOrNull(franco)) { showWarning("Montant du franco de port incorrect ! (Onglet lments de facturation)"); }
		else if (!isEmpty(jour_fact) && (!isPositiveInteger(jour_fact) || jour_fact>30)) { showWarning("Jour de rglement incorrect ! (Onglet lments de facturation)"); }

		else {
			var p = requeteHTTP(corps);

			saveOK = true;

    	showMessage("La fiche client a \u00E9t\u00E9 enregistr\u00E9e !");

			if (Action=="C") {
				document.getElementById('Action').value = "M";
				document.getElementById('Client').value = client_id;

				document.getElementById('bSupprimer').collapsed = false;
				document.getElementById('TabContacts').collapsed = false;
				document.getElementById('TabBanques').collapsed = false;
				document.getElementById('TabHisto').collapsed = false;
				document.getElementById('TabTarifs').collapsed = (mode_tarif=="G"?false:true);
				document.getElementById('TabLivraison').collapsed = false;
				chargerClient();
				document.getElementById('contenu_fiche').contentDocument.getElementById('Client_Id').disabled = true;
				document.getElementById('contenu_fiche').contentDocument.getElementById('bChgCodeClient').collapsed = false;
				document.getElementById('contenu_livraison').contentDocument.getElementById('Loaded').setAttribute('label',nocache());
				document.getElementById('contenu_contact').contentDocument.getElementById('Loaded').setAttribute('label',nocache());
				document.getElementById('contenu_banque').contentDocument.getElementById('Loaded').setAttribute('label',nocache());
				document.getElementById('contenu_histo').contentDocument.getElementById('Loaded').setAttribute('label',nocache());
			}

			document.getElementById('Modifie').value = "n";
		}

		return saveOK;

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/clients/menu_clients.js#enregistrerTout : ' + e);
  }
}


function demandeEnregistrement() {
  try {

		if (document.getElementById("Modifie").value=="y") {
			if (window.confirm("Voulez-vous enregistrer les modifications apportes  la fiche client ?")) {
				enregistrerTout();
			}
		}

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/clients/menu_clients.js#demandeEnregistrement : ' + e);
	}
}


function rechercherClient() {
	try {

		var Action = document.getElementById('Action').value;
		var Modifie = document.getElementById('Modifie').value;
		var change = true;

		if (Modifie=="y") {
			if (window.confirm("Voulez-vous enregistrer les modifications apportes  la fiche client ?")) {
				change = enregistrerTout();
			}
		}

		if (change) {
			var url = "chrome://opensi/content/facturation/user/clients/rech_client.xul?"+ cookie();
			window.openDialog(url,'Recherche d\'un client','chrome,modal');
			Action = document.getElementById('Action').value;

			if (Action=="M") {
				document.getElementById('bSupprimer').collapsed = false;
				document.getElementById('TabContacts').collapsed = false;
				document.getElementById('TabBanques').collapsed = false;
				document.getElementById('TabHisto').collapsed = false;
				document.getElementById('TabTarifs').collapsed = (mode_tarif=="G"?false:true);
				document.getElementById('TabLivraison').collapsed = false;
				chargerClient();
				document.getElementById('contenu_fiche').contentDocument.getElementById('Client_Id').disabled = true;
				document.getElementById('contenu_fiche').contentDocument.getElementById('bChgCodeClient').collapsed = false;
				document.getElementById('contenu_livraison').contentDocument.getElementById('Loaded').setAttribute('label',nocache());
				document.getElementById('contenu_contact').contentDocument.getElementById('Loaded').setAttribute('label',nocache());
				document.getElementById('contenu_banque').contentDocument.getElementById('Loaded').setAttribute('label',nocache());
				document.getElementById('contenu_histo').contentDocument.getElementById('Loaded').setAttribute('label',nocache());
			}
			else {
				document.getElementById('bSupprimer').collapsed = true;
  			document.getElementById('TabContacts').collapsed = true;
				document.getElementById('TabHisto').collapsed = true;
				document.getElementById('TabBanques').collapsed = true;
				document.getElementById('TabTarifs').collapsed = true;
				document.getElementById('TabLivraison').collapsed = true;

				document.getElementById('Creation').label = "";
				document.getElementById('Modification').label = "";
				document.getElementById('Creation').collapsed = true;
				document.getElementById('Modification').collapsed = true;
				document.getElementById('Fiche').label = "";

				document.getElementById('contenu_fiche').contentDocument.getElementById('Client_Id').disabled = false;
				document.getElementById('contenu_fiche').contentDocument.getElementById('bChgCodeClient').collapsed = true;
				setDefaultValues();
			}
		}

	} catch (e) {
		recup_erreur('erreur dans facturation/user/clients/menu_clients.js#rechercherClient : ' + e);
	}
}


function setDefaultValues() {
	try {

		document.getElementById('Panneau').selectedIndex = 0;
		hideButtons(false);

		// valeurs onglet fiche signaltique

		var doc = document.getElementById('contenu_fiche').contentDocument;

		doc.getElementById('Client_Id').value = "";
		doc.getElementById('Raison_Sociale').value = "";
		doc.getElementById('Civilite').selectedItem = doc.getElementById('CiviliteM');
		doc.getElementById('Nom').value = "";
		doc.getElementById('Prenom').value = "";
		doc.getElementById('Adresse').value = "";
		doc.getElementById('Comp_Adresse').value = "";
		doc.getElementById('Adresse_3').value = "";
		doc.getElementById('Code_Postal').value = "";
		doc.getElementById('Ville').value = "";
		doc.getElementById('Pays').value = "";
		doc.getElementById('Tel_1').value = "";
		doc.getElementById('Tel_2').value = "";
		doc.getElementById('Tel_3').value = "";
		doc.getElementById('Fax_1').value = "";
		doc.getElementById('Fax_2').value = "";
		doc.getElementById('Email_1').value = "";
		doc.getElementById('Email_2').value = "";
		doc.getElementById('Site_Web').value = "";
		doc.getElementById('Com_Libre').value = "";
		doc.getElementById('Code_Couleur').value = 2;
		doc.getElementById('Num_TVA_Intra').value = "";
		doc.getElementById('Num_SIRET').value = "";
		doc.getElementById('Code_NAF').value = "";
		doc.getElementById('Famille').value = "";
		doc.getElementById('Recurrent').selectedItem = doc.getElementById('RecurrentNon');
		doc.getElementById('Exigences').selectedItem = doc.getElementById('ExigencesNon');
		doc.getElementById('Actif').selectedItem = doc.getElementById('ActifOui');
		doc.getElementById('Com_Recurrent').value = "";
		doc.getElementById('Com_Exigences').value = "";
		doc.getElementById('Com_Sante').value = "";
		doc.getElementById('Bloque').selectedItem = doc.getElementById('BloqueNon');
		doc.getElementById('Revendeur').selectedItem = doc.getElementById('RevendeurNon');
		doc.getElementById('Login_Resp').value = get_cookie("User");
		doc.getElementById('Type_Societe').value = "SARL";
		doc.getElementById('Code_Fournisseur').value = "";
		doc.getElementById('Indications').value = "";

		// valeurs onglet compte client

		doc = document.getElementById('contenu_fact').contentDocument;

		doc.getElementById('Numero_Compte').value = "";
		doc.getElementById('Collectif').value = "41100000";
		doc.getElementById('Mode_Reg').selectedIndex = 0;
		doc.getElementById('Delai_Reg').value = 0;
		doc.getElementById('Taux_Penalite').value = 0.00;
		doc.getElementById('Taux_Remise').value = 0.00;
		doc.getElementById('Code_Tarif').value = 1;
		doc.getElementById('Plan_Fac').selectedItem = doc.getElementById('PlanNon');
		doc.getElementById('Nom').value = "";
		doc.getElementById('Adresse').value = "";
		doc.getElementById('Comp_Adresse').value = "";
		doc.getElementById('Adresse_3').value = "";
		doc.getElementById('Code_Postal').value = "";
		doc.getElementById('Ville').value = "";
		doc.getElementById('Pays').value = "";
		doc.getElementById('Nb_Ex').value = "1";
		doc.getElementById('Nb_Bon').value = "1";
		doc.getElementById('Num_Org').selectedIndex = 0;
		doc.getElementById('Fact_Port').selectedItem = doc.getElementById('PortOui');
		doc.getElementById('Fact_Gest').checked = false;
		doc.getElementById('Franco').value = 0.00;
		doc.getElementById('Fact_Emballage').checked = false;
		doc.getElementById('Jour_Fact').value = "";
		doc.getElementById('Type_Reg').selectedItem = doc.getElementById('RegF');
		doc.getElementById('Type_Vente').selectedItem = doc.getElementById('tvN');
		doc.getElementById('Bon_Chiffre').selectedItem = doc.getElementById('BCNon');
		doc.getElementById('Type_Fact').value = "C";
		doc.getElementById('Com_Fact').value = "";
		doc.getElementById('Encours_Auto').value = "0.00";

		document.getElementById('Modifie').value = "n";

	} catch (e) {
		recup_erreur('erreur dans facturation/user/clients/menu_clients.js#setDefaultValues : ' + e);
	}
}


function chargerClient() {
	try {

		document.getElementById('Panneau').selectedIndex = 0;
		hideButtons(false);

		var corps = cookie() + "&Page=Facturation/Clients/getClient.tmpl&ContentType=xml&Client_Id="+ document.getElementById('Client').value;

		var p = requeteHTTP(corps);

  	if (p.status != "200") {
      alert("Rception erreur " + p.status);
  	}
		else {
    	var contenu = p.responseXML.documentElement;

			// onglet fiche signaltique

			var doc = document.getElementById('contenu_fiche').contentDocument;

			doc.getElementById('Client_Id').value = contenu.getAttribute('Client_Id');
			doc.getElementById('Raison_Sociale').value = contenu.getAttribute('Raison_Sociale');

			if (contenu.getAttribute('Civilite')==1) { doc.getElementById('Civilite').selectedItem = doc.getElementById('CiviliteM'); }
			else if (contenu.getAttribute('Civilite')==2) { doc.getElementById('Civilite').selectedItem = doc.getElementById('CiviliteMme'); }
			else { doc.getElementById('Civilite').selectedItem = doc.getElementById('CiviliteMlle'); }

			doc.getElementById('Nom').value = contenu.getAttribute('Nom');
			doc.getElementById('Prenom').value = contenu.getAttribute('Prenom');
			doc.getElementById('Adresse').value = contenu.getAttribute('Adresse');
			doc.getElementById('Comp_Adresse').value = contenu.getAttribute('Comp_Adresse');
			doc.getElementById('Adresse_3').value = contenu.getAttribute('Adresse_3');
			doc.getElementById('Code_Postal').value = contenu.getAttribute('Code_Postal');
			doc.getElementById('Ville').value = contenu.getAttribute('Ville');
			doc.getElementById('Pays').value = contenu.getAttribute('Pays');
			doc.getElementById('Tel_1').value = contenu.getAttribute('Tel_1');
			doc.getElementById('Tel_2').value = contenu.getAttribute('Tel_2');
			doc.getElementById('Tel_3').value = contenu.getAttribute('Tel_3');
			doc.getElementById('Fax_1').value = contenu.getAttribute('Fax_1');
			doc.getElementById('Fax_2').value = contenu.getAttribute('Fax_2');
			doc.getElementById('Email_1').value = contenu.getAttribute('Email_1');
			doc.getElementById('Email_2').value = contenu.getAttribute('Email_2');
			doc.getElementById('Site_Web').value = contenu.getAttribute('Site_Web');
			doc.getElementById('Com_Libre').value = contenu.getAttribute('Com_Libre');
			doc.getElementById('Code_Couleur').value = contenu.getAttribute('Code_Couleur');
			doc.getElementById('Type_Societe').value = contenu.getAttribute('Type_Societe');
			doc.getElementById('Num_TVA_Intra').value = contenu.getAttribute('Num_TVA_Intra');
			doc.getElementById('Num_SIRET').value = contenu.getAttribute('Num_SIRET');
			doc.getElementById('Code_NAF').value = contenu.getAttribute('Code_NAF');
			doc.getElementById('Famille').value = contenu.getAttribute('Famille');
			doc.getElementById('Code_Fournisseur').value = contenu.getAttribute('Code_Fournisseur');
			doc.getElementById('Indications').value = contenu.getAttribute('Indications');

			if (contenu.getAttribute('Recurrent')==1) { doc.getElementById('Recurrent').selectedItem = doc.getElementById('RecurrentOui'); }
			else { doc.getElementById('Recurrent').selectedItem = doc.getElementById('RecurrentNon'); }

			if (contenu.getAttribute('Exigences')==1) { doc.getElementById('Exigences').selectedItem = doc.getElementById('ExigencesOui'); }
			else { doc.getElementById('Exigences').selectedItem = doc.getElementById('ExigencesNon'); }

			if (contenu.getAttribute('Actif')==1) { doc.getElementById('Actif').selectedItem = doc.getElementById('ActifOui'); }
			else { doc.getElementById('Actif').selectedItem = doc.getElementById('ActifNon'); }

			doc.getElementById('Com_Recurrent').value = contenu.getAttribute('Com_Recurrent');
			doc.getElementById('Com_Exigences').value = contenu.getAttribute('Com_Exigences');
			doc.getElementById('Com_Sante').value = contenu.getAttribute('Com_Sante');
			doc.getElementById('Login_Resp').value = contenu.getAttribute('Login_Resp');

			if (contenu.getAttribute('Bloque')==1) { doc.getElementById('Bloque').selectedItem = doc.getElementById('BloqueOui'); }
			else { doc.getElementById('Bloque').selectedItem = doc.getElementById('BloqueNon'); }

			if (contenu.getAttribute('Revendeur')==1) { doc.getElementById('Revendeur').selectedItem = doc.getElementById('RevendeurOui'); }
			else { doc.getElementById('Revendeur').selectedItem = doc.getElementById('RevendeurNon'); }

			// onglet lments de facturation

			doc = document.getElementById('contenu_fact').contentDocument;

			doc.getElementById('Numero_Compte').value = contenu.getAttribute('Numero_Compte');
			doc.getElementById('Collectif').value = contenu.getAttribute('Collectif');
			doc.getElementById('Mode_Reg').value = contenu.getAttribute('Mode_Reg');
			doc.getElementById('Delai_Reg').value = contenu.getAttribute('Delai_Reg');
			doc.getElementById('Taux_Penalite').value = contenu.getAttribute('Taux_Penalite');
			doc.getElementById('Taux_Remise').value = contenu.getAttribute('Taux_Remise');
			doc.getElementById('Code_Tarif').value = contenu.getAttribute('Code_Tarif');
			doc.getElementById('Jour_Fact').value = contenu.getAttribute('Jour_Fact');

			if (contenu.getAttribute('Plan_Fac')==1) { doc.getElementById('Plan_Fac').selectedItem = doc.getElementById('PlanOui'); }
			else { doc.getElementById('Plan_Fac').selectedItem = doc.getElementById('PlanNon'); }

			if (contenu.getAttribute('Type_Reg')=="F") { doc.getElementById('Type_Reg').selectedItem = doc.getElementById('RegF'); }
			else if (contenu.getAttribute('Type_Reg')=="L") { doc.getElementById('Type_Reg').selectedItem = doc.getElementById('RegL'); }
			else { doc.getElementById('Type_Reg').selectedItem = doc.getElementById('RegN'); }

			if (contenu.getAttribute('Type_Vente')=="N") { doc.getElementById('Type_Vente').selectedItem = doc.getElementById('tvN'); }
			else if (contenu.getAttribute('Type_Vente')=="U") { doc.getElementById('Type_Vente').selectedItem = doc.getElementById('tvU'); }
			else if (contenu.getAttribute('Type_Vente')=="I") { doc.getElementById('Type_Vente').selectedItem = doc.getElementById('tvI'); }
			else { doc.getElementById('Type_Vente').selectedItem = doc.getElementById('tvE'); }

			doc.getElementById('Nom').value = contenu.getAttribute('Nom_Fact');
			doc.getElementById('Adresse').value = contenu.getAttribute('Adresse_Fact');
			doc.getElementById('Comp_Adresse').value = contenu.getAttribute('Comp_Adresse_Fact');
			doc.getElementById('Adresse_3').value = contenu.getAttribute('Adresse_3_Fact');
			doc.getElementById('Code_Postal').value = contenu.getAttribute('Code_Postal_Fact');
			doc.getElementById('Ville').value = contenu.getAttribute('Ville_Fact');
			doc.getElementById('Pays').value = contenu.getAttribute('Pays_Fact');
			doc.getElementById('Nb_Ex').value = contenu.getAttribute('Nb_Ex');
			doc.getElementById('Nb_Bon').value = contenu.getAttribute('Nb_Bon');
			doc.getElementById('Num_Org').value = contenu.getAttribute('Num_Org');
			doc.getElementById('Type_Fact').value = contenu.getAttribute('Type_Fact');
			doc.getElementById('Com_Fact').value = contenu.getAttribute('Com_Fact');
			doc.getElementById('Encours_Auto').value = contenu.getAttribute('Encours_Auto');

			if (contenu.getAttribute('Fact_Port')==1) { doc.getElementById('Fact_Port').selectedItem = doc.getElementById('PortOui'); }
			else { doc.getElementById('Fact_Port').selectedItem = doc.getElementById('PortNon'); }

			if (contenu.getAttribute('Bon_Chiffre')==1) { doc.getElementById('Bon_Chiffre').selectedItem = doc.getElementById('BCOui'); }
			else { doc.getElementById('Bon_Chiffre').selectedItem = doc.getElementById('BCNon'); }

			doc.getElementById('Fact_Emballage').checked = (contenu.getAttribute('Fact_Emballage')==1);
			doc.getElementById('Fact_Gest').checked = (contenu.getAttribute('Fact_Gest')==1);

			doc.getElementById('Franco').value = contenu.getAttribute('Franco');


			initContenuTarifs();

			// actualisation status bar

			document.getElementById('Creation').label = "Client cr le "+ contenu.getAttribute('Date_Creation') +" par "+ contenu.getAttribute('Login_Createur');
			document.getElementById('Modification').label = "Dernire modification le "+ contenu.getAttribute('Date_Maj') +" par "+ contenu.getAttribute('Login_Maj');
			document.getElementById('Fiche').label = "Client N "+ contenu.getAttribute('Client_Id') +" - "+ contenu.getAttribute('Raison_Sociale');
			document.getElementById('Creation').collapsed = false;
			document.getElementById('Modification').collapsed = false;

			document.getElementById('Modifie').value = "n";
  	}

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/clients/menu_clients.js#chargerClient : ' + e);
  }
}


function supprimerTout() {
	try {

		var client_id = document.getElementById('Client').value;

		if (window.confirm("Confirmez-vous la suppression du client "+client_id+" ?")) {

			var corps = cookie() +"&Page=Facturation/Clients/supprimerClient.tmpl&ContentType=text&Client_Id="+ urlEncode(client_id);

			var p = requeteHTTP(corps);

  		if (p.status != "200") {
      	alert("Rception erreur " + p.status);
  		}
			else {
				showMessage("Le client a t supprim !");
				setDefaultValues();
				document.getElementById('Action').value = "C";
				document.getElementById('Modifie').value = "n";
				rechercherClient();
  		}
		}

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/clients/menu_clients.js#supprimerTout : ' + e);
  }
}


function existeClient(code_client) {
  try {

		var corps = cookie() +"&Page=Facturation/Clients/existeClient.tmpl&ContentType=xml&Client_Id="+ urlEncode(code_client);
		var p = requeteHTTP(corps);

  	return p.responseXML.documentElement.getAttribute('existe')=="true";

  } catch (e) {
    recup_erreur('erreur dans facturation/user/clients/menu_clients.js#existeClient : ' + e);
  }
}


function retour_menu_principal() {
  try {
    var page = "chrome://opensi/content/facturation/user/menu_principal.xul?"+ cookie();
		page += "&Libelle="+ parent.document.getElementById("nom_dossier").value;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans facturation/user/clients/menu_clients.js#retour_menu_principal : ' + e);
  }
}
