/******************************************************************************/
/* OpenSi : Outils libres de gestion d'entreprise                             */
/* Copyright (C) 2003 Speedinfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/


jsLoader.loadSubScript("chrome://opensi/content/libs/formatter.js");

var commande_id;
var mode_ligne;
var fournisseur_id;
var mode;
var valContact = 0;
var currentRank = 0;


function init() {
  try {

		var paramlist = "&Page=Manager/GetRDF/taux_tva.tmpl&ContentType=xml";
    load_rdf_async('Code_TVA', getUrlOpeneas(paramlist), initTVA);

		window.parent.addEventListener("close",demandeEnregistrement,false);

		mode = ParamValeur("Mode");

		if (mode=="C") {
			nouvelleCommande();
      setGUI('C');
		}
		else {

			commande_id = ParamValeur("Commande_Id");

			init_tree();

			var corps = cookie() +"&Page=Facturation/Commandes/loadArticleCommandeTemp.tmpl&ContentType=xml&Commande_Id="+ commande_id;
			requeteHTTP(corps);

      ajouterLigne("I");
		}

		var date = new Date();
		var mois = date.getMonth()+1;
		var jour = date.getDate();
    var dateaff = (jour.toString().length==1?"0"+jour:jour);
    dateaff += "/" +(mois.toString().length==1?"0"+mois:mois);
    dateaff +=  "/" +date.getFullYear();
		document.getElementById('date_cmd').value = dateaff;

		var corps = cookie() +"&Page=Facturation/Commun/getIndicationsCommandeFournisseur.tmpl&ContentType=xml&Fournisseur_Id="+ fournisseur_id;
		var p = requeteHTTP(corps);

		document.getElementById('Indications').value = p.responseXML.documentElement.getAttribute("Indications");

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/commandes/edition_commande.js#init : ' + e);
	}
}


function desinit() {
	try {

		window.parent.removeEventListener("close",demandeEnregistrement,false);

	} catch (e) {
    recup_erreur('erreur dans facturation/user/commandes/edition_commande.js#desinit : ' + e);
  }
}


function initTVA() {
	try {

    document.getElementById('Code_TVA').value = 4;

	} catch (e) {
    recup_erreur('erreur dans facturation/user/commandes/edition_commande.js#initTVA : ' + e);
  }
}


function ajouterLigne(type_ligne) {
  try {

		document.getElementById('bSupprimer').disabled = true;
		mode_ligne = "C";

		document.getElementById("Type_Ligne").value = type_ligne;

		formatLigne(type_ligne);

		switch(type_ligne) {
			case "S":
				var url = "chrome://opensi/content/facturation/user/stocks/rech_stocks.xul?"+ cookie();
        url +="&Nouv=false&Modif_Action=false&Field_Article=Reference&Fournisseur="+ urlEncode(fournisseur_id);
    		window.openDialog(url,'','chrome,modal');

				var reference = document.getElementById("Reference").value;

				if (!isEmpty(reference)) {

					if (mode == 'C' || !dejaPresente(reference)) {

						var corps = cookie() +"&Page=Facturation/Commandes/getArticle.tmpl&ContentType=xml";
            corps += "&Article_Id="+ urlEncode(reference) +"&Fournisseur_Id="+ urlEncode(fournisseur_id);
						var p = requeteHTTP(corps);

						var contenu = p.responseXML.documentElement;

						document.getElementById("Designation").value = contenu.getAttribute("Designation");
						document.getElementById('Quantite').value = 1;
						document.getElementById("PU").value = contenu.getAttribute("Prix");
						document.getElementById('Ristourne').value = "0.00";
						document.getElementById("Code_TVA").value = contenu.getAttribute("Code_TVA");

					}
					else {
						showWarning("Cet article est dj prsent dans la commande !");
            ajouterLigne("I");
					}
				}
				else {
          ajouterLigne("I");
				}

				break;

			case "I":

				document.getElementById('Reference').value = "";
				document.getElementById('Designation').value = "";
				document.getElementById('Quantite').value = 1;
				document.getElementById('PU').value = "";
				document.getElementById('Ristourne').value = "0.00";
				document.getElementById('Code_TVA').value = 4;
				break;
/*
			case "P":

				document.getElementById('Reference').value = "";
				document.getElementById('Designation').value = "";
				document.getElementById('Quantite').value = 1;
				document.getElementById('PU').value = "";
				document.getElementById('Ristourne').value = "0.00";
				document.getElementById('Code_TVA').value = 4;
				break;
*/
		}

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/commandes/edition_commande.js#ajouterLigne : ' + e);
	}
}


function formatLigne(type_ligne) {
  try {

		switch(type_ligne) {
			case "S":
				document.getElementById('Reference').disabled = true;
				document.getElementById('Designation').disabled = true;
				document.getElementById('Quantite').disabled = false;
				document.getElementById('PU').disabled = false;
				document.getElementById('Ristourne').disabled = false;
				document.getElementById('Code_TVA').disabled = false;
				document.getElementById('bValider').disabled = false;
				document.getElementById('bAnnuler').disabled = false;
				break;

			case "I":
				document.getElementById('Reference').disabled = false;
				document.getElementById('Designation').disabled = false;
				document.getElementById('Quantite').disabled = false;
				document.getElementById('PU').disabled = false;
				document.getElementById('Ristourne').disabled = false;
				document.getElementById('Code_TVA').disabled = false;
				document.getElementById('bValider').disabled = false;
				document.getElementById('bAnnuler').disabled = false;
				break;

     default:
				document.getElementById('Reference').value = "";
				document.getElementById('Designation').value = "";
				document.getElementById('Quantite').value = "";
				document.getElementById('PU').value = "";
				document.getElementById('Ristourne').value = "";
				document.getElementById('Code_TVA').value = 4;
				document.getElementById('Reference').disabled = true;
				document.getElementById('Designation').disabled = true;
				document.getElementById('Quantite').disabled = true;
				document.getElementById('PU').disabled = true;
				document.getElementById('Ristourne').disabled = true;
				document.getElementById('Code_TVA').disabled = true;
				document.getElementById('bSupprimer').disabled = true;
				document.getElementById('bValider').disabled = true;
				document.getElementById('bAnnuler').disabled = true;
				break;
		}

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/commandes/edition_commande.js#formatLigne : ' + e);
	}
}


function dejaPresente(reference) {
  try {

		var corps = cookie() +"&Page=Facturation/Commandes/existeArticle.tmpl&ContentType=xml";
    corps += "&Reference="+ urlEncode(reference) +"&Commande_Id="+ commande_id;
		var p = requeteHTTP(corps);

		return p.responseXML.documentElement.getAttribute("existe")=="true";

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/commandes/edition_commande.js#dejaPresente : ' + e);
	}
}


function pressOnWindow(ev) {
	try {

		if (ev.altKey) {
			switch(ev.charCode) {
      	case 97: // 'a'
        	ajouterLigne("S");
        	break;
    	}
		}

	} catch (e) {
    recup_erreur('erreur dans facturation/user/commandes/edition_commande.js#pressOnWindow : ' + e);
  }
}


function ouvrirLigne() {
  try {

		var tree = document.getElementById("articles");

		if (tree.view!=null && tree.currentIndex!=-1 && mode=="M") {

			if (getCellText(tree,tree.currentIndex,'ColType_Ligne')=="C") {
				ajouterLigne("I");
			}
			else {

  			mode_ligne = "M";
	  		document.getElementById('bSupprimer').disabled = false;

		  	document.getElementById("Reference").value = getCellText(tree,tree.currentIndex,'ColReference');
			  document.getElementById("Designation").value = getCellText(tree,tree.currentIndex,'ColDesignation');
			  document.getElementById("Quantite").value = getCellText(tree,tree.currentIndex,'ColQuantite');
			  document.getElementById("PU").value = getCellText(tree,tree.currentIndex,'ColPU');
			  document.getElementById("Code_TVA").value = getCellText(tree,tree.currentIndex,'ColCode_TVA');
			  document.getElementById("Ristourne").value = getCellText(tree,tree.currentIndex,'ColRistourne');
			  document.getElementById("Type_Ligne").value = getCellText(tree,tree.currentIndex,'ColType_Ligne');
			  document.getElementById("Rank").value = getCellText(tree,tree.currentIndex,'ColRank');

			  formatLigne(document.getElementById("Type_Ligne").value);
      }
		}

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/commandes/edition_commande.js#ouvrirLigne : ' + e);
	}
}


function ouvrirCommentaire() {
  try {

		var tree = document.getElementById("articles");

		if (tree.view!=null && tree.currentIndex!=-1 && mode=="M") {

			if (getCellText(tree,tree.currentIndex,'ColType_Ligne')=="C") {
				editerCommentaire();
			}
		}

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/commandes/edition_commande.js#ouvrirCommentaire : ' + e);
	}
}


function validerLigne() {
  try {

		var tree = document.getElementById("articles");

		if (mode=="C") {
			enregistrerCommande();
		}
		if (mode_ligne=="C") {
			var corps = cookie() +"&Page=Facturation/Commandes/ajouterArticle.tmpl&ContentType=xml";
		}
		else {
			var corps = cookie() +"&Page=Facturation/Commandes/modifierArticle.tmpl&ContentType=xml";
		}

		var type_ligne = document.getElementById("Type_Ligne").value;

		var reference = document.getElementById("Reference").value;
		var designation = document.getElementById("Designation").value;
		var quantite = document.getElementById("Quantite").value;
		var pu = document.getElementById("PU").value;
		var ristourne = document.getElementById("Ristourne").value;
		var code_tva = document.getElementById("Code_TVA").value;
		var rank = document.getElementById("Rank").value;

		corps += "&Reference="+ urlEncode(reference);
    corps += "&Designation="+ urlEncode(designation);
    corps += "&Quantite="+ quantite ;
    corps += "&Type_Ligne="+ type_ligne;
		corps += "&Prix="+ pu;
    corps += "&Ristourne="+ ristourne;
    corps += "&Code_TVA="+ code_tva;
    corps += "&Commande_Id="+ commande_id;
    corps += "&Fournisseur_Id="+ fournisseur_id;
    corps += "&Rank="+ rank;

		if (isEmpty(designation)) { showWarning("Dsignation de l'article manquante !"); }
		else if (isEmpty(quantite) || !isPositive(quantite) || !checkDecimal(quantite,2)) { showWarning("Quantit incorrecte !");	}
		else if (isEmpty(pu) || !isPositiveOrNull(pu) || !checkDecimal(pu,4)) { showWarning("Prix unitaire incorrect !");	}
		else if (isEmpty(ristourne) || !isTaux(ristourne)) { showWarning("Taux de ristourne incorrect !");	}
		else {
			var p = requeteHTTP(corps);

			currentRank = p.responseXML.documentElement.getAttribute('Rank');
      ajouterLigne("I");
			delete_tree();
			init_tree_temp();
			setModifie();
		}

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/commandes/edition_commande.js#validerLigne : ' + e);
	}
}


function annulerLigne() {
  try {

		ajouterLigne("I");

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/commandes/edition_commande.js#annulerLigne : ' + e);
	}
}


function supprimerLigne() {
  try {

		var rank = document.getElementById("Rank").value;

		var corps = cookie() +"&Page=Facturation/Commandes/supprimerArticle.tmpl&ContentType=xml&Commande_Id="+ commande_id +"&Rank="+ rank;
		var p = requeteHTTP(corps);

		currentRank = 0;
		ajouterLigne("I");
		delete_tree();
		init_tree_temp();
		setModifie();

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/commandes/edition_commande.js#supprimerLigne : ' + e);
	}
}


function validerCommande() {
  try {

    if (demandeEnregistrement()) {

			var tree = document.getElementById('articles');

		  if (tree.view==null || tree.view.rowCount<=0) {
			  showWarning("La commande ne contient aucune ligne !");
		  }
		  else if (window.confirm("Etes-vous sr de vouloir valider la commande ?")) {

			  var corps = cookie() +"&Page=Facturation/Commandes/validerCommande.tmpl&ContentType=xml&Commande_Id="+ commande_id ;
			  var p = requeteHTTP(corps);

        loadPage('V');
			}
    }

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/commandes/edition_commande.js#validerCommande : ' + e);
	}
}


function enregistrerCommande() {
  try {

    var tree = document.getElementById('articles');

    if (mode != 'C' && (tree.view==null || tree.view.rowCount<=0)) {
	    showWarning("La commande ne contient aucune ligne !");
      return false;
    }
		else {

      var date = document.getElementById('date_cmd').value;

      if (!isDate(date)) {
        showWarning("Veuillez saisir une date de commande valide.");
        document.getElementById('date_cmd').select();
        document.getElementById('date_cmd').focus();
        return false;
      }
			else {

  		  var remise = document.getElementById('Remise').value;
	  	  var frais_port = document.getElementById('Frais_Port').value;
		    var escompte = document.getElementById('Escompte').value;

    		if (isEmpty(remise) || !isTaux(remise)) {
          showWarning("Taux de remise incorrect !");
          return false;
        }
	    	else if (isEmpty(frais_port) || !isPositiveOrNull(frais_port)) {
          showWarning("Frais de port incorrects !");
          return false;
        }
		    else if (isEmpty(escompte) || !isTaux(escompte)) {
          showWarning("Taux d'escompte incorrect !");
          return false;
        }
  		  else {

	  		  var corps;

		  	  if (mode=="C") {
  		  	  corps = cookie() +"&Page=Facturation/Commandes/creerCommande.tmpl&ContentType=xml&Fournisseur_Id="+ fournisseur_id;
  			  }
	  		  else {
		  		  corps = cookie() +"&Page=Facturation/Commandes/modifierCommande.tmpl&ContentType=xml&Commande_Id="+ commande_id;
			    }

  			  corps += "&Remise="+ remise +"&Frais_Port="+ frais_port +"&Escompte="+ escompte;
     		  corps += "&Commentaires="+ urlEncode(document.getElementById('Commentaires').value);
  		  	corps += "&Imp_Com="+ (document.getElementById('Imp_Com').checked?"1":"0");
          corps += "&Date="+ prepareDateJava(date);
          corps += "&TotalHT=" + document.getElementById('TotalHT').value;
					corps += "&Montant_TTC="+ document.getElementById('MontantTTC').value;
          corps += "&Num_Inter="+ document.getElementById('Interlocuteur').value;
					corps += "&Intitule="+ urlEncode(document.getElementById('Intitule').value);

	  	  	var p = requeteHTTP(corps);

		    	if (mode=="C") {
			    	var contenu = p.responseXML.documentElement;
				    commande_id = contenu.getAttribute("Commande_Id");
					  chargerCommande();
    			}

  		  	if (mode=="M") {
    		    corps = cookie() +"&Page=Facturation/Commandes/saveArticleTemp.tmpl&ContentType=xml&Commande_Id="+ commande_id;
		  		  p = requeteHTTP(corps);
	  	  	}

		  	  document.getElementById('Modifie').value = "n";
  			  document.getElementById('labelCommande').setAttribute("label","Commande");

          return true;
    		}
      }
    }

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/commandes/edition_commande.js#enregistrerCommande : ' + e);
	}
}


function calculTotaux() {
  try {

		var taux_remise = parseFloat(document.getElementById('Remise').value);
		var taux_escompte = parseFloat(document.getElementById('Escompte').value);
		var frais_port = parseFloat(document.getElementById('Frais_Port').value);

		if (isTaux(taux_remise) && isTaux(taux_escompte) && isPositiveOrNull(frais_port)) {

			var tree = document.getElementById("articles");

			var montant_tva = 0;
			var montant_ht = 0;
			var tva_port = getTva(4);

			if (tree.view!=null) {

				for (var i=0;i<tree.view.rowCount;i++) {

					if (getCellText(tree,i,'ColType_Ligne')!="C") {
						montant_ht += parseFloat(getCellText(tree,i,'ColTotal'));
						montant_tva += parseFloat(getCellText(tree,i,'ColTotal')) * getTva(getCellText(tree,i,'ColCode_TVA'))/100;

					}
				}
			}

			var montant_remise = montant_ht * parseFloat(taux_remise/100);

			var total_ht = montant_ht * (1 - parseFloat(taux_remise/100)) + frais_port;

			montant_tva = montant_tva * (1 - parseFloat(taux_remise/100)) + frais_port * (tva_port/100);

			var montant_ttc = total_ht + montant_tva;

			var montant_escompte = formatNombre(montant_ttc * parseFloat(taux_escompte/100), "0.00");

			var total_ttc = montant_ttc - montant_escompte;

			document.getElementById('MontantHT').value = formatNombre(montant_ht,"0.00");
			document.getElementById('MontantRemise').value = formatNombre(montant_remise,"0.00");
			document.getElementById('MontantFrais_Port').value = formatNombre(frais_port,"0.00");
			document.getElementById('TotalHT').value = formatNombre(total_ht,"0.00");
			document.getElementById('TVA').value = formatNombre(montant_tva,"0.00");
			document.getElementById('MontantTTC').value = formatNombre(montant_ttc,"0.00");
			document.getElementById('MontantEscompte').value = formatNombre(montant_escompte,"0.00");
			document.getElementById('TotalTTC').value = formatNombre(total_ttc,"0.00");
		}

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/commandes/edition_commande.js#calculTotaux : ' + e);
	}
}


function afterRefreshArticles() {
	try {

		calculTotaux();
		scrollToRank();

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/commandes/edition_commande.js#afterRefreshArticles : ' + e);
	}
}


function scrollToRank() {
	try {

		var tree = document.getElementById("articles");

		if (tree.view!=null && tree.view.rowCount>0 && currentRank>0) {

			var tb = document.getElementById("articles").treeBoxObject;
			var i = 0;
			var trouve = false;

			while (!trouve && i<tree.view.rowCount) {

				if (getCellText(tree,i,'ColRank')==currentRank) {
					tb.ensureRowIsVisible(i);
					trouve = true;
				}

				i++;
			}
		}

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/commandes/edition_commande.js#scrollToRank : ' + e);
	}
}


function demandeEnregistrement() {
  try {

		document.getElementById('bEnregistrer').focus();
		// artifice pour perdre focus sur les lments "textbox"
		// et valider l'vnement onchange en cas d'appui sur la croix de fermeture

		if (document.getElementById("Modifie").value=="y") {
			if (window.confirm("Voulez-vous enregistrer les modifications apportes  la commande ?")) {
				return enregistrerCommande();
			} else {
        return false;
      }
		} else {
      return true;
    }

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/commandes/edition_commande.js#demandeEnregistrement : ' + e);
	}
}


function setModifie() {
  try {

		document.getElementById('Modifie').value = "y";
		document.getElementById('labelCommande').setAttribute("label","Commande (modifi)");

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/commandes/edition_commande.js#setModifie : ' + e);
	}
}


function init_tree() {
  try {

    var paramlist = "&Page=Facturation/GetRDF/articles_commande.tmpl&ContentType=xml&Commande_Id="+ commande_id;
    load_rdf_async('articles', getUrlOpeneas(paramlist),chargerCommande);

  } catch (e) {
    recup_erreur('erreur dans facturation/user/commandes/edition_commande.js#init_tree : ' + e);
  }
}


function delete_tree() {
  try {

    var database = document.getElementById("articles").database;
    var datasources = database.GetDataSources();
    while (datasources.hasMoreElements()) {
      var ds = datasources.getNext();
      database.RemoveDataSource(ds);
    }
		document.getElementById('articles').builder.rebuild();

  } catch (e) {
    recup_erreur('erreur dans facturation/user/commandes/edition_commande.js#delete_tree : ' + e);
  }
}


function rechercherFournisseur() {
	try {

		var url = "chrome://opensi/content/facturation/user/fournisseurs/rech_fournisseur.xul?"+ cookie() +"&Nouv=false";
		window.openDialog(url,'','chrome,modal');

    var fournisseur = document.getElementById('Fournisseur').value;
    if (isEmpty(fournisseur)) {
      retour_commandes();
    } else {
      afficheInfoFournisseur(fournisseur);
    }

  } catch (e) {
    recup_erreur('erreur dans facturation/user/commandes/edition_commande.js#rechercherFournisseur : ' + e);
  }
}


function afficheInfoFournisseur(fournisseur) {
	try {

    document.getElementById('Fournisseur').value = fournisseur;
    fournisseur_id = fournisseur;

    var corps = cookie() +"&Page=Facturation/Fournisseurs/getFournisseur.tmpl&ContentType=xml&Fournisseur_Id="+ fournisseur;
		var p = requeteHTTP(corps);

    var contenu = p.responseXML.documentElement;
		document.getElementById('raison_sociale_fournisseur').value = contenu.getAttribute('Raison_Sociale');
    var adresse = contenu.getAttribute('Adresse') +" "+ contenu.getAttribute('Comp_Adresse');
		document.getElementById('adresse_fournisseur').value =  adresse;
		document.getElementById('cp_fournisseur').value = contenu.getAttribute('Code_Postal');
		document.getElementById('ville_fournisseur').value = contenu.getAttribute('Ville');

    loadContacts();

  } catch (e) {
    recup_erreur('erreur dans facturation/user/commandes/edition_commande.js#afficheInfoFournisseur : ' + e);
  }
}


function charger_contacts(val) {
  try {

		delete_contacts();
		valContact = val;
    loadContacts();

	} catch (e) {
  	recup_erreur('erreur dans erreur dans facturation/user/affaires/fiche_affaire.js#charger_contacts : ' + e);
  }
}


function delete_contacts() {
  try {

    var database = document.getElementById("Interlocuteur").database;
    var datasources = database.GetDataSources();
    while (datasources.hasMoreElements()) {
      var ds = datasources.getNext();
      database.RemoveDataSource(ds);
    }
		document.getElementById('Interlocuteur').builder.rebuild();
		document.getElementById('Interlocuteur').selectedIndex = -1;

  } catch (e) {
    recup_erreur('erreur dans erreur dans facturation/user/affaires/fiche_affaire.js#delete_contacts: ' + e);
  }
}


function loadContacts() {
  try {

		var paramlist = "&Page=Facturation/GetRDF/contacts_fournisseur.tmpl&ContentType=xml";
    paramlist += "&Fournisseur_Id="+ urlEncode(document.getElementById('Fournisseur').value);
    load_rdf_async('Interlocuteur', getUrlOpeneas(paramlist), initContacts);

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/commandes/edition_commande.js#loadContacts : ' + e);
  }
}


function initContacts() {
  try {
//		if (mode=="C") {
  		document.getElementById('Interlocuteur').value = valContact;
//    }
	} catch (e) {
  	recup_erreur('erreur dans facturation/user/commandes/edition_commande.js#initContacts : ' + e);
  }
}


function newInterlocuteur() {
	try {

		var url = "chrome://opensi/content/facturation/user/commandes/ajouter_interlocuteur.xul?" + cookie();
    url += "&Fournisseur_Id="+ urlEncode(document.getElementById('Fournisseur').value);
		window.openDialog(url,'','chrome,modal');

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/commandes/edition_commande.js#newInterlocuteur : ' + e);
  }
}


function nouvelleCommande() {
  try {

    rechercherFournisseur();

		mode = "C";

		document.getElementById('Commentaires').value = "";
		document.getElementById('Numero').value = "";
		document.getElementById('Imp_Com').checked = false;
		document.getElementById('Remise').value = "0.00";
		document.getElementById('Escompte').value = "0.00";
		document.getElementById('Frais_Port').value = "0.00";

		document.getElementById('MontantHT').value = "0.00";
		document.getElementById('MontantRemise').value = "0.00";
		document.getElementById('MontantFrais_Port').value = "0.00";
		document.getElementById('TotalHT').value = "0.00";
		document.getElementById('TVA').value = "0.00";
		document.getElementById('MontantTTC').value = "0.00";
		document.getElementById('MontantEscompte').value = "0.00";
		document.getElementById('TotalTTC').value = "0.00";

		document.getElementById('Creation').label = "";
		document.getElementById('Modification').label = "";
		document.getElementById('Creation').collapsed = true;
		document.getElementById('Modification').collapsed = true;
		document.getElementById('Fiche').label = "";
    document.getElementById('Numero').value = "";
    document.getElementById('Responsable').value = get_cookie('User');

		var corps = cookie() +"&Page=Facturation/Commandes/getDefaultCommande.tmpl&ContentType=xml&Fournisseur_Id="+ fournisseur_id;

		var p = requeteHTTP(corps);

		var contenu = p.responseXML.documentElement;
		document.getElementById('Remise').value = contenu.getAttribute("Remise");

		ajouterLigne("I");

		delete_tree();

	} catch (e) {
  	recup_erreur('erreur dans erreur dans facturation/user/commandes/edition_commande.js#nouvelleCommande : ' + e);
  }
}


function chargerCommande() {
  try {

		mode = "M";

		var corps = cookie() +"&Page=Facturation/Commandes/getCommande.tmpl&ContentType=xml&Commande_Id="+ commande_id;

		var p = requeteHTTP(corps);

		var contenu = p.responseXML.documentElement;

		document.getElementById('Remise').value = contenu.getAttribute('Remise');
		document.getElementById('Escompte').value = contenu.getAttribute('Escompte');
		document.getElementById('Frais_Port').value = contenu.getAttribute('Frais_Port');
		document.getElementById('Commentaires').value = contenu.getAttribute('Commentaires');
		document.getElementById('Imp_Com').checked = contenu.getAttribute('Imp_Com')=="1";
    document.getElementById('date_cmd').value = contenu.getAttribute('Date_Commande');
    document.getElementById('Responsable').value = contenu.getAttribute('Login_Createur');
    document.getElementById('Interlocuteur').value = contenu.getAttribute('Num_Inter');
		document.getElementById('Intitule').value = contenu.getAttribute('Intitule');

		var creation = "Commande cre le "+ contenu.getAttribute('Date_Creation');
    creation += " par "+ contenu.getAttribute('Login_Createur');
    document.getElementById('Creation').label =  creation;
    var modification = "Dernire modification le "+ contenu.getAttribute('Date_Maj') ;
    modification += " par "+ contenu.getAttribute('Login_Maj');
		document.getElementById('Modification').label = modification;
		document.getElementById('Fiche').label = "Commande N "+ contenu.getAttribute('Numero');
		document.getElementById('Numero').value = contenu.getAttribute('Numero');
		document.getElementById('Creation').collapsed = false;
		document.getElementById('Modification').collapsed = false;

		document.getElementById('Modifie').value = "n";
		document.getElementById('labelCommande').setAttribute("label","Commande");

    setGUI(contenu.getAttribute('Etat'));
		fournisseur_id = contenu.getAttribute('Fournisseur_Id');

		afficheInfoFournisseur(fournisseur_id);

		calculTotaux();

	} catch (e) {
    recup_erreur('erreur dans facturation/user/commandes/edition_commande.js#chargerCommande : ' + e);
  }
}


function setGUI(status) {
  try {

    var login = get_cookie('User');
    var responsable = document.getElementById('Responsable').value;
    switch (status) {
			case 'C':
				document.getElementById('etat_cmd').value = "Nouvelle";
        document.getElementById('bEnregistrer').collapsed = false;
        document.getElementById('bValiderCommande').collapsed = true;
        document.getElementById('bBloquerCommande').collapsed = true;
        document.getElementById('date_cmd').disabled = false;
        document.getElementById('Remise').disabled = false;
        document.getElementById('Frais_Port').disabled = false;
        document.getElementById('Escompte').disabled = false;
				document.getElementById('Commentaires').disabled = false;
				document.getElementById('Imp_Com').disabled = false;
				document.getElementById('bArticle').disabled = false;
				document.getElementById('bCommentaire').disabled = false;
				document.getElementById('bInter').disabled = false;
				document.getElementById('Interlocuteur').disabled = false;
				document.getElementById('Intitule').disabled = false;
				break;
      case 'N':
        document.getElementById('etat_cmd').value = "En cours";
        document.getElementById('bEnregistrer').collapsed = false;
        document.getElementById('bValiderCommande').collapsed = false;
        document.getElementById('bBloquerCommande').collapsed = false;
        document.getElementById('date_cmd').disabled = false;
        document.getElementById('Remise').disabled = false;
        document.getElementById('Frais_Port').disabled = false;
        document.getElementById('Escompte').disabled = false;
				document.getElementById('Commentaires').disabled = false;
				document.getElementById('Imp_Com').disabled = false;
				document.getElementById('bArticle').disabled = false;
				document.getElementById('bCommentaire').disabled = false;
				document.getElementById('bInter').disabled = false;
				document.getElementById('Interlocuteur').disabled = false;
				document.getElementById('Intitule').disabled = false;
        break;
      case 'B':
        document.getElementById('etat_cmd').value = "En attente de rponse fournisseur...";
        document.getElementById('bDebloquerCommande').collapsed = false;
        //document.getElementById('bValiderCommande').collapsed = false;
				formatLigne("");
        break;
      case 'V':
				mode = "V";
        document.getElementById('etat_cmd').value = "Valide";
				document.getElementById('bReception').collapsed = false;
				formatLigne("");
        break;
      case 'F':
        document.getElementById('etat_cmd').value = "Termine";
				document.getElementById('bReception').collapsed = false;
				formatLigne("");
        break;
    }

  } catch (e) {
    recup_erreur('erreur dans facturation/user/commandes/edition_commande.js#setGUI : ' + e);
  }
}


function changeStatus(status) {
  try {

    var corps = cookie() +"&Page=Facturation/Commandes/changeStatus.tmpl&ContentType=null";
    corps += "&Commande_Id="+ commande_id +"&Etat="+ status;
    requeteHTTP(corps);

  } catch (e) {
    recup_erreur('erreur dans facturation/user/commandes/edition_commande.js#changeStatus : ' + e);
  }
}


function loadPage(status) {
  try {

    var page = "chrome://opensi/content/facturation/user/commandes/edition_commande.xul?"+ cookie() +"&Commande_Id="+ commande_id;
    window.location = page;

  } catch (e) {
    recup_erreur('erreur dans facturation/user/commandes/edition_commande.js#loadPage : ' + e);
  }
}


function bloquerCommande() {
  try {

    if (demandeEnregistrement()) {
      changeStatus('B');
      loadPage('B');
    }

  } catch (e) {
    recup_erreur('erreur dans facturation/user/commandes/edition_commande.js#bloquerCommande : ' + e);
  }
}


function debloquerCommande() {
  try {

    changeStatus('N');
    loadPage('N');

	} catch (e) {
    recup_erreur('erreur dans facturation/user/commandes/edition_commande.js#debloquerCommande : ' + e);
  }
}


function init_tree_temp() {
  try {

    var paramlist = "&Page=Facturation/GetRDF/articles_commande.tmpl&ContentType=xml&Temp=true&Commande_Id="+ commande_id;
    load_rdf_async('articles', getUrlOpeneas(paramlist), afterRefreshArticles);

  } catch (e) {
    recup_erreur('erreur dans facturation/user/commandes/edition_commande.js#init_tree_temp : ' + e);
  }
}


function visualiserCommande() {
  try {

    if (demandeEnregistrement()) {

		  var tree = document.getElementById('articles');

		  if (tree.view==null || tree.view.rowCount<=0) {
			  showWarning("La commande ne contient aucune ligne !");
		  }
		  else {
			  var page = "chrome://opensi/content/facturation/user/commandes/commande.xul?"+ cookie() +"&Commande_Id="+ commande_id;
	  	  window.location = page;
		  }
    }

	} catch (e) {
    recup_erreur('erreur dans facturation/user/commandes/edition_commande.js#visualiserCommande : ' + e);
  }
}


function receptionCommande() {
  try {

		var page = "chrome://opensi/content/facturation/user/commandes/edition_br.xul?"+ cookie();
    page += "&Commande_Id="+ commande_id +"&Fournisseur_Id="+ fournisseur_id;
	  window.location = page;

	} catch (e) {
    recup_erreur('erreur dans facturation/user/commandes/edition_commande.js#receptionCommande : ' + e);
  }
}


function editerCommentaire() {
  try {

		var tree = document.getElementById("articles");

		if (tree.view!=null && tree.currentIndex!=-1) {

			var rank = getCellText(tree,tree.currentIndex,'ColRank');

			var url = "chrome://opensi/content/facturation/user/commandes/commentaire.xul?"+ cookie();
      url += "&Commande_Id="+ commande_id +"&Rank="+ rank;
    	window.openDialog(url,'','chrome,modal');

			delete_tree();
			init_tree_temp();
			ajouterLigne("I");
			setModifie();
		}
		else {
			showWarning("Aucun article ou commentaire slectionn !");
		}

	} catch (e) {
    recup_erreur('erreur dans facturation/user/commandes/edition_commande.js#editerCommentaire : ' + e);
  }
}


function evaluer(elem, ev) {	
	try {
		
		if (ev.keyCode==13) {			
			var nf = new NumberFormat("0.00##", false);
			elem.value = nf.format(calcExpr(elem.value));
		}
		
	}	catch(e) {
		recup_erreur('erreur dans facturation/user/commandes/edition_commande.js#evaluer : ' + e);
	}
}


function retour_commandes() {
  try {

    window.location = "chrome://opensi/content/facturation/user/commandes/menu_commandes.xul?"+ cookie();

  } catch (e) {
    recup_erreur('erreur dans facturation/user/commandes/edition_commande.js#retour_commandes : ' + e);
  }
}


function retour_menu_principal() {
  try {

    var page = "chrome://opensi/content/facturation/user/menu_principal.xul?"+ cookie();
		page += "&Libelle="+ urlEncode(parent.document.getElementById("nom_dossier").value);
    window.location = page;

  } catch (e) {
    recup_erreur('erreur dans facturation/user/commandes/edition_commande.js#retour_menu_principal : ' + e);
  }
}
