/******************************************************************************/
/* OpenSi : Outils libres de gestion d'entreprise                             */
/* Copyright (C) 2003 Speedinfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/


jsLoader.loadSubScript("chrome://opensi/content/libs/lib_tva.js");

var facture_id="";
var mode_ligne;
var mode;
var valContact = 0;
var gen;
var typeAchat = "N";
var initLigne = false;
var tva_port;
var currentRank = 0;

	var arbre_art= new Arbre ("fact","articles_facture_fournisseur.tmpl","articles");


function init() {
  try {

		var arbre_reg= new Arbre ("fact","liste_reglements.tmpl","Mode_Reg");
		arbre_reg.initTree(initMode);

		var paramlist = "&Page=Manager/GetRDF/taux_tva.tmpl&ContentType=xml";
    load_rdf_async('Code_TVA', getUrlOpeneas(paramlist), initTVA);

		var arbre_com= new Arbre ("fact","liste_commerciaux.tmpl","Login_Resp");
		arbre_com.initTree(initResp);

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/factu_fournisseur/edition_facture.js#init : ' + e);
	}
}


function initResp() {
  try {

		document.getElementById('Login_Resp').selectedIndex = 0;

		window.parent.addEventListener("close",demandeEnregistrement,false);

		mode = ParamValeur("Mode");
		if (mode=="C") {
			nouvelleFacture();
			rechercherFournisseur();
		}
		else {

			// chargement

			facture_id = ParamValeur("Facture_Id");

			initLigne = true;

			init_tree();

			var queryArticles = new QueryHttp("Facturation/Factu_Fournisseur/loadArticleFactureTemp.tmpl");
			queryArticles.setParam("Facture_Id",facture_id);
			queryArticles.execute();
		}
	} catch (e) {
  	recup_erreur('erreur dans facturation/user/factu_fournisseur/edition_facture.js#initResp : ' + e);
	}
}

function desinit() {
	try {

		window.parent.removeEventListener("close",demandeEnregistrement,false);

	} catch (e) {
    recup_erreur('erreur dans facturation/user/factu_fournisseur/edition_facture.js#desinit : ' + e);
  }
}


function initTVA() {
	try {

    document.getElementById('Code_TVA').value = 4;

	} catch (e) {
    recup_erreur('erreur dans facturation/user/factu_fournisseur/edition_facture.js#initTVA : ' + e);
  }
}


function initMode() {
	try {

    document.getElementById('Mode_Reg').selectedIndex = 0;
		setModifie(false);

	} catch (e) {
    recup_erreur('erreur dans facturation/user/factu_fournisseur/edition_facture.js#initMode : ' + e);
  }
}

function rechercherFournisseur() {
  try {

		var url = "chrome://opensi/content/facturation/user/fournisseurs/rech_fournisseur.xul?"+ cookie();
    url += "&Nouv=false&Modif_Action=false&Field_Fournisseur=Fournisseur_Id&Bloque=true";
    window.openDialog(url,'','chrome,modal');
		if (!isEmpty(document.getElementById("Fournisseur_Id").value)) {
			setModifie(true);
			charger_coordfact();
		}
		else {
			retour_factures();
		}

	} catch (e) {
  	recup_erreur('erreur dans erreur dans facturation/user/factu_fournisseur/edition_facture.js#rechercherFournisseur : ' + e);
  }
}

function newInterlocuteur() {
	try {

		var url = "chrome://opensi/content/facturation/user/commandes/ajouter_interlocuteur.xul?"+ cookie();
    url += "&Fournisseur_Id="+ urlEncode(document.getElementById("Fournisseur_Id").value);
		window.openDialog(url,'','chrome,modal');

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/affaires/fiche_affaire.js#newInterlocuteur : ' + e);
  }
}

function charger_contacts(val) {
  try {
		delete_contacts();
		if (isEmpty(val)) {
			valContact = 0;
		}
		else {
			valContact = val;
		}

		var fournisseur_id = document.getElementById("Fournisseur_Id").value;

		var arbre_contact= new Arbre ("fact","contacts_fournisseur.tmpl","lsInterlocuteur");
		arbre_contact.setParam("Fournisseur_Id",fournisseur_id);
		arbre_contact.initTree(initContacts);

	} catch (e) {
  	recup_erreur('erreur dans erreur dans facturation/user/affaires/fiche_affaire.js#charger_contacts : ' + e);
  }
}


function delete_contacts() {
  try {

    var database = document.getElementById('lsInterlocuteur').database;
    var datasources = database.GetDataSources();
    while (datasources.hasMoreElements()) {
      var ds = datasources.getNext();
      database.RemoveDataSource(ds);
    }
		document.getElementById('lsInterlocuteur').builder.rebuild();
		document.getElementById('lsInterlocuteur').selectedIndex = -1;

  } catch (e) {
    recup_erreur('erreur dans erreur dans facturation/user/affaires/fiche_affaire.js#delete_contacts: ' + e);
  }
}


function initContacts() {
  try {

    document.getElementById('row_inter').collapsed = true;
    document.getElementById('row_list_inter').collapsed = false;
		document.getElementById('lsInterlocuteur').value = valContact;

	} catch (e) {
  	recup_erreur('erreur dans erreur dans facturation/user/affaires/fiche_affaire.js#initContacts : ' + e);
  }
}

function charger_coordfact() {
  try {
		var fournisseur_id = document.getElementById("Fournisseur_Id").value;
		document.getElementById('labelFournisseur').setAttribute("label", "Fournisseur N "+ fournisseur_id);

		var queryCoordFact = new QueryHttp("Facturation/Factu_Fournisseur/getCoordFact.tmpl");
		queryCoordFact.setParam("Fournisseur_Id",fournisseur_id);
		queryCoordFact.execute(charger_coordfact_2);

	} catch (e) {
  	recup_erreur('erreur dans erreur dans facturation/user/factu_fournisseur/edition_facture.js#charger_coordfact : ' + e);
  }
}

function charger_coordfact_2(httpRequest) {
  try {

    var contenu = httpRequest.responseXML.documentElement;

    document.getElementById("Raison_Sociale").value = contenu.getAttribute("Raison_Sociale");
    document.getElementById("Adresse_Fact").value = contenu.getAttribute("Adresse_Fact");
    document.getElementById("Comp_Adresse_Fact").value = contenu.getAttribute("Comp_Adresse_Fact");
		document.getElementById("Adresse_3_Fact").value = contenu.getAttribute("Adresse_3_Fact");
    document.getElementById("CP_Fact").value = contenu.getAttribute("CP_Fact");
    document.getElementById("Ville_Fact").value = contenu.getAttribute("Ville_Fact");
    document.getElementById("Pays_Fact").value = contenu.getAttribute("Pays_Fact");


    charger_contacts(0);

    var fournisseur_id = document.getElementById("Fournisseur_Id").value;


		var queryDefaultFact = new QueryHttp("Facturation/Factu_Fournisseur/getDefaultFacture.tmpl");
		queryDefaultFact.setParam("Fournisseur_Id",fournisseur_id);
		queryDefaultFact.execute(charger_coordfact_3);


	} catch (e) {
  	recup_erreur('erreur dans erreur dans facturation/user/factu_fournisseur/edition_facture.js#charger_coordfact_2 : ' + e);
  }
}


function charger_coordfact_3(httpRequest) {
  try {

    var contenu = httpRequest.responseXML.documentElement;

    typeAchat = contenu.getAttribute("Type_Achat");
    document.getElementById('Remise').value = contenu.getAttribute('Remise');
    document.getElementById('Echeance').value = contenu.getAttribute('Echeance');
    document.getElementById('Mode_Reg').value = contenu.getAttribute('Mode_Reg');

    ajouterLigne("I");

	} catch (e) {
  	recup_erreur('erreur dans erreur dans facturation/user/factu_fournisseur/edition_facture.js#charger_coordfact_3 : ' + e);
  }
}


function disableInfos() {
	try {

		document.getElementById('Raison_Sociale').disabled = true;
		document.getElementById('Adresse_Fact').disabled = true;
		document.getElementById('Comp_Adresse_Fact').disabled = true;
		document.getElementById('Adresse_3_Fact').disabled = true;
		document.getElementById('CP_Fact').disabled = true;
		document.getElementById('Ville_Fact').disabled = true;
		document.getElementById('Pays_Fact').disabled = true;
		document.getElementById('Numero').disabled = true;
		document.getElementById('Date_Facture').disabled = true;

		if (mode=='V') {
			document.getElementById('Login_Resp').disabled = true;
			document.getElementById('lsInterlocuteur').disabled = true;
			document.getElementById('bInter').disabled = true;
			document.getElementById('Civ_Inter').disabled = true;
			document.getElementById('Prenom_Inter').disabled = true;
			document.getElementById('Nom_Inter').disabled = true;
		}

	} catch (e) {
    recup_erreur('erreur dans facturation/user/factu_fournisseur/edition_facture.js#disableInfos : ' + e);
  }
}

function disableAll() {
	try {

    disableInfos();

		document.getElementById('Commentaires').disabled = true;
		document.getElementById('Imp_Com').disabled = true;
		document.getElementById('Remise').disabled = true;
		document.getElementById('Escompte').disabled = true;
		document.getElementById('Acompte').disabled = true;
		document.getElementById('Frais_Port').disabled = true;
		document.getElementById('Echeance').disabled = true;
		document.getElementById('Mode_Reg').disabled = true;

		document.getElementById('bCommentaire').disabled = true;
		document.getElementById('bArticle').disabled = true;
		document.getElementById('bEnregistrer').disabled = true;
		document.getElementById('bReception').disabled = true;
		document.getElementById('bSupFacture').disabled = true;

    document.getElementById('bAnnuler').disabled = true;
		document.getElementById('bValider').disabled = true;
		document.getElementById('bSupprimer').disabled = true;

    document.getElementById('Quantite').disabled = true;
    document.getElementById('PU').disabled = true;
    document.getElementById('Ristourne').disabled = true;

		formatLigne("");

	} catch (e) {
    recup_erreur('erreur dans facturation/user/factu_fournisseur/edition_facture.js#disableAll : ' + e);
  }
}


function ajouterLigne(type_ligne) {
  try {

		document.getElementById('bSupprimer').disabled = true;
		mode_ligne = "C";

		document.getElementById("Type_Ligne").value = type_ligne;

		formatLigne(type_ligne);

		switch(type_ligne) {
			case "S":
				if (isEmpty(facture_id)) {
					enregistrerFacture();
				}
				var fournisseur_id = document.getElementById("Fournisseur_Id").value;
				if (!isEmpty(fournisseur_id) && !isEmpty(facture_id)) {
					var url = "chrome://opensi/content/facturation/user/stocks/rech_stocks.xul?"+ cookie();
        	url += "&Nouv=false&Modif_Action=false&Field_Article=Reference&Fournisseur="+ urlEncode(fournisseur_id);
    			window.openDialog(url,'','chrome,modal');

					var reference = document.getElementById("Reference").value;

					if (!isEmpty(reference)) {

						var queryTarif = new QueryHttp("Facturation/Factu_Fournisseur/getArticleTarif.tmpl");
						queryTarif.setParam("Article_Id",reference);

						var fournisseur_id = document.getElementById("Fournisseur_Id").value;

						if (!isEmpty(fournisseur_id)) {
						queryTarif.setParam("Fournisseur_Id",fournisseur_id);
						}
						var p=queryTarif.execute();

            var contenu = p.responseXML.documentElement;
            document.getElementById("Designation").value = contenu.getAttribute("Designation");
            document.getElementById('Quantite').value = 1;
            document.getElementById("PU").value = contenu.getAttribute("Prix");
            document.getElementById('Ristourne').value = "0.00";
            document.getElementById("Code_TVA").value = (typeAchat=="N"?contenu.getAttribute("Code_TVA"):1);
            document.getElementById('Libelle').value = "";
					}
					else {
						ajouterLigne("I");
					}
				}

				break;

			case "B":
				if (isEmpty(facture_id)) {
					enregistrerFacture();
				}
				var fournisseur_id = document.getElementById("Fournisseur_Id").value;
				if (!isEmpty(fournisseur_id) && !isEmpty(facture_id)) {
					if (existeBR(fournisseur_id)) {
						var url = "chrome://opensi/content/facturation/user/recherches/rech_articles_bon_reception.xul?"+ cookie();
						url+="&Fournisseur_Id="+urlEncode(fournisseur_id);
						url+="&Facture_Id="+urlEncode(facture_id);
						window.openDialog(url,'','chrome,modal',ajouterBR);
					}
					else {
						showWarning ("Tous les articles des BR de ce fournisseur ont t inclus dans des factures");
					}
				}
				break;

			case "I":

				document.getElementById('Reference').value = "";
				document.getElementById('Designation').value = "";
				document.getElementById('Quantite').value = 1;
				document.getElementById('PU').value = "";
				document.getElementById('Ristourne').value = "0.00";
				document.getElementById('Code_TVA').value = (typeAchat=="N"?4:1);
				document.getElementById('Libelle').value = "";
				break;
		}

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/factu_fournisseur/edition_facture.js#ajouterLigne : ' + e);
	}
}

function ajouterBR() {
  try {
    	delete_tree();
    	init_tree_temp();
    	setModifie(true);

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/factu_fournisseur/edition_facture.js#ajouterBR : ' + e);
	}
}

function existeBR() {
  try {

		var queryExBR = new QueryHttp("Facturation/Factu_Fournisseur/existeBRFournisseur.tmpl");
		queryExBR.setFullParamById("Fournisseur_Id");

		var p=queryExBR.execute();

    return p.responseXML.documentElement.getAttribute("existe")=="true";

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/factu_fournisseur/edition_facture.js#existeBR : ' + e);
	}
}

function formatLigne(type_ligne) {
  try {

		switch(type_ligne) {
			case "S":
        if (mode != 'V') {
				  document.getElementById('Reference').disabled = true;
				  document.getElementById('Designation').disabled = true;
				  document.getElementById('Quantite').disabled = false;
				  document.getElementById('PU').disabled = false;
				  document.getElementById('Ristourne').disabled = false;
				  document.getElementById('Code_TVA').disabled = (typeAchat=="N"?false:true);
				  document.getElementById('bValider').disabled = false;
				  document.getElementById('bAnnuler').disabled = false;
        }
				break;

			case "B":
        if (mode != 'V') {
				  document.getElementById('Reference').disabled = true;
				  document.getElementById('Designation').disabled = true;
				  document.getElementById('Quantite').disabled = false;
				  document.getElementById('PU').disabled = false;
				  document.getElementById('Ristourne').disabled = false;
				  document.getElementById('Code_TVA').disabled = (typeAchat=="N"?false:true);
				  document.getElementById('bValider').disabled = false;
				  document.getElementById('bAnnuler').disabled = false;
        }
				break;

			case "I":
        if (mode != 'V') {
  				document.getElementById('Reference').disabled = false;
	  			document.getElementById('Designation').disabled = false;
		  		document.getElementById('Quantite').disabled = false;
			  	document.getElementById('PU').disabled = false;
				  document.getElementById('Ristourne').disabled = false;
				  document.getElementById('Code_TVA').disabled = (typeAchat=="N"?false:true);
				  document.getElementById('bValider').disabled = false;
				  document.getElementById('bAnnuler').disabled = false;
        }
				break;

			default:
				document.getElementById('Reference').value = "";
				document.getElementById('Designation').value = "";
				document.getElementById('Quantite').value = "";
				document.getElementById('PU').value = "";
				document.getElementById('Ristourne').value = "";
				document.getElementById('Code_TVA').value = (typeAchat=="N"?4:1);
				document.getElementById('Libelle').value = "";
				document.getElementById('Reference').disabled = true;
				document.getElementById('Designation').disabled = true;
				document.getElementById('Quantite').disabled = true;
				document.getElementById('PU').disabled = true;
				document.getElementById('Ristourne').disabled = true;
				document.getElementById('Code_TVA').disabled = true;
				document.getElementById('bSupprimer').disabled = true;
				document.getElementById('bValider').disabled = true;
				document.getElementById('bAnnuler').disabled = true;
				break;
		}

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/factu_fournisseur/edition_facture.js#formatLigne : ' + e);
	}
}


function dejaPresente(reference) {
  try {

		var queryExArticle = new QueryHttp("Facturation/Factu_Fournisseur/existeArticle.tmpl");
		queryExArticle.setParam("Reference",reference);
		queryExArticle.setParam("Facture_Id",facture_id);

		var p=queryExArticle.execute();

    return p.responseXML.documentElement.getAttribute("existe")=="true";

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/factu_fournisseur/edition_facture.js#dejaPresente : ' + e);
	}
}


function pressOnWindow(ev) {
	try {

		if (ev.altKey) {
			switch(ev.charCode) {
      	case 97: // 'a'
        	ajouterLigne("S");
        	break;
    	}
		}

	} catch (e) {
    recup_erreur('erreur dans facturation/user/factu_fournisseur/edition_facture.js#pressOnWindow : ' + e);
  }
}


function ouvrirLigne() {
  try {

		var tree = document.getElementById("articles");

		if (tree.view!=null && tree.currentIndex!=-1 && (mode=="M" || mode=="V")) {

			if (getCellText(tree,tree.currentIndex,'ColType_Ligne')=="C") {
				ajouterLigne("I");
			}	else {
				mode_ligne = "M";
        if (mode == "M") {
  		    document.getElementById('bSupprimer').disabled = false;
        }

				document.getElementById("Reference").value = getCellText(tree,tree.currentIndex,'ColReference');
				document.getElementById("Designation").value = getCellText(tree,tree.currentIndex,'ColDesignation');
				document.getElementById("Quantite").value = getCellText(tree,tree.currentIndex,'ColQuantite');
				document.getElementById("PU").value = getCellText(tree,tree.currentIndex,'ColPU');
				document.getElementById("Ristourne").value = getCellText(tree,tree.currentIndex,'ColRistourne');
				document.getElementById("Type_Ligne").value = getCellText(tree,tree.currentIndex,'ColType_Ligne');
				document.getElementById("Rank").value = getCellText(tree,tree.currentIndex,'ColRank');
				document.getElementById("Libelle").value = getCellText(tree,tree.currentIndex,'ColLibelle');
        document.getElementById("Code_TVA").value = getCellText(tree,tree.currentIndex,'ColCode_TVA');

				formatLigne(document.getElementById("Type_Ligne").value);
			}
		}

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/factu_fournisseur/edition_facture.js#ouvrirLigne : ' + e);
	}
}


function ouvrirCommentaire() {
  try {

		var tree = document.getElementById("articles");

		if (tree.view!=null && tree.currentIndex!=-1 && mode=="M") {

			if (getCellText(tree,tree.currentIndex,'ColType_Ligne')=="C") {
				editerCommentaire();
			}
		}

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/factu_fournisseur/edition_facture.js#ouvrirCommentaire : ' + e);
	}
}


function validerLigne() {
  try {

		var type_ligne = document.getElementById("Type_Ligne").value;
		var reference = document.getElementById("Reference").value;
		var designation = document.getElementById("Designation").value;
		var quantite = document.getElementById("Quantite").value;
		var pu = document.getElementById("PU").value;
		var ristourne = document.getElementById("Ristourne").value;
		var code_tva = document.getElementById("Code_TVA").value;
		var rank = document.getElementById("Rank").value;
		var libelle = document.getElementById("Libelle").value;

		if (mode=="C") {
			enregistrerFacture();
		}

		if (mode_ligne=="C") {
			var corps = cookie() +"&Page=Facturation/Factu_Fournisseur/ajouterArticle.tmpl&ContentType=xml";
		}
		else {
			var corps = cookie() +"&Page=Facturation/Factu_Fournisseur/modifierArticle.tmpl&ContentType=xml";
		}

		corps += "&Reference="+ urlEncode(reference);
    corps += "&Designation="+ urlEncode(designation);
    corps += "&Quantite="+ quantite;
    corps += "&Type_Ligne="+ type_ligne;
		corps += "&Prix="+ pu;
    corps += "&Ristourne="+ ristourne;
    corps += "&Code_TVA="+ code_tva;
    corps += "&Facture_Id="+ facture_id;
    corps += "&Rank="+ rank;
		corps += "&Libelle="+ urlEncode(libelle);

		if (isEmpty(designation)) { showWarning("Dsignation de l'article manquante !"); }
		else if (isEmpty(quantite) || !isPositive(quantite) || !checkDecimal(quantite,2)) { showWarning("Quantit incorrecte !");	}
		else if (isEmpty(pu) || !checkDecimal(pu,4)) { showWarning("Prix unitaire incorrect !");	}
		else if (isEmpty(ristourne) || !isTaux(ristourne)) { showWarning("Taux de ristourne incorrect !");	}
		else {

      var p = requeteHTTP(corps);

			currentRank = p.responseXML.documentElement.getAttribute('Rank');
			ajouterLigne("I");
    	delete_tree();
    	init_tree_temp();
    	setModifie(true);
		}

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/factu_fournisseur/edition_facture.js#validerLigne : ' + e);
	}
}


function annulerLigne() {
  try {

		ajouterLigne("I");

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/factu_fournisseur/edition_facture.js#annulerLigne : ' + e);
	}
}


function supprimerLigne() {
  try {

		currentRank = 0;

		var rank = document.getElementById("Rank").value;
		var corps = cookie() +"&Page=Facturation/Factu_Fournisseur/supprimerArticle.tmpl&ContentType=xml";
    corps += "&Facture_Id="+ facture_id ;
    corps += "&Rank="+ rank;

    requeteHTTP(corps);

		ajouterLigne("I");
		delete_tree();
		init_tree_temp();
		setModifie(true);

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/factu_fournisseur/edition_facture.js#supprimerLigne : ' + e);
	}
}


function enregistrerFacture() {
  try {

    var tree = document.getElementById('articles');

    if (mode != 'C' && (tree.view==null || tree.view.rowCount<=0)) {
	    showWarning("La facture ne contient aucune ligne !");
      return false;
    }
		else {

      var remise = document.getElementById('Remise').value;
		  var frais_port = document.getElementById('Frais_Port').value;
		  var escompte = document.getElementById('Escompte').value;
		  var acompte = document.getElementById('Acompte').value;
		  var echeance = document.getElementById('Echeance').value;
      var raison_sociale = document.getElementById('Raison_Sociale').value;
      var adresse_fact = document.getElementById('Adresse_Fact').value;
      var comp_adresse_fact = document.getElementById('Comp_Adresse_Fact').value;
			var adresse_3_fact = document.getElementById('Adresse_3_Fact').value;
      var cp_fact = document.getElementById('CP_Fact').value;
      var ville_fact = document.getElementById('Ville_Fact').value;
			var pays_fact = document.getElementById('Pays_Fact').value;
			var numero = document.getElementById('Numero').value;
			var date_fact = document.getElementById('Date_Facture').value;
			var fournisseur_id = document.getElementById('Fournisseur_Id').value;

		  if (isEmpty(raison_sociale) || isEmpty(adresse_fact) || isEmpty(ville_fact) ) {
			  showWarning("Vous devez indiquer les coordonnes du fournisseur avant d'enregistrer la facture !");
		  }
			else if (isEmpty(echeance)) {
			  showWarning("Vous devez indiquer une date d'chance avant d'enregistrer la facture !");
		  }
			else if (!isDate(echeance)) { showWarning("Date d'chance incorrecte !"); }
			else if (isEmpty(remise) || !isTaux(remise)) { showWarning("Taux de remise incorrect !"); }
		  else if (isEmpty(frais_port) || !isPositiveOrNull(frais_port)) { showWarning("Frais de port incorrects !"); }
		  else if (isEmpty(acompte) || !isPositiveOrNull(acompte)) { showWarning("Montant d'acompte incorrect !"); }
		  else if (isEmpty(escompte) || !isTaux(escompte)) { showWarning("Taux d'escompte incorrect !"); }
		  else if (isEmpty(numero)) { showWarning("Numero de facture incorrect !"); }
		  else if (!isDate(date_fact)) { showWarning("Date de la facture incorrecte !"); }
      else if (isEmpty(fournisseur_id)) {showWarning("Vous devez indiquer un fournisseur !"); }
		  else {

			  var corps;

			  if (mode=="C") {
				  corps = cookie() +"&Page=Facturation/Factu_Fournisseur/creerFacture.tmpl&ContentType=xml";
          corps += "&Raison_Sociale="+ urlEncode(raison_sociale);
          corps += "&Adresse_Fact="+ urlEncode(adresse_fact);
          corps += "&Comp_Adresse_Fact="+ urlEncode(comp_adresse_fact);
					corps += "&Adresse_3_Fact="+ urlEncode(adresse_3_fact);
          corps += "&CP_Fact="+ urlEncode(cp_fact);
          corps += "&Ville_Fact="+ urlEncode(ville_fact);
					corps += "&Pays_Fact="+ urlEncode(pays_fact);
					corps += "&Numero="+ urlEncode(numero);
					corps += "&Date_Facture="+ prepareDateJava(date_fact);
       		if (!isEmpty(fournisseur_id)) {
          	corps += "&Fournisseur_Id="+ urlEncode(fournisseur_id);
        	}

			  }
				else {
				  corps = cookie() +"&Page=Facturation/Factu_Fournisseur/modifierFacture.tmpl&ContentType=xml&Facture_Id="+ facture_id;
			  }

				corps += "&Login_Resp="+ urlEncode(document.getElementById('Login_Resp').value);

        if (document.getElementById('row_list_inter').collapsed) {
          corps += "&Prenom_Inter="+ urlEncode(document.getElementById('Prenom_Inter').value);
          corps += "&Nom_Inter="+ urlEncode(document.getElementById('Nom_Inter').value);
					corps += "&Civ_Inter="+ document.getElementById('Civ_Inter').value;
        }
				else {
          corps += "&Num_Inter="+ urlEncode(document.getElementById('lsInterlocuteur').value);
        }

			  corps += "&Remise="+ remise;
        corps += "&Frais_Port="+ frais_port;
			  corps += "&Echeance="+ prepareDateJava(echeance);
			  corps += "&Mode_Reg="+ urlEncode(document.getElementById('Mode_Reg').value);
        corps += "&Escompte="+ escompte;
			  corps += "&Acompte="+ acompte;
			  corps += "&Commentaires="+ urlEncode(document.getElementById('Commentaires').value);
			  corps += "&Imp_Com="+ (document.getElementById('Imp_Com').checked?"1":"0");
        corps += "&TotalHT=" + document.getElementById('TotalHT').value;
				corps += "&Montant_TTC="+ document.getElementById('MontantTTC').value;
				corps += "&Type_Achat="+ typeAchat;

				var p = requeteHTTP(corps);

				if (mode=="C") {
					facture_id = p.responseXML.documentElement.getAttribute("Facture_Id");
					chargerFacture();
				}

			  if (mode=="M") {
				  corps = cookie() +"&Page=Facturation/Factu_Fournisseur/saveArticleTemp.tmpl&ContentType=xml&Facture_Id="+ facture_id;
				  requeteHTTP(corps);
			  }
			  setModifie(false);

		  }
    }

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/factu_fournisseur/edition_facture.js#enregistrerFacture : ' + e);
	}
}


function calculTotaux() {
  try {

		var taux_remise = parseFloat(document.getElementById('Remise').value);
		var taux_escompte = parseFloat(document.getElementById('Escompte').value);
		var acompte = parseFloat(document.getElementById('Acompte').value);
		var frais_port = parseFloat(document.getElementById('Frais_Port').value);

		if (isTaux(taux_remise) && isTaux(taux_escompte) && isPositiveOrNull(frais_port) && isPositiveOrNull(acompte)) {

			var tree = document.getElementById("articles");

			var montant_tva = 0;
			var montant_ht = 0;

			if (tree.view!=null) {

				for (var i=0;i<tree.view.rowCount;i++) {

					if (getCellText(tree,i,'ColType_Ligne')!="C") {
						montant_ht += parseFloat(getCellText(tree,i,'ColTotal'));
          	montant_tva += parseFloat(getCellText(tree,i,'ColTotal')) * getTva(getCellText(tree,i,'ColCode_TVA'))/100;
					}
				}
			}

			var montant_remise = montant_ht * parseFloat(taux_remise/100);
			var total_ht = montant_ht * (1 - parseFloat(taux_remise/100)) + frais_port;
			montant_tva = montant_tva * (1 - parseFloat(taux_remise/100)) + frais_port * (tva_port/100);

			var montant_ttc = total_ht + montant_tva;
			var montant_escompte = montant_ttc * parseFloat(taux_escompte/100);
			var total_ttc = montant_ttc - montant_escompte - acompte;

			document.getElementById('MontantHT').value = formatNombre(montant_ht,"0.00");
			document.getElementById('MontantRemise').value = formatNombre(montant_remise,"0.00");
			document.getElementById('MontantFrais_Port').value = formatNombre(frais_port,"0.00");
			document.getElementById('TotalHT').value = formatNombre(total_ht,"0.00");
			document.getElementById('TVA').value = formatNombre(montant_tva,"0.00");
			document.getElementById('MontantTTC').value = formatNombre(montant_ttc,"0.00");
			document.getElementById('MontantAcompte').value = formatNombre(acompte,"0.00");
			document.getElementById('MontantEscompte').value = formatNombre(montant_escompte,"0.00");
			document.getElementById('TotalTTC').value = formatNombre(total_ttc,"0.00");
		}

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/factu_fournisseur/edition_facture.js#calculTotaux : ' + e);
	}
}


function afterRefreshArticles() {
	try {

		calculTotaux();
		scrollToRank();

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/factu_fournisseur/edition_facture.js#afterRefreshArticles : ' + e);
	}
}


function scrollToRank() {
	try {

		var tree = document.getElementById("articles");

		if (tree.view!=null && tree.view.rowCount>0 && currentRank>0) {

			var tb = document.getElementById("articles").treeBoxObject;
			var i = 0;
			var trouve = false;

			while (!trouve && i<tree.view.rowCount) {

				if (getCellText(tree,i,'ColRank')==currentRank) {
					tb.ensureRowIsVisible(i);
					trouve = true;
				}

				i++;
			}
		}

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/factu_fournisseur/edition_facture.js#scrollToRank : ' + e);
	}
}


function demandeEnregistrement() {
  try {

		if (document.getElementById("Modifie").value=="y") {
			if (window.confirm("Voulez-vous enregistrer les modifications apportes  la facture ?")) {
				enregistrerFacture();
			}
		}

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/factu_fournisseur/edition_facture.js#demandeEnregistrement : ' + e);
	}
}


function setModifie(m) {
  try {

		if (m) {
			document.getElementById('Modifie').value = "y";
			document.getElementById('labelFacture').setAttribute("label","Facture (modifie)");
			document.getElementById('bVisualiser').disabled = true;
		}
		else {
			document.getElementById('Modifie').value = "n";
			document.getElementById('labelFacture').setAttribute("label","Facture");
			document.getElementById('bVisualiser').disabled = false;
		}

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/factu_fournisseur/edition_facture.js#setModifie : ' + e);
	}
}


function init_tree() {
  try {

		arbre_art.clearParams();
		arbre_art.setParam("Facture_Id",facture_id);
		arbre_art.initTree(chargerFacture);

  } catch (e) {
    recup_erreur('erreur dans facturation/user/factu_fournisseur/edition_facture.js#init_tree : ' + e);
  }
}

function delete_tree() {
  try {

    var database = document.getElementById("articles").database;
    var datasources = database.GetDataSources();
    while (datasources.hasMoreElements()) {
      var ds = datasources.getNext();
      database.RemoveDataSource(ds);
    }
		document.getElementById('articles').builder.rebuild();

  } catch (e) {
    recup_erreur('erreur dans facturation/user/factu_fournisseur/edition_facture.js#delete_tree : ' + e);
  }
}


function nouvelleFacture() {
  try {

		mode = "C";

		document.getElementById('Commentaires').value = "";
		document.getElementById('Date_Facture').value = "";
		document.getElementById('Echeance').value = get_cookie('Today');
		document.getElementById('Numero').value = "";
		document.getElementById('Imp_Com').checked = false;
		document.getElementById('Remise').value = "0.00";
		document.getElementById('Acompte').value = "0.00";
		document.getElementById('Escompte').value = "0.00";
		document.getElementById('Frais_Port').value = "0.00";

		document.getElementById('MontantHT').value = "0.00";
		document.getElementById('MontantRemise').value = "0.00";
		document.getElementById('MontantFrais_Port').value = "0.00";
		document.getElementById('TotalHT').value = "0.00";
		document.getElementById('TVA').value = "0.00";
		document.getElementById('MontantTTC').value = "0.00";
		document.getElementById('MontantEscompte').value = "0.00";
		document.getElementById('MontantAcompte').value = "0.00";
		document.getElementById('TotalTTC').value = "0.00";

		document.getElementById('Creation').label = "";
		document.getElementById('Modification').label = "";
		document.getElementById('Creation').collapsed = true;
		document.getElementById('Modification').collapsed = true;
		document.getElementById('Fiche').label = "";

  	document.getElementById('Remise').value = '0.00';

    document.getElementById('Login_Resp').value = get_cookie('User');
		document.getElementById('labelFournisseur').setAttribute("label", "Fournisseur");

		ajouterLigne("I");

		delete_tree();

		setModifie(false);
		document.getElementById('bVisualiser').disabled = true;

	} catch (e) {
  	recup_erreur('erreur dans erreur dans facturation/user/factu_fournisseur/edition_facture.js#nouvelleFacture : ' + e);
  }
}


function chargerFacture() {
  try {

		if (mode != 'V') mode = "M";
		var corps = cookie() +"&Page=Facturation/Factu_Fournisseur/getFacture.tmpl&ContentType=xml&Facture_Id="+ facture_id;
    var httpRequest = new XMLHttpRequest();
		requeteHTTP(corps,httpRequest,chargerFacture2);

	} catch (e) {
  	recup_erreur('erreur dans erreur dans facturation/user/factu_fournisseur/edition_facture.js#chargerFacture : ' + e);
  }
}


function chargerFacture2(httpRequest) {
  try {

    var contenu = httpRequest.responseXML.documentElement;

    var numero = contenu.getAttribute('Numero');
    gen = (numero!=0);
		if (gen) mode = "V";


    disableInfos();

    document.getElementById('Remise').value = contenu.getAttribute('Remise');
    document.getElementById('Escompte').value = contenu.getAttribute('Escompte');
    document.getElementById('Acompte').value = contenu.getAttribute('Acompte');
    document.getElementById('Frais_Port').value = contenu.getAttribute('Frais_Port');
    document.getElementById('Commentaires').value = contenu.getAttribute('Commentaires');
    document.getElementById('Imp_Com').checked = contenu.getAttribute('Imp_Com')=="1";
    document.getElementById('Date_Facture').value = contenu.getAttribute('Date_Facture');
    document.getElementById('Numero').value = contenu.getAttribute('Num_Entier');
    document.getElementById('Echeance').value = contenu.getAttribute('Echeance');
    document.getElementById('Mode_Reg').value = contenu.getAttribute('Mode_Reg');

    var fournisseur_id = contenu.getAttribute('Fournisseur_Id');
    document.getElementById('Fournisseur_Id').value = fournisseur_id;

    if (isEmpty(fournisseur_id)) {
      document.getElementById('Civ_Inter').value = contenu.getAttribute('Civ_Inter');
      document.getElementById('Nom_Inter').value = contenu.getAttribute('Nom_Inter');
      document.getElementById('Prenom_Inter').value = contenu.getAttribute('Prenom_Inter');
    }
		else {
      document.getElementById('labelFournisseur').setAttribute("label", "Fournisseur N "+ fournisseur_id);
      charger_contacts(contenu.getAttribute("Num_Inter"));
    }

    document.getElementById('Raison_Sociale').value = contenu.getAttribute('Raison_Sociale');
    document.getElementById('Adresse_Fact').value = contenu.getAttribute('Adresse_Fact');
    document.getElementById('Comp_Adresse_Fact').value = contenu.getAttribute('Comp_Adresse_Fact');
		document.getElementById('Adresse_3_Fact').value = contenu.getAttribute('Adresse_3_Fact');
    document.getElementById('CP_Fact').value = contenu.getAttribute('CP_Fact');
    document.getElementById('Ville_Fact').value = contenu.getAttribute('Ville_Fact');
    document.getElementById('Pays_Fact').value = contenu.getAttribute('Pays_Fact');
    document.getElementById('Login_Resp').value = contenu.getAttribute('Login_Resp');
    tva_port = contenu.getAttribute("Taux_TVA_Port");

    typeAchat = contenu.getAttribute('Type_Achat');

    var label = "Facture cre le "+ contenu.getAttribute('Date_Creation');
    label += " par "+ contenu.getAttribute('Login_Createur');
    document.getElementById('Creation').label = label;
    document.getElementById('Modification').label = "Dernire modification le "+ contenu.getAttribute('Date_Maj') +" par "+ contenu.getAttribute('Login_Maj');
    document.getElementById('Modification').collapsed = false;
    document.getElementById('Creation').collapsed = false;
    document.getElementById('Fiche').setAttribute("label","Facture N "+ contenu.getAttribute('Num_Entier'));

    setModifie(false);

    if (mode=="V") {
      disableAll();
    }
    else if (initLigne) {
      ajouterLigne("I");
      initLigne = false;
    }

    calculTotaux();

	} catch (e) {
    recup_erreur('erreur dans facturation/user/factu_fournisseur/edition_facture.js#chargerFacture2 : ' + e);
  }
}


function init_tree_temp() {
  try {

		arbre_art.setParam("Facture_Id",facture_id);
		arbre_art.setParam("Temp",true);
		arbre_art.initTree(afterRefreshArticles);

  } catch (e) {
    recup_erreur('erreur dans facturation/user/factu_fournisseur/edition_facture.js#init_tree_temp : ' + e);
  }
}


function visualiserFacture() {
  try {

		var tree = document.getElementById("articles");

		if (tree.view==null || tree.view.rowCount<=0) {
			showWarning("La facture ne contient aucune ligne !");
		}
		else if (gen || window.confirm("Confirmez-vous la gnration de la facture ?\n(Attention la facture gnre ne pourra plus tre modifie !)")) {

			var param_retour = "&Responsable="+ document.getElementById('Login_Resp').value;

			var page = "chrome://opensi/content/facturation/user/factu_fournisseur/facture.xul?"+ cookie();
      page += "&Facture_Id="+ facture_id;
      page += "&Mode=V";
      page += "&ParamRetour="+ urlEncode(param_retour);
	  	window.location = page;
		}

	} catch (e) {
    recup_erreur('erreur dans facturation/user/factu_fournisseur/edition_facture.js#visualiserFacture : ' + e);
  }
}


function supprimerFacture() {
  try {

		if (window.confirm("Confirmez-vous la suppression de la facture ?")) {

			var corps = cookie() +"&Page=Facturation/Factu_Fournisseur/supprimerFacture.tmpl&ContentType=xml&Facture_Id="+ facture_id;
			requeteHTTP(corps);

			showMessage("La facture a t supprime");

			retour_factures();
		}

	} catch (e) {
    recup_erreur('erreur dans facturation/user/factu_fournisseur/edition_facture.js#supprimerFacture : ' + e);
  }
}


function editerCommentaire() {
  try {

		var tree = document.getElementById("articles");

		if (tree.view!=null && tree.currentIndex!=-1) {

			var rank = getCellText(tree,tree.currentIndex,'ColRank');

			var url = "chrome://opensi/content/facturation/user/factu_fournisseur/commentaire.xul?"+ cookie();
      url += "&Facture_Id="+ facture_id;
      url += "&Rank="+ rank;
    	window.openDialog(url,'','chrome,modal');

			delete_tree();
			init_tree_temp();
			ajouterLigne("I");
			setModifie(true);
		}
		else {
			showWarning("Aucun article ou commentaire slectionn !");
		}

	} catch (e) {
    recup_erreur('erreur dans facturation/user/factu_fournisseur/edition_facture.js#editerCommentaire : ' + e);
  }
}


function retour_factures() {
  try {

    window.location = "chrome://opensi/content/facturation/user/factu_fournisseur/menu_factures.xul?"+ cookie();

  } catch (e) {
    recup_erreur('erreur dans facturation/user/factu_fournisseur/edition_facture.js#retour_factures : ' + e);
  }
}


function retour_menu_principal() {
  try {

    var page = "chrome://opensi/content/facturation/user/menu_principal.xul?"+ cookie();
		page += "&Libelle="+ parent.document.getElementById("nom_dossier").value;
    window.location = page;

  } catch (e) {
    recup_erreur('erreur dans facturation/user/factu_fournisseur/edition_facture.js#retour_menu_principal : ' + e);
  }
}
