/******************************************************************************/
/* OpenSi : Outils libres de gestion d'entreprise                             */
/* Copyright (C) 2003 Speedinfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/


/*

Paramtres d'entre non obligatoires :
	- Nouv - true->affichage du bouton nouveau - defaut=true
	- Modif_Action - true->modification du champs Action (fentre appelante) - defaut=true
	- Field_Fournisseur - id du champs o est report le code fournisseur choisi (fentre appelante) - defaut=Fournisseur

*/

var cookieWrapper;

function init() {
  try {

    cookieWrapper = getWrapper();

    var nouv = ParamValeur('Nouv');
    if (!isEmpty(nouv)) {
      if (nouv == 'false') {
        document.getElementById('bouton_nouveau').collapsed = true;
      }
    }

		if (!isEmpty(ParamValeur('Fournisseur_Id'))) {
    	document.getElementById('Fournisseur_Id').value = ParamValeur('Fournisseur_Id');
			var code_fournisseur = document.getElementById('Fournisseur_Id').value;
			if (existeFournisseur(code_fournisseur)) {
       	ouvrirFournisseur(code_fournisseur);
			}
			else {
				document.getElementById('Famille').value = "";
				document.getElementById('Nom').value = "";
				document.getElementById('Code_Couleur').value = "";

  			delete_tree();
    		init_tree("&Fournisseur_Id="+ urlEncode(code_fournisseur));
			}
		}

		var paramlist = "&Page=Facturation/GetRDF/familles_fournisseur.tmpl&ContentType=xml"+ nocache();
  	load_rdf_async('Famille', getUrlOpeneas(paramlist), initFamille);

    var x = (screen.width / 2) - 400;
    var y = (screen.height / 2) - 200;
    window.resizeTo(800,400);
    window.moveTo(x,y);
    document.getElementById('Fournisseur_Id').focus();

  } catch (e) {
    recup_erreur('erreur dans facturation/user/fournisseurs/rech_fournisseur.js#init : ' + e);
  }
}


function initFamille() {
	try {

		document.getElementById('Famille').selectedIndex = 0;

	} catch (e) {
    recup_erreur('erreur dans facturation/user/fournisseurs/rech_fournisseur.js#initFamille : ' + e);
  }
}


function pressOnId(ev) {
  try {

    if (ev.keyCode==13) {

			var code_fournisseur = document.getElementById('Fournisseur_Id').value;

			if (existeFournisseur(code_fournisseur)) {
        ouvrirFournisseur(code_fournisseur);
			}
			else {
				document.getElementById('Code_Couleur').value = -1;
				document.getElementById('Famille').value = "";
				document.getElementById('Nom').value = "";

        delete_tree();
        init_tree("&Fournisseur_Id="+ urlEncode(code_fournisseur));
			}
    }

  } catch (e) {
    recup_erreur('erreur dans facturation/user/fournisseurs/rech_fournisseur.js#pressOnId : ' + e);
  }
}


function pressOnNom(ev) {
  try {

    if (ev.keyCode==13) {

			document.getElementById('Code_Couleur').value = -1;
			document.getElementById('Famille').value = "";
			document.getElementById('Fournisseur_Id').value = "";

      delete_tree();
      init_tree("&Nom="+ urlEncode(document.getElementById('Nom').value));
   	}

  } catch (e) {
    recup_erreur('erreur dans facturation/user/fournisseurs/rech_fournisseur.js#pressOnNom : ' + e);
  }
}


function pressOnCouleur() {
  try {

		document.getElementById('Nom').value = "";
		document.getElementById('Famille').value = "";
		document.getElementById('Fournisseur_Id').value = "";

    delete_tree();
    init_tree("&Code_Couleur="+ urlEncode(document.getElementById('Code_Couleur').value));

  } catch (e) {
    recup_erreur('erreur dans facturation/user/fournisseurs/rech_fournisseur.js#pressOnCouleur : ' + e);
  }
}


function pressOnFamille() {
  try {

    document.getElementById('Code_Couleur').value = -1;
		document.getElementById('Nom').value = "";
		document.getElementById('Fournisseur_Id').value = "";

    delete_tree();
    init_tree("&Famille="+ urlEncode(document.getElementById('Famille').value));

  } catch (e) {
    recup_erreur('erreur dans facturation/user/fournisseurs/rech_fournisseur.js#pressOnFamille : ' + e);
  }
}


function pressOnTree(ev) {
  try {

    if (ev.keyCode==13) {
			choixFournisseur();
  	}

  } catch (e) {
    recup_erreur('erreur dans facturation/user/fournisseurs/rech_fournisseur.js#pressOnTree : ' + e);
  }
}


function nouveauFournisseur() {
  try {

	 	var modif_action = !(ParamValeur('Modif_Action')=="false");

		if (modif_action) {
			cookieWrapper.getElementById("Action").value = "C";
		}

		window.close();

  } catch (e) {
    recup_erreur('erreur dans facturation/user/fournisseurs/rech_fournisseur.js#nouveauFournisseur : ' + e);
  }
}


function ouvrirFournisseur(code_fournisseur) {
  try {

		var modif_action = !(ParamValeur('Modif_Action')=="false");

		if (modif_action) {
			cookieWrapper.getElementById('Action').value = "M";
		}

		var field_fournisseur = ParamValeur('Field_Fournisseur');

		if (isEmpty(field_fournisseur)) {
			cookieWrapper.getElementById('Fournisseur').value = code_fournisseur;
		}
		else {
			cookieWrapper.getElementById(field_fournisseur).value = code_fournisseur;
		}

  	window.close();

  } catch (e) {
    recup_erreur('erreur dans facturation/user/fournisseurs/rech_fournisseur.js#ouvrirFournisseur : ' + e);
  }
}


function choixFournisseur() {
	try {

		var tree = document.getElementById('fournisseurs');

		if (tree.view!=null && tree.currentIndex!=-1) {

			var code_fournisseur = getCellText(tree,tree.currentIndex, 'ColFournisseur_Id');

			ouvrirFournisseur(code_fournisseur);
		}

	} catch (e) {
    recup_erreur('erreur dans facturation/user/fournisseurs/rech_fournisseur.js#choixFournisseur : ' + e);
  }
}


function existeFournisseur(code_fournisseur) {
  try {

		var corps = cookie() +"&Page=Facturation/Fournisseurs/existeFournisseur.tmpl&ContentType=xml&Fournisseur_Id="+ urlEncode(code_fournisseur);
		var p = requeteHTTP(corps);

  	var contenu = p.responseXML.documentElement;
  	return (contenu.getAttribute('existe')=="true" && contenu.getAttribute('supprime')=="false");

  } catch (e) {
    recup_erreur('erreur dans facturation/user/fournisseurs/rech_fournisseur.js#existeFournisseur : ' + e);
  }
}


function init_tree(param) {
  try {

    var paramlist = "&Page=Facturation/GetRDF/liste_fournisseurs.tmpl&ContentType=xml"+ param;
    load_rdf('fournisseurs', getUrlOpeneas(paramlist));
    document.getElementById('fournisseurs').builder.rebuild();

  } catch (e) {
    recup_erreur('erreur dans facturation/user/fournisseurs/rech_fournisseur.js#init_tree : ' + e);
  }
}


function delete_tree() {
  try {

    var database = document.getElementById('fournisseurs').database;
    var datasources = database.GetDataSources();
    while (datasources.hasMoreElements()) {
      var ds = datasources.getNext();
      database.RemoveDataSource(ds);
    }

  } catch (e) {
    recup_erreur('erreur dans facturation/user/fournisseurs/rech_fournisseur.js#delete_tree : ' + e);
  }
}
