/******************************************************************************/
/* OpenSi : Outils libres de gestion d'entreprise                             */
/* Copyright (C) 2003 Speedinfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/

var arbre_br = new Arbre ("fact","liste_bon_reception.tmpl","BR");

function init() {
  try {

    var x = (screen.width / 2) - 300;
    var y = (screen.height / 2) - 200;
    window.resizeTo(600,400);
    window.moveTo(x,y);
    document.getElementById('Num_Entier').focus();
  	if (!isEmpty(ParamValeur("Fournisseur_Id"))) {
			arbre_br.setParam("Fournisseur_Id",ParamValeur("Fournisseur_Id"));
		}
		arbre_br.initTree();

  } catch (e) {
    recup_erreur('erreur dans facturation/user/stocks/rech_stocks.js#init : ' + e);
  }
}

function pressOnId(ev) {
  try {

		if (ev.keyCode==13) {

			var Num_Entier = document.getElementById('Num_Entier').value;
			if (!isEmpty(Num_Entier)) {
				if (existeBR(Num_Entier)) {
        	ouvrirBR(Num_Entier);
				}
				else {
  				arbre_br.setParam("Num_Entier",Num_Entier);
					arbre_br.initTree();
				}
			}
			else {
				arbre_br.removeParam("Num_Entier");
				arbre_br.initTree();
			}
		}

  } catch (e) {
    recup_erreur('erreur dans facturation/user/recherches/rech_bon_reception.js#pressOnId : ' + e);
  }
}

function pressOnIdCom(ev) {
  try {

		if (ev.keyCode==13) {

			var Num_Commande = document.getElementById('Commande_Id').value;
			if (!isEmpty(Num_Commande)) {
 				arbre_br.setParam("Num_Commande",Num_Commande);
			}
			else {
				arbre_br.removeParam("Num_Commande");
			}
			arbre_br.initTree();
    }

  } catch (e) {
    recup_erreur('erreur dans facturation/user/recherches/rech_bon_reception.js#pressOnId : ' + e);
  }
}


function pressOnTree(ev) {
  try {
    if (ev.keyCode==13) {
			choixBR();
  	}
  } catch (e) {
    recup_erreur('erreur dans facturation/user/recherches/rech_bon_reception.js#pressOnTree : ' + e);
  }
}


function existeBR(Num_Entier) {
  try {

		var corps = cookie() +"&Page=Facturation/Factu_Fournisseur/existeBR.tmpl&ContentType=xml";
		corps +="&Num_Entier="+ urlEncode(Num_Entier);
		var p = requeteHTTP(corps);

		var contenu = p.responseXML.documentElement;
  	return contenu.getAttribute('existe')=="true";

  } catch (e) {
    recup_erreur('erreur dans facturation/user/recherches/rech_bon_reception.js#existeBR : ' + e);
  }
}


function ouvrirBR(Num_Entier) {
  try {
		window.arguments[0](Num_Entier);
		window.close();

  } catch (e) {
    recup_erreur('erreur dans facturation/user/recherches/rech_bon_reception.js#ouvrirBR : ' + e);
  }
}


function choixBR() {
	try {
		var tree = document.getElementById('BR');

		if (tree.view!=null && tree.currentIndex!=-1) {
			var Num_Entier = getCellText(tree,tree.currentIndex,'ColNum_Entier');
			ouvrirBR(Num_Entier);
		}

	} catch (e) {
    recup_erreur('erreur dans facturation/user/recherches/rech_BR.js#choixBR : ' + e);
  }
}
