/******************************************************************************/
/* OpenSi : Outils libres de gestion d'entreprise                             */
/* Copyright (C) 2003 Speedinfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/
/*
 * Affichage et gnration du pdf du remboursement
 * Gestion des vnements sur la fentre <facturation/user/reglements/rembourser_pdf.xul>
 */

var liste;

function init() {
	try {
		var paramlist = "&Page=Facturation/Reglements/rembourser_pdf.tmpl";
		if (!isEmpty(ParamValeur("Reglement_Id"))) {
			paramlist += "&Reglement_Id=" + ParamValeur('Reglement_Id');
		}
		else {
			paramlist += "&Avoir_Id=" + ParamValeur('Avoir_Id');
		}
		paramlist += "&Mode_Reg=" + urlEncode(ParamValeur('Mode_Reg'));
		paramlist += "&Journal=" + urlEncode(ParamValeur('Journal'));
		paramlist += "&Motif=" + urlEncode(ParamValeur('Motif'));
		if (!isEmpty(ParamValeur('Date'))) {
			paramlist += "&Date=" + urlEncode(ParamValeur('Date'));
		}
		if (!isEmpty(ParamValeur('Texte'))) {
			paramlist += "&Texte=" + urlEncode(ParamValeur('Texte'));
		}
		paramlist += "&Transfert=" + ParamValeur('Transfert');
		paramlist += "&Montant="+ ParamValeur('Montant');
		paramlist += "&Montant_Total="+ ParamValeur('Montant_Total');
		var page = getUrlOpeneas(paramlist);
		document.getElementById('remboursement').setAttribute("src",page);
	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements/rembourser_pdf.js#init : ' + e);
	}
}

function retour_menu_principal() {
	try {

		var page = "chrome://opensi/content/facturation/user/menu_principal.xul?"+ cookie();
		page += "&Libelle="+ parent.document.getElementById("nom_dossier").value;
		window.location = page;

	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements/rembourser_pdf.js#retour_menu_principal : ' + e);
	}
}

function retour_reglements() {
	try {

		var page = "chrome://opensi/content/facturation/user/reglements/menu_reglement.xul?" + cookie();
		page += "&Retour="+true;
		window.location = page;

	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements/rembourser_pdf.js#retour_reglements : ' + e);
	}
}
