/******************************************************************************/
/* OpenSi : Outils libres de gestion d'entreprise                             */
/* Copyright (C) 2003 Speedinfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/
/*
 * Gnration et affichage du pdf de remise en banque et proposition de validation
 * Gestion des vnements sur la fentre <facturation/user/reglements/remise_pdf.xul>
 */


var liste;

function init() {
	try {

		var corps = cookie() +"&Page=Facturation/Reglements/existeBanque.tmpl&ContentType=xml";
		corps += "&Journal=" + ParamValeur('Journal');
		var p = requeteHTTP(corps);

		var banque = p.responseXML.documentElement.getAttribute("banque");
		if (banque=="false")
			document.getElementById("banque").collapsed=false;

		var paramlist = "&Page=Facturation/Reglements/remise_pdf.tmpl";
		paramlist += "&TypeR=" + ParamValeur('TypeR');
		paramlist += "&Journal=" + ParamValeur('Journal');
		paramlist += "&Remis=" + ParamValeur('Remis');
		if (ParamValeur('Remis')=="1")	{
			document.getElementById("val").collapsed=true;
			paramlist += "&Date_Remis=" + ParamValeur('Date_Remis');
		}
		var page = getUrlOpeneas(paramlist);
		document.getElementById('remises').setAttribute("src",page);

	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements/remise_pdf.js#init : ' + e);
	}
}

function valider() {
	try {

		liste = ParamValeur('Liste');
		if (! isEmpty(liste)) {
			var corps = cookie() +"&Page=Facturation/Reglements/getTransfert_Reglements.tmpl&ContentType=xml";
			var p = requeteHTTP(corps);

			var Transfert_Reglements = p.responseXML.documentElement.getAttribute("Transfert_Reglements");
			if (Transfert_Reglements=="1")	{
				var corps = cookie() +"&Page=Facturation/Reglements/compDateRegFin.tmpl&ContentType=xml";
				corps += "&TypeR=" + ParamValeur('TypeR');
				corps += "&Journal=" + ParamValeur('Journal');
				corps += "&Remis=" + ParamValeur('Remis');

				var p = requeteHTTP(corps);

				var correct = p.responseXML.documentElement.getAttribute("correct");
				if (correct=="true") {

					var corps = cookie() +"&Page=Facturation/Reglements/getContrePartie.tmpl&ContentType=xml";
					corps+="&Code_Journal="+urlEncode(ParamValeur("Journal"));
					var p = requeteHTTP(corps);

					var ContrePartie = p.responseXML.documentElement.getAttribute("Contre_Partie");
					if (ContrePartie!="") {
						validRemise();
					}
					else {
						var page ="chrome://opensi/content/facturation/user/reglements/changer_ContrePartie.xul?"+ cookie();
						page +="&Journal_Banque="+urlEncode(ParamValeur("Journal"));
						window.openDialog(page,'Indiquez le compte de contre partie du journal','chrome,modal',validRemise);
					}
				}
				else {
					showWarning("Transfert en comptabilit impossible, veuillez crer un nouvel exercice comptable");
				}
			}
			else {
				validRemise();
			}
		}

	} catch (e) {
		recup_erreur('erreur dans erreur dans facturation/user/reglements/remise_pdf.js#valider : ' + e);
	}
}

function validRemise () {
	try {
		var corps = cookie() + "&Page=Facturation/Reglements/validRemise.tmpl&ContentType=xml";
		corps += "&Liste=" + liste;
		corps += "&TypeR=" + ParamValeur('TypeR');
		corps += "&Journal=" + ParamValeur('Journal');
		var httpRequest = new XMLHttpRequest();
		var p=requeteHTTP(corps);

		showWarning("La remise en banque a t valide");
		document.getElementById("val").collapsed=true;

	} catch (e) {
		recup_erreur('erreur dans erreur dans facturation/user/reglements/remise_pdf.js#validRemise : ' + e);
	}
}

function retour_menu_principal() {
	try {

		var page = "chrome://opensi/content/facturation/user/menu_principal.xul?"+ cookie();
		page += "&Libelle="+ parent.document.getElementById("nom_dossier").value;
		window.location = page;

	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements/remise_pdf.js#retour_menu_principal : ' + e);
	}
}

function retour_reglements() {
	try {

		var page = "chrome://opensi/content/facturation/user/reglements/menu_reglement.xul?" + cookie();
		page += "&Retour="+true;
		window.location = page;

	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements/remise_pdf.js#retour_reglements : ' + e);
	}
}

function retour_remises() {
	try {

		var page = "chrome://opensi/content/facturation/user/reglements/menu_remise.xul?" + cookie();
		window.location = page;

	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements/remise_pdf.js#retour_remises : ' + e);
	}
}
