/******************************************************************************/
/* OpenSi : Outils libres de gestion d'entreprise                             */
/* Copyright (C) 2003 Speedinfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/
/*
 * Gnration et affichage du pdf de bordereau et proposition de validation
 * Gestion des vnements sur la fentre <facturation/user/reglements_fournisseur/bordereau_pdf.xul>
 */


var liste;

function init() {
	try {

		var corps = cookie() +"&Page=Facturation/ReglementsFournisseur/existeBanque.tmpl&ContentType=xml";
		corps += "&Journal=" + ParamValeur('Journal');
		var p = requeteHTTP(corps);

		var banque = p.responseXML.documentElement.getAttribute("banque");
		if (banque=="false") {
			document.getElementById("banque").collapsed=false;
			document.getElementById("banqueok").collapsed=true;
		}
		afficher();
	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements_fournisseur/bordereau_pdf.js#init : ' + e);
	}
}

function afficher() {
	try {
		var paramlist = "&Page=Facturation/ReglementsFournisseur/bordereau_pdf.tmpl";
		paramlist += "&TypeR=" + ParamValeur('TypeR');
		paramlist += "&Journal=" + ParamValeur('Journal');
		paramlist += "&Remis=" + ParamValeur('Remis');
		paramlist += "&Liste_Reglement=" + ParamValeur('Liste_Reglement');
		if (ParamValeur('Remis')=="1")	{
			document.getElementById("val").collapsed=true;
			paramlist += "&Date_Remis=" + ParamValeur('Date_Remis');
		}
		paramlist += "&Banque="+document.getElementById('banqueok').checked;
		var page = getUrlOpeneas(paramlist);
		document.getElementById('bordereaux').setAttribute("src",page);

	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements_fournisseur/echeance_pdf.js#echeance_changer : ' + e);
	}
}

function valider() {
	try {
		liste = ParamValeur('Liste_Reglement');
		if (! isEmpty(liste)) {
			var corps = cookie() +"&Page=Facturation/ReglementsFournisseur/getTransfert_Reglements.tmpl&ContentType=xml";
			var p = requeteHTTP(corps);

			var Transfert_Reglements = p.responseXML.documentElement.getAttribute("Transfert_Reglements");
			if (Transfert_Reglements=="1")	{
				var corps = cookie() +"&Page=Facturation/ReglementsFournisseur/compDateReglFin.tmpl&ContentType=xml";
				corps += "&TypeR=" + ParamValeur('TypeR');
				corps += "&Journal=" + ParamValeur('Journal');
				corps += "&Remis=" + ParamValeur('Remis');

				var p = requeteHTTP(corps);

				var correct = p.responseXML.documentElement.getAttribute("correct");
				if (correct=="true") {

					var corps = cookie() +"&Page=Facturation/ReglementsFournisseur/getContrePartie.tmpl&ContentType=xml";
					corps+="&Code_Journal="+urlEncode(ParamValeur("Journal"));
					var p = requeteHTTP(corps);

					var ContrePartie = p.responseXML.documentElement.getAttribute("Contre_Partie");
					if (ContrePartie!="") {
						validBordereau();
					}
					else {
						var page ="chrome://opensi/content/facturation/user/reglements_fournisseur/changer_ContrePartie.xul?"+ cookie();
						page +="&Journal_Banque="+urlEncode(ParamValeur("Journal"));
						window.openDialog(page,'Indiquez le compte de contre partie du journal','chrome,modal',validBordereau);
					}
				}
				else {
					showWarning("Transfert en comptabilit impossible, veuillez crer un nouvel exercice comptable");
				}
			}
			else {
				validBordereau();
			}
		}
	} catch (e) {
		recup_erreur('erreur dans erreur dans facturation/user/reglements_fournisseur/bordereau_pdf.js#valider : ' + e);
	}
}

function validBordereau () {
	try {
		var corps = cookie() + "&Page=Facturation/ReglementsFournisseur/validBordereau.tmpl&ContentType=xml";
		corps += "&Liste=" + liste;
		corps += "&TypeR=" + ParamValeur('TypeR');
		corps += "&Journal=" + ParamValeur('Journal');
		var httpRequest = new XMLHttpRequest();
		var p=requeteHTTP(corps);

		showWarning("Le bordereau de paiement a t valide");
		document.getElementById("val").collapsed=true;
	} catch (e) {
		recup_erreur('erreur dans erreur dans facturation/user/reglements_fournisseur/bordereau_pdf.js#validBordereau : ' + e);
	}
}

function retour_menu_principal() {
	try {

		var page = "chrome://opensi/content/facturation/user/menu_principal.xul?"+ cookie();
		page += "&Libelle="+ parent.document.getElementById("nom_dossier").value;
		window.location = page;

	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements_fournisseur/bordereau_pdf.js#retour_menu_principal : ' + e);
	}
}

function retour_reglements() {
	try {

		var page = "chrome://opensi/content/facturation/user/reglements_fournisseur/menu_reglement.xul?" + cookie();
		page += "&Retour="+true;
		window.location = page;

	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements_fournisseur/bordereau_pdf.js#retour_reglements : ' + e);
	}
}

function retour_bordereaux() {
	try {

		var page = "chrome://opensi/content/facturation/user/reglements_fournisseur/menu_bordereau.xul?" + cookie();
		window.location = page;

	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements_fournisseur/bordereau_pdf.js#retour_bordereaux : ' + e);
	}
}
