/******************************************************************************/
/* OpenSi : Outils libres de gestion d'entreprise                             */
/* Copyright (C) 2003 Speedinfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/
/*
 * Gestion de la fenetre permettant de modifier les informations d'une chance
 * Gestion des vnements sur la fentre <facturation/user/reglements_fournisseur/changer_echeance.xul>
 */

var arbre_reglement_echeance=new Arbre("fact","liste_reglement_echeance_fournisseur.tmpl","tree_reglement_echeance");

function init() {
	try {

		var x = (screen.width / 2) - 300;
		var y = (screen.height / 2) - 200;
		window.resizeTo(600,400);
		window.moveTo(x,y);

		var arbre=new Arbre("fact","liste_reglements.tmpl","nouv_Mode_Reg");
		arbre.addParam("Compta","1");
		arbre.initTree(initMode_R);

		if (ParamValeur('Montant_Regle')!="0.00") {
			document.getElementById('reg_ech').collapsed=false;
			arbre_reglement_echeance.setParam("Echeance_Id",ParamValeur('Echeance_Id'));
			arbre_reglement_echeance.initTree();
		}

		document.getElementById('anc_Date').value=ParamValeur('anc_Date');
		document.getElementById('nouv_Date').value=ParamValeur('anc_Date');

		document.getElementById('anc_Mode_Reg').value=ParamValeur('anc_Mode_Reg');

		document.getElementById('nouv_Date').focus();

	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements_fournisseur/changer_echeance#init : ' + e);
	}
}

function initMode_R() {
	try {
		document.getElementById('nouv_Mode_Reg').value=ParamValeur('anc_Mode_Reg');
	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements_fournisseur/changer_echeance.js#initMode_R : ' + e);
	}
}


function testcheck() {
	try {
		var liste = document.getElementById("tree_reglement_echeance");
		if (liste.currentItem!=null) {
			var item = liste.getItemAtIndex(liste.selectedIndex);
			var cks = item.getElementsByTagName("listcell");
			cks.item(0).setAttribute("checked",(cks.item(0).getAttribute("checked")=="true"?"false":"true"));
		}
	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements_fournisseur/changer_echeance.js#testcheck : ' + e);
	}
}

function changer() {
	try {
		var date = document.getElementById('nouv_Date').value;
		var mode_reg = document.getElementById('nouv_Mode_Reg').value;


		if (isEmpty(date)) {showWarning("Vous devez remplir le champs date !");return false;}
		else if (!isDate(date)) {showWarning("La date est incorrecte");return false;}
		else if (mode_reg=="") { showWarning("Le mode de rglement doit etre renseign"); return false; }


		var liste = document.getElementById("tree_reglement_echeance");
		var j=0;
		var texte;
		var nombreElements = liste.getRowCount();
		var echeanceavoir_Id="";
		var echeancereglement_Id="";
		for (var i=0; i<nombreElements; i++) {
			if(liste.getItemAtIndex(i).getElementsByTagName("listcell").item(0).getAttribute("checked","true")=="true") {
				if (liste.getItemAtIndex(i).getElementsByTagName("listcell").item(2).getAttribute("label")=="Avoir") {
					echeanceavoir_Id+=liste.getItemAtIndex(i).value+",";
				}
				else {
					echeancereglement_Id+=liste.getItemAtIndex(i).value+",";
				}
				j++;
			}
		}
		if (j>0) {
			if (j>1) {
				texte="Etes-vous sr de vouloir supprimer ces affectations?";
			}
			else {
				texte="Etes-vous sr de vouloir supprimer cette affectation?";
			}
			if (confirm(texte)) {
				var corps = cookie() +"&Page=Facturation/ReglementsFournisseur/annulerAffectation.tmpl&ContentType=xml";
				corps+="&Echeance_Reglement_Id="+echeancereglement_Id;
				corps+="&Echeance_Avoir_Id="+echeanceavoir_Id;
				var p = requeteHTTP(corps);
			}
			else {
				return false;
			}
		}
 		var corps = cookie() +"&Page=Facturation/ReglementsFournisseur/changerEcheance.tmpl&ContentType=xml&Date="+prepareDateJava(date) +"&Echeance_Id="+ ParamValeur('Echeance_Id');
		corps += "&Mode_Reg="+urlEncode(mode_reg);
		var p = requeteHTTP(corps);

		window.arguments[0](true,true,true,true,true);
		window.close();

	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements_fournisseur/changer_echeance.js#changer : ' + e);
	}
}
