/******************************************************************************/
/* OpenSi : Outils libres de gestion d'entreprise                             */
/* Copyright (C) 2003 Speedinfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/
/*
 * Gestion de la fenetre permettant de choisir la date de remise en banque a afficher
 * Gestion des vnements sur la fentre <facturation/user/reglements_fournisseur/date_remise.xul>
 */

var remises=new Arbre("fact","detail_bordereau.tmpl","bordereau");

function init() {
	try {
		remises.addParam("Type_R",ParamValeur('Type_R'));
		remises.addParam("Journal",ParamValeur('Journal'));
		if (!isEmpty(ParamValeur('Fournisseur_Id')))
			remises.addParam("Fournisseur_Id",ParamValeur('Fournisseur_Id'));

		if (!isEmpty(ParamValeur('Date_Deb_Reg')))
			remises.addParam("Date_Deb_Reg",ParamValeur('Date_Deb_Reg'));
		if (!isEmpty(ParamValeur('Date_Fin_Reg')))
			remises.addParam("Date_Fin_Reg",ParamValeur('Date_Fin_Reg'));
		if (!isEmpty(ParamValeur('Date_Deb_Rem')))
			remises.addParam("Date_Deb_Rem",ParamValeur('Date_Deb_Rem'));
		if (!isEmpty(ParamValeur('Date_Fin_Rem')))
			remises.addParam("Date_Fin_Rem",ParamValeur('Date_Fin_Rem'));
		remises.initTree();
		var x = (screen.width / 2) - 300;
		var y = (screen.height / 2) - 150;
		window.resizeTo(600,300);
		window.moveTo(x,y);
	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements_fournisseur/date_remise.js#init : ' + e);
	}
}

function changer() {
	try {
		var tree = document.getElementById("bordereau");
		if (tree.view!=null && tree.currentIndex!=-1) {
			window.arguments[0](getCellText(tree,tree.currentIndex,'dateexa'),getCellText(tree,tree.currentIndex,'comp'));
			window.close();
		}
		else {
			showWarning("Veuillez slectionner une date de bordereau");
		}
	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements_fournisseur/date_remise.js#changer : ' + e);
	}
}
