/******************************************************************************/
/* OpenSi : Outils libres de gestion d'entreprise                             */
/* Copyright (C) 2003 Speedinfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/
/*
 * Affichage de la barre de recherche et initialisation des overlays
 * Gestion des vnements sur la fentre <facturation/user/reglements_fournisseur/menu_reglement.xul>
 */

var index_courant=5;
var regle="";
var avo="";
var reglement=true;
var affectation=true;
var affectation_regle=true;
var historique=true;
var historique_regle=true;

var par="";
var par_save="aaa";
var mode;
var datedeb;
var datefin;
var fournisseur;

function init() {
	try {
		var arbre=new Arbre("fact","liste_reglements.tmpl","input_Mode_R_Init");
		arbre.addParam("Compta","1");
		arbre.initTree(initMode_R_Init);

		var arbre=new Arbre("fact","liste_reglements.tmpl","reglement_input_Mode_R");
		arbre.addParam("Compta","1");
		arbre.initTree(reglement_initMode_R);

		var arbre=new Arbre("fact","liste_reglements.tmpl","affectation_input_Mode_R");
		arbre.addParam("Compta","1");
		arbre.initTree(affectation_initMode_R);

		var arbre=new Arbre("cpta","liste_journaux.tmpl","reglement_input_Journal_Banque");
		arbre.addParam("Type_Journal","TR");
		arbre.addParam("Factu","1");
		arbre.initTree(reglement_initJournal_Banque);

		var arbre=new Arbre("cpta","liste_journaux.tmpl","affectation_input_Journal_Banque");
		arbre.addParam("Type_Journal","TR");
		arbre.addParam("Factu","1");
		arbre.initTree(affectation_initJournal_Banque);

		var maintenant=new Date();
		var mois=maintenant.getMonth()+1;
		var jour=maintenant.getDate();

		if (jour>=1 && jour<=9) jour = "0"+ jour;
		if (mois>=1 && mois<=9) mois = "0"+ mois;

		document.getElementById('reglement_input_Date').value=jour+"/"+mois+"/"+maintenant.getFullYear();
		document.getElementById('affectation_input_Date').value=jour+"/"+mois+"/"+maintenant.getFullYear();

		var corps = cookie() +"&Page=Facturation/ReglementsFournisseur/getNumCompteFournisseur.tmpl&ContentType=xml";


		var p = requeteHTTP(corps);

		var compte = p.responseXML.documentElement.getAttribute("compte");
		document.getElementById('reglement_num_Compte').value=compte;
		document.getElementById('affectation_num_Compte').value=compte;

		if (ParamValeur("Retour")!="true") {
			ouvrir_affectation("Avoir","");
		}
		else {
			afficher_bouton_affectation();
		}
	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements_fournisseur/menu_reglement.js#init : ' + e);
	}
}

function ouvrir_affectation_automatique(type,nouv_param){
	try {
		avo="";
		regle="";
		ouvrir_affectation(type,nouv_param);
	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements_fournisseur/menu_reglement.js#ouvrir_affectation_automatique' + e);
	}
}

function ouvrir_affectation(type,nouv_param){
	try {

		var url = "chrome://opensi/content/facturation/user/reglements_fournisseur/affectation_automatique.xul?"+ cookie();

		if (type=="Avoir") {
			avo+=nouv_param;
			var corps = cookie() +"&Page=Facturation/ReglementsFournisseur/getAvoirnonAff.tmpl&ContentType=xml";
			corps +="&Avoir_inter="+avo;
			var p = requeteHTTP(corps);

			var Avoir = p.responseXML.documentElement.getAttribute("Avoir");
			if (Avoir.length>0)
			{
				url+="&Avoir_Id="+Avoir;
				window.openDialog(url,'Affectation des reglements et avoirs','chrome,modal',ouvrir_affectation,modif_aff);
			}
			else {

				avo="";
				ouvrir_affectation("Reglement","");
			}
		}
		else {
			regle+=nouv_param;
			var corps = cookie() +"&Page=Facturation/ReglementsFournisseur/getReglementnonAff.tmpl&ContentType=xml";
			corps +="&Reglement_inter="+regle;
			var p = requeteHTTP(corps);

			var Reglement = p.responseXML.documentElement.getAttribute("Reglement");
			if (Reglement.length>0)
			{
				url+="&Reglement_Id="+Reglement;
				window.openDialog(url,'Affectation des reglements et avoirs','chrome,modal',ouvrir_affectation,modif_aff);
			}
			else {
				index_courant=5;
			}
		}
		afficher_bouton_affectation();
	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements_fournisseur/menu_reglement.js#ouvrir_affectation' + e);
	}

}

function afficher_bouton_affectation(){
	try {
		var corps = cookie() +"&Page=Facturation/ReglementsFournisseur/getAvoirnonAff.tmpl&ContentType=xml";
		var p = requeteHTTP(corps);

		var Avoir = p.responseXML.documentElement.getAttribute("Avoir");
		if (Avoir.length>0) {
			document.getElementById('bouton_aff').collapsed=false;
		}
		else {
			var corps = cookie() +"&Page=Facturation/ReglementsFournisseur/getReglementnonAff.tmpl&ContentType=xml";
			var p = requeteHTTP(corps);

			var Reglement = p.responseXML.documentElement.getAttribute("Reglement");
			if (Reglement.length>0) {
				document.getElementById('bouton_aff').collapsed=false;
			}
			else {
				document.getElementById('bouton_aff').collapsed=true;
			}
		}
		tri();
	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements_fournisseur/menu_reglement.js#afficher_bouton_affectation' + e);
	}

}


function change_tri() {
	try {
		mode=document.getElementById('input_Mode_R_Init').value;
		datedeb=document.getElementById('Date_Deb').value;
		datefin=document.getElementById('Date_Fin').value;
		fournisseur=document.getElementById('Fournisseur').value;

		par="";
		if (mode!="")
		 	par +="&Mode="+ urlEncode(mode);
		if (isDate(datedeb) && datedeb.length==10)
		 	par += "&Date_Deb="+prepareDateJava(datedeb);
		if (isDate(datefin) && datefin.length==10 ) {
			par += "&Date_Fin="+prepareDateJava(datefin);
		}
		if (existe_fournisseur(fournisseur)) {
			par += "&Fournisseur="+urlEncode(fournisseur);
		}
		else {
			fournisseur="";
		}

		if (par!=par_save) {
			modif_aff(true,true,false,true,true);
		}
	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements/menu_reglement.js#change_tri' + e);
	}
}

function tri() {
	try {
		var index=document.getElementById('menu').selectedIndex;

		mode=document.getElementById('input_Mode_R_Init').value;
		datedeb=document.getElementById('Date_Deb').value;
		datefin=document.getElementById('Date_Fin').value;
		fournisseur=document.getElementById('Fournisseur').value;
		par="";
		if (mode!="")
		 	par +="&Mode="+ urlEncode(mode);
		if (isDate(datedeb) && datedeb.length==10)
		 	par += "&Date_Deb="+prepareDateJava(datedeb);
		if (isDate(datefin) && datefin.length==10 )
			par += "&Date_Fin="+prepareDateJava(datefin);
		if (existe_fournisseur(fournisseur)) {
			par += "&Fournisseur="+urlEncode(fournisseur);
		}
		else {
			fournisseur="";
		}

		par_save=par;

		if (index==0 && reglement)
		{
			if (reglement) reglement_tri("oui");
			else reglement_tri();
			reglement=false;
		}
		else if (index==1 && (affectation || affectation_regle))
		{
			if (affectation) affectation_tri("oui");
			if (affectation_regle) affectation_reglement_tri("oui");
			affectation=false;
			affectation_regle=false;
		}
		else if (index==2 && (historique || historique_regle))
		{
			if (document.getElementById('radio').selectedIndex==0) {
				if (historique) historique_tri("oui");
				else historique_tri();
				historique=false;
			}
			else {
				if (historique_regle) historique_reglement_tri("oui");
				else historique_reglement_tri();
				historique_regle=false;
			}
		}
	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements_fournisseur/menu_reglement.js#tri' + e);
	}

}

function modif_aff(mod_reglement,mod_affectation,mod_affectation_regle,mod_historique,mod_historique_regle) {
	try {
		if (mod_reglement)
			reglement=true;
		if (mod_affectation)
			affectation=true;
		if (mod_affectation_regle)
			affectation_regle=true;
		if (mod_historique)
			historique=true;
		if (mod_historique_regle)
			historique_regle=true;
		tri();
		afficher_bouton_affectation();
	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements_fournisseur/menu_reglement.js#modif_aff' + e);
	}
}

function keypress(e,id) {
	try {
		switch(e.keyCode) {
			case 13:
				if (verif_fournisseur()) {
					change_tri();
				}
				else {
					rechercher();
				}
			break;
		}
	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements_fournisseur/menu_reglement.js#keypress : ' + e);
	}
}

function verif_fournisseur(){
	try {

		var fournisseur = document.getElementById("Fournisseur").value;

		if (fournisseur=="") {
    	return true;
    }
    else {
    	var corps =cookie() +"&Page=Facturation/ReglementsFournisseur/existeFournisseur.tmpl&ContentType=xml&Fournisseur_Id="+urlEncode(fournisseur);
      var p = requeteHTTP(corps);
      var message = p.responseXML.documentElement.getAttribute("existe");
      return message=="true";
    }

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/reglements_fournisseur/menu_reglement.js#verif_fournisseur' + e);
  }
}

function existe_fournisseur(){
	try {

		var fournisseur = document.getElementById("Fournisseur").value;

		if (isEmpty(fournisseur)) {
    	return false;
    }
    else {
    	var corps =cookie() +"&Page=Facturation/ReglementsFournisseur/existeFournisseur.tmpl&ContentType=xml&Fournisseur_Id="+urlEncode(fournisseur);
      var p = requeteHTTP(corps);
      var message = p.responseXML.documentElement.getAttribute("existe");
      return message=="true";
    }

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/reglements_fournisseur/menu_reglement.js#verif_fournisseur' + e);
  }
}

function rechercher(rech) {
	try {

		var fournisseur = document.getElementById("Fournisseur").value;
		var url = "chrome://opensi/content/facturation/user/fournisseurs/rech_fournisseur.xul?"+ cookie()+"&Fournisseur_Id="+urlEncode(fournisseur);
		window.openDialog(url,'Recherche d\'un fournisseur','chrome,modal');

		if (verif_fournisseur()) {
    	change_tri();
    }
	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements_fournisseur/menu_reglement.js#rechercher' + e);
	}

}
function initMode_R_Init() {
	try {
		document.getElementById('input_Mode_R_Init').selectedIndex = 0;
	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements_fournisseur/menu_reglement.js#initMode_R_Init : ' + e);
	}
}

function bordereau() {
	try {
		var page = "chrome://opensi/content/facturation/user/reglements_fournisseur/menu_bordereau.xul?" + cookie();
		window.location = page;
	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements_fournisseur/menu_reglement.js#remise : ' + e);
	}
}

function client() {
	try {

		window.location = "chrome://opensi/content/facturation/user/reglements/menu_reglement.xul?"+ cookie();

	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements/menu_reglement.js#client : ' + e);
	}
}

function retour_menu_principal() {
	try {

		var page = "chrome://opensi/content/facturation/user/menu_principal.xul?"+ cookie();
		page += "&Libelle="+ parent.document.getElementById("nom_dossier").value;
		window.location = page;

	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements_fournisseur/menu_reglement.js#retour_menu_principal : ' + e);
	}
}
