/******************************************************************************/
/* OpenSi : Outils libres de gestion d'entreprise                             */
/* Copyright (C) 2003 Speedinfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/
/*
 * Affichage et gnration du pdf des rglements
 * Gestion des vnements sur la fentre <facturation/user/reglements_fournisseur/reglements_pdf.xul>
 */

function init() {
	try {
		reglement_changer();

	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements_fournisseur/reglements_pdf.js#init : ' + e);
	}
}

function reglement_changer() {
	try {
		var paramlist = "&Page=Facturation/ReglementsFournisseur/reglements_pdf.tmpl";
		if (!isEmpty(ParamValeur('Mode'))) {
			paramlist += "&Mode=" + ParamValeur('Mode');
		}
		if (!isEmpty(ParamValeur('Date_Deb'))) {
			paramlist += "&Date_Deb=" + ParamValeur('Date_Deb');
		}
		if (!isEmpty(ParamValeur('Date_Fin'))) {
			paramlist += "&Date_Fin=" + ParamValeur('Date_Fin');
		}
		if (!isEmpty(ParamValeur('Fournisseur'))) {
			paramlist += "&Fournisseur=" + ParamValeur('Fournisseur');
		}
		if (!isEmpty(ParamValeur('Hist'))) {
			paramlist += "&Hist=" + ParamValeur('Hist');
		}

		if (document.getElementById('detail').checked==true) {
			paramlist += "&Detail=true";
		}
		if (document.getElementById('sous').checked==true) {
			paramlist += "&Sous=true";
		}
		paramlist += "&Tri="+document.getElementById('tri').value;

		var page = getUrlOpeneas(paramlist);
		document.getElementById('reglements').setAttribute("src",page);

	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements_fournisseur/reglements_pdf.js#reglement_changer : ' + e);
	}
}

function retour_menu_principal() {
	try {

		var page = "chrome://opensi/content/facturation/user/menu_principal.xul?"+ cookie();
		page += "&Libelle="+ parent.document.getElementById("nom_dossier").value;
		window.location = page;

	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements_fournisseur/reglements_pdf.js#retour_menu_principal : ' + e);
	}
}

function retour_reglements() {
	try {

		var page = "chrome://opensi/content/facturation/user/reglements_fournisseur/menu_reglement.xul?" + cookie();
		page += "&Retour=true";
		window.location = page;

	} catch (e) {
		recup_erreur('erreur dans facturation/user/reglements_fournisseur/reglements_pdf.js#retour_reglements : ' + e);
	}
}
