/******************************************************************************/
/* OpenSi : Outils libres de gestion d'entreprise                             */
/* Copyright (C) 2003 Speedinfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/


function init() {
	try {

		window.parent.document.getElementById('Loaded').setAttribute('label', nocache());

  } catch (e) {
    recup_erreur('erreur dans facturation/user/stocks/contenuStock.js#init : ' + e);
  }
}


function disableInitStock(b) {
	try {

	 	document.getElementById('Stock_Init').disabled = b;
		document.getElementById('Prix_Init').disabled = b;
		document.getElementById('Frais_Init').disabled = b;
		document.getElementById('row_ajustement').collapsed = !b;

  } catch (e) {
    recup_erreur('erreur dans facturation/user/stocks/contenuStock.js#disableInitStock : ' + e);
  }
}


function ajusterStock() {
	try {
	
		var ajustement = document.getElementById('Ajustement').value;
		
		if (isEmpty(ajustement) || !isPositiveOrNull(ajustement)) {		
			showWarning("Ajustement du stock incorrect !");
		}
		else {
			var corps = cookie() +"&Page=Facturation/Stocks/ajustementStock.tmpl&ContentType=xml&Ajustement="+ ajustement +"&Article_Id="+ window.parent.document.getElementById('Article').value;
			var httpRequest = new XMLHttpRequest();
			
    	requeteHTTP(corps, httpRequest, ajusterStock_2);
		}
	
	} catch (e) {
    recup_erreur('erreur dans facturation/user/stocks/contenuStock.js#ajusterStock : ' + e);
  }
}


function ajusterStock_2(httpRequest) {
	try {

		var stock_init = document.getElementById('Stock_Init').value;
		var com_clients = document.getElementById('Com_Clients').value;
		var com_fournisseurs = document.getElementById('Com_Fournisseurs').value;

		var contenu = httpRequest.responseXML.documentElement;
		
		document.getElementById('Entrees').value = contenu.getAttribute('Entrees');
		document.getElementById('Sorties').value = contenu.getAttribute('Sorties');
		document.getElementById('Stock_Auj').value = parseFloat(stock_init) + parseFloat(contenu.getAttribute('Entrees')) - parseFloat(contenu.getAttribute('Sorties'));
		
		var reel = document.getElementById('Stock_Auj').value;
		
		document.getElementById('Stock_Dispo').value = parseFloat(reel) - parseFloat(com_clients);
		document.getElementById('Stock_Calcule').value = parseFloat(reel) - parseFloat(com_clients) + parseFloat(com_fournisseurs);
		
		document.getElementById('Ajustement').value = "";

	} catch (e) {
    recup_erreur('erreur dans facturation/user/stocks/contenuStock.js#ajusterStock_2 : ' + e);
  }
}


function calcStockMinimum() {
	try {

		var stock_alerte = document.getElementById('Stock_Alerte').value;
		var stock_securite = document.getElementById('Stock_Securite').value;

		if (isPositiveOrNull(stock_alerte) && isPositiveOrNull(stock_securite)) {
			document.getElementById('Stock_Minimum').value = stock_alerte - stock_securite;
		}
		else {
			document.getElementById('Stock_Minimum').value = "";
		}

	} catch (e) {
    recup_erreur('erreur dans facturation/user/stocks/contenuStock.js#calcStockMinimum : ' + e);
  }
}


function setModifie() {
	try {

		window.parent.document.getElementById('Modifie').value = "y";

	} catch (e) {
		recup_erreur('erreur dans facturation/user/stocks/contenuStock.js#setModifie : ' + e);
	}
}
