/******************************************************************************/
/* OpenSI : Outils libre de gestion d'entreprise                              */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/


function init() {
	try {
	
		document.getElementById("titre").value = "Affectation d'utilisateurs au dossier "+'"'+ ParamValeur("Dossier_Id") +'"';
		var paramlist = "&Page=Superviseur/GetRDF/listeUtilisateurs.tmpl&ContentType=xml";		
		load_rdf('liste_utilisateurs', getUrlOpeneas(paramlist));
		
	} catch (e) {
    recup_erreur('erreur dans superviseur/dossiers/attrib_droits_dossier.js#init : ' + e);
  }
}


function creerDossier() {
	try {
		
		var infos_societe = "&Dossier_Id="+ urlEncode(ParamValeur("Dossier_Id"));
		infos_societe += "&Raison_Sociale="+ urlEncode(ParamValeur("Raison_Sociale"));
		infos_societe += "&Enseigne="+ urlEncode(ParamValeur("Enseigne"));
		infos_societe += "&Adresse="+ urlEncode(ParamValeur("Adresse"));
		infos_societe += "&Comp_Adresse="+ urlEncode(ParamValeur("Comp_Adresse"));
		infos_societe += "&Code_Postal="+ urlEncode(ParamValeur("Code_Postal"));
		infos_societe += "&Ville="+ urlEncode(ParamValeur("Ville"));
		infos_societe += "&Email="+ urlEncode(ParamValeur("Email"));
		infos_societe += "&Telephone="+ urlEncode(ParamValeur("Telephone"));
		infos_societe += "&Fax="+ urlEncode(ParamValeur("Fax"));
		infos_societe += "&Num_SIRET="+ urlEncode(ParamValeur("Num_SIRET"));
		infos_societe += "&Code_NAF="+ urlEncode(ParamValeur("Code_NAF"));
		infos_societe += "&Type_Societe="+ urlEncode(ParamValeur("Type_Societe"));
		infos_societe += "&Typologie="+ urlEncode(ParamValeur("Typologie"));
		infos_societe += "&Date_Creation="+ urlEncode(ParamValeur("Date_Creation"));
		infos_societe += "&Duree_Societe="+ urlEncode(ParamValeur("Duree_Societe"));
		infos_societe += "&Montant_Capital="+ urlEncode(ParamValeur("Montant_Capital"));
		infos_societe += "&Nb_Parts="+ urlEncode(ParamValeur("Nb_Parts"));
		infos_societe += "&Expert="+ urlEncode(ParamValeur("Expert"));
		infos_societe += "&Monnaie_Tenue="+ urlEncode(ParamValeur("Monnaie_Tenue"));
		infos_societe += "&Debut_Exercice="+ urlEncode(ParamValeur("Debut_Exercice"));
		infos_societe += "&Fin_Exercice="+ urlEncode(ParamValeur("Fin_Exercice"));
		infos_societe += "&Regime_Fiscal="+ urlEncode(ParamValeur("Regime_Fiscal"));
		infos_societe += "&Regime_Groupe="+ urlEncode(ParamValeur("Regime_Groupe"));
		infos_societe += "&Centre_Impot="+ urlEncode(ParamValeur("Centre_Impot"));
		infos_societe += "&Tresorerie="+ urlEncode(ParamValeur("Tresorerie"));
		infos_societe += "&Centre_Gestion="+ urlEncode(ParamValeur("Centre_Gestion"));
		infos_societe += "&Site_Web="+ urlEncode(ParamValeur("Site_Web"));
		infos_societe += "&Num_TVA_Intra="+ urlEncode(ParamValeur("Num_TVA_Intra"));
		infos_societe += "&Ville_RCS="+ urlEncode(ParamValeur("Ville_RCS"));
		infos_societe += "&Code_Plan="+ urlEncode(ParamValeur("Code_Plan"));
		infos_societe += "&BQ="+ urlEncode(ParamValeur("BQ"));
		infos_societe += "&CS="+ urlEncode(ParamValeur("CS"));
		infos_societe += "&OD="+ urlEncode(ParamValeur("OD"));
		infos_societe += "&Reglements=" + urlEncode(ParamValeur('Reglements'));
		
		if (window.confirm('Confirmez-vous la cration du dossier "'+ ParamValeur("Dossier_Id") +'" ?')) {
			
			var liste = document.getElementById("liste_utilisateurs");
			var valeur = "";
			var nombreElements = liste.getRowCount();
			
			for (var i=0; i<nombreElements; i++) {
				if(liste.getItemAtIndex(i).getElementsByTagName("listcell").item(0).getAttribute("checked","true")=="true") {
					valeur += liste.getItemAtIndex(i).value +",";	
				}			
			}
			
			var corps = cookie() +"&Page=Superviseur/dossiers/creerDossier.tmpl&ContentType=xml&ListeDroit="+ valeur + infos_societe;
			var httpRequest = new XMLHttpRequest();
			
			requeteHTTP(corps, httpRequest, creerDossier_2); 		
		}
				
	} catch (e) {
    recup_erreur('erreur dans superviseur/dossiers/attrib_droits_dossier.js#creerDossier : ' + e);
  }
}


function creerDossier_2(httpRequest) {
	try {	
		
		var message = httpRequest.responseXML.documentElement.getAttribute("message");
		
		if (message=="fini") {
			showMessage("Le dossier "+ ParamValeur("Dossier_Id") +" a t cr avec succs");
		}
		else {
			showWarning("Erreur sur le serveur");
		}
			
  	window.location = "chrome://opensi/content/superviseur/dossiers/menu_dossiers.xul?"+ cookie();

	} catch (e) {
    recup_erreur('erreur dans superviseur/dossiers/attrib_droits_dossier.js#creerDossier_2 : ' + e);
  }
}


function testcheck() {
	try {
		
		var liste = document.getElementById("liste_utilisateurs");
		if (liste.currentItem!=null) {
			var item = liste.getItemAtIndex(liste.selectedIndex);
			var cks = item.getElementsByTagName("listcell");
			cks.item(0).setAttribute("checked",(cks.item(0).getAttribute("checked")=="true"?"false":"true"));
		}
		
	} catch (e) {
    recup_erreur('erreur dans superviseur/dossiers/attrib_droits_dossier.js#creerDossier : ' + e);
  }
}


function retour_menuManager() {
	try {
  	
  	window.location = "chrome://opensi/content/superviseur/menu_superviseur.xul?"+ cookie();
		
	} catch (e) {
    recup_erreur('erreur dans superviseur/dossiers/attrib_droits_dossier.js#retour_menuManager : ' + e);
  }
}

function retour_menuDossiers() {
	try {

  	window.location = "chrome://opensi/content/superviseur/dossiers/menu_dossiers.xul?"+ cookie();
		
	} catch (e) {
    recup_erreur('erreur dans superviseur/dossiers/attrib_droits_dossier.js#retour_menuDossiers : ' + e);
  }
}
