/******************************************************************************/
/* OpenSI : Outils libre de gestion d'entreprise                              */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/


function init() {
	try {
	
  	document.getElementById('Dossier_Id').focus();
		enableSupprimer(false);
		document.getElementById('recherche').disabled = true;
		init_tree();
		
	} catch (e) {
    recup_erreur('erreur dans superviseur/dossiers/supprimer_dossier.js#init : ' + e);
  }
}


function supprimerDossier() {
	try {
	
		var tree = document.getElementById("liste_dossiers");
		
		if(tree.view!=null && tree.currentIndex!=-1){
	  	
			var dossier = getCellText(tree,tree.view.selection.currentIndex, 'dossier_id');
			
			if (window.confirm('Confirmez-vous la suppression du dossier "'+ dossier +'" ?\nAttention tous les exercices du dossier seront supprims !')) {
			
				var corps = cookie() +"&Page=Superviseur/dossiers/supprimerDossier.tmpl&ContentType=xml&Dossier_Id="+ dossier;
				var httpRequest = new XMLHttpRequest();		
				
				requeteHTTP(corps, httpRequest, supprimerDossier_2, dossier);				
			}		
		}
		else {
			showWarning('Veuillez slectionner un dossier !');
		}
		
	} catch (e) {
    recup_erreur('erreur dans superviseur/dossiers/supprimer_dossier.js#supprimerDossier : ' + e);
  }
}


function supprimerDossier_2(httpRequest, dossier) {
	try {
	
		var message = httpRequest.responseXML.documentElement.getAttribute("message");
		
		if (message=="impossible") {
			showWarning("Mauvais dossier slectionn");
		}
		else if (message=="supp") {
			showMessage("Le dossier "+dossier+" a t supprim");
		}
		else {
			showWarning("Erreur du serveur");
		}
		
		delete_tree();
		init_tree();
		enableSupprimer(false);
	
	} catch (e) {
    recup_erreur('erreur dans superviseur/dossiers/supprimer_dossier.js#supprimerDossier_2 : ' + e);
  }
}


function chercherDossier() {
	try {

		delete_tree();
		init_tree();
		enableSupprimer(false);
		
	} catch (e) {
    recup_erreur('erreur dans superviseur/dossiers/supprimer_dossier.js#chercherDossier : ' + e);
  }
}


function chercher(e) {
	try {
	
		document.getElementById('recherche').disabled = false;
    if (e.keyCode==13) {
      chercherDossier();
		}
		
	} catch (e) {
    recup_erreur('erreur dans superviseur/dossiers/supprimer_dossier.js#chercher : ' + e);
  }
}


function enableSupprimer(afficher) {
	try {
	
		document.getElementById('supprimer').disabled = !afficher;
	
	} catch (e) {
    recup_erreur('erreur dans superviseur/dossiers/supprimer_dossier.js#enableSupprimer : ' + e);
  }
}


function init_tree() {
  try {

    var paramlist = "&Page=Superviseur/GetRDF/listeDossiers.tmpl&ContentType=xml&Dossier_Id="+ document.getElementById('Dossier_Id').value;
    load_rdf("liste_dossiers", getUrlOpeneas(paramlist));
  
	} catch (e) {
    recup_erreur('erreur dans superviseur/dossiers/supprimer_dossier.js#init_tree : ' + e);
  }
}


function delete_tree() {
  try {
    
		var database = document.getElementById("liste_dossiers").database;
    var datasources = database.GetDataSources();
    while (datasources.hasMoreElements()) {
      var ds = datasources.getNext();
      database.RemoveDataSource(ds);
    }
    document.getElementById("liste_dossiers").builder.rebuild();
		
  } catch (e) {
    recup_erreur('erreur dans superviseur/dossiers/supprimer_dossier.js#delete_tree : ' + e);
  }
}


function retour_menuManager() {
	try {
  	
  	window.location = "chrome://opensi/content/superviseur/menu_superviseur.xul?"+ cookie();
		
	} catch (e) {
    recup_erreur('erreur dans superviseur/dossiers/supprimer_dossier.js#retour_menuManager : ' + e);
  }
}


function retour_menuDossiers() {
	try {
  	
  	window.location = "chrome://opensi/content/superviseur/dossiers/menu_dossiers.xul?"+ cookie();
		
	} catch (e) {
    recup_erreur('erreur dans superviseur/dossiers/supprimer_dossier.js#retour_menuDossiers : ' + e);
  }
}
