/******************************************************************************/
/* OpenSI : Outils libre de gestion d'entreprise                              */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/


function init() {
	try {
	
		var paramlist = "&Page=Superviseur/GetRDF/listeUtilisateurs.tmpl&ContentType=xml";
		load_rdf_async('liste_utilisateurs', getUrlOpeneas(paramlist), focus_tree);
 
	} catch (e) {
    recup_erreur('erreur dans superviseur/utilisateurs/menu_utilisateurs.js#init : ' + e);
  }
}


function focus_tree() {
  try {

    var v = document.getElementById('liste_utilisateurs');
    v.focus();
		
		if (v.view!=null) { v.view.selection.select(0); }

  } catch (e) {
    recup_erreur('erreur dans superviseur/utilisateurs/menu_utilisateurs.js#focus_tree : ' + e);
  }
}


function keypress(e) {
  try {
	
    if (e.keyCode==13) { modifutilisateur(); }
		
  } catch (e) {
    recup_erreur('erreur dans superviseur/utilisateurs/menu_utilisateurs.js#keypress : ' + e);
  }
}


function modifutilisateur() {
	try {
	
		var tree = document.getElementById('liste_utilisateurs');
		
		if (tree.view!=null && tree.currentIndex!=-1) {
		
  		var login = getCellText(tree,tree.view.selection.currentIndex, 'login');
 
  		window.location = "chrome://opensi/content/superviseur/utilisateurs/modifier_utilisateur.xul?"+ cookie() +"&Login="+ login;
		}
		
	} catch (e) {
    recup_erreur('erreur dans superviseur/utilisateurs/menu_utilisateurs.js#modifutilisateur : ' + e);
  }
}


function retour_menuManager() {
  
  window.location = "chrome://opensi/content/superviseur/menu_superviseur.xul?"+ cookie();
}


function nouveau_utilisateur() {
  
  window.location = "chrome://opensi/content/superviseur/utilisateurs/nouveau_utilisateur.xul?"+ cookie();
}
