/******************************************************************************/
/* OpenSI : Outils libre de gestion d'entreprise                              */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/


function init() {
	try {
	
		document.getElementById('Login').focus();
		
	} catch (e) {
    recup_erreur('erreur dans superviseur/utilisateurs/nouveau_utilisateur.js#init : ' + e);
  }
}


function creerUtilisateur() {
	try {
	
		var login = document.getElementById('Login').value;
  	var password = document.getElementById('Password').value;
		var password2 = document.getElementById('Password2').value;
		var nom = document.getElementById('Nom').value;
		var prenom = document.getElementById('Prenom').value;
		var fonction = document.getElementById('Fonction').value;

		if (isEmpty(prenom) || isEmpty(nom) || isEmpty(login) || isEmpty(password) || isEmpty(password2)) {
			showWarning('Vous devez remplir tous les champs !');
		}
		else if (password2 != password) {
			showWarning('Les mots de passe saisis sont diffrents ! Veuillez reconfirmer le mot de passe');
			document.getElementById('Password2').value = '';
		}
		else if (!isCleAlpha(login)) {
			showWarning('Login incorrect ! (A-Z,a-z,0-9,_)');
		}
		else {

  		var corps = cookie() +"&Page=Superviseur/utilisateurs/nouveauUtilisateur.tmpl&ContentType=xml&Login="+ urlEncode(login);
			corps += "&Password="+ urlEncode(password) +"&Password2="+ urlEncode(password2);
			corps += "&Nom="+ urlEncode(nom) +"&Prenom="+ urlEncode(prenom) +"&Fonction="+ urlEncode(fonction);

			var httpRequest = new XMLHttpRequest();
			requeteHTTP(corps, httpRequest, creerUtilisateur_2, login);  		
		}
		
	} catch (e) {
    recup_erreur('erreur dans superviseur/utilisateurs/nouveau_utilisateur.js#creerUtilisateur : ' + e);
  }
}


function creerUtilisateur_2(httpRequest, login) {
	try {
		
		if (httpRequest.responseXML.documentElement.getAttribute("message")=="true") { 
			window.location = "chrome://opensi/content/superviseur/utilisateurs/modifier_utilisateur.xul?"+ cookie() +"&Login="+ login;
		}
		else {
			showWarning("L'utilisateur "+ login +" existe dj !");				
		}
		
	} catch (e) {
    recup_erreur('erreur dans superviseur/utilisateurs/nouveau_utilisateur.js#creerUtilisateur_2 : ' + e);
  }
}


function retour_menuManager() {
  try {
 
  	window.location = "chrome://opensi/content/superviseur/menu_superviseur.xul?"+ cookie();
		
	} catch (e) {
    recup_erreur('erreur dans superviseur/utilisateurs/nouveau_utilisateur.js#retour_menuManager : ' + e);
  }
}


function retour_menuUtilisateurs() {
	try {

  	window.location = "chrome://opensi/content/superviseur/utilisateurs/menu_utilisateurs.xul?"+ cookie();
		
	} catch (e) {
    recup_erreur('erreur dans superviseur/utilisateurs/nouveau_utilisateur.js#retour_menuUtilisateurs : ' + e);
  }
}
