/******************************************************************************/
/* OpenSI Comptabilit : Outils libre de comptabilit d'entreprise            */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/


function init() {
  try {

    var x = (screen.width / 2) - 200;
    var y = (screen.height / 2) - 100;
    window.resizeTo(400,200);
    window.moveTo(x,y);
		document.getElementById('Password').focus();
		
  } catch (e) {
    recup_erreur('erreur dans superviseur/utilisateurs/password.js#init : ' + e);
  }
}


function changer() {
  try {

  	var password = document.getElementById('Password').value;
		var password2 = document.getElementById('Password2').value;

		if (isEmpty(password) || isEmpty(password2)) {
			showWarning("Vous devez remplir tous les champs !");
		}
		else if (password2 != password) {
			showWarning("Les mots de passe saisis sont diffrents ! Veuillez reconfirmer le mot de passe");
			document.getElementById('Password2').value = '';
		}
		else {

  		var corps = cookie() +"&Page=Superviseur/utilisateurs/changerUtilisateurPassword.tmpl&ContentType=xml&Password="+ urlEncode(password) +"&Login="+ ParamValeur('Login');
			var httpRequest = new XMLHttpRequest();
			
			requeteHTTP(corps, httpRequest, changer_2);
		}
  
	} catch (e) {
    recup_erreur('erreur dans superviseur/utilisateurs/password.js#changer : ' + e);
  }
}


function changer_2(httpRequest) {
  try {
 
		var message = httpRequest.responseXML.documentElement.getAttribute("message");
		
		if (message=="inexistant") {
			showWarning("Erreur dans la modification du mot de passe !");
		}
		else if (message=="fini") {
			showMessage("Le mot de passe a t chang avec succs");
		}
		else {
			showWarning("Erreur inconnue");
		}
		
		window.close();
	
	} catch (e) {
    recup_erreur('erreur dans superviseur/utilisateurs/password.js#changer_2 : ' + e);
  }
}

